<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use CmBundle\Entity\Asistencias;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of AccesoController
 *
 * @author Omar
 */
class AccesoController extends Controller {

    //put your code here
    public function accesoAction(Request $request) {
        if ($request->getMethod() == 'POST') {
            $em = $this->getDoctrine()->getManager();
            $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('folioCredencial' => $request->get('cveCtl')));
            $credencial = $em->getRepository('CmBundle:AlumnosCredenciales')->findOneBy(array('folio' => $request->get('cveCtl')));

            $banderaAvisoControlEscolar = 0;
            $banderaCredencialNoRegistro = 0;

            if ($credencial != null) { // EL ALUMNO SI EXISTE
                if ($credencial->getEstatus() == 1) {// CREDENCIAL VIGENTE
                    $banderaAsistencia = 0; // ENTRADA

                    if ($alumno->getTipoAlumno() == 2) {

                        $asistencia = $em->getRepository('CmBundle:Asistencias')
                                ->findOneBy(array('cveAlu' => $alumno->getIdeAlu(), 'fecMov' => new \DateTime(date('Y-m-d'))));

                        $aviso = $em->getRepository('CmBundle:Avisos')->findOneBy(array('cveAlu' => $alumno, 'estatus' => 1));

                        if ($aviso != null) {
                            $banderaAvisoControlEscolar = 1;
                        } else {
                            $banderaAvisoControlEscolar = 0;
                        }

                        if ($asistencia != null) { // YA ESTÁ REGISTRADO EL DÍA DE HOY
                            if ($asistencia->getEstatus() == 0) { // REGISTRÓ ENTRADA
                                // SE REGISTRA LA HORA DE SALIDA
                                $asistencia->setHorSal(new \DateTime(date('H:i:s')));
                                $asistencia->setEstatus(1);
                                $em->persist($asistencia);
                                $em->flush();

                                $banderaAsistencia = 1; // SALIDA
                            } elseif ($asistencia->getEstatus() == 1) { // YA REGISTRÓ SALIDA
                                $banderaAsistencia = 2; // YA NO PUEDE VOLVER A REGISTRAR SU HORA DE SALIDA
                            }
                        } else { // NO ESTÁ REGISTRADO EL DÍA DE HOY
                            // SE REGISTRA LA HORA DE ENTRADA
                            $asistencia = new Asistencias();
                            $asistencia->setCveAlu($alumno);
                            $asistencia->setFecMov(new \DateTime(date('Y-m-d')));
                            $asistencia->setHorEnt(new \DateTime(date('H:i:s')));
                            $asistencia->setHorSal(null);

                            $em->persist($asistencia);
                            $em->flush();

                            $banderaAsistencia = 0;
                        }

                        $listaIngresos = 0;
                        $ingresos = $em->getRepository('CmBundle:Ingresos')
                                ->findBy(array('cveAlu' => $alumno));
                        $listaIngresos = count($ingresos);
                        $sumaTotal = 0;
                        foreach ($ingresos as $key => $value) {
                            $sumaTotal = $sumaTotal + $value->getTotal();
                        }

                        $ban = 0;
                        if ($sumaTotal < 4000) {
                            $ban = 1;
                        }

                        return $this->render('CmBundle:Acceso:resultado.html.twig', array(
                                    'a' => $alumno,
                                    'pagos' => 0,
                                    'ban' => $ban,
                                    'banAsistencia' => $banderaAsistencia,
                                    'banderaCE' => $banderaAvisoControlEscolar
                        ));
                        //} elseif ($alumno->getTipoAlumno() == 3) {
                    } else {
                        /*
                         * VALIDAR HORA DE ENTRADA
                         */

                        $asistencia = $em->getRepository('CmBundle:Asistencias')
                                ->findOneBy(array('cveAlu' => $alumno->getIdeAlu(), 'fecMov' => new \DateTime(date('Y-m-d'))));

                        $aviso = $em->getRepository('CmBundle:Avisos')->findOneBy(array('cveAlu' => $alumno, 'estatus' => 1));

                        if ($aviso != null) {
                            $banderaAvisoControlEscolar = 1;
                        } else {
                            $banderaAvisoControlEscolar = 0;
                        }

                        if ($asistencia != null) { // YA ESTÁ REGISTRADO EL DÍA DE HOY
                            if ($asistencia->getEstatus() == 0) { // REGISTRÓ ENTRADA
                                // SE REGISTRA LA HORA DE SALIDA
                                $asistencia->setHorSal(new \DateTime(date('H:i:s')));
                                $asistencia->setEstatus(1);
                                $em->persist($asistencia);
                                $em->flush();

                                $banderaAsistencia = 1; // SALIDA
                            } elseif ($asistencia->getEstatus() == 1) { // YA REGISTRÓ SALIDA
                                $banderaAsistencia = 2; // YA NO PUEDE VOLVER A REGISTRAR SU HORA DE SALIDA
                            }
                        } else { // NO ESTÁ REGISTRADO EL DÍA DE HOY
                            // SE REGISTRA LA HORA DE ENTRADA
                            $asistencia = new Asistencias();
                            $asistencia->setCveAlu($alumno);
                            $asistencia->setFecMov(new \DateTime(date('Y-m-d')));
                            $asistencia->setHorEnt(new \DateTime(date('H:i:s')));
                            $asistencia->setHorSal(null);

                            $em->persist($asistencia);
                            $em->flush();

                            $banderaAsistencia = 0;
                        }

                        $hoy = date('Y-m-d');

                        $dql = 'SELECT p '
                                . 'FROM CmBundle:Pagos p '
                                . 'WHERE (p.cveAlu = :cve ) '
                                . 'AND (p.semestre = :sem ) '
                                . 'AND (p.fecIni <= :fec ) '
                                . 'AND p.staPag = 1';
                        $query = $em->createQuery($dql);
                        $query->setParameter('cve', $alumno->getIdeAlu());
                        $query->setParameter('sem', $alumno->getNumero());
                        $query->setParameter('fec', $hoy);
                        $pagos = $query->getResult();

                        $bandera = 0; // NO TIENE PAGOS ATRASADOS:: POR LO TANTO ES BIENVENIDO
                        $numReg = count($pagos);
                        if ($numReg == 0) {
                            // BIENVENIDO, PERO...

                            /**
                             * NOTA FALTARÍA HACER LA VALIDACIÓN PARA QUE SE INSCRIBA EL ALUMNO, EN CASO DE HABER 
                             * PAGADO TODO SU CUATRIMESTRE.
                             */
                            $hoy = date('Y-m-d');

                            $dql = 'SELECT p '
                                    . 'FROM CmBundle:Pagos p '
                                    . 'WHERE (p.cveAlu = :cve ) '
                                    . 'AND (p.semestre = :sem ) '
                                    . 'AND (p.fecIni > :fec ) '
                                    . 'AND p.staPag = 1';
                            $query = $em->createQuery($dql);
                            $query->setParameter('cve', $alumno->getIdeAlu());
                            $query->setParameter('sem', $alumno->getNumero());
                            $query->setParameter('fec', $hoy);
                            $pagos = $query->getResult();

                            $numRegistros = count($pagos);
                            if ($numRegistros > 0) {
                                $bandera = 0; // NO TIENE PAGOS ATRASADOS y SIGUE ESTUDIANDO:: POR LO TANTO ES BIENVENIDO
                            } else {
                                $bandera = 2; // NO TIENE PAGOS ATRASADOS, PERO, YA HA FINALIZADO SU SEMESTRE O CUATRIMESTRE:: POR LO TANTO DEBE TRAMITAR SU REINSCRIPCIÓN
                            }
                        } elseif ($numReg > 0) {
                            // SI TIENE PAGOS ATRASADOS
                            // PASAR A CONTROL ESCOLAR
                            $bandera = 1;
                        }

                        return $this->render('CmBundle:Acceso:resultado.html.twig', array(
                                    'a' => $alumno,
                                    'pagos' => $pagos,
                                    'ban' => $bandera,
                                    'banAsistencia' => $banderaAsistencia,
                                    'banderaCE' => $banderaAvisoControlEscolar
                        ));
                    }
                } else {
                    // NO ES VIGENTE LA CREDENCIAL

                    return $this->render('CmBundle:Acceso:resultado.html.twig', array(
                                'a' => $alumno,
                                'pagos' => 0,
                                'ban' => -69,
                                'banAsistencia' => 0,
                                'banderaCE' => 0
                    ));
                }
            } else { // EL ALUMNO NO EXISTE
                // REVISAR SI TIENE CREDENCIAL ANTERIOR
                $alumno = $em->getRepository('CmBundle:Alumnos')
                        ->findOneBy(array('cveCtl' => $request->get('cveCtl')));
                $banderaAvisoControlEscolar = 0;
                if ($alumno != null) {
                    // SI EXISTE EL ALUMNO, SOLO QUE NO SE HA REGISTRADO LA CREDENCIAL
                    $banderaCredencialNoRegistro = 1;

                    $banderaAsistencia = 0; // ENTRADA

                    if ($alumno->getTipoAlumno() == 2) {

                        $asistencia = $em->getRepository('CmBundle:Asistencias')
                                ->findOneBy(array('cveAlu' => $alumno->getIdeAlu(), 'fecMov' => new \DateTime(date('Y-m-d'))));

                        $aviso = $em->getRepository('CmBundle:Avisos')->findOneBy(array('cveAlu' => $alumno, 'estatus' => 1));

                        if ($aviso != null) {
                            $banderaAvisoControlEscolar = 1;
                        } else {
                            $banderaAvisoControlEscolar = 0;
                        }

                        if ($asistencia != null) { // YA ESTÁ REGISTRADO EL DÍA DE HOY
                            if ($asistencia->getEstatus() == 0) { // REGISTRÓ ENTRADA
                                // SE REGISTRA LA HORA DE SALIDA
                                $asistencia->setHorSal(new \DateTime(date('H:i:s')));
                                $asistencia->setEstatus(1);
                                $em->persist($asistencia);
                                $em->flush();

                                $banderaAsistencia = 1; // SALIDA
                            } elseif ($asistencia->getEstatus() == 1) { // YA REGISTRÓ SALIDA
                                $banderaAsistencia = 2; // YA NO PUEDE VOLVER A REGISTRAR SU HORA DE SALIDA
                            }
                        } else { // NO ESTÁ REGISTRADO EL DÍA DE HOY
                            // SE REGISTRA LA HORA DE ENTRADA
                            $asistencia = new Asistencias();
                            $asistencia->setCveAlu($alumno);
                            $asistencia->setFecMov(new \DateTime(date('Y-m-d')));
                            $asistencia->setHorEnt(new \DateTime(date('H:i:s')));

                            $em->persist($asistencia);
                            $em->flush();

                            $banderaAsistencia = 0;
                        }

                        $listaIngresos = 0;
                        $ingresos = $em->getRepository('CmBundle:Ingresos')
                                ->findBy(array('cveAlu' => $alumno));
                        $listaIngresos = count($ingresos);
                        $sumaTotal = 0;
                        foreach ($ingresos as $key => $value) {
                            $sumaTotal = $sumaTotal + $value->getTotal();
                        }

                        $ban = 0;
                        if ($sumaTotal < 4000) {
                            $ban = 1;
                        }

                        return $this->render('CmBundle:Acceso:resultado.html.twig', array(
                                    'a' => $alumno,
                                    'pagos' => 0,
                                    'ban' => $ban,
                                    'banAsistencia' => $banderaAsistencia,
                                    'banderaCE' => $banderaAvisoControlEscolar
                        ));
                        //} elseif ($alumno->getTipoAlumno() == 3) {
                    } else {
                        /*
                         * VALIDAR HORA DE ENTRADA
                         */

                        $asistencia = $em->getRepository('CmBundle:Asistencias')
                                ->findOneBy(array('cveAlu' => $alumno->getIdeAlu(), 'fecMov' => new \DateTime(date('Y-m-d'))));

                        $aviso = $em->getRepository('CmBundle:Avisos')->findOneBy(array('cveAlu' => $alumno, 'estatus' => 1));

                        if ($aviso != null) {
                            $banderaAvisoControlEscolar = 1;
                        } else {
                            $banderaAvisoControlEscolar = 0;
                        }

                        if ($asistencia != null) { // YA ESTÁ REGISTRADO EL DÍA DE HOY
                            if ($asistencia->getEstatus() == 0) { // REGISTRÓ ENTRADA
                                // SE REGISTRA LA HORA DE SALIDA
                                $asistencia->setHorSal(new \DateTime(date('H:i:s')));
                                $asistencia->setEstatus(1);
                                $em->persist($asistencia);
                                $em->flush();

                                $banderaAsistencia = 1; // SALIDA
                            } elseif ($asistencia->getEstatus() == 1) { // YA REGISTRÓ SALIDA
                                $banderaAsistencia = 2; // YA NO PUEDE VOLVER A REGISTRAR SU HORA DE SALIDA
                            }
                        } else { // NO ESTÁ REGISTRADO EL DÍA DE HOY
                            // SE REGISTRA LA HORA DE ENTRADA
                            $asistencia = new Asistencias();
                            $asistencia->setCveAlu($alumno);
                            $asistencia->setFecMov(new \DateTime(date('Y-m-d')));
                            $asistencia->setHorEnt(new \DateTime(date('H:i:s')));

                            $em->persist($asistencia);
                            $em->flush();

                            $banderaAsistencia = 0;
                        }

                        $hoy = date('Y-m-d');

                        $dql = 'SELECT p '
                                . 'FROM CmBundle:Pagos p '
                                . 'WHERE (p.cveAlu = :cve ) '
                                . 'AND (p.semestre = :sem ) '
                                . 'AND (p.fecIni <= :fec ) '
                                . 'AND p.staPag = 1';
                        $query = $em->createQuery($dql);
                        $query->setParameter('cve', $alumno->getIdeAlu());
                        $query->setParameter('sem', $alumno->getNumero());
                        $query->setParameter('fec', $hoy);
                        $pagos = $query->getResult();

                        $bandera = 0; // NO TIENE PAGOS ATRASADOS:: POR LO TANTO ES BIENVENIDO
                        $numReg = count($pagos);
                        if ($numReg == 0) {
                            // BIENVENIDO, PERO...

                            /**
                             * NOTA FALTARÍA HACER LA VALIDACIÓN PARA QUE SE INSCRIBA EL ALUMNO, EN CASO DE HABER 
                             * PAGADO TODO SU CUATRIMESTRE.
                             */
                            $hoy = date('Y-m-d');

                            $dql = 'SELECT p '
                                    . 'FROM CmBundle:Pagos p '
                                    . 'WHERE (p.cveAlu = :cve ) '
                                    . 'AND (p.semestre = :sem ) '
                                    . 'AND (p.fecIni > :fec ) '
                                    . 'AND p.staPag = 1';
                            $query = $em->createQuery($dql);
                            $query->setParameter('cve', $alumno->getIdeAlu());
                            $query->setParameter('sem', $alumno->getNumero());
                            $query->setParameter('fec', $hoy);
                            $pagos = $query->getResult();

                            $numRegistros = count($pagos);
                            if ($numRegistros > 0) {
                                $bandera = 0; // NO TIENE PAGOS ATRASADOS y SIGUE ESTUDIANDO:: POR LO TANTO ES BIENVENIDO
                            } else {
                                $bandera = 2; // NO TIENE PAGOS ATRASADOS, PERO, YA HA FINALIZADO SU SEMESTRE O CUATRIMESTRE:: POR LO TANTO DEBE TRAMITAR SU REINSCRIPCIÓN
                            }
                        } elseif ($numReg > 0) {
                            // SI TIENE PAGOS ATRASADOS
                            // PASAR A CONTROL ESCOLAR
                            $bandera = 1;
                        }

                        return $this->render('CmBundle:Acceso:resultado.html.twig', array(
                                    'a' => $alumno,
                                    'pagos' => $pagos,
                                    'ban' => $bandera,
                                    'banAsistencia' => $banderaAsistencia,
                                    'banderaCE' => $banderaAvisoControlEscolar,
                                    'banderaCredencial' => $banderaCredencialNoRegistro
                        ));
                    }
                } else {
                    // NO EXISTE EL ALUMNO
                    // VISTA NO EXISTE EL ALUMNO
                    return $this->render('CmBundle:Acceso:resultado.html.twig', array('ban' => 500));
                }
            }
        } else {
            return $this->render('CmBundle:Acceso:vista-acceso.html.twig');
        }
    }

    public function imprimirAccesoAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3)) {
            if ($request->getMethod() == 'POST') {
                
            } else { // NO FUE POST
                $ideLic = $request->get('ideLic');

                $em = $this->getDoctrine()->getEntityManager();

                $licenciatura = $em->getRepository('CmBundle:Licenciaturas')->findOneBy(array('ideLic' => $ideLic));
                $plantel = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $session->get('plantel')));

                //$alumnos = $em->getRepository('CmBundle:Alumnos')
                //        ->findBy(array('cveLic' => $ideLic, 'cvePla' => $session->get('plantel')), array('numero' => 'DESC', 'apePat' => 'ASC'));

                $fecha = date($request->get('fec'));

                if ($ideLic == 14) { // TRONCO COMÚN
                    /* $alumnos = $em->getRepository('CmBundle:Alumnos')
                      ->findBy(
                      array(
                      'cvePla' => $session->get('plantel'),
                      'estatus' => 1,
                      'numero' => 1,
                      'tipoAlumno' => 3,
                      'cveLic' => array(1, 6, 7, 10, 11, 12, 13, 14, 16, 18)
                      ), array(
                      'numero' => 'DESC',
                      'apePat' => 'ASC'
                      )
                      ); */

                    $dql = "SELECT a "
                            . "FROM CmBundle:Asistencias a, CmBundle:Alumnos p "
                            . "WHERE a.fecMov = '{$fecha}' "
                            . "AND a.cveAlu = p.ideAlu "
                            . "AND a.cveAlu "
                            . "IN "
                            . "(SELECT x.ideAlu FROM CmBundle:Alumnos x WHERE x.numero = 1 AND x.tipoAlumno = 3 AND x.cveLic IN (1,6,7,10,11,12,13,14,16,18) AND x.cvePla = {$plantel->getIdePla()} ) "
                            . "ORDER BY p.numero,p.apePat,p.apeMat,p.nomAlu";
                } else {
                    if ($ideLic == 17) {
                        //$alumnos = $em->getRepository('CmBundle:Alumnos')
                        //        ->findBy(array('cveLic' => $ideLic, 'cvePla' => $session->get('plantel'), 'estatus' => 1), array('numero' => 'DESC', 'apePat' => 'ASC'));
                        $dql = "SELECT a "
                                . "FROM CmBundle:Asistencias a, CmBundle:Alumnos p "
                                . "WHERE a.fecMov = '{$fecha}' "
                                . "AND a.cveAlu = p.ideAlu "
                                . "AND a.cveAlu "
                                . "IN "
                                . "(SELECT x.ideAlu FROM CmBundle:Alumnos x WHERE x.cveLic = {$ideLic} AND x.cvePla = {$plantel->getIdePla()} ) "
                                . "ORDER BY p.numero,p.apePat,p.apeMat,p.nomAlu";
                    } else {
                        if ($licenciatura->getCveNivAca()->getIdeNivAca() == 3) { // LICENCIATURAS
                            //$alumnos = $em->getRepository('CmBundle:Alumnos')
                            //        ->findBy(array('cveLic' => $ideLic, 'cvePla' => $session->get('plantel'), 'estatus' => 1, 'numero' => array(2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15)), array('numero' => 'DESC', 'apePat' => 'ASC'));
                            $dql = "SELECT a "
                                    . "FROM CmBundle:Asistencias a, CmBundle:Alumnos p "
                                    . "WHERE a.fecMov = '{$fecha}' "
                                    . "AND a.cveAlu = p.ideAlu "
                                    . "AND a.cveAlu "
                                    . "IN "
                                    . "(SELECT x.ideAlu FROM CmBundle:Alumnos x WHERE x.numero > 1 AND x.cveLic = {$ideLic} AND x.cvePla = {$plantel->getIdePla()} ) "
                                    . "ORDER BY p.numero,p.apePat,p.apeMat,p.nomAlu";
                        } else { // PUEDE QUE SEA MAEStría, doctorado o de bachillerato o e.u.
                            //$alumnos = $em->getRepository('CmBundle:Alumnos')
                            //        ->findBy(array('cveLic' => $ideLic, 'cvePla' => $session->get('plantel'), 'estatus' => 1), array('numero' => 'DESC', 'apePat' => 'ASC'));
                            $dql = "SELECT a "
                                    . "FROM CmBundle:Asistencias a, CmBundle:Alumnos p "
                                    . "WHERE a.fecMov = '{$fecha}' "
                                    . "AND a.cveAlu = p.ideAlu "
                                    . "AND a.cveAlu "
                                    . "IN "
                                    . "(SELECT x.ideAlu FROM CmBundle:Alumnos x WHERE x.cveLic = {$ideLic} AND x.cvePla = {$plantel->getIdePla()} ) "
                                    . "ORDER BY p.numero,p.apePat,p.apeMat,p.nomAlu";
                        }
                    }
                }

                $query = $em->createQuery($dql);
                $query->getResult();
                $listaAcceso = $query->getResult();

                $pdf = new PDF('P', 'mm', 'Letter');
                $pdf->setPosicion("V");
                $pdf->AddPage();
                $pdf->AliasNbPages();
                $pdf->SetFont('Arial', '', 12);
                $pdf->listaAsistenciaAlumnos($listaAcceso, $licenciatura, $plantel);

                return new Response($pdf->Output('lista.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

}
