<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use CmBundle\Entity\Horarios;
use CmBundle\Entity\AlumnosCurriculas;
use CmBundle\Controller\PDFBoleta;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of CalificacionController
 *
 * @author omar
 */
class CalificacionController extends Controller {

    //put your code here
    public function calificacionAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $ideGru = $request->get('cveGru');
                $ideCur = $request->get('cveCur');

                $alumnos = $em->getRepository('CmBundle:AlumnosGrupos')
                        ->findBy(
                        array(
                            'cveGru' => $ideGru
                ));
                $listaAlumnos = [];
                foreach ($alumnos as $key => $value) {
                    $auxAlu = $em->getRepository('CmBundle:AlumnosCurriculas')
                            ->findOneBy(
                            array(
                                'cveAlu' => $value->getCveAlu()->getIdeAlu(),
                                'cveCur' => $ideCur
                    ));
                    $listaAlumnos[$key] = $auxAlu;
                }
                $horario = $em->getRepository('CmBundle:Horarios')
                        ->findOneBy(
                        array(
                            'cveGru' => $ideGru,
                            'cveCur' => $ideCur
                ));

                /* return $this->redirect($this->generateUrl('subir-calificaciones', array(
                  'alumnos' => $listaAlumnos,
                  'horario' => $horario,
                  'contador' => $horario
                  ))); */
                return $this->render('CmBundle:Profesor:subir-calificacion.html.twig', array(
                            'alumnos' => $listaAlumnos,
                            'horario' => $horario
                ));
            } else { // NO FUE POST
                // Renderizar formulario de Estatus
                $em = $this->getDoctrine()->getManager();

                $ideGru = $request->get('ideGru');
                $grupo = $em->getRepository('CmBundle:Grupos')
                        ->findOneBy(array('ideGru' => $ideGru));

                $horarios = $em->getRepository('CmBundle:Horarios')
                        ->findBy(array('cveGru' => $grupo));
                $alumnosGrupos = $em->getRepository('CmBundle:AlumnosGrupos')
                        ->findBy(array('cveGru' => $grupo));

                $alumnosCurriculas = $em->getRepository('CmBundle:AlumnosCurriculas')
                        ->findBy(array());


                return $this->render('CmBundle:Profesor:vista-calificacion.html.twig', array(
                            'alumnos' => $alumnosGrupos,
                            'grupo' => $grupo,
                            'horarios' => $horarios
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function gCalificacionAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {
            $session->set("vista", "beca");
            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $ideAluCur = $request->get('ideAluCur');
                $calUno = $request->get('cU');
                $calDos = $request->get('cD');
                $calTres = $request->get('cT');
                $calFinal = $request->get('cF');
                $index = $request->get('i');

                $alumnoCurricula = $em->getRepository('CmBundle:AlumnosCurriculas')
                        ->findOneBy(
                        array('ideAluCur' => $ideAluCur)
                );
                $alumnoCurricula->setCalUno($calUno);
                $alumnoCurricula->setCalDos($calDos);
                $alumnoCurricula->setCalTres($calTres);
                $alumnoCurricula->setCalFinal($calFinal);

                $em->persist($alumnoCurricula);
                $em->flush();

                return $this->render('CmBundle:Profesor:ajax-calificacion.html.twig', array(
                            'aC' => $alumnoCurricula,
                            'index' => $index
                ));
            } else { // NO FUE POST
                $alumnos = $request->get('alumnos');
                $horario = $request->get('horario');

                return $this->render('CmBundle:Profesor:subir-calificacion.html.twig', array(
                            'alumnos' => $alumnos,
                            'horario' => $horario
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function ceVSCAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $ideAluCur = $request->get('ideAluCur');
                $calUno = $request->get('cU');
                $calDos = $request->get('cD');
                $calTres = $request->get('cT');
                $calFinal = $request->get('cF');
                $index = $request->get('i');

                $alumnoCurricula = $em->getRepository('CmBundle:AlumnosCurriculas')
                        ->findOneBy(
                        array('ideAluCur' => $ideAluCur)
                );
                $alumnoCurricula->setCalUno($calUno);
                $alumnoCurricula->setCalDos($calDos);
                $alumnoCurricula->setCalTres($calTres);
                $alumnoCurricula->setCalFinal($calFinal);

                $em->persist($alumnoCurricula);
                $em->flush();

                return $this->render('CmBundle:Profesor:ajax-calificacion.html.twig', array(
                            'aC' => $alumnoCurricula,
                            'index' => $index
                ));
            } else { // NO FUE POST
                $ideAlu = $request->get('ideAlu');
                $em = $this->getDoctrine()->getManager();

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));


                $curriculas = $em->getRepository('CmBundle:AlumnosCurriculas')->findBy(array('cveAlu' => $ideAlu));

                /*
                 * PASO #1: REVISAR SI EL ALUMNO YA TIENE MATERIAS GUARDADAS
                 */
                if ($curriculas != null) {
                    // SI TIENE MAPA CURRICULAR EL ALUMNO
                    /*
                     * PROCEDEMOS A REALIZAR UN CUADRO DE CALIFICACIONES
                     */
                    $auxCur = "";
                    foreach ($curriculas as $key => $value) {
                        $auxCur = $value->getCveCur()->getCvePlan()->getIdePlan();
                        break;
                    }

                    $plan = $em->getRepository('CmBundle:Planeaciones')->findOneBy(array('cveLic' => $alumno->getCveLic()->getIdeLic(), 'idePlan' => $auxCur));

                    return $this->render('CmBundle:Calificacion:vistaCuadroCalificaciones.html.twig', array(
                                'alumno' => $alumno,
                                'plan' => $plan,
                                'asignaturas' => $curriculas
                    ));
                } else {
                    // ENTONCES NO TIENE GUARDADO NINGÚNA ASIGNATURA
                    // SE PROCEDE A CREAR LA LIGA DEL PLAN DE ESTUDIOS ASOCIADO A LA LICENCIATURA QUE ESTÁ CURSANDO EL ALUMNO
                    $planes = $em->getRepository('CmBundle:Planeaciones')->findBy(array('cveLic' => $alumno->getCveLic()->getIdeLic()));

                    return $this->render('CmBundle:Calificacion:vistaAltaMapaAlumno.html.twig', array(
                                'alumno' => $alumno,
                                'planes' => $planes
                    ));
                }
            }
        } else {
            return $this->redirect("logout");
        }
    }

    public function aaMCAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {
                
            } else { // NO FUE POST
                $ideAlu = $request->get('ideAlu');
                $idePlan = $request->get('plan');

                $em = $this->getDoctrine()->getManager();

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));
                $mapCur = $em->getRepository('CmBundle:Planeaciones')->findOneBy(array('idePlan' => $idePlan));

                $asignaturas = $em->getRepository('CmBundle:Curriculas')->findBy(array('cveLic' => $mapCur->getCveLic(), 'cvePlan' => $mapCur->getIdePlan()));

                foreach ($asignaturas as $value) {
                    $aluCur = new AlumnosCurriculas();
                    $aluCur->setCveAlu($alumno);
                    $aluCur->setCveCur($value);
                    $aluCur->setCalUno("");
                    $aluCur->setCalDos("");
                    $aluCur->setCalTres("");
                    $aluCur->setCalFinal("");
                    $aluCur->setIndicador("");
                    $aluCur->setPeriodo("");
                    $aluCur->setFecMov(new \DateTime(date('Y-m-d')));
                    $aluCur->setHorMov(new \DateTime(date('H:i:s')));
                    $aluCur->setCveUsu($session->get('identificador'));

                    $em->persist($aluCur);
                    $em->flush();
                }

                return $this->render('CmBundle:Calificacion:vistaAsignaturas.html.twig', array(
                            'alumno' => $alumno,
                            'mapa' => $mapCur,
                            'asignaturas' => $asignaturas
                ));
            }
        } else {
            return $this->redirect("logout");
        }
    }

    public function gpBoletaAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {
                $ideAlu = $request->get('ideAlu');
                $cuatri = $request->get('cuatri');
                $periodo = $request->get('periodo');

                $em = $this->getDoctrine()->getManager();

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

                $asignaturas = $em->getRepository('CmBundle:Curriculas')
                        ->findBy(array('cveLic' => $alumno->getCveLic()->getIdeLic(), 'numCua' => $cuatri));

                $curriculas = $em->getRepository('CmBundle:AlumnosCurriculas')->findBy(array('cveAlu' => $ideAlu, 'cveCur' => $asignaturas));

                /*
                 * AGREGAR EL PERIODO AL CUATRIMESTRE
                 */
                foreach ($curriculas as $value) {
                    $value->setPeriodo($periodo);
                    $em->persist($value);
                    $em->flush();
                }

                return $this->render('CmBundle:Calificacion:correctoPeriodo.html.twig', array(
                            'a' => $alumno,
                            'cuatri' => $cuatri,
                            'periodo' => $periodo
                ));
            } else { // NO FUE POST
            }
        } else {
            return $this->redirect("logout");
        }
    }

    public function gcBoletaAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {
                //ideAlu: $ideAlu, asignatura: $asignatura, cal: $cal, ind: $ind

                $ideAlu = $request->get('ideAlu');
                $ideAsig = $request->get('asignatura');
                $cal = $request->get('cal');
                $ind = $request->get('ind');

                $em = $this->getDoctrine()->getManager();

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

                $asignatura = $em->getRepository('CmBundle:AlumnosCurriculas')->findOneBy(array('ideAluCur' => $ideAsig));

                /*
                 * AGREGAR LA CALIFICACIÓN A LA ASIGNATURA
                 */
                $asignatura->setCalFinal($cal);
                $asignatura->setIndicador($ind);
                $em->persist($asignatura);
                $em->flush();

                return $this->render('CmBundle:Calificacion:correctoCalificacion.html.twig');
            } else { // NO FUE POST
            }
        } else {
            return $this->redirect("logout");
        }
    }

    public function verBoletaAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {
                
            } else { // NO FUE POST
                $ideAlu = $request->get('ideAlu');
                $cuatri = $request->get('cua');

                $em = $this->getDoctrine()->getManager();

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

                $asignaturas = $em->getRepository('CmBundle:Curriculas')
                        ->findBy(array('cveLic' => $alumno->getCveLic()->getIdeLic(), 'numCua' => $cuatri));

                $curriculas = $em->getRepository('CmBundle:AlumnosCurriculas')->findBy(array('cveAlu' => $ideAlu, 'cveCur' => $asignaturas));

                $periodo = $curriculas[0]->getPeriodo();

                /*
                 * CALCULAR EL PROMEDIO DE LA BOLETA
                 */
                $suma = 0;
                foreach ($curriculas as $value) {
                    $suma = $suma + ($value->getCalFinal() * 1);
                }
                $promedio = round($suma / count($curriculas), 2, PHP_ROUND_HALF_DOWN);


                $pdf = new PDFBoleta('P', 'mm', 'Letter');
                $pdf->SetFont('Arial', '', 12);
                $pdf->AddPage();
                $pdf->generarBoleta($alumno, $curriculas, $promedio, $cuatri, $periodo);

                return new Response($pdf->Output('boleta.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
            }
        } else {
            return $this->redirect("logout");
        }
    }

}
