<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use CmBundle\Entity\PagosConvenios;
use CmBundle\Entity\Ingresos;
use CmBundle\Entity\Convenios;
use CmBundle\Controller\PDFConvenio;
use CmBundle\Controller\PDFBachillerato;
use CmBundle\Controller\NumberToLetterConverter;
use Picqer\Barcode\BarcodeGeneratorPNG;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of ConveniosController
 *
 * @author Omar
 */
class ConveniosController extends Controller
{

    public function traerPagosAPagarAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getEntityManager();

                $ideAlu = $request->get('ideAlu');

                $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $ideAlu));

                $hoy = new \DateTime(date('Y-m-d'));
                $hoy = $hoy->modify('first day of this month');

                $dql = "SELECT p "
                    . "FROM CmBundle:Pagos p "
                    . "WHERE p.fecIni < :hoy "
                    . "AND p.staPag = 1 "
                    . "AND p.cveAlu = :alu";
                $query = $em->createQuery($dql);
                $query->setParameter('hoy', $hoy);
                $query->setParameter('alu', $alumno->getIdeAlu());
                $pagos = $query->getResult();

                return $this->render('CmBundle:Caja:tablaPagosAPagarConvenio.html.twig', array('pagos' => $pagos, 'a' => $alumno));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function hacerTablaPagosConvenioAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getEntityManager();

                $ideAlu = $request->get('ideAlu');
                $montoAPagar = $request->get('montoAPagar');
                $plazo = $request->get('plazo');
                $modo = $request->get('modo');

                $numeroDePagos = $plazo * $modo;
                //print_r($numeroDePagos);
                $primerPago = ceil($montoAPagar / $numeroDePagos);
                $restanPago = $montoAPagar - $primerPago;
                $montoDePagos = 0;
                if (($numeroDePagos - 1) > 0) {
                    $montoDePagos = floor($restanPago / ($numeroDePagos - 1));
                } else {
                    $montoDePagos = $montoAPagar;
                }
                $residuoPagos = $restanPago - ($montoDePagos * ($numeroDePagos - 1));
                $banderaResiduo = 0;
                if ($residuoPagos > 0) {
                    $banderaResiduo = 1;
                }

                $listaPagos = [];
                $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
                $mesesMexico = array('Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre');

                $fechaInicial = "";

                if ($modo == 2) { // quincenal
                    $hoy = date('d');
                    if ($hoy >= 15) {
                        $auxFecha = date('Y-m');
                        $fechaInicial = date('d-F-Y', strtotime("{$auxFecha} -1 day +15 day")); // 15° día
                    } elseif ($hoy < 15 & $hoy >= 1) {
                        $auxFecha = date('Y-m');
                        $fechaInicial = date('d-F-Y', strtotime("{$auxFecha} -1 day")); // ultimo día del mes pasado
                    }
                } elseif ($modo == 1) { // mensual
                    $auxFecha = date('Y-m');
                    $fechaInicial = date('d-F-Y', strtotime("{$auxFecha} -1 day +1 day"));
                } elseif ($modo == 4) { // semanal
                    $fechaInicial = date('d-F-Y', strtotime('Monday this week'));
                }


                for ($i = 1; $i <= $numeroDePagos; $i++) {
                    $fechaFinal = $fechaInicial;
                    if ($i == $numeroDePagos) {
                        $listaPagos[$i - 1] = array(($montoDePagos + $residuoPagos), str_replace($mesesIngles, $mesesMexico, $fechaInicial));
                    } elseif ($i == 1) {
                        $listaPagos[$i - 1] = array(($primerPago), str_replace($mesesIngles, $mesesMexico, $fechaInicial));
                    } else {
                        $listaPagos[$i - 1] = array($montoDePagos, str_replace($mesesIngles, $mesesMexico, $fechaInicial));
                    }


                    if ($modo == 2) { // quincenal
                        $dayx = date('d', strtotime($fechaFinal)); // sacamos el dia de $last_day 
                        $hoy3 = date('Y-m', strtotime($fechaFinal)); // sacamos el año y mes de $last_day 
                        //si el dia del primer pago es menor a quince el primer pago lo programo al dia ultimo de ese mes si no se va hasta la otra quincena del siguiente 
                        if ($dayx <= 15) {
                            $aux = date('Y-m-d', strtotime("{$hoy3} + 1 month"));
                            $fechaInicial = date('d-F-Y', strtotime("{$aux} -1 day"));
                            //echo $last_day . '<br>'; //imprimo la fecha de pago 
                        } else {
                            $aux = date('Y-m-d', strtotime("{$hoy3} + 1 month"));
                            $fechaInicial = date('d-F-Y', strtotime("{$aux} +14 day"));
                            //echo $last_day . '<br>'; //imprimo la fecha de pago 
                        }
                    } elseif ($modo == 1) { // mensual
                        $fechaInicial = date('d-F-Y', strtotime("{$fechaFinal} +1 month"));
                    } elseif ($modo == 4) { // semanal
                        $fechaInicial = date('d-F-Y', strtotime('Monday next week ' . $fechaFinal));
                    }
                }
                //print_r(date('F jS, Y', strtotime('Monday this week')));
                //var_dump($listaPagos);

                return $this->render('CmBundle:Caja:tablaPagosDelConvenio.html.twig', array(
                    'montoAPagar' => $montoAPagar,
                    'plazo' => $plazo,
                    'modo' => $modo,
                    'listaPagos' => $listaPagos
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function guardarTablaPagosConvenioAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getEntityManager();

                $ideAlu = $request->get('ideAlu');
                $montoAPagar = $request->get('montoAPagar');
                $plazo = $request->get('plazo');
                $modo = $request->get('modo');
                $telefono = $request->get('tel');

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

                $numeroDePagos = $plazo * $modo;
                $primerPago = ceil($montoAPagar / $numeroDePagos);
                $restanPago = $montoAPagar - $primerPago;

                $montoDePagos = 0;
                if (($numeroDePagos - 1) > 0) {
                    $montoDePagos = floor($restanPago / ($numeroDePagos - 1));
                } else {
                    $montoDePagos = floor($restanPago / ($numeroDePagos));
                }
                $residuoPagos = $restanPago - ($montoDePagos * ($numeroDePagos - 1));
                $banderaResiduo = 0;
                if ($residuoPagos > 0) {
                    $banderaResiduo = 1;
                }

                $listaPagos = [];
                $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
                $mesesMexico = array('Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre');

                $fechaInicial = "";

                if ($modo == 2) { // quincenal
                    $hoy = date('d');
                    if ($hoy >= 15) {
                        $auxFecha = date('Y-m');
                        $fechaInicial = date('d-F-Y', strtotime("{$auxFecha} -1 day +15 day")); // 15° día
                    } elseif ($hoy < 15 & $hoy >= 1) {
                        $auxFecha = date('Y-m');
                        $fechaInicial = date('d-F-Y', strtotime("{$auxFecha} -1 day")); // ultimo día del mes pasado
                    }
                } elseif ($modo == 1) { // mensual
                    $auxFecha = date('Y-m');
                    $fechaInicial = date('d-F-Y', strtotime("{$auxFecha} -1 day +1 day"));
                } elseif ($modo == 4) { // semanal
                    $fechaInicial = date('d-F-Y', strtotime('Monday this week'));
                }

                for ($i = 1; $i <= $numeroDePagos; $i++) {
                    $fechaFinal = $fechaInicial;
                    if ($i == $numeroDePagos) {
                        $listaPagos[$i - 1] = array($montoDePagos + $residuoPagos, $fechaInicial);
                    } elseif ($i == 1) {
                        $listaPagos[$i - 1] = array($primerPago, $fechaInicial);
                    } else {
                        $listaPagos[$i - 1] = array($montoDePagos, $fechaInicial);
                    }

                    if ($modo == 2) { // quincenal
                        $dayx = date('d', strtotime($fechaFinal)); // sacamos el dia de $last_day 
                        $hoy3 = date('Y-m', strtotime($fechaFinal)); // sacamos el año y mes de $last_day 
                        //si el dia del primer pago es menor a quince el primer pago lo programo al dia ultimo de ese mes si no se va hasta la otra quincena del siguiente 
                        if ($dayx <= 15) {
                            $aux = date('Y-m-d', strtotime("{$hoy3} + 1 month"));
                            $fechaInicial = date('d-F-Y', strtotime("{$aux} -1 day"));
                            //echo $last_day . '<br>'; //imprimo la fecha de pago 
                        } else {
                            $aux = date('Y-m-d', strtotime("{$hoy3} + 1 month"));
                            $fechaInicial = date('d-F-Y', strtotime("{$aux} +14 day"));
                            //echo $last_day . '<br>'; //imprimo la fecha de pago 
                        }
                    } elseif ($modo == 1) { // mensual
                        $fechaInicial = date('d-F-Y', strtotime("{$fechaFinal} +1 month"));
                    } elseif ($modo == 4) { // semanal
                        $fechaInicial = date('d-F-Y', strtotime('Monday next week ' . $fechaFinal));
                    }
                }

                foreach ($listaPagos as $key => $value) {
                    $auxFecha = date('d-F-Y', strtotime("{$value[1]}"));
                    $auxFecha2 = date('m', strtotime("{$value[1]}"));

                    $pc = new PagosConvenios();
                    $pc->setCveAlu($alumno);
                    $pc->setFecIni(new \DateTime($auxFecha));
                    $pc->setFecTer(new \DateTime($auxFecha));

                    $pc->setNomMes($mesesMexico[($auxFecha2 * 1) - 1]);
                    $pc->setDescripcion("");
                    $pc->setMonto($value[0]);
                    $pc->setRecargos(0);
                    $pc->setTotal($value[0]);
                    $pc->setDeposito(0);
                    $pc->setNumConvenio($alumno->getContadorConvenio());
                    $pc->setFecMov(new \DateTime(date('Y-m-d')));
                    $pc->setCveUsu($session->get('identificador'));

                    $em->persist($pc);
                    $em->flush();
                }

                $alumno->setConvenio(1);
                $em->persist($alumno);
                $em->flush();

                $hoy = new \DateTime(date('Y-m-d'));
                $hoy = $hoy->modify('first day of this month');

                $dql = "SELECT p "
                    . "FROM CmBundle:Pagos p "
                    . "WHERE p.fecIni < :hoy "
                    . "AND p.staPag = 1 "
                    . "AND p.cveAlu = :alu";
                $query = $em->createQuery($dql);
                $query->setParameter('hoy', $hoy);
                $query->setParameter('alu', $alumno->getIdeAlu());
                $pagos = $query->getResult();

                foreach ($pagos as $key => $value) {
                    $value->setStaPag(2);
                    $value->setTipPag(69);
                    $value->setDescripcion("EN CONVENIO");
                    $value->setNumRecibo($alumno->getContadorConvenio());

                    $em->persist($value);
                    $em->flush();
                }

                $plantel = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $session->get("plantel")));

                $convenio = new Convenios();
                $convenio->setCveAlu($alumno);
                $convenio->setCvePla($plantel);
                $convenio->setCveUsu($session->get("identificador"));
                $convenio->setMonto($montoAPagar);
                $convenio->setFecCon(new \DateTime(date('Y-m-d')));
                $convenio->setHorCon(new \DateTime(date('H:i:s')));
                $convenio->setNumConvenio($alumno->getContadorConvenio());
                $convenio->setTelefono($telefono);
                $convenio->setPlazo($plazo);
                $convenio->setModoPago($modo);
                $em->persist($convenio);
                $em->flush();

                $alumno->setContadorConvenio($alumno->getContadorConvenio() + 1);
                $em->persist($alumno);
                $em->flush();


                $pagosConvenio = $em->getRepository('CmBundle:PagosConvenios')
                    ->findBy(array('cveAlu' => $alumno->getIdeAlu()));

                return $this->render('CmBundle:Caja:tablaPagosGuardadosDelConvenio.html.twig', array(
                    'montoAPagar' => $montoAPagar,
                    'plazo' => $plazo,
                    'modo' => $modo,
                    'listaPagos' => $pagosConvenio,
                    'convenio' => $convenio
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function traerTablaPagosConvenioAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getEntityManager();

                $ideAlu = $request->get('ideAlu');
                $montoAPagar = $request->get('montoAPagar');
                $plazo = $request->get('plazo');
                $modo = $request->get('modo');

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

                $pagosConvenio = $em->getRepository('CmBundle:PagosConvenios')
                    ->findBy(array('cveAlu' => $alumno->getIdeAlu()));

                return $this->render('CmBundle:Caja:tablaPagosGuardadosDelConvenio2.html.twig', array(
                    'listaPagos' => $pagosConvenio
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function cargarPagosConvenioAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getEntityManager();

                $ideAlu = $request->get('ideAlu');
                $idePagCon = $request->get('convenio');

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

                $pConvenio = $em->getRepository('CmBundle:PagosConvenios')->findOneBy(array('idePagCon' => $idePagCon));

                $pcAbonos = $em->getRepository('CmBundle:Ingresos')->findBy(array('cveCon' => $idePagCon));

                return $this->render('CmBundle:Caja:tablaPagosAbonosDelConvenio.html.twig', array(
                    'convenio' => $pConvenio,
                    'abonos' => $pcAbonos,
                    'alumno' => $alumno
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function guardarAbonosConvenioAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {

            if ($request->getMethod() == "POST") {
                $em = $this->getDoctrine()->getEntityManager();

                $ideAlu = $request->get('ideAlu');
                $referencia = $request->get('ref');
                $modoPago = $request->get('modoP');
                $monto = $request->get('monto');
                $idePagCon = $request->get('idePagCon');
                $banco = $request->get('banco');
                $vencida = $request->get('vencida');

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));
                $pConvenio = $em->getRepository('CmBundle:PagosConvenios')->findOneBy(array('idePagCon' => $idePagCon));

                $cveBan = $em->getRepository('CmBundle:Bancos')->findOneBy(array('ideBan' => $banco));

                $anio = date('y');
                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('cvePla' => $session->get('plantel')));

                $contador = $plantel->getContadorIngresos();

                $numeroRecibo = $session->get('plantel') . $anio;

                if ($contador <= 9) {
                    $numeroRecibo = $session->get('plantel') . $anio . "000" . $contador;
                } elseif ($contador > 9 & $contador <= 99) {
                    $numeroRecibo = $session->get('plantel') . $anio . "00" . $contador;
                } elseif ($contador > 99 & $contador <= 999) {
                    $numeroRecibo = $session->get('plantel') . $anio . "0" . $contador;
                } elseif ($contador > 999 & $contador <= 9999) {
                    $numeroRecibo = $session->get('plantel') . $anio . $contador;
                }

                /*
                 * CREAR EL INGRESOS
                 */
                $ingreso = new Ingresos();
                $ingreso->setCveAlu($alumno);

                $ingreso->setCveUsu($session->get('identificador'));
                $ingreso->setFecMov(new \DateTime(date('Y-m-d')));
                $ingreso->setDescripcion('ABONO CONVENIO');
                $ingreso->setBeca(0);
                $ingreso->setMonto($monto);
                $ingreso->setTipPag($modoPago);
                $ingreso->setTotal($monto);
                $ingreso->setReferencia($referencia);
                $ingreso->setRecargos(0);
                $ingreso->setNumRecibo($numeroRecibo);
                $ingreso->setCveCon($pConvenio->getIdePagCon());
                $ingreso->setCvePag(-1);
                $ingreso->setCveBan($cveBan);
                $ingreso->setVencida($vencida);
                $ingreso->setCvePla($plantel);
                $ingreso->setHorMov(new \DateTime(date("H:i:s")));

                $em->persist($ingreso);
                $em->flush();

                $pConvenio->setDeposito($pConvenio->getDeposito() + $monto);
                $em->persist($pConvenio);
                $em->flush();

                if ($pConvenio->getDeposito() == $pConvenio->getTotal()) {
                    $pConvenio->setEstatus(1);
                    $em->persist($pConvenio);
                    $em->flush();
                }

                $plantel->setContadorIngresos($plantel->getContadorIngresos() + 1);
                $em->persist($plantel);
                $em->flush();

                /**
                 * VALIDAR SI EL MONTO DEPOSITADO ES IGUAL AL TOTAL QUE DEBE DE CUBRIR EN EL CONVENIO
                 */
                //TRAER TODOS LOS PAGOS DEL CONVENIO VIGENTE
                $pagosDelConvenio = $em->getRepository('CmBundle:PagosConvenios')
                    ->findBy(array('numConvenio' => $pConvenio->getNumConvenio(), 'cveAlu' => $alumno->getIdeAlu()));
                //SUMAR TODOS LOS MONTOS DEPOSITADOS
                $sumaDepositado = 0;
                foreach ($pagosDelConvenio as $key => $value) {
                    $sumaDepositado = $sumaDepositado + $value->getDeposito();
                }
                //print_r("entro");
                //BUSCAR EL CONVENIO VIGENTE
                $convenioVigente = $em->getRepository('CmBundle:Convenios')
                    ->findOneBy(array('cveAlu' => $alumno->getIdeAlu(), 'numConvenio' => $pConvenio->getNumConvenio()));
                //COMPARAR LOS MONTOS
                if ($sumaDepositado == $convenioVigente->getMonto()) {
                    $convenioVigente->setEstatus(1);

                    $alumno->setConvenio(0);
                    $em->persist($alumno);
                    $em->flush();
                } else {

                }

                $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $ideAlu));
                $pcAbonos = $em->getRepository('CmBundle:Ingresos')->findBy(array('cveCon' => $idePagCon));

                return $this->render('CmBundle:Caja:tablaPagosAbonosDelConvenio.html.twig', array(
                    'convenio' => $pConvenio,
                    'abonos' => $pcAbonos,
                    'alumno' => $alumno
                ));
            } else { // NO FUE POST
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function imprimirAbonosConvenioAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {

            if ($request->getMethod() == "POST") {

            } else { // NO FUE POST
                $em = $this->getDoctrine()->getManager();

                //$ideIng = $request->get('ref');
                //$ban = $request->get('ban');
                //$cveAlu = $request->get('ideAlu');
                $cveIng = $request->get('ideIng');
                //$numRec = $request->get('numRec');

                $ingreso = $em->getRepository('CmBundle:Ingresos')
                    ->findOneBy(array('ideIng' => $cveIng));
                $pagoConvenio = $em->getRepository('CmBundle:PagosConvenios')
                    ->findOneBy(array('idePagCon' => $ingreso->getCveCon()));
                $usuario = $em->getRepository('CmBundle:Empleados')
                    ->findOneBy(array('identificador' => $ingreso->getCveUsu()));

                $generator = new BarcodeGeneratorPNG();
                //echo '<img src="data:image/png;base64,' . base64_encode($generator->getBarcode('081231723897', $generator::TYPE_CODE_128)) . '">';
                $imagenBarra = "data:image/png;base64," . base64_encode($generator->getBarcode($ingreso->getCveAlu()->getCveCtl(), $generator::TYPE_CODE_128));
                $cb1 = $this->base64_to_png($imagenBarra, 'barras/' . $ingreso->getCveAlu()->getCveCtl() . '.png');

                $imagenBarraDos = "data:image/png;base64," . base64_encode($generator->getBarcode($ingreso->getNumRecibo(), $generator::TYPE_CODE_128));
                $cb2 = $this->base64_to_png($imagenBarraDos, 'barras/' . $ingreso->getNumRecibo() . '.png');


                $pdf = new PDFBachillerato('L', 'mm', array(140, 216));
                $pdf->banRecibo = 1;
                $pdf->AddPage();
                $pdf->SetFont('Helvetica');
                $pdf->ReciboComprobanteConvenio(0, $ingreso, $pagoConvenio, 0, $usuario, $cb1, $cb2, $session->get("rol"));
                $pdf->AddPage();
                $pdf->SetFont('Helvetica');
                $pdf->ReciboComprobanteConvenio(0, $ingreso, $pagoConvenio, 0, $usuario, $cb1, $cb2, $session->get("rol"));

                return new Response($pdf->Output('comprobanteAbonoConvenio.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function imprimirFormatoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {

            if ($request->getMethod() == "POST") {

            } else { // NO FUE POST
                $em = $this->getDoctrine()->getManager();

                $ideCon = $request->get('ideCon');
                $convenio = $em->getRepository('CmBundle:Convenios')->findOneBy(array('ideCon' => $ideCon));
                $pagosConvenios = $em->getRepository('CmBundle:PagosConvenios')->findBy(array('cveAlu' => $convenio->getCveAlu()->getIdeAlu(), 'numConvenio' => $convenio->getNumConvenio()));


                $pdf = new PDFConvenio('P', 'mm', 'Letter');
                $pdf->SetAutoPageBreak(true, 0);
                $pdf->AddPage();
                $pdf->SetFont('Arial', 'B', 14);
                $pdf->Image('images/membretes/mg.png', 0, 2, 216);

                $pdf->Image('images/whatsapp2.png', 135, 8, 10);
                $pdf->Cell(0, 6, utf8_decode($convenio->getTelefono()), 0, 0, 'R', FALSE);
                $pdf->Ln();
                $pdf->Cell(0, 6, "__________________________", 0, 0, 'R', FALSE);
                $pdf->SetFont('Arial', 'B', 16);
                $pdf->Ln(15);
                $pdf->Cell(0, 10, "CONVENIO DE PAGO LICENCIATURA", 0, 0, 'C', FALSE);
                $pdf->Ln();
                $pdf->SetFont('Arial', '', 12);
                $nombreAlumno = $convenio->getCveAlu()->getNomAlu() . " " . $convenio->getCveAlu()->getApePat() . " " . $convenio->getCveAlu()->getApeMat();
                $nivel = "";
                if ($convenio->getCveAlu()->getTipoAlumno() == 1) {// BACHILLERATO ESCOLARIZADO
                } elseif ($convenio->getCveAlu()->getTipoAlumno() == 2) { // EXAMEN UNICO
                } elseif ($convenio->getCveAlu()->getTipoAlumno() == 3) { // LICENCIATURAS
                    $nivel = " de la Licenciatura en ";
                } elseif ($convenio->getCveAlu()->getTipoAlumno() == 4) { // MAESTRÍAS
                    $nivel = " de la Maestría en ";
                } elseif ($convenio->getCveAlu()->getTipoAlumno() == 5) { // DOCTORADO
                    $nivel = " del Doctorado en ";
                } elseif ($convenio->getCveAlu()->getTipoAlumno() == 6) { // TITULACIÓN
                }
                $modalidad = "semestre";
                if ($convenio->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                    $modalidad = "cuatrimestre";
                }
                $pdf->WriteHTML(utf8_decode(
                        '<p align="justify">'
                        . 'El alumno (a) <b>' . $nombreAlumno . '</b> ' . $nivel . ' <b>' . $convenio->getCveAlu()->getCveLic()->getNomLic() . '</b>,'
                        . ' del <b>' . $convenio->getCveAlu()->getNumero() . '°</b> ' . $modalidad . ', y el '
                        . 'Acreedor <b>UNIVERSIDAD TEC MEXIQUENSE</b> através de este "Convenio de Pago" que establece lo siguiente:'
                        . '</p>'
                    )
                );
                $pdf->WriteHTML(utf8_decode(
                        '<br><br>'
                        . '<p align="justify">'
                        . '<b>PRIMERO.-</b> El alumno acepta y se compromete a pagar la deuda contraida con '
                        . 'la UNIVERSIDAD UBC la cual asciende a la cantidad de:'
                        . '</p>'
                    )
                );
                $pdf->Ln();
                $convertidor = new NumberToLetterConverter();
                $cantidadLetra = $convertidor->to_word($convenio->getMonto());
                $pdf->SetFont('Arial', 'B', 12);
                $pdf->Cell(0, 10, "$ " . number_format($convenio->getMonto(), 2, ".", ",") . utf8_decode(" ( " . $cantidadLetra . "PESOS 00/100 MN )"), 0, 0, "C", false);
                $pdf->SetFont('Arial', '', 12);

                $plazo = $convenio->getPlazo();
                if ($plazo > 1) {
                    $plazo = $plazo . " MESES";
                } else {
                    $plazo = $plazo . " MES";
                }

                $pdf->WriteHTML(utf8_decode(
                        '<br><br>'
                        . '<p align="justify">'
                        . '<b>SEGUNDO.-</b> De mutuo acuerdo se establece el siguiente plan de pagos. El alumno '
                        . 'pagará en un plazo no mayor a <b>' . $plazo . '</b> a partir del inicio de este convenio. '
                        . 'Los pagos se efectuarán de la siguiente manera:'
                        . '</p>'
                    )
                );
                $pdf->SetFont('Arial', '', 10);
                $pdf->TablaConvenio($convenio, $pagosConvenios);
                $pdf->SetFont('Arial', '', 12);
                $pdf->Cell(0, 10, "OBS.____________________________________________________________________________", 0, 0, "L", false);

                $pdf->WriteHTML(utf8_decode(
                        '<br><br>'
                        . '<p align="justify">'
                        . '<b>TERCERA.-</b> Si el alumno incumple en algún pago o no cacela en su totalidad la '
                        . 'deuda contraída según el plazo estipulado, la UNIVERSIDAD UBC se deslinda de su baja automática al Sistema de Control Escolar.'
                        . '</p>'
                    )
                );
                $pdf->WriteHTML(utf8_decode(
                        '<br><br>'
                        . '<p align="justify">'
                        . '<b>CUARTA.-</b> Si el alumno posterior  al plazo estipulado hace caso omiso al convenio '
                        . 'celebrado será responsable por la penalización de intereses en un 10% por cada '
                        . 'mes que se tenga de retraso.'
                        . '</p>'
                    )
                );

                $mes = date('F');
                $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
                $mesesMexico = array('Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre');
                $mes = str_replace($mesesIngles, $mesesMexico, $mes);

                $pdf->WriteHTML(utf8_decode(
                        '<br><br>'
                        . '<p align="justify">'
                        . 'El presente convenio se establece a los ' . date('d') . ' días, del mes de ' . $mes . ' del ' . date('Y') . ' en '
                        . 'Toluca, Estado de México.'
                        . '</p>'
                    )
                );
                $pdf->Ln(10);
                $pdf->SetFont('Arial', 'B', 12);
                $pdf->Cell(95, 5, utf8_decode("AUTORIZO"), 0, 0, 'C', FALSE);
                $pdf->Cell(95, 5, utf8_decode("ACEPTO"), 0, 0, 'C', FALSE);
                $pdf->Ln(10);
                $pdf->Cell(95, 5, "_________________________________", 0, 0, 'C', FALSE);
                $pdf->Cell(95, 5, "_________________________________", 0, 0, 'C', FALSE);
                $pdf->Ln();
                $pdf->Cell(95, 5, utf8_decode("COORDINACIÓN ADMINISTRATIVA"), 0, 0, 'C', FALSE);
                $pdf->Cell(95, 5, utf8_decode("NOMBRE Y FIRMA DEL ALUMNO (A)"), 0, 0, 'C', FALSE);
                $pdf->Ln(15);
                $pdf->Cell(0, 5, "_________________________________", 0, 0, 'C', FALSE);
                $pdf->Ln();
                $pdf->Cell(0, 5, utf8_decode("DIRECCIÓN DE PLANTEL"), 0, 0, 'C', FALSE);

                return new Response($pdf->Output('formatoConvenio.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function seguimientoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {
            $session->set("vista", "dirAdmin");
            if ($request->getMethod() == "POST") {
                $em = $this->getDoctrine()->getEntityManager();

                return $this->render('CmBundle:Caja:tablaPagosAbonosDelConvenio.html.twig');
            } else { // NO FUE POST
                $em = $this->getDoctrine()->getEntityManager();

                $zinacantepec = $em->getRepository('CmBundle:Alumnos')->findBy(array('convenio' => 1, 'cvePla' => 1));
                $pinoSuarez = $em->getRepository('CmBundle:Alumnos')->findBy(array('convenio' => 1, 'cvePla' => 2));
                $valleBravo = $em->getRepository('CmBundle:Alumnos')->findBy(array('convenio' => 1, 'cvePla' => 3));
                $centroMorelos = $em->getRepository('CmBundle:Alumnos')->findBy(array('convenio' => 1, 'cvePla' => 4));

                $listaZinacantepec = [];
                $listaPinoSuarez = [];
                $listaValleBravo = [];
                $listaCentroMorelos = [];

                foreach ($zinacantepec as $key => $value) {
                    $detallesConvenio = $em->getRepository('CmBundle:Convenios')->findOneBy(array('cveAlu' => $value->getIdeAlu()));
                    $abonosConvenio = $em->getRepository('CmBundle:PagosConvenios')->findBy(array('cveAlu' => $value->getIdeAlu()));
                    $convenio = $em->getRepository('CmBundle:Convenios')->findOneBy(array('cveAlu' => $value->getIdeAlu()));
                    $suma = 0;
                    foreach ($abonosConvenio as $k => $v) {
                        $suma = $suma + $v->getDeposito();
                    }

                    $listaZinacantepec[$key] = array($value, $detallesConvenio, $suma, $convenio);
                }

                foreach ($pinoSuarez as $key => $value) {
                    $detallesConvenio = $em->getRepository('CmBundle:Convenios')->findOneBy(array('cveAlu' => $value->getIdeAlu()));
                    $abonosConvenio = $em->getRepository('CmBundle:PagosConvenios')->findBy(array('cveAlu' => $value->getIdeAlu()));
                    $convenio = $em->getRepository('CmBundle:Convenios')->findOneBy(array('cveAlu' => $value->getIdeAlu()));
                    $suma = 0;
                    foreach ($abonosConvenio as $k => $v) {
                        $suma = $suma + $v->getDeposito();
                    }

                    $listaPinoSuarez[$key] = array($value, $detallesConvenio, $suma, $convenio);
                }

                foreach ($valleBravo as $key => $value) {
                    $detallesConvenio = $em->getRepository('CmBundle:Convenios')->findOneBy(array('cveAlu' => $value->getIdeAlu()));
                    $abonosConvenio = $em->getRepository('CmBundle:PagosConvenios')->findBy(array('cveAlu' => $value->getIdeAlu()));
                    $convenio = $em->getRepository('CmBundle:Convenios')->findOneBy(array('cveAlu' => $value->getIdeAlu()));
                    $suma = 0;
                    foreach ($abonosConvenio as $k => $v) {
                        $suma = $suma + $v->getDeposito();
                    }

                    $listaValleBravo[$key] = array($value, $detallesConvenio, $suma, $convenio);
                }

                foreach ($centroMorelos as $key => $value) {
                    $detallesConvenio = $em->getRepository('CmBundle:Convenios')->findOneBy(array('cveAlu' => $value->getIdeAlu()));
                    $abonosConvenio = $em->getRepository('CmBundle:PagosConvenios')->findBy(array('cveAlu' => $value->getIdeAlu()));
                    $convenio = $em->getRepository('CmBundle:Convenios')->findOneBy(array('cveAlu' => $value->getIdeAlu()));
                    $suma = 0;
                    foreach ($abonosConvenio as $k => $v) {
                        $suma = $suma + $v->getDeposito();
                    }

                    $listaCentroMorelos[$key] = array($value, $detallesConvenio, $suma, $convenio);
                }


                return $this->render('CmBundle:DireccionAdministrativa:vista-convenios.html.twig', array(
                    'zina' => $listaZinacantepec,
                    'ps' => $listaPinoSuarez,
                    'vb' => $listaValleBravo,
                    'cm' => $listaCentroMorelos
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    function base64_to_png($base64_string, $output_file)
    {
        // open the output file for writing
        $ifp = fopen($output_file, 'wb');

        // split the string on commas
        // $data[ 0 ] == "data:image/png;base64"
        // $data[ 1 ] == <actual base64 string>
        $data = explode(',', $base64_string);

        // we could add validation here with ensuring count( $data ) > 1
        fwrite($ifp, base64_decode($data[1]));

        // clean up the file resource
        fclose($ifp);

        return $output_file;
    }

}
