<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

/**
 * Description of DireccionGeneralController
 *
 * @author Omar
 */
class DireccionGeneralController extends Controller {

    //put your code here
    public function homeAction(Request $request) {
        $session = $request->getSession();
        if ($session->has('idEmpleado') && ($session->get('rol') == 101)) {
            if ($request->getMethod() == "POST") {
                $key = $request->get('key');
                switch ($key) {
                    case 0: // Vista Inicial Direccion General
                        return $this->render('CmBundle:DireccionGeneral:vistaInicial.html.twig');
                        break;
                    case 1: // LICENCIATURA N1
                        return $this->render('CmBundle:DireccionGeneral:licenciaturasNiv1.html.twig', array('especialidades' => $this->cargarEspecialidades()));
                        break;
                    case 2: // MAESTRIA N1
                        break;
                    case 3: // DOCTORADO N1
                        break;
                    case 4: // EXAMEN UNICO N1
                        return $this->render('CmBundle:DireccionGeneral:examenUnicoNiv1.html.twig', array("aplicaciones" => $this->traerAplicaciones()));
                        break;
                    case 5: // BACHILLERATO ESCOLARIZADO N1
                        break;
                    case 6: // DIPLOMADOS / OTROS N1
                        break;
                }
            } else { // NO FUE POST
                $this->render('CmBundle:DireccionGeneral:home.html.twig');
            }
        } else {
            //ELIMINAR DATOS DE LA SESIÓN
        }
    }

    public function traerAplicaciones() {
        $em = $this->getDoctrine()->getEntityManager();
        $dql = "SELECT DISTINCT(a.numeroAplicacion) aplicacion, a.estatus estatus "
                . "FROM CmBundle:AplicacionExamenUnico a ";
        $query = $em->createQuery($dql);
        $aplicaciones = $query->getResult();
        return $aplicaciones;
    }

    public function cargarEspecialidades() {
        $em = $this->getDoctrine()->getEntityManager();

        $especialidades = $em->getRepository('CmBundle:Licenciaturas')
                ->findBy(array(), array('cveNivAca' => 'ASC', 'nomLic' => 'ASC'));
        return $especialidades;
    }

    public function datosEUAction(Request $request) {
        $session = $request->getSession();
        if ($session->has('idEmpleado') && ($session->get('rol') == 101)) {
            if ($request->getMethod() == "POST") {
                
            } else { // NO FUE POST
                $numAplicacion = $request->get('numAplicacion');

                $em = $this->getDoctrine()->getEntityManager();

                /*
                 * PASO 1: Traer todos los id´s de los numeros de aplicaciones
                 * que coinciden con la varible $numAplicacion
                 */
                $aplicaciones = $em->getRepository('CmBundle:AplicacionExamenUnico')
                        ->findBy(array('numeroAplicacion' => $numAplicacion));

                /* $dql = "SELECT a "
                  . "FROM CmBundle:Alumnos a "
                  . "WHERE a.cveNumApli = :cve ";
                  $query = $em->createQuery($dql);
                  $query->setParameter('cve', $aplicaciones);
                  $alumnos = $query->getResult(); */
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy(array('cveNumApli' => $aplicaciones), array('cveNumApli' => 'ASC', 'apePat' => 'ASC'));

                $datos = array();

                foreach ($alumnos as $k => $v) {
                    $pagos = $em->getRepository('CmBundle:Pagos')
                            ->findBy(array('cveAlu' => $v->getIdeAlu()));
                    $pagosConAbonos = array();
                    $detallesBachi = $em->getRepository('CmBundle:DetallesBachiEu')
                            ->findOneBy(array('cveAlu' => $v->getIdeAlu()));
                    /**
                     * RECUPERAR EL LISTADO DE DOCUMENTACIÓN DIGITAL
                     */
                    $rutaCURP = "archivo/" . $v->getCveCtl() . "-curp.pdf";
                    $rutaActa = "archivo/" . $v->getCveCtl() . "-an.pdf";
                    $rutaCert = "archivo/" . $v->getCveCtl() . "-cs.pdf";


                    if (file_exists($rutaCURP) & file_exists($rutaActa) & file_exists($rutaCert)) {
                        $detallesBachi->setDocumentacionDigital(1);
                        $em->persist($detallesBachi);
                        $em->flush();
                    } else {
                        $detallesBachi->setDocumentacionDigital(0);
                        $em->persist($detallesBachi);
                        $em->flush();
                    }

                    // TERMINA LA COMPROBACIÓN DE DOCUMENTACIÓN DIGITAL

                    $numeroPagos = 0;
                    $suma = 0;
                    $sumaInscripcion = 0;
                    $sumaAbonos = 0;
                    $monto = 0;
                    foreach ($pagos as $key => $value) {
                        if ($value->getDescripcion() == "INSCRIPCIÓN") {
                            $listaPagos = $em->getRepository('CmBundle:Ingresos')
                                    ->findBy(array('cveAlu' => $v->getIdeAlu(), 'cvePag' => $value->getIdePag()));
                            $suma = 0;
                            foreach ($listaPagos as $kk => $vv) {
                                $suma = $suma + $vv->getMonto();
                                $sumaInscripcion = $sumaInscripcion + $vv->getMonto();
                                $numeroPagos++;
                            }
                            $pagosConAbonos[0] = array('INSCRIPCIÓN', $suma, $value->getMonto(),$sumaInscripcion);
                        } else {
                            $listaPagos = $em->getRepository('CmBundle:Ingresos')
                                    ->findBy(array('cveAlu' => $v->getIdeAlu(), 'cvePag' => $value->getIdePag()));
                            $suma = 0;
                            foreach ($listaPagos as $kk => $vv) {
                                $suma = $suma + $vv->getMonto();
                                $numeroPagos++;
                                $sumaAbonos = $sumaAbonos + $vv->getMonto();
                            }

                            $monto = $monto + $value->getMonto();
                        }
                    }

                    $pagosConAbonos[1] = array('COSTO EXAMEN', $suma, $monto,$sumaAbonos);
                    $datos[$k] = array($v, $pagosConAbonos, $numeroPagos, $detallesBachi);
                }

                //var_dump($datos);

                return $this->render('CmBundle:DireccionGeneral:listasEU.html.twig', array(
                            'alumnos' => $alumnos, 'numApli' => $numAplicacion, 'datos' => $datos, "aplicaciones" => $this->traerAplicaciones()
                ));
            }
        } else {
            //ELIMINAR DATOS DE LA SESIÓN
        }
    }

    public function datosBGAction(Request $request) {
        $session = $request->getSession();
        if ($session->has('idEmpleado') && ($session->get('rol') == 101)) {
            if ($request->getMethod() == "POST") {
                $idePla = $request->get('idePla');
                $ideLic = $request->get('ideLic');

                $em = $this->getDoctrine()->getEntityManager();
                $alumnos = 0;

                if ($ideLic != "0") {
                    $alumnos = $em->getRepository('CmBundle:Alumnos')
                            ->findBy
                            (
                            array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                    );
                    /**
                     * VALIDAR FOTOGRAFÍA DEL ALUMNO
                     */
                    $alumnosLista = [];
                    foreach ($alumnos as $key => $value) {
                        $fotoAlumno = 0;
                        $nombre_fichero = "fotos/" . $value->getCveCtl() . ".jpg";

                        if (file_exists($nombre_fichero)) {
                            $fotoAlumno = $nombre_fichero;
                        } else {
                            $fotoAlumno = "images/usuario.png";
                        }
                        $alumnosLista[$key] = array($value, $fotoAlumno);
                    }

                    /**
                     * 
                     */
                    $alumnosOtroEstatus = $em->getRepository('CmBundle:Alumnos')
                            ->findBy
                            (
                            array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => array(6, 9, 10, 11), 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                    );

                    /**
                     * VALIDAR FOTOGRAFÍA DEL ALUMNO
                     */
                    $alumnosListaOtrosEstatus = [];
                    foreach ($alumnosOtroEstatus as $key => $value) {
                        $fotoAlumno = 0;
                        $nombre_fichero = "fotos/" . $value->getCveCtl() . ".jpg";

                        if (file_exists($nombre_fichero)) {
                            $fotoAlumno = $nombre_fichero;
                        } else {
                            $fotoAlumno = "images/usuario.png";
                        }
                        $alumnosListaOtrosEstatus[$key] = array($value, $fotoAlumno);
                    }

                    /**
                     * 
                     */
                    $alumnosEgresados = $em->getRepository('CmBundle:Alumnos')
                            ->findBy
                            (
                            array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => array(12), 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                    );
                    /**
                     * VALIDAR FOTOGRAFÍA DEL ALUMNO
                     */
                    $alumnosListaEgresados = [];
                    foreach ($alumnosEgresados as $key => $value) {
                        $fotoAlumno = 0;
                        $nombre_fichero = "fotos/" . $value->getCveCtl() . ".jpg";

                        if (file_exists($nombre_fichero)) {
                            $fotoAlumno = $nombre_fichero;
                        } else {
                            $fotoAlumno = "images/usuario.png";
                        }
                        $alumnosListaEgresados[$key] = array($value, $fotoAlumno);
                    }

                    /**
                     * 
                     */
                } else {
                    $alumnos = $em->getRepository('CmBundle:Alumnos')
                            ->findBy
                            (
                            array('cvePla' => $idePla, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                    );
                    /**
                     * VALIDAR FOTOGRAFÍA DEL ALUMNO
                     */
                    $alumnosLista = [];
                    foreach ($alumnos as $key => $value) {
                        $fotoAlumno = 0;
                        $nombre_fichero = "fotos/" . $value->getCveCtl() . ".jpg";

                        if (file_exists($nombre_fichero)) {
                            $fotoAlumno = $nombre_fichero;
                        } else {
                            $fotoAlumno = "images/usuario.png";
                        }
                        $alumnosLista[$key] = array($value, $fotoAlumno);
                    }

                    /**
                     * 
                     */
                    $alumnosOtroEstatus = $em->getRepository('CmBundle:Alumnos')
                            ->findBy
                            (
                            array('cvePla' => $idePla, 'estatus' => array(6, 9, 10, 11), 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                    );

                    /**
                     * VALIDAR FOTOGRAFÍA DEL ALUMNO
                     */
                    $alumnosListaOtrosEstatus = [];
                    foreach ($alumnosOtroEstatus as $key => $value) {
                        $fotoAlumno = 0;
                        $nombre_fichero = "fotos/" . $value->getCveCtl() . ".jpg";

                        if (file_exists($nombre_fichero)) {
                            $fotoAlumno = $nombre_fichero;
                        } else {
                            $fotoAlumno = "images/usuario.png";
                        }
                        $alumnosListaOtrosEstatus[$key] = array($value, $fotoAlumno);
                    }

                    /**
                     * 
                     */
                    $alumnosEgresados = $em->getRepository('CmBundle:Alumnos')
                            ->findBy
                            (
                            array('cvePla' => $idePla, 'estatus' => array(12), 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                    );

                    /**
                     * VALIDAR FOTOGRAFÍA DEL ALUMNO
                     */
                    $alumnosListaEgresados = [];
                    foreach ($alumnosEgresados as $key => $value) {
                        $fotoAlumno = 0;
                        $nombre_fichero = "fotos/" . $value->getCveCtl() . ".jpg";

                        if (file_exists($nombre_fichero)) {
                            $fotoAlumno = $nombre_fichero;
                        } else {
                            $fotoAlumno = "images/usuario.png";
                        }
                        $alumnosListaEgresados[$key] = array($value, $fotoAlumno);
                    }

                    /**
                     * 
                     */
                }
                return $this->render('CmBundle:DireccionGeneral:baseGeneral.html.twig', array('datos' => array($alumnosLista, $alumnosListaOtrosEstatus, $alumnosListaEgresados)));
            } else { // NO FUE POST
            }
        } else {
            //ELIMINAR DATOS DE LA SESIÓN
        }
    }

}
