<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use CmBundle\Entity\FondoPlanteles;
use CmBundle\Entity\SalidasFondos;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of FondoPlantelesController
 *
 * @author SISTEMAS
 */
class FondoPlantelesController extends Controller {

    //put your code here

    public function vistaFPAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {

                $em = $this->getDoctrine()->getEntityManager();

                $idePla = $request->get('p');

                // 1: Zina, 2: Toluca, 3: Valle de Bravo, 14: Corporativo, 21: Rectoría
                $plantel = $em->getRepository('CmBundle:Planteles')->findOneBy(array('idePla' => $idePla));

                $fondoP = $em->getRepository('CmBundle:FondoPlanteles')->findOneBy(array('cvePla' => $plantel->getIdePla(), 'estatus' => 1));

                $movimientos = [];
                if ($fondoP == null) {
                    
                } else {
                    $movimientos = $em->getRepository('CmBundle:SalidasFondos')->findBy(array('cveFpl' => $fondoP->getIdeFpl(), 'estatus' => 1));
                }

                return $this->render('CmBundle:FondoPlanteles:vista-tabla-fp.html.twig', array('dfpl' => $fondoP, 'datos' => $movimientos));
            } else { // ES GET
                $em = $this->getDoctrine()->getEntityManager();
                // 1: Zina, 2: Toluca, 3: Valle de Bravo, 14: Corporativo, 21: Rectoría
                $planteles = $em->getRepository('CmBundle:Planteles')->findBy(array('idePla' => array(1, 2, 3, 14, 21)));

                $datos = [];
                foreach ($planteles as $k => $v) {
                    $fondoP = $em->getRepository('CmBundle:FondoPlanteles')->findOneBy(array('cvePla' => $v->getIdePla(), 'estatus' => 1));
                    if ($fondoP == null) {
                        $datos[] = array($v, null);
                    } else {
                        $datos[] = array($v, $fondoP);
                    }
                }

                return $this->render('CmBundle:FondoPlanteles:vista-fp.html.twig', array('planteles' => $datos));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function crearFPAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {

                $em = $this->getDoctrine()->getEntityManager();

                $idePla = $request->get('idePla');
                $monFon = $request->get('monFon');
                $fecMov = $request->get('fecMov');

                // 1: Zina, 2: Toluca, 3: Valle de Bravo, 14: Corporativo, 21: Rectoría
                $plantel = $em->getRepository('CmBundle:Planteles')->findOneBy(array('idePla' => $idePla));

                $fp = new FondoPlanteles();
                $fp->setCvePla($plantel);
                $fp->setMonFon($monFon);
                $fp->setMonDis($monFon);
                $fp->setMonUsa(0);
                $fp->setFecMov(new \DateTime(date($fecMov)));
                $fp->setHorMov(new \DateTime(date('H:i:s')));
                $fp->setEstatus(1);
                $fp->setCveUsu($session->get('identificador'));

                $em->persist($fp);
                $em->flush();

                //return $this->render('CmBundle:FondoPlanteles:correcto-crear-fp.html.twig');

                return $this->redirect($this->generateUrl('vista_fondo_planteles'));
            } else { // ES GET
                $em = $this->getDoctrine()->getEntityManager();

                $idePla = $request->get('p');

                // 1: Zina, 2: Toluca, 3: Valle de Bravo, 14: Corporativo, 21: Rectoría
                $plantel = $em->getRepository('CmBundle:Planteles')->findOneBy(array('idePla' => $idePla));

                $fondoP = $em->getRepository('CmBundle:FondoPlanteles')->findBy(array('cvePla' => $plantel->getIdePla(), 'estatus' => 1));
                $bandera = 0;
                if ($fondoP == null) {
                    $bandera = 0; // NO HAY FONDO ACTIVO
                } else {
                    $bandera = 1; //SI HAY FONDO ACTIVO
                }

                return $this->render('CmBundle:FondoPlanteles:crear-fp.html.twig', array('plantel' => $plantel, 'bandera' => $bandera));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function vistaFPORPAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {

                $em = $this->getDoctrine()->getEntityManager();

                $idePla = $request->get('idePla');
                $ideFpl = $request->get('ideFpl');
                $fecMov = $request->get('fecMov');
                $monSal = $request->get('monSal');
                $autSal = $request->get('autSal');
                $recSal = $request->get('recSal');
                $conSal = $request->get('conSal');

                // 1: Zina, 2: Toluca, 3: Valle de Bravo, 14: Corporativo, 21: Rectoría
                $plantel = $em->getRepository('CmBundle:Planteles')->findOneBy(array('idePla' => $idePla));

                $fondoP = $em->getRepository('CmBundle:FondoPlanteles')->findOneBy(array('ideFpl' => $ideFpl));

                //REVISAR QUE NO EXCEDA EL MONDO DISPONIBLE

                if ($monSal <= $fondoP->getMonDis()) {
                    $anio = date('y');
                    $numRec = $anio . "-FP-" . $plantel->getCvePla() . "-" . date('dm') . date('His');

                    $salFon = new SalidasFondos();
                    $salFon->setNumRec($numRec);
                    $salFon->setCvePla($plantel);
                    $salFon->setCveFpl($fondoP);
                    $salFon->setMonSal($monSal);
                    $salFon->setAutSal($autSal);
                    $salFon->setRecSal($recSal);
                    $salFon->setConSal($conSal);
                    $salFon->setFecMov(new \DateTime(date($fecMov)));
                    $salFon->setHorMov(new \DateTime(date('H:i:s')));
                    $salFon->setEstatus(1);
                    $salFon->setCveUsu($session->get('identificador'));

                    $em->persist($salFon);
                    $em->flush();

                    if (($fondoP->getMonUsa() + $monSal) == $fondoP->getMonFon()) {
                        $fondoP->setEstatus(0); // SALDO AGOTADO
                    } else {
                        $fondoP->setEstatus(1); // CON SALDO DISPONIBLE
                    }

                    $fondoP->setMonDis($fondoP->getMonFon() - ($fondoP->getMonUsa() + $monSal));
                    $fondoP->setMonUsa(($fondoP->getMonUsa() + $monSal));
                    $em->persist($fondoP);
                    $em->flush();
                }

                return $this->redirect($this->generateUrl('vista_fondo_por_plantel'));
            } else { // ES GET
                $em = $this->getDoctrine()->getEntityManager();
                // 1: Zina, 2: Toluca, 3: Valle de Bravo, 14: Corporativo, 21: Rectoría

                $cvePla = $session->get('plantel');

                $plantel = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $cvePla));

                $fondoP = $em->getRepository('CmBundle:FondoPlanteles')->findOneBy(array('cvePla' => $plantel->getIdePla(), 'estatus' => 1));

                $salFon = [];

                if ($fondoP != null) {
                    $salFon = $em->getRepository('CmBundle:SalidasFondos')->findBy(array('cveFpl' => $fondoP->getIdeFpl()), array('fecMov' => 'DESC', 'horMov' => 'DESC'));
                }

                $fondosP = $em->getRepository('CmBundle:FondoPlanteles')->findOneBy(array('cvePla' => $plantel->getIdePla()), array('fecMov' => 'DESC'));

                $salidasFon = [];

                if ($fondosP != null) {
                    $salidasFon = $em->getRepository('CmBundle:SalidasFondos')->findBy(array('cveFpl' => $fondosP), array('fecMov' => 'DESC', 'horMov' => 'DESC'));
                }


                return $this->render('CmBundle:FondoPlanteles:vista-fporp.html.twig',
                                array(
                                    'plantel' => $plantel, 'fondo' => $fondoP, 'salidas' => $salFon, 'todasSalidas' => $salidasFon
                                )
                );
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

}
