<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use CmBundle\Entity\AlumnosDiplomados;
use CmBundle\Entity\CartasPasante;
use Picqer\Barcode\BarcodeGeneratorPNG;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of FormatosController
 *
 * @author Omar
 */
class FormatosController extends Controller
{
    public function vistaFTAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {
                $em = $this->getDoctrine()->getManager();
            } else { // ES GET
                $em = $this->getDoctrine()->getManager();

                $cvePla = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('cvePla' => $session->get('plantel')));
                $lisAlu = null;
                if ($cvePla->getCvePla() == "88") { // CORPORATIVO
                    $lisAlu = $em->getRepository('CmBundle:Alumnos')
                        ->findBy(array('tipoAlumno' => array(3, 4, 5, 8)), array('apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC'));
                } else {
                    $lisAlu = $em->getRepository('CmBundle:Alumnos')
                        ->findBy(array('cvePla' => $cvePla, 'tipoAlumno' => array(3, 4, 5, 8)), array('apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC'));
                }
                $diplomados = $em->getRepository('CmBundle:DiplomadosCursos')->findAll();
                $profesores = $em->getRepository('CmBundle:Profesores')->findBy(array(), array('apePat' => 'ASC', 'apeMat' => 'ASC', 'nomPro' => 'ASC'));

                return $this->render('CmBundle:FormatosUBC:vista_ft.html.twig',
                    array(
                        'alumnos' => $lisAlu, 'diplomados' => $diplomados,
                        'profesores' => $profesores
                    )
                );
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function vistaFTDAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {

            } else { // ES GET
                $em = $this->getDoctrine()->getEntityManager();

                $ideAlu = $request->get('ideAlu');
                $idePro = $request->get('idePro');
                $ideFor = $request->get('ideFor');
                $ideDiplomado = $request->get('diplomado');
                $dir = $request->get('dir');
                $cargo = $request->get('cargo');

                $alumno = null;
                $asignatura = null;
                $profesor = null;

                if ($ideAlu == "default") {
                    $profesor = $em->getRepository('CmBundle:Profesores')->findOneBy(array('idePro' => $idePro));
                } else {
                    $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));
                    $asignatura = $em->getRepository('CmBundle:AlumnosCurriculas')->findOneBy(array('cveAlu' => $alumno->getIdeAlu()));
                }

                $periodo = $em->getRepository('CmBundle:Periodos')->findOneBy(array('estatus' => 1));

                $plan = null;
                $materias = null;

                if ($ideFor != 3) {
                    if ($asignatura == null) {
                        print_r("FALTA ASOCIAR A UN PLAN DE ESTUDIOS");
                        die();
                    } else {
                        $plan = $em->getRepository('CmBundle:Planeaciones')->findOneBy(array('idePlan' => $asignatura->getCveCur()->getCvePlan()->getIdePlan()));

                        if ($plan == null) {
                            print_r("LAS ASIGNATURAS DEBES ASOCIARSE A UN PLAN DE ESTUDIOS, SOLICITARLO AL ADMINISTRADOR DEL SISTEMA.");
                            die();
                        } else {
                            //print_r($plan);
                            $materias = $em->getRepository('CmBundle:AlumnosCurriculas')->findBy(array('cveAlu' => $alumno->getIdeAlu()));
                        }
                    }
                }

                switch ($ideFor) {
                    case 1: //CONSTANCIA DE PROMEDIO
                        $pdf = new PDFFormatosConstancias('P', 'mm', "Letter");
                        $pdf->setCVE_PLANTEL($alumno->getCvePla()->getCvePla());
                        $pdf->AddPage();
                        $pdf->AliasNbPages();
                        $pdf->SetFont('Arial');
                        $pdf->generarConstanciaPromedio($alumno, $plan, $periodo, $materias);

                        return new Response($pdf->Output('constacia_promedio_' . $alumno->getCveCtl() . '.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));


                        break;
                    case 2: //HISTORIAL ACADÉMICO
                        $pdf = new PDFFormatosConstancias('P', 'mm', "Letter");
                        $pdf->setCVE_PLANTEL($alumno->getCvePla()->getCvePla());
                        $pdf->AliasNbPages();
                        $pdf->AddPage();
                        $pdf->SetFont('Arial');
                        $pdf->generarHistorialAcademico($alumno, $plan, $materias);

                        return new Response($pdf->Output('historial_academico_' . $alumno->getCveCtl() . '.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
                        break;

                    case 3: //DIPLOMA

                        $diplomado = $em->getRepository('CmBundle:DiplomadosCursos')
                            ->findOneBy(array('ideDipCur' => $ideDiplomado));

                        $auxPlantel = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $session->get('plantel')));

                        $auxDipCur = null;
                        $alumnoDiplomado = null;
                        if ($alumno == null & $profesor != null) {
                            //BUSCAR COMO DOCENTE
                            $auxDipCur = $em->getRepository('CmBundle:AlumnosDiplomados')->findOneBy(array('cveDoc' => $profesor, 'cveDipCur' => $diplomado));
                        } elseif ($alumno == null & $profesor == null) {
                            //ES EXTERNO
                            $externo = $request->get('externo');
                            $auxDipCur = $em->getRepository('CmBundle:AlumnosDiplomados')->findOneBy(array('externo' => $externo, 'cveDipCur' => $diplomado));
                        } else {
                            //BUSCAR COMO ALUMNO
                            $auxDipCur = $em->getRepository('CmBundle:AlumnosDiplomados')->findOneBy(array('cveAlu' => $alumno, 'cveDipCur' => $diplomado));
                        }

                        if ($auxDipCur == null) {
                            $alumnoDiplomado = new AlumnosDiplomados();
                            if ($alumno == null & $profesor != null) {
                                //SOLO ES DOCENTE
                                $alumnoDiplomado->setCveAlu(null);
                                $alumnoDiplomado->setCveDoc($profesor);
                                $alumnoDiplomado->setExterno(null);
                            } elseif ($alumno == null & $profesor == null) {
                                //SOLO ES EXTERNO
                                $alumnoDiplomado->setCveAlu(null);
                                $alumnoDiplomado->setCveDoc(null);
                                $alumnoDiplomado->setExterno($externo);
                            } else {
                                //SOLO ES ALUMNO
                                $alumnoDiplomado->setCveAlu($alumno);
                                $alumnoDiplomado->setCveDoc(null);
                                $alumnoDiplomado->setExterno(null);
                            }
                            $alumnoDiplomado->setFolioAluDip("XXX");
                            $alumnoDiplomado->setFecMov(new \DateTime(date('Y-m-d')));
                            $alumnoDiplomado->setHorMov(new \DateTime(date('H:i:s')));
                            $alumnoDiplomado->setCveDipCur($diplomado);

                            $em->persist($alumnoDiplomado);
                            $em->flush();
                        } else {
                            $alumnoDiplomado = $auxDipCur;
                        }

                        //$pdf = new PDFFormatoDiplomas('L', 'mm', array(254, 190));
                        $pdf = new PDFFormatoDiplomas('L', 'mm', 'Letter');
                        $pdf->AddPage();
                        $pdf->SetFont('Arial');
                        $pdf->generarDiploma($alumno, $diplomado, $dir, $cargo, $profesor, $auxPlantel, $alumnoDiplomado);

                        if ($alumno == null & $profesor != null) {
                            // ES PROFESOR
                            return new Response($pdf->Output('diploma_docente_' . $profesor->getRfc() . '.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
                        } elseif ($alumno == null & $profesor == null) {
                            // ES EXTERNO
                            return new Response($pdf->Output('diploma_docente_' . $alumnoDiplomado->getExterno() . '.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
                        } else {
                            // ES ALUMNO
                            return new Response($pdf->Output('diploma_alumno_' . $alumno->getCveCtl() . '.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
                        }
                        break;
                    case 4: //CARTA DE PASANTE
//                        if ($session->get('plantel') == '04') { // SOLO PLANTEL CENTRO
//                            print_r("PLANTEL SIN AUTORIZACIÓN PARA IMPRIMIR CARTAS DE PASANTE");
//                            die();
//                        }

                        $generator = new BarcodeGeneratorPNG();
                        $imagenBarra = "data:image/png;base64," . base64_encode($generator->getBarcode($alumno->getCveCtl(), $generator::TYPE_CODE_128));
                        $cb = $this->base64_to_png($imagenBarra, 'barras/' . $alumno->getCveCtl() . '.png');

                        $auxCarPas = $em->getRepository('CmBundle:CartasPasante')->findOneBy(array('cveAlu' => $alumno));
                        $contadorCartaPasante = $em->getRepository('CmBundle:Contador')->findOneBy(array('cveCon' => 'con-CPASANTE'));

                        $folio = "";
                        $generacion = "";

                        $dql = "SELECT DISTINCT(m.periodo) AS periodo "
                            . "FROM CmBundle:AlumnosCurriculas m "
                            . "WHERE m.cveAlu = $ideAlu "
                            . "ORDER by m.periodo";

                        $query = $em->createQuery($dql);
                        $periodos = $query->getResult();
                        //print_r($periodos);
                        $periodo = $periodos[count($periodos) - 1]['periodo'];

                        $auxPeriodo = explode('-', $periodo);
                        $anioA = "";
                        $anioB = "";
                        switch ($auxPeriodo[1]) {
                            case 1:
                                $auxAnio = $auxPeriodo[0];
                                $anioB = $auxAnio - 1;
                                $anioA = $anioB - 3;
                                break;
                            case 2:
                                $auxAnio = $auxPeriodo[0];
                                $anioB = $auxAnio;
                                $anioA = $anioB - 3;
                                break;
                            case 3:
                                $auxAnio = $auxPeriodo[0];
                                $anioB = $auxAnio;
                                $anioA = $anioB - 3;
                                break;
                        }

                        $generacion = $anioA . "-" . $anioB;

                        if ($auxCarPas == null) {
                            /*
                             * CREAR NUEVO REGISTRO DE CARTA DE PASANTE
                             */

                            $folio = "CP-" . date('ym') . "-" . $contadorCartaPasante->getValor();

                            $carPas = new CartasPasante();
                            $carPas->setCveAlu($alumno);
                            $carPas->setFolio($folio);
                            $carPas->setFecMov(new \DateTime(date('Y-m-d')));
                            $carPas->setHorMov(new \DateTime(date('H:i:s')));

                            $em->persist($carPas);
                            $em->flush();

                            $contadorCartaPasante->setValor($contadorCartaPasante->getValor() + 1);
                            $em->persist($contadorCartaPasante);
                            $em->flush();

                            $pdf = new PDFFormatosTEC('P', 'mm', "Letter");
                            $pdf->AddPage();
                            $pdf->AddFont('Petemoss', '', 'Petemoss-Regular.php');
                            $pdf->AddFont('Playball', '', 'Playball-Regular.php');
                            $pdf->AddFont('Roboto-Light', '', 'Roboto-Light.php');
                            $pdf->AddFont('Roboto-LightItalic', '', 'Roboto-LightItalic.php');
                            $pdf->AddFont('Roboto-Thin', '', 'Roboto-Thin.php');
                            $pdf->AddFont('Roboto-ThinItalic', '', 'Roboto-ThinItalic.php');
                            $pdf->AddFont('Roboto-Regular', '', 'Roboto-Regular.php');
                            $pdf->AddFont('Roboto-Italic', '', 'Roboto-Italic.php');
                            $pdf->SetFont('Roboto-ThinItalic');
                            $pdf->generarCartaPasante($alumno, $plan, $cb, $folio, $generacion);

                            $nomAlu = "";
                            if ($alumno->getApeMat() == "" | $alumno->getApeMat() == null) {
                                $nomAlu = utf8_decode($alumno->getApePat() . "_" . $alumno->getNomAlu());
                            } else {
                                $nomAlu = utf8_decode($alumno->getApePat() . "_" . $alumno->getApeMat() . "_" . $alumno->getNomAlu());
                            }


                            return new Response($pdf->Output('pasante_' . $folio . "_" . $nomAlu . '.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
                        } else {
                            $folio = $auxCarPas->getFolio();


                            $pdf = new PDFFormatosTEC('P', 'mm', "Letter");
                            $pdf->AddPage();
                            $pdf->AddFont('Petemoss', '', 'Petemoss-Regular.php');
                            $pdf->AddFont('Playball', '', 'Playball-Regular.php');
                            $pdf->AddFont('Roboto-Light', '', 'Roboto-Light.php');
                            $pdf->AddFont('Roboto-LightItalic', '', 'Roboto-LightItalic.php');
                            $pdf->AddFont('Roboto-Thin', '', 'Roboto-Thin.php');
                            $pdf->AddFont('Roboto-ThinItalic', '', 'Roboto-ThinItalic.php');
                            $pdf->AddFont('Roboto-Regular', '', 'Roboto-Regular.php');
                            $pdf->AddFont('Roboto-Italic', '', 'Roboto-Italic.php');
                            $pdf->SetFont('Roboto-ThinItalic');
                            //$pdf->notificacionCartaPasanteYaGenerada($alumno, $folio, $generacion);
                            $pdf->generarCartaPasante($alumno, $plan, $cb, $folio, $generacion);

                            $nomAlu = "";
                            if ($alumno->getApeMat() == "" | $alumno->getApeMat() == null) {
                                $nomAlu = utf8_decode($alumno->getApePat() . "_" . $alumno->getNomAlu());
                            } else {
                                $nomAlu = utf8_decode($alumno->getApePat() . "_" . $alumno->getApeMat() . "_" . $alumno->getNomAlu());
                            }


                            return new Response($pdf->Output('pasante_' . $folio . "_" . $nomAlu . '.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
                        }
                }
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function cajaNoAdeudoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 99 || $session->get("rol") == 4)) {
            $session->set("vista", "caja");
            if ($request->getMethod() == "POST") {

            } else { // NO FUE POST
                $em = $this->getDoctrine()->getManager();

                $ideAlu = $request->get('ideAlu');

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

                $pdf = new PDFBachillerato('P', 'mm', 'Letter');
                $pdf->AddPage();
                $pdf->SetFont('Helvetica');
                $pdf->OficioNoAdeudo($alumno, $session);
//                $pdf->AddPage();
//                $pdf->SetFont('Helvetica');
//                $pdf->OficioNoAdeudo($alumno, $session);

                return new Response($pdf->Output('noAdeudo' . $alumno->getCveCtl() . '.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function cajaSiAdeudoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 99 || $session->get("rol") == 4)) {
            $session->set("vista", "caja");
            if ($request->getMethod() == "POST") {

            } else { // NO FUE POST
                $em = $this->getDoctrine()->getManager();

                $ideAlu = $request->get('ideAlu');

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

                $hoy = new \DateTime(date('Y-m-d'));
                $hoy = $hoy->modify('first day of this month');

                $dql = "SELECT p "
                    . "FROM CmBundle:Pagos p "
                    . "WHERE p.fecIni < :hoy "
                    . "AND p.staPag = 1 "
                    . "AND p.cveAlu = :alu";
                $query = $em->createQuery($dql);
                $query->setParameter('hoy', $hoy);
                $query->setParameter('alu', $alumno->getIdeAlu());
                $pagos = $query->getResult();

                $dql = "SELECT p "
                    . "FROM CmBundle:Pagos p "
                    . "WHERE p.semestre = :sem "
                    . "AND p.cveAlu = :alu "
                    . "AND p.numero > 0";
                $query = $em->createQuery($dql);
                $query->setParameter('sem', $alumno->getNumero());
                $query->setParameter('alu', $alumno->getIdeAlu());
                $pagosNumero = $query->getResult();

                $primero = reset($pagosNumero);
                $ultimo = end($pagosNumero);

                $pdf = new PDFBachillerato('P', 'mm', 'Letter');
                $pdf->AddPage();
                $pdf->SetFont('Helvetica');
                $pdf->OficioSiAdeudo($alumno, $pagos, $primero, $ultimo, $session);
//                $pdf->AddPage();
//                $pdf->SetFont('Helvetica');
//                $pdf->OficioSiAdeudo($alumno, $pagos, $primero, $ultimo, $session);

                return new Response($pdf->Output('siAdeudo' . $alumno->getCveCtl() . '.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    function base64_to_png($base64_string, $output_file)
    {
        // open the output file for writing
        $ifp = fopen($output_file, 'wb');

        // split the string on commas
        // $data[ 0 ] == "data:image/png;base64"
        // $data[ 1 ] == <actual base64 string>
        $data = explode(',', $base64_string);

        // we could add validation here with ensuring count( $data ) > 1
        fwrite($ifp, base64_decode($data[1]));

        // clean up the file resource
        fclose($ifp);

        return $output_file;
    }

}
