<?php

namespace CmBundle\Controller;

use CmBundle\Entity\InventarioEntradas;
use CmBundle\Entity\InventarioPlanteles;
use CmBundle\Entity\InventarioProductos;
use CmBundle\Entity\InventarioSalidas;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

class InventarioController extends Controller
{
    public function vistaInventarioAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has('idEmpleado')) {
            if ($request->getMethod() == 'POST') {

            } else {//FUE GET
                $em = $this->getDoctrine()->getEntityManager();

                $inventarioProd = $em->getRepository('CmBundle:InventarioProductos')
                    ->findAll();

                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findAll();
                /*
                                $inventarioPlantel = $em->getRepository('CmBundle:InventarioPlanteles')
                                    ->findAll();
                */
                $dql = "SELECT "
                    . "ip.codigo CODIGO, "
                    . "ip.nomProd  NOMBRE, "
                    . "SUM(i.stockInicial)  STOCK, "
                    . "i.entradas ENTRADAS, "
                    . "i.salidas SALIDAS, "
                    . "SUM(i.total) TOTAL "
                    . "FROM  CmBundle:InventarioPlanteles i, CmBundle:InventarioProductos ip "
                    . "WHERE "
                    . "i.cveProInv = ip.ideProInv "
                    . "GROUP BY "
                    . "i.cveProInv ";


                $query = $em->createQuery($dql);
                $inventarioPlantel = $query->getResult();

                $inventarioEntradas = $em->getRepository('CmBundle:InventarioEntradas')
                    ->findAll();
                $inventarioSalidas = $em->getRepository('CmBundle:InventarioSalidas')
                    ->findAll();

                $ideInvProd = $request->get('ideProInv');
                $producto = $em->getRepository('CmBundle:InventarioProductos')
                    ->findBy(array('ideProInv' => $ideInvProd));

                return $this->render('CmBundle:Inventario:vistaInventario.html.twig',
                    array(
                        'inventarioProd' => $inventarioProd,
                        'plantel' => $plantel,
                        'ip' => $inventarioProd,
                        'iventarioPlan' => $inventarioPlantel,
                        'inventarioEntradas' => $inventarioEntradas,
                        'inventarioSalidas' => $inventarioSalidas,
                        'p' => $producto,

                    )
                );

            }
        }
    }


    public function registrarArtAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has('idEmpleado')) {
            if ($request->getMethod() == 'POST') {
                $em = $this->getDoctrine()->getEntityManager();

                $anoActual = date('Y');
                $nombre = $request->get('nombre');


                $contador = $em->getRepository('CmBundle:Contador')
                    ->findOneBy(array('cveCon' => 'INVENTARIO'));

                $valorActual = $contador->getValor();
                $valorActual++;

                $contador->setValor($valorActual);
                $em->persist($contador);
                $em->flush();

                $np = sprintf('%04d', $valorActual);
                $codigo = 'UBC' . $anoActual . $np;


                $articulo = new InventarioProductos();
                $articulo->setCodigo($codigo);
                $articulo->setNomProd($nombre);
                $articulo->setImagen(null);
                $em->persist($articulo);
                $em->flush();
                $inventarioArticulo = $em->getRepository('CmBundle:InventarioProductos')
                    ->findAll();
                return $this->render('CmBundle:Inventario:tablaArticulosInventario.html.twig',
                    array(
                        'iventarioArticulo' => $inventarioArticulo
                    )
                );
            } else {//NO FUE POST
                $em = $this->getDoctrine()->getEntityManager();

                $inventarioArticulo = $em->getRepository('CmBundle:InventarioProductos')
                    ->findAll();

                return $this->render('CmBundle:Inventario:tablaArticulosInventario.html.twig',
                    array(
                        'iventarioArticulo' => $inventarioArticulo,
                    )
                );

            }
        }
    }

    public function registrarInvAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has('idEmpleado')) {
            if ($request->getMethod() == 'POST') {
                $em = $this->getDoctrine()->getEntityManager();

                $cvePlantel = $request->get('plantelInv');
                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('idePla' => $cvePlantel));
                $cveArticulo = $request->get('articuloInv');
                $inventarioProducto = $em->getRepository('CmBundle:InventarioProductos')
                    ->findOneBy(array('ideProInv' => $cveArticulo));
                $stock = $request->get('stock');


                $artInventario = new InventarioPlanteles();
                $artInventario->setCvePla($plantel);
                $artInventario->setCveProInv($inventarioProducto);
                $artInventario->setStockInicial($stock);
                $artInventario->setTotal($stock);
                $em->persist($artInventario);
                $em->flush();

                $dql = "SELECT "
                    . "ip.codigo CODIGO, "
                    . "ip.nomProd  NOMBRE, "
                    . "SUM(i.stockInicial)  STOCK, "
                    . "i.entradas ENTRADAS, "
                    . "i.salidas SALIDAS, "
                    . "sum(i.total) TOTAL "
                    . "FROM  CmBundle:InventarioPlanteles i, CmBundle:InventarioProductos ip "
                    //inventario_planteles i, inventario_productos ip, planteles p
                    . "WHERE "
                    . "i.cveProInv = ip.ideProInv "
                    . "GROUP BY "
                    . "i.cveProInv ";

                $query = $em->createQuery($dql);
                $inventarioPlantel = $query->getResult();

                return $this->render('CmBundle:Inventario:tablaInventarioPlanteles.html.twig',
                    array(
                        'iventarioPlan' => $inventarioPlantel
                    ));
            } else {
                $em = $this->getDoctrine()->getEntityManager();

                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findAll();


                $inventarioProd = $em->getRepository('CmBundle:InventarioProductos')
                    ->findAll();
                return $this->render('CmBundle:Inventario:formNuevoArtInv.html.twig',
                    array(
                        'plantel' => $plantel,
                        'productos' => $inventarioProd

                    ));

            }
        }
    }

    public function movimientoInvAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has('idEmpleado')) {
            if ($request->getMethod() == 'POST') {
                $em = $this->getDoctrine()->getEntityManager();

                $art = $request->get('productosPlantel');
                $cantidad = $request->get('cantidad');

                $art = $em->getRepository('CmBundle:InventarioPlanteles')
                    ->findOneBy(['ideInv' => $art]);


                $art->setEntradas($art->getEntradas() + $cantidad); // Increase entradas
                $art->setTotal($art->getStockInicial() + $art->getEntradas() - $art->getSalidas()); // Recalculate total

                $em->flush();
                $movinventario = new InventarioEntradas();
                $movinventario->setCveInvPla($art);
                $movinventario->setCantidad($cantidad);
                $movinventario->setCveUsu(10);
                $movinventario->setFecMov(new \DateTime(date('Y-m-d')));
                $movinventario->setHorMov(new \DateTime(date('H:i:s')));


                $em->persist($movinventario);
                $em->flush();
                $dql = "SELECT "
                    . "ip.codigo CODIGO, "
                    . "ip.nomProd  NOMBRE, "
                    . "SUM(i.stockInicial)  STOCK, "
                    . "i.entradas ENTRADAS, "
                    . "i.salidas SALIDAS, "
                    . "sum(i.total) TOTAL "
                    . "FROM  CmBundle:InventarioPlanteles i, CmBundle:InventarioProductos ip "
                    //inventario_planteles i, inventario_productos ip, planteles p
                    . "WHERE "
                    . "i.cveProInv = ip.ideProInv "
                    . "GROUP BY "
                    . "i.cveProInv ";

                $query = $em->createQuery($dql);
                $inventarioPlantel = $query->getResult();

                return $this->render('CmBundle:Inventario:tablaInventarioPlanteles.html.twig',
                    array(
                        'iventarioPlan' => $inventarioPlantel
                    ));

            } else {//fue GET
                $em = $this->getDoctrine()->getEntityManager();


                $dql = "SELECT "
                    . "pla.ideInv IDEINV , "
                    . "prod.nomProd PRODUCTOS "
                    . "FROM CmBundle:InventarioPlanteles pla, CmBundle:InventarioProductos prod "
                    . "WHERE "
                    . "pla.cveProInv = prod.ideProInv "
                    . "GROUP BY "
                    . "prod.nomProd ";
                $query = $em->createQuery($dql);
                $inventarioPlantel = $query->getResult();

                return $this->render('CmBundle:Inventario:inventarioAltBaja.html.twig',
                    array(
                        'inventarioPlanteles' => $inventarioPlantel
                    )
                );
            }
        }
    }


    public function movimientoSalidasAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has('idEmpleado')) {
            if ($request->getMethod() == 'POST') {
                $em = $this->getDoctrine()->getEntityManager();

                $art = $request->get('productosPlantel');
                $cantidad = $request->get('cantidad');


                $art = $em->getRepository('CmBundle:InventarioPlanteles')
                    ->findOneBy(['ideInv' => $art]);


                $art->setSalidas($art->getSalidas() + $cantidad); // Aumentar las salidas
                $art->setTotal($art->getStockInicial() + $art->getEntradas() - $art->getSalidas()); // Recalcular el total

                $em->flush();
                $movinventario = new InventarioSalidas();
                $movinventario->setCveInvPla($art);
                $movinventario->setCantidad($cantidad);
                $movinventario->setCveUsu(10);
                $movinventario->setFecMov(new \DateTime(date('Y-m-d')));
                $movinventario->setHorMov(new \DateTime(date('H:i:s')));


                $em->persist($movinventario);
                $em->flush();
                $dql = "SELECT "
                    . "ip.codigo CODIGO, "
                    . "ip.nomProd  NOMBRE, "
                    . "SUM(i.stockInicial)  STOCK, "
                    . "i.entradas ENTRADAS, "
                    . "i.salidas SALIDAS, "
                    . "sum(i.total) TOTAL "
                    . "FROM  CmBundle:InventarioPlanteles i, CmBundle:InventarioProductos ip "
                    //inventario_planteles i, inventario_productos ip, planteles p
                    . "WHERE "
                    . "i.cveProInv = ip.ideProInv "
                    . "GROUP BY "
                    . "i.cveProInv ";

                $query = $em->createQuery($dql);
                $inventarioPlantel = $query->getResult();

                return $this->render('CmBundle:Inventario:tablaInventarioPlanteles.html.twig',
                    array(
                        'iventarioPlan' => $inventarioPlantel
                    ));

            } else {//fue GET
                $em = $this->getDoctrine()->getEntityManager();


                $dql = "SELECT "
                    . "pla.ideInv IDEINV , "
                    . "prod.nomProd PRODUCTOS "
                    . "FROM CmBundle:InventarioPlanteles pla, CmBundle:InventarioProductos prod "
                    . "WHERE "
                    . "pla.cveProInv = prod.ideProInv "
                    . "GROUP BY "
                    . "prod.nomProd ";
                $query = $em->createQuery($dql);
                $inventarioPlantel = $query->getResult();

                return $this->render('CmBundle:Inventario:inventarioAltBaja.html.twig',
                    array(
                        'inventarioPlanteles' => $inventarioPlantel
                    )
                );
            }
        }
    }

    public function subirImagenProdAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has('idEmpleado')) {
            if ($request->getMethod() == 'POST') {
                $em = $this->getDoctrine()->getEntityManager();
                $ideInvProd = $request->get('ideProInv');

                $imgInv = $em->getRepository('CmBundle:InventarioProductos')
                    ->findOneBy(array('ideProInv' => $ideInvProd));

                $rutaBase = 'ImgProd/' . $ideInvProd;
                $rutaFinal = $rutaBase . "/" . $_FILES['ArchivoInv']['name'];


                if (file_exists($rutaBase)) {

                } else {

                    mkdir("ImgProd/" . $ideInvProd);
                }
                $bandera = false;

                if ($_FILES['ArchivoInv']['error'] > 0) {

                } else {
                    $bandera = move_uploaded_file($_FILES['ArchivoInv']['tmp_name'], $rutaFinal);

                }
                if ($bandera == true) {
                    $imgInv->setImagen($rutaFinal);

                    $em->persist($imgInv);
                    $em->flush();

                }

                return $this->redirect($this->generateUrl('vista_inventario'));


            } else {
                $em = $this->getDoctrine()->getEntityManager();

                $ideInvProd = $request->get('ideProInv');

                $producto = $em->getRepository('CmBundle:InventarioProductos')
                    ->findOneBy(array('ideProInv' => $ideInvProd));
                return $this->render('CmBundle:Inventario:subirImagen.html.twig',
                    array(
                        'i' => $producto
                    ));
            }
        }
    }

    public function verImagenAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has('idEmpleado')) {
            if ($request->getMethod() == 'POST') {
                $em = $this->getDoctrine()->getEntityManager();

                $ideProInv = $request->get('ideProInv');
                $imagen = $em->getRepository('CmBundle:InventarioProductos')
                    ->findBy(array('ideProInv' => $ideProInv));

                return $this->render('CmBundle:Inventario:imagen.html.twig',
                    array(
                        'imagen' => $imagen
                    ));

            } else {//ES METODO GET

                $em = $this->getDoctrine()->getEntityManager();

                $ideProInv = $request->get('ideProInv');
                $imagen = $em->getRepository('CmBundle:InventarioProductos')
                    ->findBy(array('imagen' => $ideProInv));

                return $this->render('CmBundle:Inventario:imagen.html.twig',
                    array(
                        'imagen' => $imagen
                    ));
            }
        }
    }

    public function fotoFamiliarAction(Request $request)
    {

        if ($request->getMethod() == "POST") {

            $em = $this->getDoctrine()->getManager();
            $ideFamiliar = $request->get('familiarSeleccionado');
            $nombrePersona = $request->get('famNuevo');
            $parentesco = $request->get('parentescoNuevo');

            //estamos coincidiendo los familiares

            $persona = $em->getRepository('CmBundle:Familiares')
                ->findOneBy(array('ideFam' => $ideFamiliar));
            $parentesco = $em->getRepository('CmBundle:Parentesco')
                ->findOneBy(array('idPar' => $parentesco));

            if ($_FILES['archivoFotoFamiliar']['error'] > 0) {

            } else {
                move_uploaded_file($_FILES['archivoFotoFamiliar']['tmp_name'], 'fotos/fotosF/ff_'
                    . $persona->getClaveAlumno()->getIdeAlu() . '_'
                    . $persona->getIdeFam() . '_'
                    . $_FILES['archivoFotoFamiliar']['name']);
            }
            $persona->setFotografia('fotos/fotosF/ff_'
                . $persona->getClaveAlumno()->getIdeAlu() . '_'
                . $persona->getIdeFam() . '_'
                . $_FILES['archivoFotoFamiliar']['name']);
            $persona->setPersona($nombrePersona);
            $persona->setParentesco($parentesco);


            $em->flush();//confirmar la existencia

            return $this->redirect($this->generateUrl('consulta_alumno_dos',
                array('ideAlu' => $persona->getClaveAlumno()->getIdeAlu())));

        }

    }

    public function imprimirInventarioAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has('idEmpleado')) {
            if ($request->getMethod() == 'POST') {

            } else {

                $em = $this->getDoctrine()->getManager();
                $inventarioPlantel = $em->getRepository('CmBundle:InventarioPlanteles')
                    ->findAll();

                $pdf = new PDFInventario('P', 'mm', 'Letter');
                $pdf->AddPage();
                $pdf->SetFont('Helvetica');
                $pdf->Inventario($inventarioPlantel);

                return new Response($pdf->Output('pdfinventario.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));

            }
        }
    }


}