<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

/**
 * Description of ObsequiosController
 *
 * @author ALE
 */
class ObsequiosController extends Controller {

    //put your code here
    public function validarObsequiosAction(Request $request) {
        $session = $request->getSession();
        if ($session->has('idEmpleado')) {
            if ($request->getMethod() == 'POST') {

                $auxAlumno = $request->get('ideAlu');

                $em = $this->getDoctrine()->getEntityManager();

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $auxAlumno));

                if ($alumno != null) { // EL ALUMNO SI EXISTE
                    // PASO 1: Validar el tipo de Alumno
                    $documentos = [];
                    $pagos = "";
                    $tipoAlumno = "";
                    $bandera = "";
                    switch ($alumno->getTipoAlumno()) {
                        case 1: // BACHILLERATO ESCOLARIZADO
                            $tipoAlumno = $alumno->getCveLic()->getNomLic();

                            $auxDocumentos = [
                                'ACTA DE NACIMIENTO' => "archivo/" . $alumno->getCveCtl() . "-an.pdf",
                                'CURP' => "archivo/" . $alumno->getCveCtl() . "-curp.pdf",
                                'CERTIFICADO DE SECUNDARIA' => "archivo/" . $alumno->getCveCtl() . "-cs.pdf"
                            ];

                            foreach ($auxDocumentos as $key => $value) {
                                if (file_exists($value)) {// SI EXISTE
                                    $documentos[$key] = "X";
                                } else { // NO EXISTE
                                    $documentos[$key] = "-";
                                }
                            }

                            return $this->render('CmBundle:Obsequios:vistaResultado.html.twig', array(
                                        'alumno' => $alumno,
                                        'tipoAlumno' => $tipoAlumno,
                                        'documentacion' => $documentos
                            ));
                            break;
                        case 2: // EXAMEN UNICO
                            $tipoAlumno = $alumno->getCveLic()->getNomLic();

                            return $this->render('CmBundle:Obsequios:vistaResultado.html.twig', array(
                                        'alumno' => $alumno,
                                        'tipoAlumno' => $tipoAlumno,
                                        'documentacion' => $documentos
                            ));
                            break;
                        case 3: // LICENCIATURA
                            $tipoAlumno = "LICENCIATURA EN " . $alumno->getCveLic()->getNomLic();

                            // REVISAR ADEUDO
                            $hoy = date('Y-m-d');

                            $dql = 'SELECT p '
                                    . 'FROM CmBundle:Pagos p '
                                    . 'WHERE (p.cveAlu = :cve ) '
                                    . 'AND (p.semestre = :sem ) '
                                    . 'AND (p.fecIni <= :fec ) '
                                    . 'AND p.staPag = 1';
                            $query = $em->createQuery($dql);
                            $query->setParameter('cve', $alumno->getIdeAlu());
                            $query->setParameter('sem', $alumno->getNumero());
                            $query->setParameter('fec', $hoy);
                            $pagos = $query->getResult();

                            $bandera = 0; // NO TIENE PAGOS ATRASADOS:: POR LO TANTO ES BIENVENIDO
                            $numReg = count($pagos);
                            if ($numReg == 0) {
                                // BIENVENIDO, PERO...

                                /**
                                 * NOTA FALTARÍA HACER LA VALIDACIÓN PARA QUE SE INSCRIBA EL ALUMNO, EN CASO DE HABER 
                                 * PAGADO TODO SU CUATRIMESTRE.
                                 */
                                $hoy = date('Y-m-d');

                                $dql = 'SELECT p '
                                        . 'FROM CmBundle:Pagos p '
                                        . 'WHERE (p.cveAlu = :cve ) '
                                        . 'AND (p.semestre = :sem ) '
                                        . 'AND (p.fecIni > :fec ) '
                                        . 'AND p.staPag = 1';
                                $query = $em->createQuery($dql);
                                $query->setParameter('cve', $alumno->getIdeAlu());
                                $query->setParameter('sem', $alumno->getNumero());
                                $query->setParameter('fec', $hoy);
                                $pagos = $query->getResult();

                                $numRegistros = count($pagos);
                                if ($numRegistros > 0) {
                                    $bandera = 0; // NO TIENE PAGOS ATRASADOS y SIGUE ESTUDIANDO:: POR LO TANTO ES BIENVENIDO
                                } else {
                                    $bandera = 2; // NO TIENE PAGOS ATRASADOS, PERO, YA HA FINALIZADO SU SEMESTRE O CUATRIMESTRE:: POR LO TANTO DEBE TRAMITAR SU REINSCRIPCIÓN
                                }
                            } elseif ($numReg > 0) {
                                // SI TIENE PAGOS ATRASADOS
                                // PASAR A CONTROL ESCOLAR
                                $bandera = 1;
                            }

                            $auxDocumentos = [
                                'ACTA DE NACIMIENTO' => "archivo/" . $alumno->getCveCtl() . "-an.pdf",
                                'CURP' => "archivo/" . $alumno->getCveCtl() . "-curp.pdf",
                                'CERTIFICADO DE SECUNDARIA' => "archivo/" . $alumno->getCveCtl() . "-cs.pdf"
                            ];
                            
                            //var_dump($auxDocumentos);

                            foreach ($auxDocumentos as $key => $value) {
                                if (file_exists($value)) {// SI EXISTE
                                    $documentos[$key] = "X";
                                } else { // NO EXISTE
                                    $documentos[$key] = "-";
                                }
                            }
                            
                            //var_dump($documentos);
                            //die();

                            return $this->render('CmBundle:Obsequios:vistaResultado.html.twig', array(
                                        'alumno' => $alumno,
                                        'tipoAlumno' => $tipoAlumno,
                                        'bandera' => $bandera,
                                        'documentacion' => $documentos
                            ));
                            break;
                        case 4: // MAESTRIA
                            $tipoAlumno = "MAESTRÍA EN " . $alumno->getCveLic()->getNomLic();

                            return $this->render('CmBundle:Obsequios:vistaResultado.html.twig', array(
                                        'alumno' => $alumno,
                                        'tipoAlumno' => $tipoAlumno,
                                        'documentacion' => $documentos
                            ));
                            break;
                        case 5: // DOCTORADO
                            $tipoAlumno = "DOCTORADO EN " . $alumno->getCveLic()->getNomLic();

                            return $this->render('CmBundle:Obsequios:vistaResultado.html.twig', array(
                                        'alumno' => $alumno,
                                        'tipoAlumno' => $tipoAlumno,
                                        'documentacion' => $documentos
                            ));
                            break;
                        case 6: // DIPLOMADO
                            $tipoAlumno = "DIPLOMADO EN " . $alumno->getCveLic()->getNomLic();

                            return $this->render('CmBundle:Obsequios:vistaResultado.html.twig', array(
                                        'alumno' => $alumno,
                                        'tipoAlumno' => $tipoAlumno,
                                        'documentacion' => $documentos
                            ));
                            break;
                        case 7: // BACHILLERATO RETROACTIVO
                            $tipoAlumno = $alumno->getCveLic()->getNomLic();

                            return $this->render('CmBundle:Obsequios:vistaResultado.html.twig', array(
                                        'alumno' => $alumno,
                                        'tipoAlumno' => $tipoAlumno,
                                        'documentacion' => $documentos
                            ));
                            break;
                        case 8: // TITULACION DIRECTA
                            $tipoAlumno = "TITULACIÓN DIRECTA";

                            return $this->render('CmBundle:Obsequios:vistaResultado.html.twig', array(
                                        'alumno' => $alumno,
                                        'tipoAlumno' => $tipoAlumno,
                                        'documentacion' => $documentos
                            ));
                            break;
                    }
                } else { // EL ALUMNO NO EXISTE
                    return $this->render('CmBundle:Obsequios:vistaResultado.html.twig', array('alumno' => null));
                }
            } else { // NO FUE POST
                $em = $this->getDoctrine()->getEntityManager();

                $alumnos = $em->getRepository('CmBundle:Alumnos')->findAll();

                return $this->render('CmBundle:Obsequios:vistaObsequio.html.twig', array('alumnos' => $alumnos, 'avisos' => null));
            }
        } else {
            return $this->redirect($this->generateUrl('logout'));
        }
    }

}
