<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use FPDF;
use CmBundle\Controller\NumberToLetterConverter;
use PHPQRCode\QRcode;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PDFBachillerato
 *
 * @author Omar
 */
class PDFBachillerato extends FPDF
{

//put your code here
    public $banRecibo;

// Cabecera de página
    function Header()
    {
        if ($this->banRecibo == 0) {
            $this->Image('images/logoTec.png', 0, 0, 75);
        } elseif ($this->banRecibo == 1) {
            //$this->Image('images/logoTecCortado.png', 8, 5, 75, 15);
            $this->Image('images/logoTecCortado.png', 8, 5, 0, 16);
        }
    }

// Pie de página
    function Footer()
    {
        if ($this->banRecibo == 0) {

        } elseif ($this->banRecibo == 1) {

        }
    }

    public function fichaBachilleratoPaginaUno($d)
    {
        $this->SetAutoPageBreak(true, 10);

        $this->SetFillColor(226, 13, 31); //ROJO UBC
        $this->SetDrawColor(226, 13, 31); //ROJO UBC

        $this->SetFont('', 'B', 18);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(80, 10, "", 0, 0, 'C', false);
        if ($d->getTipoAlumno() == 7) {
            $this->SetFont('', 'IB', 14);
            $this->MultiCell(80, 10, utf8_decode('FICHA DE INSCRIPCIÓN PARA BACHILLERATO RETROACTIVO'), 1, 'C', true);
            $this->SetFont('', 'B', 18);
        } else {
            $this->MultiCell(80, 10, utf8_decode('FICHA DE INSCRIPCIÓN PARA BACHILLERATO'), 1, 'C', true);
        }

        $this->SetXY(180, 5);

        $rutaFoto = "fotos/" . $d->getCveCtl() . ".jpg";
        $nombre_fichero = $rutaFoto;
        $img = "";

        if (file_exists($nombre_fichero)) {
            $img = "fotos/" . $d->getCveCtl() . ".jpg";
        } else {
            $img = "images/usuario.png";
        }
        $this->Image($img, 180, 5, 26, 30);

        $this->MultiCell(0, 30, "", 1);
        $this->Ln(5);
        $this->SetFont('', 'B', 12);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(30, 10, "Se acredita a:", 0);
        $this->Cell(151, 10, utf8_decode($d->getNomAlu() . " " . $d->getApePat() . " " . $d->getApeMat()), 1, 0, "C", false);
        $this->SetFont('', '', 12);
        $this->Cell(0, 10, " como", 0);
        $this->Ln();
        $this->Cell(122, 10, utf8_decode("alumno(a) de esta Institución Educativa, del curso de preparción"), 0, 'J', false);
        $this->SetFont('', 'B', 12);
        $this->Cell(33, 10, utf8_decode(" de Bachillerato "), 0, 'J', false);
        $this->SetFont('', '', 12);
        $this->Cell(0, 10, utf8_decode("que se presentara el"), 0, 'J', false);
        $this->Ln();
        $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
        $mesesMexico = array('ENERO', 'FEBRERO', 'MARZO', 'ABRIL', 'MAYO', 'JUNIO', 'JULIO', 'AGOSTO', 'SEPTIEMBRE', 'OCTUBRE', 'NOVIEMBRE', 'DICIEMBRE');


        if ($d->getTipoAlumno() == 2) { // EXAMEN UNICO
            $mes = str_replace($mesesIngles, $mesesMexico, $d->getCveNumApli()->getFechaAplicacion()->format('d-F-Y'));
            $this->Cell(60, 10, $mes, 1, 0, 'C', false);
        } else { // BACHILL.ERATO ESCOLARIZADO
            $this->Cell(60, 10, "", 1, 0, 'C', false);
        }
        $this->Cell(0, 10, utf8_decode(" con el compromiso de ser constante y dedicado en sus estudios."), 0, 'J', false);
        $this->Ln(15);
        $this->SetFont('', 'B', 18);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(0, 10, "DATOS DEL ALUMNO", 1, 0, "C", true);
        $this->Ln(15);
        $this->MultiCell(0, 176, "", 1, 'J', false);
        $this->SetLeftMargin(15);
        $this->SetRightMargin(15);
        $this->SetXY(15, 95);
        $this->SetFont('', '', 12);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(40, 8, "Nombre del alumno:", 0, 0, "L", false);
        $this->Cell(48, 8, utf8_decode($d->getApePat()), "LTB", 0, "C", false);
        $this->Cell(49, 8, utf8_decode($d->getApeMat()), "TB", 0, "C", false);
        $this->Cell(0, 8, utf8_decode($d->getNomAlu()), "RTB", 0, "C", false);
        $this->Ln();
        $this->Cell(40, 5, "", 0, 0, "C", false);
        $this->SetFont('', '', 9);
        $this->Cell(48, 5, "Apellido Paterno", 0, 0, "C", false);
        $this->Cell(49, 5, "Apellido Materno", 0, 0, "C", false);
        $this->Cell(0, 5, "Nombre (s)", 0, 0, "C", false);
        $this->Ln();
        $this->SetFont('', '', 12);
        $this->Cell(15, 8, "CURP: ", 0, 0, "L", false);
        $this->Cell(80, 8, utf8_decode($d->getCurp()), 1, 0, "C", false);
        $this->Cell(50, 8, "Fecha de Nacimiento", 0, 0, "C", false);
        $this->Cell(10, 8, $d->getFecNac()->format('d'), 1, 0, "C", false);
        $this->Cell(5, 8, " / ", 0, 0, "C", false);
        $this->Cell(10, 8, $d->getFecNac()->format('m'), 1, 0, "C", false);
        $this->Cell(5, 8, " / ", 0, 0, "C", false);
        $this->Cell(0, 8, $d->getFecNac()->format('Y'), 1, 0, "C", false);
        $this->Ln();
        $this->SetFont('', '', 9);
        $this->Cell(15, 5, "", 0, 0, "C", false);
        $this->Cell(80, 5, "", 0, 0, "C", false);
        $this->Cell(50, 5, "", 0, 0, "C", false);
        $this->Cell(10, 5, utf8_decode("Día"), 0, 0, "C", false);
        $this->Cell(5, 5, "", 0, 0, "C", false);
        $this->Cell(10, 5, utf8_decode("Mes"), 0, 0, "C", false);
        $this->Cell(5, 5, "", 0, 0, "C", false);
        $this->Cell(0, 5, utf8_decode("Año"), 0, 0, "C", false);
        $this->Ln();
        $this->SetFont('', '', 12);
        $this->Cell(12, 8, "Sexo:", 0, 0, "L", false);
        if ($d->getSexo() == 0) { // MASCULINO
            $this->Cell(22, 8, "Femenino", 0, 0, "C", false);
            $this->Cell(5, 8, utf8_decode(""), 1, 0, "C", false);
            $this->Cell(1, 8, "", 0, 0, "C", false);
            $this->Cell(22, 8, "Masculino", 0, 0, "C", false);
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(5, 8, chr(51), 1, 0, "C", false);
            $this->SetFont('Arial', '', 12);
            $this->Cell(3, 8, "", 0, 0, "C", false);
        } elseif ($d->getSexo() == 1) { // FEMENINO
            $this->Cell(22, 8, "Femenino", 0, 0, "C", false);
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(5, 8, chr(51), 1, 0, "C", false);
            $this->SetFont('Arial', '', 12);
            $this->Cell(1, 8, "", 0, 0, "C", false);
            $this->Cell(22, 8, "Masculino", 0, 0, "C", false);
            $this->Cell(5, 8, utf8_decode(""), 1, 0, "C", false);
            $this->Cell(3, 8, "", 0, 0, "C", false);
        }

        $this->Cell(12, 8, "Edad:", 0, 0, "C", false);
        $this->Cell(10, 8, utf8_decode($d->getEdad()), 1, 0, "C", false);
        $this->Cell(12, 8, utf8_decode("años"), 0, 0, "C", false);
        $this->Cell(3, 8, "", 0, 0, "C", false);
        $this->Cell(26, 8, utf8_decode("Nacionalidad"), 0, 0, "C", false);
        $this->Cell(0, 8, utf8_decode($d->getNacionalidad()), 1, 0, "C", false);
        $this->Ln(13);
        $this->SetFont('', '', 12);
        $this->Cell(20, 8, "Domicilio:", 0, 0, "L", false);
        $this->Cell(130, 8, utf8_decode($d->getCalle()), 1, 0, "C", false);
        $this->Cell(10, 8, utf8_decode("No."), 0, 0, "C", false);
        $this->Cell(0, 8, $d->getNumInt(), 1, 0, "C", false);
        $this->Ln(13);
        $this->SetFont('', '', 12);
        $this->Cell(20, 8, "Colonia:", 0, 0, "L", false);
        $this->Cell(65, 8, utf8_decode($d->getColLoc()), 1, 0, "C", false);
        $this->Cell(45, 8, utf8_decode("Municipio/Delegación:"), 0, 0, "C", false);
        $this->Cell(0, 8, utf8_decode($d->getMunDel()), 1, 0, "C", false);
        $this->Ln(13);
        $this->SetFont('', '', 12);
        $this->Cell(60, 8, "Secundaria de Procedencia:", 0, 0, "L", false);
        if ($d->getCvePro() != null) {
            $this->Cell(0, 8, utf8_decode($d->getCvePro()->getNomPlantel()), 1, 0, "C", false);
        } else {
            $this->Cell(0, 8, utf8_decode(""), 1, 0, "C", false);
        }
        $this->Ln(13);
        $this->SetFont('', '', 12);
        $this->Cell(40, 8, utf8_decode("¿Cómo se enteró?"), 0, 0, "L", false);
        $this->Cell(0, 8, utf8_decode($d->getComoEntero()), 1, 0, "C", false);
        $this->Ln();
        $this->SetFont('', 'B', 10);
        $this->Cell(30, 10, utf8_decode("Especialidad:"), 0, 0, "L", false);
        $this->SetFont('', 'BU', 12);
        if ($d->getTipoAlumno() == 1) {
            $this->Cell(0, 10, "BACHILLERATO ESCOLARIZADO", 0, 0, "L", false);
        } elseif ($d->getTipoAlumno() == 2) {
            $this->Cell(0, 10, "BACHILLERATO " . $d->getCveNumApli()->getNumeroAplicacion(), 0, 0, "L", false);
        }
        $this->Ln();
        $this->SetFont('', '', 12);
        $this->Cell(45, 8, utf8_decode("Fecha de Inscripción"), 0, 0, "L", false);
        $this->Cell(10, 8, $d->getFecMov()->format('d'), 1, 0, "C", false);
        $this->Cell(5, 8, " / ", 0, 0, "C", false);
        $this->Cell(10, 8, $d->getFecMov()->format('m'), 1, 0, "C", false);
        $this->Cell(5, 8, " / ", 0, 0, "C", false);
        $this->Cell(10, 8, $d->getFecMov()->format('Y'), 1, 0, "C", false);
        $this->SetFont('', 'B', 12);
        $this->Cell(45, 8, utf8_decode("Fecha de Egreso"), 0, 0, "R", false);
        $this->SetFont('', '', 12);
        if ($d->getFecTer() != null) {
            $this->Cell(0, 8, $d->getFecTer()->format('d-m-Y'), 1, 0, "C", false);
        } else {
            $this->Cell(0, 8, "", 1, 0, "C", false);
        }
        $this->Ln();
        $this->SetFont('', '', 9);
        $this->Cell(45, 5, utf8_decode(""), 0, 0, "L", false);
        $this->Cell(10, 5, utf8_decode("Día"), 0, 0, "C", false);
        $this->Cell(5, 5, "", 0, 0, "C", false);
        $this->Cell(10, 5, utf8_decode("Mes"), 0, 0, "C", false);
        $this->Cell(5, 5, "", 0, 0, "C", false);
        $this->Cell(10, 5, utf8_decode("Año"), 0, 0, "C", false);
        $this->Ln();
        $this->SetFont('', '', 12);
        $this->Cell(30, 8, utf8_decode("Teléfono Fijo:"), 0, 0, "L", false);
        $this->Cell(55, 8, utf8_decode($d->getTelefono()), 1, 0, "C", false);
        $this->Cell(45, 8, utf8_decode("Teléfono Celular"), 0, 0, "R", false);
        $this->Cell(0, 8, utf8_decode($d->getTelefonoCelular()), 1, 0, "C", false);
        $this->Ln(13);
        $this->SetFont('', '', 12);
        $this->Cell(10, 8, utf8_decode(""), 0, 0, "L", false);
        $this->Cell(80, 8, utf8_decode($d->getCorreo()), 1, 0, "C", false);
        $this->Cell(20, 8, utf8_decode(""), 0, 0, "R", false);
        $this->Cell(0, 8, utf8_decode($d->getFacebook()), 1, 0, "C", false);
        $this->Ln(13);
        $this->SetFont('', '', 12);
        $this->Cell(50, 8, utf8_decode("Dependencia o Empresa:"), 0, 0, "L", false);
        $this->Cell(55, 8, utf8_decode($d->getDependenciaEmpresa()), 1, 0, "C", false);
        $this->Cell(15, 8, utf8_decode("Depto."), 0, 0, "R", false);
        $this->Cell(0, 8, utf8_decode($d->getDepto()), 1, 0, "C", false);
        $this->Ln(13);
        $this->SetFont('', '', 12);
        $this->Cell(32, 8, utf8_decode("Observaciones:"), 0, 0, "L", false);
        $this->Cell(0, 8, utf8_decode($d->getObservaciones()), 1, 0, "C", false);
        $this->Ln(13);
        $this->SetFont('', '', 12);
        $this->Cell(18, 8, utf8_decode("Plantel:"), 0, 0, "L", false);
        $this->Cell(80, 8, utf8_decode($d->getCvePla()->getNomPla()), 1, 0, "C", false);
        $this->Cell(30, 8, utf8_decode("Coordinador:"), 0, 0, "L", false);
        $this->Cell(0, 8, utf8_decode($d->getCoordinador()), 1, 0, "C", false);

        $this->Image('images/facebook.png', 112, 215, 10, 10);
        $this->Image('images/whatsapp.png', 104, 203, 8, 8);
        $this->Image('images/mail.jpg', 12, 215, 12, 10);
    }

    public function fichaBachilleratoPaginaDos($d)
    {
        $this->SetAutoPageBreak(true, 10);

        $this->SetFillColor(226, 13, 31); //ROJO UBC
        $this->SetDrawColor(226, 13, 31); //ROJO UBC

        $this->SetFont('', 'B', 18);
        $this->SetLeftMargin(10);
        $this->SetRightMargin(10);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(130, 10, "", 0, 0, 'C', false);
        $this->SetFont('', 'B', 11);
        $this->Cell(0, 10, utf8_decode('NUMERO DE EXPEDIENTE'), 1, 0, 'C', true);
        $this->Ln(13);
        $this->Cell(140, 8, "", 0, 0, 'C', false);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(50, 8, utf8_decode($d->getCveCtl()), 1, 0, 'C', false);
        $this->Ln(11);
        $this->SetFont('', 'B', 12);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(65.3, 10, "", 'TL', 0);
        $this->Cell(65.3, 10, "LINEAMIENTOS GENERALES:", 1, 0, 'C', true);
        $this->Cell(0, 10, "", 'TR');
        $this->Ln();
        $this->SetTextColor(0, 0, 0);
        $this->SetFont('', '', 11);
        $this->Cell(0, 8, utf8_decode("1. En caso de cancelación la inscripción por el interesado, el monto pagado no será rembolsado."), 'RL', 0, 'L');
        $this->Ln();
        $this->SetFont('', '', 11);
        $this->Cell(0, 8, utf8_decode("2. Se deberá cubrir un 80% de las asesorías para poder presentar el examen."), 'RL', 0, 'L');
        $this->Ln();
        $this->SetFont('', 'B', 10);
        $this->Cell(0, 8, utf8_decode("3. DE NO PRESENTARSE EN LA FECHA DETERMINADA PARA SU EXAMEN, CAUSARA BAJA AUTOMATICA"), 'RL', 0, 'L');
        $this->Ln();
        $this->SetFont('', '', 11);
        $this->Cell(0, 8, utf8_decode("4. En caso de no cumplir con la documentación completa y características estrictamente requeridas en tiempo y"), 'RL', 0, 'J');
        $this->Ln();
        $this->Cell(0, 8, utf8_decode("     forma la institución no se hace responsable del trámite al igual no habrá devolución del pago previamente"), 'RL', 0, 'J');
        $this->Ln();
        $this->Cell(0, 8, utf8_decode("     realizado."), 'RBL', 0, 'L');
        $this->Ln(15);
        $this->SetFont('', 'B', 16);
        $this->Cell(70, 10, utf8_decode("COSTO DE INSCRIPCIÓN"), 0, 0, 'L');
        $this->Cell(30, 10, utf8_decode("$" . number_format($d->getCostoInscripcion(), 2, ".", ",")), 1, 0, 'R');
        $this->Cell(60, 10, utf8_decode("COSTO DE EXAMEN"), 0, 0, 'L');
        $this->Cell(0, 10, utf8_decode("$" . number_format($d->getCostoMensualidad(), 2, ".", ",")), 1, 0, 'R');
        $this->Ln(13);
        $this->Cell(45, 10, utf8_decode("COSTO TOTAL"), 0, 0, 'L');
        $this->Cell(40, 10, utf8_decode("$" . number_format(($d->getCostoInscripcion() + $d->getCostoMensualidad()), 2, ".", ",")), 1, 0, 'R');
        $this->Cell(5, 10, utf8_decode(""), 0, 0, 'L');

        $convertidor = new NumberToLetterConverter();
        $cantidadLetra = $convertidor->to_word(($d->getCostoInscripcion() + $d->getCostoMensualidad()));
        $this->SetFont('Arial', '', 9);

        $this->Cell(0, 10, utf8_decode("( " . $cantidadLetra . "PESOS 00/100 MXN )"), 1, 0, 'C');
        $this->Ln(13);
        $this->Cell(97.95, 102, "", 1);
        $this->Cell(97.95, 102, "", 1);
        $this->Ln(2);
        $this->SetFont('', 'B', 9);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(5, 10, "", 0, 0, 'C', false);
        $this->Cell(87.95, 10, utf8_decode("DOCUMENTACIÓN QUE RECIBE LA INSTITUCIÓN"), 1, 0, 'C', true);
        $this->Cell(5, 10, "", 0, 0, 'C', false);
        $this->Cell(5, 10, "", 0, 0, 'C', false);
        $this->Cell(87.95, 10, utf8_decode("DOCUMENTACIÓN QUE ENTREGA LA INSTITUCIÓN"), 1, 0, 'C', true);
        $this->Cell(5, 10, "", 0, 0, 'C', false);
        $this->Ln(13);
        $this->SetFont('', '', 9);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(82.95, 8, utf8_decode("1.- Certificado de Secundaria (original y 2 copias)"), 0, 0, 'L', false);
        if ($d->getCerSec() == 1 & $d->getCerSecCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(51), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        } elseif (($d->getCerSec() == 1 & $d->getCerSecCopia() == 0) | ($d->getCerSec() == 0 & $d->getCerSecCopia() == 1)) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(119), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCerSec() == 0 & $d->getCerSecCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(54), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 8, "", 0, 0, 'C', false);
        $this->Cell(82.95, 8, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(10, 8, "", 0, 0, 'C', false);
        $this->Ln(10);
        $this->Cell(82.95, 8, utf8_decode("2.- Acta de Nacimiento Certificada (original y 2 copias)"), 0, 0, 'L', false);
        if ($d->getActNac() == 1 & $d->getActNacCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(51), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        } elseif (($d->getActNac() == 1 & $d->getActNacCopia() == 0) | ($d->getActNac() == 0 & $d->getActNacCopia() == 1)) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(119), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getActNac() == 0 & $d->getActNacCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(54), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 8, "", 0, 0, 'C', false);
        $this->Cell(82.95, 8, utf8_decode("1.- CERTIFICADO DE SECUNDARIA (original)"), 0, 0, 'L', false);
        /* if ($d->getCerSec() == 1) {
          $this->SetFont('ZapfDingbats', '', 12);
          $this->Cell(10, 8, chr(51), 1, 0, "C", false);
          $this->SetFont('Arial', '', 9);
          } elseif ($d->getCerSec() == 0) {
          $this->SetFont('ZapfDingbats', '', 12);
          $this->Cell(10, 8, chr(54), 1, 0, "C", false);
          $this->SetFont('Arial', '', 9);
          }
         * *
         */
        $this->Cell(10, 8, "", 1, 0, "C", false);
        $this->SetFont('Arial', '', 9);

        $this->Ln(10);
        $this->Cell(82.95, 8, utf8_decode("3.- Curp (3 copias)"), 0, 0, 'L', false);
        if ($d->getCopCurpCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(51), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCopCurpCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(54), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        }

        $this->Cell(5, 8, "", 0, 0, 'C', false);
        $this->Cell(82.95, 8, utf8_decode("2.- CERTIFICADO DE BACHILLERATO (original)"), 0, 0, 'L', false);
        $this->SetFont('ZapfDingbats', '', 12);
        $this->Cell(10, 8, "", 1, 0, "C", false);
        $this->SetFont('Arial', '', 9);
        $this->Ln(10);
        $this->Cell(82.95, 8, utf8_decode("4.- IFE o INE (3 copias)"), 0, 0, 'L', false);
        if ($d->getCerMedCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(51), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCerMedCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(54), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 8, "", 0, 0, 'C', false);
        $this->Cell(82.95, 8, utf8_decode("3.- ACTA DE NACIMIENTO (original)"), 0, 0, 'L', false);
        /* if ($d->getActNac() == 1) {
          $this->SetFont('ZapfDingbats', '', 12);
          $this->Cell(10, 8, chr(51), 1, 0, "C", false);
          $this->SetFont('Arial', '', 9);
          } elseif ($d->getActNac() == 0) {
          $this->SetFont('ZapfDingbats', '', 12);
          $this->Cell(10, 8, chr(54), 1, 0, "C", false);
          $this->SetFont('Arial', '', 9);
          }
         * 
         */
        $this->Cell(10, 8, "", 1, 0, "C", false);
        $this->SetFont('Arial', '', 9);

        $this->Ln(10);
        $this->Cell(82.95, 8, utf8_decode("5.- Comprobante domiciliario"), 0, 0, 'L', false);
        if ($d->getCerPre() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(51), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCerPre() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(54), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 8, "", 0, 0, 'C', false);
        $this->Cell(82.95, 8, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(10, 8, "", 0, 0, 'C', false);
        $this->Ln(10);
        $this->Cell(82.95, 8, utf8_decode("6.- Paquete de fotos (completas)"), 0, 0, 'L', false);
        if ($d->getFotInf() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(51), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getFotInf() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 8, chr(54), 1, 0, "C", false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 8, "", 0, 0, 'C', false);
        $this->Cell(82.95, 8, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(10, 8, "", 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(97.95, 8, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(97.95, 8, utf8_decode("______________________________"), 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(97.95, 5, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(97.95, 5, utf8_decode("NOMBRE Y FIRMA"), 0, 0, 'C', false);
        $this->Ln(4);
        $this->Cell(48.975, 5, utf8_decode("_______________________"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("_______________________"), 0, 0, 'C', false);
        $this->Cell(97.95, 5, utf8_decode("DE CONFORMIDAD"), 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(48.975, 5, utf8_decode("NOMBRE Y FIRMA DEL"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("NOMBRE Y FIRMA"), 0, 0, 'C', false);
        $this->Cell(97.95, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Ln(4);
        $this->Cell(48.975, 5, utf8_decode("ASESOR EDUCATIVO"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("DEL ALUMNO"), 0, 0, 'C', false);
        $this->Cell(97.95, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Ln(10);
        $this->SetFont('', 'B', 12);
        $this->Cell(48.975, 5, utf8_decode("RECIBE"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("ENTREGA"), 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(48.975, 5, utf8_decode("_______________________"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("_______________________"), 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(48.975, 5, utf8_decode("ASESOR EDUCATIVO"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("CONTROL ESCOLAR"), 0, 0, 'C', false);
        $this->Ln(4);
        $this->SetFont('', 'B', 9);
        $this->Cell(48.975, 5, utf8_decode("NOMBRE Y FIRMA"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("SELLO Y FIRMA"), 0, 0, 'C', false);
    }

    function ReciboComprobante($a, $p, $pp, $cb, $usuario, $cb1, $cb2, $rol)
    {
        $this->SetAutoPageBreak(true, 0);
        $this->Ln();
        $imagen = $p->getNumRecibo();
        $rutaImagen = new QRcode();
        $rutaImagen->png("Este recibo pertenece al Alumno: "
            . $p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat()
            . " con Recibo: "
            . $p->getNumRecibo(), "qr/{$p->getNumRecibo()}.png", 'L', 4, 2);
        $this->Image("qr/{$imagen}.png", 180, 65, 25);
        if ($this->PageNo() == 2) {
            $this->Ln(-6);
            $this->SetLeftMargin(13);
            $this->SetRightMargin(13);
        } else {

        }

        $this->SetFont('Arial', 'B', 20);
        $this->Cell(75, 6, "", 0, 0, 'C', false);
        $this->Cell(70, 6, "RECIBO DE PAGO", 0, 0, 'C', false);
        if ($this->PageNo() == 2) {
            $this->SetLeftMargin(10);
            $this->SetRightMargin(10);
        } else {

        }
        $this->SetFont('Courier', 'B', 12);
        $this->SetFillColor(226, 13, 31); //ROJO UBC
        $this->SetDrawColor(226, 13, 31); //ROJO UBC
        $this->SetTextColor(255, 255, 255);
        $this->Cell(0, 6, "Folio " . $p->getNumRecibo(), 1, 0, 'L', true);
        $this->Ln();
        $this->Ln();
        $this->SetTextColor(0, 0, 0);
        $this->SetDrawColor(226, 13, 31); //ROJO UBC
        $this->Cell(0, 110, "", 1);
        //$this->SetDrawColor(23, 55, 94);
        $this->SetDrawColor(226, 13, 31); //ROJO UBC
        $this->SetXY(10, 24);
        $this->SetLeftMargin(13);
        $this->SetRightMargin(13);
        $this->SetFont('Arial', '', 12);

        $this->Image($cb1, 150, 25, 50, 5);
        $this->Image($cb2, 150, 32, 50, 5);

        $this->Cell(40, 6, "Nombre del Alumno", 0, 0, 'L', false);
        $nombre = $p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat();
        if (strlen($nombre) > 30) {
            $this->SetFont('Arial', '', 8);
        } else {
            $this->SetFont('Arial', '', 12);
        }
        $this->Cell(90, 6, utf8_decode($nombre), 1, 0, 'L', false);
        $this->SetFont('Arial', '', 12);
        $this->Ln(8);
        $this->Cell(23, 6, "Plantel", 0, 0, 'R', false);
        $this->Cell(107, 6, utf8_decode($p->getCveAlu()->getCvePla()->getNomPla()), 1, 0, 'L', false);
        //$this->Image('images/pieRecibo.png', 10, 106, 196);
        $this->Image('images/pieRecibo.png', 11, 102, 194);
        //$this->Image('images/pieRecibo.png', 10, 105);
        $this->Ln(8);
        $this->Cell(40, 6, "", 0, 0, 'L', false);
        $this->Cell(90, 6, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(20, 6, "Fecha", 0, 0, 'R', false);
        $this->Cell(10, 6, $p->getFecMov()->format('d'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('m'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('Y'), 1, 0, 'C', false);
        $this->Ln(8);
        $this->Cell(40, 6, "Concepto de Pago:", 0, 0, 'L', false);
        if ($pp != null) {
            if ($pp->getNumero() > 0) {
                $this->Cell(0, 6, utf8_decode($p->getDescripcion() . " " . $pp->getNomMes() . " " . $pp->getFecIni()->format('Y')), 1, 0, 'L', false);
            } else {
                if ($pp->getCveAlu()->getModalidad() == "SEMESTRAL") {
                    $this->Cell(0, 6, utf8_decode($p->getDescripcion() . " " . $pp->getSemestre() . "° semestre"), 1, 0, 'L', false);
                } else {
                    $this->Cell(0, 6, utf8_decode($p->getDescripcion() . " " . $pp->getSemestre() . "° cuatrimestre"), 1, 0, 'L', false);
                }
            }
        } else {
            $this->Cell(0, 6, utf8_decode($p->getDescripcion()), 1, 0, 'L', false);
        }

        $this->Ln(8);
        $this->Cell(15, 6, "Monto", 0);
        $this->Cell(20, 6, "$" . number_format($p->getMonto() - $p->getRecargos(), 2, ".", ","), 'LTB');

        $convertidor = new NumberToLetterConverter();
        $cantidadLetra = $convertidor->to_word($p->getMonto() - $p->getRecargos());
        $this->SetFont('Arial', '', 9);
        $this->Cell(100, 6, "( " . $cantidadLetra . "PESOS 00/100 MN )", 'RTB');
        $this->SetFont('Arial', '', 12);
        $this->Cell(20, 6, "Recargos", 0);
        $this->Cell(0, 6, "$" . number_format($p->getRecargos(), 2, ".", ","), 1, 0, 'R');
        $this->Ln();
        $this->Cell(35, 5, "", 0);
        $this->SetFont('Arial', '', 10);
        $this->Cell(100, 5, "Cantidad con letra", 0, 0, 'C');
        $this->Ln(10);
        $this->SetFont('Arial', 'BU', 12);
        if ($p->getCveAlu()->getTipoAlumno() == 1) {
            $this->Cell(20, 6, utf8_decode("BACHILLERATO ESCOLARIZADO"), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 2) {
            $this->Cell(20, 6, utf8_decode("BACHILLERATO: " . $p->getCveAlu()->getCveNumApli()->getNumeroAplicacion()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 3) {
            $this->Cell(20, 6, utf8_decode("LICENCIATURA en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 4) {
            $this->Cell(20, 6, utf8_decode("MAESTRÍA en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 5) {
            $this->Cell(20, 6, utf8_decode("DOCTORADO en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 6) {
            $this->Cell(20, 6, utf8_decode("DIPLOMADO en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 7) {
            $this->Cell(20, 6, utf8_decode("RETRO: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        }

        $this->Ln();
        if ($p->getCveAlu()->getTipoAlumno() == 1) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $pp->getSemestre()), 0);
            }
        } elseif ($p->getCveAlu()->getTipoAlumno() == 2) {
            $this->Cell(20, 6, "", 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 3) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $pp->getSemestre()), 0);
            }
        } elseif ($p->getCveAlu()->getTipoAlumno() == 4) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $pp->getSemestre()), 0);
            }
        } elseif ($p->getCveAlu()->getTipoAlumno() == 5) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $pp->getSemestre()), 0);
            }
        }
        $this->SetFont('Arial', 'IB', 8);
        switch ($p->getTipPag()) {
            case 0:
                $this->Cell(140, 6, utf8_decode("BOUCHER " . $p->getReferencia()), 0, 0, 'R', false);
                break;
            case 1:
                $this->Cell(140, 6, utf8_decode("EFECTIVO " . $p->getReferencia()), 0, 0, 'R', false);
                break;
            case 2:
                $this->Cell(140, 6, utf8_decode("TRANSFERENCIA " . $p->getReferencia()), 0, 0, 'R', false);
                break;
            case 3:
                $this->Cell(140, 6, utf8_decode("TERMINAL " . $p->getReferencia()), 0, 0, 'R', false);
                break;
            case 4:
                $this->Cell(110, 6, utf8_decode(""), 0, 0, 'R', false);
                $this->Cell(30, 6, utf8_decode("CONDONACIÓN" . $p->getReferencia()), 0, 0, 'R', true);
                break;
        }
        $this->Ln();
        if ($p->getCveBan() != null) {
            $this->Cell(160, 6, utf8_decode("B: " . $p->getCveBan()->getNombre() . " " . $p->getCveBan()->getBanco()), 0, 0, 'R', false);
        } else {
            $this->Cell(160, 6, utf8_decode("-----------"), 0, 0, 'R', false);
        }
        $this->SetFont('Arial', '', 12);

        $this->Ln();
        $this->Cell(95, 6, "ENTREGA", 0, 0, 'C', false);
        $this->Cell(95, 6, "RECIBE", 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'I', 10);
        $this->Cell(95, 6, utf8_decode($p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat()), 0, 0, 'C', false);
        $rutaFirma = "images/firmas/usr-" . $usuario->getIdeEmp() . ".png";

        $this->Cell(95, 6, utf8_decode($usuario->getNomEmp() . " " . $usuario->getApePat() . " " . $usuario->getApeMat()), 0, 0, 'C', false);
        $this->SetFont('Arial', '', 12);
        $this->Ln(2);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(0, 6, ".", 0, 0, 'C', false);
        $this->Ln();
        if ($rol == 99) {
            //CARGAR IMAGENES EN LOS SELLOS
            if (file_exists($rutaFirma)) {
                $rutaFirma = $rutaFirma;
            } else {
                $rutaFirma = "images/firmas/blanco.png";
            }
            $this->Image($rutaFirma, 135, 90, 50);
            $this->Image('images/firmas/sello.png', 88, 65, 40);
        } else {
            //NO CARGAR IMAGENES EN LOS SELLOS
            if (file_exists($rutaFirma)) {
                $rutaFirma = $rutaFirma;
            } else {
                $rutaFirma = "images/firmas/blanco.png";
            }
            $this->Image($rutaFirma, 135, 90, 50);

            if ($usuario->getCvePlantel()->getIdePla() == 1) {
                // ZINA
                $this->Image('images/firmas/SelloZina.png', 88, 65, 40);
            } elseif ($usuario->getCvePlantel()->getIdePla() == 2) {
                // TOLUCA
                $this->Image('images/firmas/SelloToluca.png', 88, 65, 40);
            } elseif ($usuario->getCvePlantel()->getIdePla() == 3) {
                // VALLE DE BRAVO
            } elseif ($usuario->getCvePlantel()->getIdePla() == 4) {
                // FCENTRO
                $this->Image('images/firmas/SelloCentro.png', 88, 65, 40);
            } elseif ($usuario->getCvePlantel()->getIdePla() == 21) {
                // FCENTRO
                $this->Image('images/firmas/SelloRectoria.png', 88, 65, 40);
            }
        }
    }

    function ReciboComprobanteT($a, $p, $pp, $cb, $usuario, $cb1, $cb2, $rol)
    {
        $this->SetAutoPageBreak(true, 0);
        $this->Ln();
        $imagen = $p->getNumRecibo();
        $rutaImagen = new QRcode();
        $rutaImagen->png("Este recibo pertenece al Alumno: "
            . $p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat()
            . " con Recibo: "
            . $p->getNumRecibo(), "qr/{$p->getNumRecibo()}.png", 'L', 4, 2);
        $this->Image("qr/{$imagen}.png", 180, 65, 25);
        if ($this->PageNo() == 2) {
            $this->Ln(-6);
            $this->SetLeftMargin(13);
            $this->SetRightMargin(13);
        } else {

        }

        $this->SetFont('Arial', 'B', 20);
        $this->Cell(75, 6, "", 0, 0, 'C', false);
        $this->Cell(70, 6, "RECIBO DE PAGO", 0, 0, 'C', false);
        if ($this->PageNo() == 2) {
            $this->SetLeftMargin(10);
            $this->SetRightMargin(10);
        } else {

        }
        $this->SetFont('Courier', 'B', 12);
        $this->SetFillColor(226, 13, 31); //ROJO UBC
        $this->SetDrawColor(226, 13, 31); //ROJO UBC
        $this->SetTextColor(255, 255, 255);
        $this->Cell(0, 6, "Folio " . $p->getNumRecibo(), 1, 0, 'L', true);
        $this->Ln();
        $this->Ln();
        $this->SetTextColor(0, 0, 0);
        $this->SetDrawColor(226, 13, 31); //ROJO UBC
        $this->Cell(0, 110, "", 1);
        $this->SetDrawColor(226, 13, 31); //ROJO UBC
        $this->SetXY(10, 24);
        $this->SetLeftMargin(13);
        $this->SetRightMargin(13);
        $this->SetFont('Arial', '', 12);

        $this->Image($cb1, 150, 25, 50, 5);
        $this->Image($cb2, 150, 32, 50, 5);

        $this->Cell(40, 6, "Nombre del Alumno", 0, 0, 'L', false);
        $nombre = $p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat();
        if (strlen($nombre) > 30) {
            $this->SetFont('Arial', '', 8);
        } else {
            $this->SetFont('Arial', '', 12);
        }
        $this->Cell(90, 6, utf8_decode($nombre), 1, 0, 'L', false);
        $this->SetFont('Arial', '', 12);
        $this->Ln(8);
        $this->Cell(23, 6, "Plantel", 0, 0, 'R', false);
        if ($p->getCveAlu()->getCvePla() == null) {
            $this->Cell(107, 6, utf8_decode($usuario->getCvePlantel()->getNomPla()), 1, 0, 'L', false);
        } else {
            $this->Cell(107, 6, utf8_decode($p->getCveAlu()->getCvePla()->getNomPla()), 1, 0, 'L', false);
        }

        $this->Image('images/pieRecibo.png', 11, 102, 194);
        //$this->Image('images/pieRecibo.png', 10, 105);
        $this->Ln(8);
        $this->Cell(40, 6, "", 0, 0, 'L', false);
        $this->Cell(90, 6, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(20, 6, "Fecha", 0, 0, 'R', false);
        $this->Cell(10, 6, $p->getFecMov()->format('d'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('m'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('Y'), 1, 0, 'C', false);
        $this->Ln(8);
        $this->Cell(40, 6, "Concepto de Pago:", 0, 0, 'L', false);
        if ($pp != null) {
            if ($pp->getNumero() > 0) {
                $this->Cell(0, 6, utf8_decode($p->getDescripcion() . " " . $pp->getNomMes() . " " . $pp->getFecIni()->format('Y')), 1, 0, 'L', false);
            } else {
                if ($pp->getCveAlu()->getModalidad() == "SEMESTRAL") {
                    $this->Cell(0, 6, utf8_decode($p->getDescripcion() . " " . $pp->getSemestre() . "° semestre"), 1, 0, 'L', false);
                } else {
                    $this->Cell(0, 6, utf8_decode($p->getDescripcion() . " " . $pp->getSemestre() . "° cuatrimestre"), 1, 0, 'L', false);
                }
            }
        } else {
            $this->Cell(0, 6, utf8_decode($p->getDescripcion()), 1, 0, 'L', false);
        }

        $this->Ln(8);
        $this->Cell(15, 6, "Monto", 0);
        $this->Cell(20, 6, "$" . number_format($p->getMonto() - $p->getRecargos(), 2, ".", ","), 'LTB');

        $convertidor = new NumberToLetterConverter();
        $cantidadLetra = $convertidor->to_word($p->getMonto() - $p->getRecargos());
        $this->SetFont('Arial', '', 9);
        $this->Cell(100, 6, "( " . $cantidadLetra . "PESOS 00/100 MN )", 'RTB');
        $this->SetFont('Arial', '', 12);
        $this->Cell(20, 6, "Recargos", 0);
        $this->Cell(0, 6, "$" . number_format($p->getRecargos(), 2, ".", ","), 1, 0, 'R');
        $this->Ln();
        $this->Cell(35, 5, "", 0);
        $this->SetFont('Arial', '', 10);
        $this->Cell(100, 5, "Cantidad con letra", 0, 0, 'C');
        $this->Ln(5);
        $this->SetFont('Arial', 'BU', 12);
        if ($p->getCveAlu()->getTipoAlumno() == 1) {
            $this->Cell(20, 6, utf8_decode("BACHILLERATO ESCOLARIZADO"), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 2) {
            $this->Cell(20, 6, utf8_decode("BACHILLERATO: " . $p->getCveAlu()->getCveNumApli()->getNumeroAplicacion()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 3) {
            $this->Cell(20, 6, utf8_decode("LICENCIATURA en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 4) {
            $this->Cell(20, 6, utf8_decode("MAESTRÍA en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 5) {
            $this->Cell(20, 6, utf8_decode("DOCTORADO en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 6) {
            $this->Cell(20, 6, utf8_decode("DIPLOMADO en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 7) {
            $this->Cell(20, 6, utf8_decode("RETRO: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        }
        $this->SetFont('Arial', '', 12);
        $this->Ln();
        if ($p->getCveAlu()->getTipoAlumno() == 1) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            }
        } elseif ($p->getCveAlu()->getTipoAlumno() == 2) {

        } elseif ($p->getCveAlu()->getTipoAlumno() == 3) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            }
        } elseif ($p->getCveAlu()->getTipoAlumno() == 4) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            }
        } elseif ($p->getCveAlu()->getTipoAlumno() == 5) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            }
        }
        $this->Ln();

        $this->SetFont('Arial', 'IB', 8);
        switch ($p->getTipPag()) {
            case 0:
                $this->Cell(160, 6, utf8_decode("BOUCHER: " . $p->getReferencia()), 0, 0, 'R', false);
                break;
            case 1:
                $this->Cell(160, 6, utf8_decode("EFECTIVO: " . $p->getReferencia()), 0, 0, 'R', false);
                break;
            case 2:
                $this->Cell(160, 6, utf8_decode("TRANSFERENCIA: " . $p->getReferencia()), 0, 0, 'R', false);
                break;
            case 3:
                $this->Cell(160, 6, utf8_decode("TERMINAL: " . $p->getReferencia()), 0, 0, 'R', false);
                break;
            case 4:
                $this->Cell(130, 6, utf8_decode(""), 0, 0, 'R', false);
                $this->Cell(30, 6, utf8_decode("CONDONACIÓN" . $p->getReferencia()), 0, 0, 'R', true);
                break;
        }
        $this->Ln();
        if ($p->getCveBan() != null) {
            $this->Cell(160, 6, utf8_decode("B: " . $p->getCveBan()->getNombre() . " " . $p->getCveBan()->getBanco()), 0, 0, 'R', false);
        } else {
            $this->Cell(160, 6, utf8_decode("-----------"), 0, 0, 'R', false);
        }
        $this->SetFont('Arial', '', 12);

        $this->Ln(10);

        $this->Cell(95, 6, "ENTREGA", 0, 0, 'C', false);
        $this->Cell(95, 6, "RECIBE", 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'I', 10);
        $this->Cell(95, 6, utf8_decode($p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat()), 0, 0, 'C', false);
        $this->Cell(95, 6, utf8_decode($usuario->getNomEmp() . " " . $usuario->getApePat() . " " . $usuario->getApeMat()), 0, 0, 'C', false);
        $this->SetFont('Arial', '', 12);
        $this->Ln(2);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);

        $rutaFirma = "images/firmas/usr-" . $usuario->getIdeEmp() . ".png";

        if ($rol == 99) {
            //CARGAR IMAGENES EN LOS SELLOS
            if (file_exists($rutaFirma)) {
                $rutaFirma = $rutaFirma;
            } else {
                $rutaFirma = "images/firmas/blanco.png";
            }
            $this->Image($rutaFirma, 135, 90, 50);
            $this->Image('images/firmas/sello.png', 88, 65, 40);
        } else {
            //NO CARGAR IMAGENES EN LOS SELLOS
            if (file_exists($rutaFirma)) {
                $rutaFirma = $rutaFirma;
            } else {
                $rutaFirma = "images/firmas/blanco.png";
            }
            $this->Image($rutaFirma, 135, 90, 50);

            if ($usuario->getCvePlantel()->getIdePla() == 1) {
                // ZINA
                $this->Image('images/firmas/SelloZina.png', 88, 65, 40);
            } elseif ($usuario->getCvePlantel()->getIdePla() == 2) {
                // TOLUCA
                $this->Image('images/firmas/SelloToluca.png', 88, 65, 40);
            } elseif ($usuario->getCvePlantel()->getIdePla() == 3) {
                // VALLE DE BRAVO
            } elseif ($usuario->getCvePlantel()->getIdePla() == 4) {
                // CENTRO
                $this->Image('images/firmas/SelloCentro.png', 88, 65, 40);
            }
        }
    }

    function ReciboComprobanteConvenio($a, $p, $pp, $cb, $usuario, $cb1, $cb2, $rol)
    {
        $this->SetAutoPageBreak(true, 0);
        $this->Ln();
        $imagen = $p->getNumRecibo();
        $rutaImagen = new QRcode();
        $rutaImagen->png("Este recibo pertenece al Alumno: "
            . $p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat()
            . " con Recibo: "
            . $p->getNumRecibo(), "qr/{$p->getNumRecibo()}.png", 'L', 4, 2);
        $this->Image("qr/{$imagen}.png", 180, 65, 25);
        if ($this->PageNo() == 2) {
            $this->Ln(-6);
            $this->SetLeftMargin(13);
            $this->SetRightMargin(13);
        } else {

        }

        $this->SetFont('Arial', 'B', 20);
        $this->Cell(75, 6, "", 0, 0, 'C', false);
        $this->Cell(70, 6, "RECIBO DE PAGO", 0, 0, 'C', false);
        if ($this->PageNo() == 2) {
            $this->SetLeftMargin(10);
            $this->SetRightMargin(10);
        } else {

        }
        $this->SetFont('Courier', 'B', 12);
        $this->SetFillColor(170, 0, 40); //ROJO CARMESI
        $this->SetDrawColor(170, 0, 40); //ROJO CARMESI
        $this->SetTextColor(255, 255, 255);
        $this->Cell(0, 6, "Folio " . $p->getNumRecibo(), 1, 0, 'L', true);
        $this->Ln();
        $this->Ln();
        $this->SetTextColor(0, 0, 0);
        $this->SetDrawColor(170, 0, 40); //ROJO CARMESI
        $this->Cell(0, 110, "", 1);
        $this->SetDrawColor(170, 0, 40); //ROJO CARMESI
        $this->SetXY(10, 24);
        $this->SetLeftMargin(13);
        $this->SetRightMargin(13);
        $this->SetFont('Arial', '', 12);

        $this->Image($cb1, 150, 25, 50, 5);
        $this->Image($cb2, 150, 32, 50, 5);

        $this->Cell(40, 6, "Nombre del Alumno", 0, 0, 'L', false);

        $nombre = $p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat();
        if (strlen($nombre) > 30) {
            $this->SetFont('Arial', '', 8);
        } else {
            $this->SetFont('Arial', '', 12);
        }

        $this->Cell(90, 6, utf8_decode($nombre), 1, 0, 'L', false);
        $this->Ln(8);
        $this->Cell(23, 6, "Plantel", 0, 0, 'R', false);
        $this->Cell(107, 6, utf8_decode($p->getCveAlu()->getCvePla()->getNomPla()), 1, 0, 'L', false);
        $this->Image('images/pieRecibo.png', 10, 106, 196);
        //$this->Image('images/pieRecibo.png', 10, 105);
        $this->Ln(8);
        $this->Cell(40, 6, "", 0, 0, 'L', false);
        $this->Cell(90, 6, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(20, 6, "Fecha", 0, 0, 'R', false);
        $this->Cell(10, 6, $p->getFecMov()->format('d'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('m'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('Y'), 1, 0, 'C', false);
        $this->Ln(8);
        $this->Cell(40, 6, "Concepto de Pago:", 0, 0, 'L', false);
        if ($pp != null) {

            $this->Cell(0, 6, utf8_decode($p->getDescripcion() . " " . $pp->getNomMes() . " " . $pp->getFecIni()->format('d-m-Y')), 1, 0, 'L', false);
        } else {
            $this->Cell(0, 6, utf8_decode($p->getDescripcion()), 1, 0, 'L', false);
        }

        $this->Ln(8);
        $this->Cell(15, 6, "Monto", 0);
        $this->Cell(20, 6, "$" . number_format($p->getMonto() - $p->getRecargos(), 2, ".", ","), 'LTB');

        $convertidor = new NumberToLetterConverter();
        $cantidadLetra = $convertidor->to_word($p->getMonto() - $p->getRecargos());
        $this->SetFont('Arial', '', 9);
        $this->Cell(100, 6, "( " . $cantidadLetra . "PESOS 00/100 MN )", 'RTB');
        $this->SetFont('Arial', '', 12);
        $this->Cell(20, 6, "Recargos", 0);
        $this->Cell(0, 6, "$" . number_format($p->getRecargos(), 2, ".", ","), 1, 0, 'R');
        $this->Ln();
        $this->Cell(35, 5, "", 0);
        $this->SetFont('Arial', '', 10);
        $this->Cell(100, 5, "Cantidad con letra", 0, 0, 'C');
        $this->Ln();
        $this->SetFont('Arial', 'BU', 12);
        if ($p->getCveAlu()->getTipoAlumno() == 1) {
            $this->Cell(20, 6, utf8_decode("BACHILLERATO ESCOLARIZADO"), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 2) {
            $this->Cell(20, 6, utf8_decode("BACHILLERATO: " . $p->getCveAlu()->getCveNumApli()->getNumeroAplicacion()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 3) {
            $this->Cell(20, 6, utf8_decode("LICENCIATURA en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 4) {
            $this->Cell(20, 6, utf8_decode("MAESTRÍA en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 5) {
            $this->Cell(20, 6, utf8_decode("DOCTORADO en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        }
        $this->SetFont('Arial', '', 12);
        $this->Ln();
        if ($p->getCveAlu()->getTipoAlumno() == 1) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            }
        } elseif ($p->getCveAlu()->getTipoAlumno() == 2) {

        } elseif ($p->getCveAlu()->getTipoAlumno() == 3) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            }
        } elseif ($p->getCveAlu()->getTipoAlumno() == 4) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            }
        } elseif ($p->getCveAlu()->getTipoAlumno() == 5) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            }
        }

        $this->Ln();

        $this->SetFont('Arial', 'IB', 8);
        switch ($p->getTipPag()) {
            case 0:
                $this->Cell(160, 6, utf8_decode("BOUCHER: " . $p->getReferencia()), 0, 0, 'R', false);
                break;
            case 1:
                $this->Cell(160, 6, utf8_decode("EFECTIVO: " . $p->getReferencia()), 0, 0, 'R', false);
                break;
            case 2:
                $this->Cell(160, 6, utf8_decode("TRANSFERENCIA: " . $p->getReferencia()), 0, 0, 'R', false);
                break;
            case 3:
                $this->Cell(160, 6, utf8_decode("TERMINAL: " . $p->getReferencia()), 0, 0, 'R', false);
                break;
        }
        $this->Ln();
        if ($p->getCveBan() != null) {
            $this->Cell(160, 6, utf8_decode("B: " . $p->getCveBan()->getNombre() . " " . $p->getCveBan()->getBanco()), 0, 0, 'R', false);
        } else {
            $this->Cell(160, 6, utf8_decode("-----------"), 0, 0, 'R', false);
        }
        $this->SetFont('Arial', '', 12);


        $this->Ln(10);

        $this->Cell(95, 6, "ENTREGA", 0, 0, 'C', false);
        $this->Cell(95, 6, "RECIBE", 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'I', 10);
        $this->Cell(95, 6, utf8_decode($p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat()), 0, 0, 'C', false);
        $this->Cell(95, 6, utf8_decode($usuario->getNomEmp() . " " . $usuario->getApePat() . " " . $usuario->getApeMat()), 0, 0, 'C', false);
        $this->SetFont('Arial', '', 12);
        $this->Ln(1);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);

        $rutaFirma = "images/firmas/usr-" . $usuario->getIdeEmp() . ".png";

        if ($rol == 99) {
            //CARGAR IMAGENES EN LOS SELLOS
            if (file_exists($rutaFirma)) {
                $rutaFirma = $rutaFirma;
            } else {
                $rutaFirma = "images/firmas/blanco.png";
            }
            $this->Image($rutaFirma, 135, 90, 50);
            $this->Image('images/firmas/sello.png', 88, 65, 40);
        } else {
            //NO CARGAR IMAGENES EN LOS SELLOS
            if (file_exists($rutaFirma)) {
                $rutaFirma = $rutaFirma;
            } else {
                $rutaFirma = "images/firmas/blanco.png";
            }
            $this->Image($rutaFirma, 135, 90, 50);

            if ($usuario->getCvePlantel()->getIdePla() == 1) {
                // ZINA
                $this->Image('images/firmas/SelloZina.png', 88, 65, 40);
            } elseif ($usuario->getCvePlantel()->getIdePla() == 2) {
                // TOLUCA
                $this->Image('images/firmas/SelloToluca.png', 88, 65, 40);
            } elseif ($usuario->getCvePlantel()->getIdePla() == 3) {
                // VALLE DE BRAVO
            } elseif ($usuario->getCvePlantel()->getIdePla() == 4) {
                // CENTRO
                $this->Image('images/firmas/SelloCentro.png', 88, 65, 40);
            }
        }
    }

    function ComprobanteDePagoFinalizado($a, $p, $lista, $cb)
    {
        $this->SetAutoPageBreak(true, 0);
        $this->SetFont('Arial', 'B', 18);
        $this->Ln();
        $this->Cell(75, 6, "", 0, 0, 'C', false);
        $this->Cell(0, 6, "COMPROBANTE: PAGO FINALIZADO", 0, 0, 'C', false);
        $this->SetFont('Courier', 'B', 12);
        $this->SetFillColor(93, 189, 19);
        $this->SetTextColor(255, 255, 255);
        $this->Image($cb, 150, 24);
//$this->Cell(0, 6, "Folio " . $p->getNumRecibo(), 1, 0, 'L', true);
        $this->Ln();
        $this->Ln();
        $this->SetTextColor(0, 0, 0);
        $this->SetDrawColor(93, 189, 19);
        $this->Cell(0, 240, "", 1);
        $this->SetDrawColor(23, 55, 94);
        $this->SetXY(10, 40);
        $this->SetLeftMargin(13);
        $this->SetRightMargin(13);
        $this->SetFont('Arial', '', 12);
        $this->Cell(40, 6, "Nombre del Alumno", 0, 0, 'L', false);
        $this->Cell(0, 6, utf8_decode($p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat()), 1, 0, 'L', false);
        $this->Ln(8);
        $this->Cell(23, 6, "Plantel", 0, 0, 'R', false);
        $this->Cell(0, 6, utf8_decode($p->getCveAlu()->getCvePla()->getNomPla()), 1, 0, 'L', false);
        $this->Image('images/pieRecibo.png', 10, 240, 196);
        $this->Ln(8);
        $this->Cell(40, 6, "", 0, 0, 'L', false);
        $this->Cell(90, 6, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(20, 6, "Fecha", 0, 0, 'R', false);
        $this->Cell(10, 6, date('d'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, date('m'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, date('Y'), 1, 0, 'C', false);
        $this->Ln(8);
        $this->Cell(40, 6, "Concepto de Pago:", 0, 0, 'L', false);
        $this->Cell(0, 6, utf8_decode($p->getDescripcion()), 1, 0, 'L', false);
        $this->Ln(8);
        $this->Cell(50, 6, "Monto a Cubrir", 0);
        $this->Cell(20, 6, "$" . number_format($p->getMonto(), 2, ".", ","), 'LTB');

        $convertidor = new NumberToLetterConverter();
        $cantidadLetra = $convertidor->to_word($p->getMonto());
        $this->SetFont('Arial', '', 9);
        $this->Cell(0, 6, "( " . $cantidadLetra . "PESOS 00/100 MXN )", 'RTB');
        $this->SetFont('Arial', '', 12);
        //$this->Cell(20, 6, "Recargos", 0);
        //$this->Cell(0, 6, "$". number_format(0, 2,".",","), 1, 0, 'R');
        $this->Ln();
        $this->Cell(35, 5, "", 0);
        $this->SetFont('Arial', '', 10);
        $this->Cell(100, 5, "Cantidad con letra", 0, 0, 'C');
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'BU', 12);
        if ($p->getCveAlu()->getTipoAlumno() == 1) {
            $this->Cell(20, 6, utf8_decode("BACHILLERATO ESCOLARIZADO"), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 2) {
            $this->Cell(20, 6, utf8_decode("BACHILLERATO: " . $p->getCveAlu()->getCveNumApli()->getNumeroAplicacion()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 3) {
            $this->Cell(20, 6, utf8_decode("LICENCIATURA: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        }
        $this->SetFont('Arial', '', 12);
        $this->Ln();
        $this->Ln();
        $this->Cell(10, 6, utf8_decode("#"), 1, 0, 'C', true);
        $this->Cell(50, 6, utf8_decode("FECHA"), 1, 0, 'C', true);
        $this->Cell(50, 6, utf8_decode("MONTO ABONADO"), 1, 0, 'C', true);
        $this->Cell(50, 6, utf8_decode("NÚMERO DE RECIBO"), 1, 0, 'C', true);
        $this->Ln();
        $bandera = false;
        $numero = 1;
        $total = 0;
        foreach ($lista as $key => $value) {
            $this->Cell(10, 6, utf8_decode($key + 1), 1, 0, 'C', $bandera);
            $this->Cell(50, 6, utf8_decode($value->getFecMov()->format('d-m-Y')), 1, 0, 'C', $bandera);
            $this->Cell(50, 6, "$" . utf8_decode(number_format($value->getMonto(), 2, ".", ",")), 1, 0, 'C', $bandera);
            $this->Cell(50, 6, utf8_decode($value->getNumRecibo()), 1, 0, 'C', $bandera);
            $this->Ln();
            $bandera = !$bandera;
            $numero++;
            $total = $total + $value->getMonto();
        }
        $this->Cell(60, 6, utf8_decode("TOTAL"), 0, 0, 'R', false);
        $this->Cell(50, 6, "$" . utf8_decode(number_format($total, 2, ".", ",")), 1, 0, 'C', true);
        $this->Ln();
        for ($i = $numero; $i <= 15; $i++) {
            $this->Ln();
        }
        $this->Cell(95, 6, "ENTREGA", 0, 0, 'C', false);
        $this->Cell(95, 6, "RECIBE", 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
    }

    function ReciboComprobanteOtros($p, $userNo, $cb1, $cb2, $ing, $usr, $rol)
    {
        $this->SetAutoPageBreak(true, 0);
        $this->Ln();
        $imagen = $p->getNumeroRecibo();
        $rutaImagen = new QRcode();
        $rutaImagen->png("Este recibo pertenece al Alumno: "
            . $p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat()
            . " con Recibo: "
            . $p->getNumeroRecibo(), "qr/{$p->getNumeroRecibo()}.png", 'L', 4, 2);
        $this->Image("qr/{$imagen}.png", 180, 65, 25);
        if ($this->PageNo() == 2) {
            $this->Ln(-6);
            $this->SetLeftMargin(13);
            $this->SetRightMargin(13);
        } else {

        }

        $this->SetFont('Arial', 'B', 20);
        $this->Cell(75, 6, "", 0, 0, 'C', false);
        $this->Cell(70, 6, "RECIBO DE PAGO", 0, 0, 'C', false);
        if ($this->PageNo() == 2) {
            $this->SetLeftMargin(10);
            $this->SetRightMargin(10);
        } else {

        }
        $this->SetFont('Courier', 'B', 12);
        $this->SetFillColor(170, 0, 40); //ROJO CARMESI
        $this->SetDrawColor(170, 0, 40); //ROJO CARMESI
        $this->SetTextColor(255, 255, 255);
        $this->Cell(0, 6, "Folio " . $p->getNumeroRecibo(), 1, 0, 'L', true);
        $this->Ln();
        $this->Ln();
        $this->SetTextColor(0, 0, 0);
        $this->SetDrawColor(170, 0, 40); //ROJO CARMESI
        $this->Cell(0, 110, "", 1);
        $this->SetDrawColor(170, 0, 40); //ROJO CARMESI
        $this->SetXY(10, 24);
        $this->SetLeftMargin(13);
        $this->SetRightMargin(13);
        $this->SetFont('Arial', '', 12);

        $this->Image($cb1, 150, 25, 50, 5);
        $this->Image($cb2, 150, 32, 50, 5);


        $this->Cell(40, 6, "Nombre del Alumno", 0, 0, 'L', false);

        $nombre = $p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat();
        if (strlen($nombre) > 30) {
            $this->SetFont('Arial', '', 8);
        } else {
            $this->SetFont('Arial', '', 12);
        }

        $this->Cell(90, 6, utf8_decode($nombre), 1, 0, 'L', false);
        $this->Ln(8);
        $this->SetFont('Arial', '', 12);
        $this->Cell(23, 6, "Plantel", 0, 0, 'R', false);
        if ($p->getCveAlu()->getCvePla() == null) {
            $this->Cell(107, 6, utf8_decode($ing->getCvePla()->getNomPla()), 1, 0, 'L', false);
        } else {
            $this->Cell(107, 6, utf8_decode($p->getCveAlu()->getCvePla()->getNomPla()), 1, 0, 'L', false);
        }

        $this->Image('images/pieRecibo.png', 10, 106, 196);
        $this->Ln(8);
        $this->Cell(40, 6, "", 0, 0, 'L', false);
        $this->Cell(90, 6, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(20, 6, "Fecha", 0, 0, 'R', false);
        $this->Cell(10, 6, $p->getFecMov()->format('d'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('m'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('y'), 1, 0, 'C', false);
        $this->Ln(8);
        $this->Cell(40, 6, "Concepto de Pago:", 0, 0, 'L', false);
        $this->Cell(0, 6, utf8_decode($p->getCveTra()->getDesTra()), 1, 0, 'L', false);

        $this->Ln(8);
        $this->Cell(15, 6, "Monto", 0);
        $this->Cell(20, 6, "$" . number_format($p->getMonto(), 2, ".", ","), 'LTB');

        $convertidor = new NumberToLetterConverter();
        $cantidadLetra = $convertidor->to_word($p->getMonto());
        $this->SetFont('Arial', '', 9);
        $this->Cell(100, 6, "( " . $cantidadLetra . "PESOS 00/100 MXN )", 'RTB');
        $this->SetFont('Arial', '', 12);
        $this->Cell(20, 6, "Recargos", 0);
        $this->Cell(0, 6, "$" . number_format(0, 2, ".", ","), 1, 0, 'R');
        $this->Ln();
        $this->Cell(35, 5, "", 0);
        $this->SetFont('Arial', '', 10);
        $this->Cell(100, 5, "Cantidad con letra", 0, 0, 'C');
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'BU', 12);
        if ($p->getCveAlu()->getTipoAlumno() == 1) {
            $this->Cell(20, 6, utf8_decode("BACHILLERATO ESCOLARIZADO"), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 2) {
            $this->Cell(20, 6, utf8_decode("BACHILLERATO: EXAMEN ÚNICO"), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 3) {
            $this->Cell(20, 6, utf8_decode("LICENCIATURA en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 4) {
            $this->Cell(20, 6, utf8_decode("MAESTRÍA en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 5) {
            $this->Cell(20, 6, utf8_decode("DOCTORADO en: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 6) {
            $this->Cell(20, 6, utf8_decode("TITULACIÓN: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        }

        $this->SetFont('Arial', '', 12);
        $this->Ln();
        if ($p->getCveAlu()->getTipoAlumno() == 1) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            }
        } elseif ($p->getCveAlu()->getTipoAlumno() == 2) {

        } elseif ($p->getCveAlu()->getTipoAlumno() == 3) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            }
        } elseif ($p->getCveAlu()->getTipoAlumno() == 4) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            }
        } elseif ($p->getCveAlu()->getTipoAlumno() == 5) {
            if ($p->getCveAlu()->getModalidad() == "SEMESTRAL") {
                $this->Cell(20, 6, utf8_decode("SEMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            } elseif ($p->getCveAlu()->getModalidad() == "CUATRIMESTRAL") {
                $this->Cell(20, 6, utf8_decode("CUATRIMESTRE: " . $p->getCveAlu()->getNumero()), 0);
            }
        }


        $this->SetFont('Arial', 'IB', 8);
        switch ($ing->getTipPag()) {
            case 0:
                $this->Cell(120, 6, utf8_decode("BOUCHER " . $ing->getReferencia()), 0, 0, 'R', false);
                break;
            case 1:
                $this->Cell(120, 6, utf8_decode("EFECTIVO " . $ing->getReferencia()), 0, 0, 'R', false);
                break;
            case 2:
                $this->Cell(120, 6, utf8_decode("TRANSFERENCIA " . $ing->getReferencia()), 0, 0, 'R', false);
                break;
            case 3:
                $this->Cell(120, 6, utf8_decode("TERMINAL " . $ing->getReferencia()), 0, 0, 'R', false);
                break;
        }
        $this->SetFont('Arial', '', 12);

        $this->Ln();
        $this->Ln();
        $this->Cell(95, 6, "ENTREGA", 0, 0, 'C', false);
        $this->Cell(95, 6, "RECIBE", 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'I', 10);
        $this->Cell(95, 6, utf8_decode($p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat()), 0, 0, 'C', false);
        $this->Cell(95, 6, utf8_decode($usr->getNomEmp() . " " . $usr->getApePat() . " " . $usr->getApeMat()), 0, 0, 'C', false);
        $this->SetFont('Arial', '', 12);
        $this->Ln(2);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);

        $rutaFirma = "images/firmas/usr-" . $usr->getIdeEmp() . ".png";

        if ($rol == 99) {
            //CARGAR IMAGENES EN LOS SELLOS
            if (file_exists($rutaFirma)) {
                $rutaFirma = $rutaFirma;
            } else {
                $rutaFirma = "images/firmas/blanco.png";
            }
            $this->Image($rutaFirma, 135, 90, 50);
            $this->Image('images/firmas/sello.png', 88, 65, 40);
        } else {
            //NO CARGAR IMAGENES EN LOS SELLOS
            if (file_exists($rutaFirma)) {
                $rutaFirma = $rutaFirma;
            } else {
                $rutaFirma = "images/firmas/blanco.png";
            }
            $this->Image($rutaFirma, 135, 90, 50);

            if ($usr->getCvePlantel()->getIdePla() == 1) {
                // ZINA
                $this->Image('images/firmas/SelloZina.png', 88, 65, 40);
            } elseif ($usr->getCvePlantel()->getIdePla() == 2) {
                // TOLUCA
                $this->Image('images/firmas/SelloToluca.png', 88, 65, 40);
            } elseif ($usr->getCvePlantel()->getIdePla() == 3) {
                // VALLE DE BRAVO
            } elseif ($usr->getCvePlantel()->getIdePla() == 4) {
                // FCENTRO
                $this->Image('images/firmas/SelloCentro.png', 88, 65, 40);
            }
        }
    }

    function ReciboComprobanteExtras($p)
    {
        $this->SetAutoPageBreak(true, 0);
        $this->Ln();
        $this->SetFont('Arial', 'B', 19);
        $this->Cell(75, 6, "", 0, 0, 'C', false);
        $this->Cell(70, 6, "RECIBO DE EXAMEN", 0, 0, 'C', false);
        $this->SetFont('Courier', 'B', 12);
        $this->SetFillColor(93, 189, 19);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(0, 6, "Folio " . $p->getNumRecibo(), 1, 0, 'L', true);
        $this->Ln();
        $this->Ln();
        $this->SetTextColor(0, 0, 0);
        $this->SetDrawColor(93, 189, 19);
        $this->Cell(0, 110, "", 1);
        $this->SetDrawColor(23, 55, 94);
        $this->SetXY(10, 24);
        $this->SetLeftMargin(13);
        $this->SetRightMargin(13);
        $this->SetFont('Arial', '', 12);
        $this->Cell(40, 6, "Nombre del Alumno", 0, 0, 'L', false);
        $this->Cell(0, 6, utf8_decode($p->getCveAlu()->getNomAlu() . " " . $p->getCveAlu()->getApePat() . " " . $p->getCveAlu()->getApeMat()), 1, 0, 'L', false);
        $this->Ln(8);
        $this->Cell(23, 6, "Plantel", 0, 0, 'R', false);
        $this->Cell(0, 6, utf8_decode($p->getCveAlu()->getCvePla()->getNomPla()), 1, 0, 'L', false);
        $this->Image('images/pieRecibo.png', 10, 105, 196);
        $this->Ln(8);
        $this->Cell(40, 6, "", 0, 0, 'L', false);
        $this->Cell(90, 6, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(20, 6, "Fecha", 0, 0, 'R', false);
        $this->Cell(10, 6, $p->getFecMov()->format('d'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('m'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('y'), 1, 0, 'C', false);
        $this->Ln(8);
        $this->Cell(40, 6, "Concepto de Pago:", 0, 0, 'L', false);
        $this->Cell(0, 6, utf8_decode("DERECHO A EXAMEN EXTRAORDINARIO"), 1, 0, 'L', false);

        $this->Ln(8);
        $this->Cell(15, 6, "Monto", 0);
        $this->Cell(20, 6, "$" . number_format($p->getCosto(), 2, ".", ","), 'LTB');

        $convertidor = new NumberToLetterConverter();
        $cantidadLetra = $convertidor->to_word($p->getCosto());
        $this->SetFont('Arial', '', 9);
        $this->Cell(0, 6, "( " . $cantidadLetra . "PESOS 00/100 MXN )", 'RTB');
        $this->SetFont('Arial', '', 12);
//$this->Cell(20, 6, "Recargos", 0);
//$this->Cell(0, 6, "$" . number_format(0, 2, ".", ","), 1, 0, 'R');
        $this->Ln();
        $this->Cell(35, 5, "", 0);
        $this->SetFont('Arial', '', 10);
        $this->Cell(0, 5, "Cantidad con letra", 0, 0, 'C');
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'BU', 12);
        if ($p->getCveAlu()->getTipoAlumno() == 1) {
            $this->Cell(20, 6, utf8_decode("BACHILLERATO ESCOLARIZADO"), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 2) {
            $this->Cell(20, 6, utf8_decode("BACHILLERATO: EXAMEN ÚNICO"), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 3) {
            $this->Cell(20, 6, utf8_decode("LICENCIATURA: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 4) {
            $this->Cell(20, 6, utf8_decode("MAESTRÍA: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        } elseif ($p->getCveAlu()->getTipoAlumno() == 5) {
            $this->Cell(20, 6, utf8_decode("DOCTORADO: " . $p->getCveAlu()->getCveLic()->getNomLic()), 0);
        }
        $this->SetFont('Arial', '', 12);
        $this->Ln();

        $this->Ln();
        $this->Ln();
        $this->Cell(95, 6, "ENTREGA", 0, 0, 'C', false);
        $this->Cell(95, 6, "RECIBE", 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
    }

    public function OficioAplicacion($d, $p, $cb)
    {


        $this->Image('images/mg1.png', 0, 0, 216);

        $this->Image($cb, 150, 50, 50);
        $this->SetFont('Times', 'B', 13);
        $this->Text(166, 64, $d->getCveCtl());


        $this->SetAutoPageBreak(true, 10);
        $this->SetFillColor(23, 55, 94);
        $this->SetDrawColor(0, 176, 240);
        $this->SetFont('Times', '', 10);
        $this->SetTextColor(0, 0, 0);
        //$this->Image('images/lineaOficio.jpg', 0, 2, 216);
        $this->SetLeftMargin(10);
        $this->SetRightMargin(10);

        $mes = date('F');
        $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
        $mesesMexico = array('Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre');
        $mes = str_replace($mesesIngles, $mesesMexico, $mes);
        $this->Ln(25);
        $this->Cell(0, 5, utf8_decode('Toluca de Lerdo a ' . (date('d') * 1) . " de " . $mes . " del " . date('Y') . "."), 0, 0, 'R', false);
        $this->SetFont('', 'B', 10);
        $this->Ln();
        $numeroAplicacion = $d->getCveNumApli()->getNumeroAplicacion();
        $numeroAplicacion = substr($numeroAplicacion, 7);
        $this->Cell(0, 5, utf8_decode("OFICIO TEM001/2020"), 0, 0, 'R', false);
        //$this->Cell(0, 5, utf8_decode("OFICIO ".$d->getCveCtl()), 0, 0, 'R', false);
        $this->Ln(20);
        $this->Cell(0, 5, utf8_decode("C. " . $d->getNomAlu() . " " . $d->getApePat() . " " . $d->getApeMat()), 0, 0, 'L', false);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("ALUMNO DE LA UNIVERSIDAD BILINGÜE CULTURAL"), 0, 0, 'L', false);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("P R E S E N T E"), 0, 0, 'L', false);
        $this->SetFont('', '', 10);
        $this->Ln(10);
        $texto = "";

        $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
        $mesesMexicoMin = array('Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre');
        $mesAplicacion = str_replace($mesesIngles, $mesesMexicoMin, $d->getCveNumApli()->getFechaAplicacion()->format('F'));

        $textoZina = "De conformidad a lo establecido en la convocatoria publicada en el mes de {$d->getCveNumApli()->getMesPublicacion()} del {$d->getCveNumApli()->getAnioPublicacion()} a través de la UNIVERSIDAD BILINGÜE CULTURAL, "
            . "mediante la cual se emiten los lineamientos requeridos para presentar el EXAMEN ÚNICO, el próximo {$d->getCveNumApli()->getFechaAplicacion()->format('d')} de "
            . "{$mesAplicacion} del presente año, para acreditar el nivel medio superior (bachillerato), me permito informarle que deberá presentarse en la fecha y "
            . "hora señalada, para realizar su examen en calle José María Morelos N° 102. Esq. con Lerdo, Col. Emiliano Zapata en "
            . "Zinacantepec, Estado de México C.P. 51350, en un horario de 08:30 a 13:30 horas.";

        $textoPino = "De conformidad a lo establecido en la convocatoria publicada en el mes de {$d->getCveNumApli()->getMesPublicacion()} del {$d->getCveNumApli()->getAnioPublicacion()} a través de la UNIVERSIDAD BILINGÜE CULTURAL, "
            . "mediante la cual se emiten los lineamientos requeridos para presentar el EXAMEN ÚNICO, el próximo {$d->getCveNumApli()->getFechaAplicacion()->format('d')} de "
            . "{$mesAplicacion} del presente año, para acreditar el nivel medio superior (bachillerato), me permito informarle que deberá presentarse en la fecha y "
            . "hora señalada, para realizar su examen en avenida José María Pino Suarez N° 708. Esq. con Francisco Murguía, Col. Cuauhtémoc en "
            . "Toluca, Estado de México C.P. 50130, en un horario de 08:30 a 13:30 horas.";

        $textoValle = "De conformidad a lo establecido en la convocatoria publicada en el mes de {$d->getCveNumApli()->getMesPublicacion()} del {$d->getCveNumApli()->getAnioPublicacion()} a través de la Universidad TEC Mexiquense, "
            . "mediante la cual se emiten los lineamientos requeridos para presentar el EXAMEN ÚNICO, el próximo {$d->getCveNumApli()->getFechaAplicacion()->format('d')} de "
            . "{$mesAplicacion} del presente año, para acreditar el nivel medio superior (bachillerato), me permito informarle que deberá presentarse en la fecha y "
            . "hora señalada, para realizar su examen en carretera el Arco S/N, Col. El Arco en "
            . "Valle de Bravo, Estado de México, en un horario de 08:30 a 13:30 horas.";

        $textoTCentro = "De conformidad a lo establecido en la convocatoria publicada en el mes de {$d->getCveNumApli()->getMesPublicacion()} del {$d->getCveNumApli()->getAnioPublicacion()} a través de la Universidad TEC Mexiquense, "
            . "mediante la cual se emiten los lineamientos requeridos para presentar el EXAMEN ÚNICO, el próximo {$d->getCveNumApli()->getFechaAplicacion()->format('d')} de "
            . "{$mesAplicacion} del presente año, para acreditar el nivel medio superior (bachillerato), me permito informarle que deberá presentarse en la fecha y "
            . "hora señalada, para realizar su examen en avenida José María Pino Suarez N° 708. Esq. con Francisco Murguía, Col. Cuauhtémoc en "
            . "Toluca, Estado de México C.P. 50130, en un horario de 08:30 a 13:30 horas.";

        $textoVillaVictoria = "De conformidad a lo establecido en la convocatoria publicada en el mes de {$d->getCveNumApli()->getMesPublicacion()} del {$d->getCveNumApli()->getAnioPublicacion()} a través de la Universidad TEC Mexiquense, "
            . "mediante la cual se emiten los lineamientos requeridos para presentar el EXAMEN ÚNICO, el próximo {$d->getCveNumApli()->getFechaAplicacion()->format('d')} de "
            . "{$mesAplicacion} del presente año, para acreditar el nivel medio superior (bachillerato), me permito informarle que deberá presentarse en la fecha y "
            . "hora señalada, para realizar su examen en calle Porfirio Díaz, Plaza San Angel Primer Piso, en "
            . "Villa Victoria Centro, Estado de México, en un horario de 08:30 a 13:30 horas.";

        if ($d->getCvePla()->getIdePla() == 2) { // PINO SUAREZ
            $this->MultiCell(0, 5, utf8_decode($textoPino), 0, 'J', false);
        } elseif ($d->getCvePla()->getIdePla() == 3) { // VALLE DE BRAVO
            $this->MultiCell(0, 5, utf8_decode($textoValle), 0, 'J', false);
        } elseif ($d->getCvePla()->getIdePla() == 4) { // T CENTRO
            $this->MultiCell(0, 5, utf8_decode($textoTCentro), 0, 'J', false);
        } elseif ($d->getCvePla()->getIdePla() == 5) { // VILLA VICTORIA
            $this->MultiCell(0, 5, utf8_decode($textoVillaVictoria), 0, 'J', false);
        } else {
            $this->MultiCell(0, 5, utf8_decode($textoZina), 0, 'J', false);
        }


        $mes = str_replace($mesesIngles, $mesesMexicoMin, $d->getCveNumApli()->getPublicacionResultados()->format('F'));

        $this->Ln();
        $textoBase = "Se le solicita este 15 minutos antes llevando consigo una tabla periódica, calculadora, lápiz del número 2 ó 2½, goma, sacapuntas, lapicero tinta negra y azul, deberá vestir con camisa blanca, cabello recogido, sin maquillaje, ni aretes. 

Es importante mencionar que los alumnos que laboran en algún sector de la policía tendrán que asistir sin uniforme ni armamentos, de lo contrario no podrán ingresar a la institución además deberán portar su credencial de elector en original.

Me permito recordarle que la publicación de los resultados será el día {$d->getCveNumApli()->getPublicacionResultados()->format('d')} de {$mes} a través de la página  http://exaub-sep.org.mx,  donde tendrán que presentarse al plantel correspondiente los siguientes 5 días hábiles para la firma de acreditación y así continuar con el tramite, también se llevará a cabo el pago correspondiente de $1,000 (Un mil pesos 00/100 M.N) el día de la firma y a su vez se deberán realizar los pagos consecutivos de manera quincenal para evitar retrasos en el trámite.";
        $this->MultiCell(0, 5, utf8_decode($textoBase), 0, 'J', false);
        $this->Ln();

        $this->MultiCell(0, 5, utf8_decode("En el caso de incumplimiento a lo anteriormente señalado, será bajo su estricta responsabilidad, deslindando a la institución de cualquier trámite y por consecuencia no se realizara ningún reembolso de lo aportado, situación que automáticamente causará BAJA DEFINITIVA."));
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('', 'B', 10);
        $this->Cell(0, 5, "A T E N T A M E N T E", 0, 0, "C", false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();


        $this->Cell(0, 5, utf8_decode($d->getCvePla()->getNomDir()), 0, 0, "C", false);
        $this->Ln(0);
        $this->Cell(0, 5, utf8_decode("_______________________________________________________"), 0, 0, "C", false);
        $this->Ln();
        if ($d->getCvePla()->getSexoDir() == 0) { // HOMBRE
            $this->Cell(0, 5, "DIRECTOR DEL PLANTEL", 0, 0, "C", false);
        } else { // MUJER
            $this->Cell(0, 5, "DIRECTORA DEL PLANTEL", 0, 0, "C", false);
        }


        if ($d->getCvePla()->getCvePla() == '01') { // ZINACANTEPEC
            //$this->Image('images/firmaPichardo.png', 75, 200, 65);
            //$this->Image('images/firmaMarisol.png', 75, 200, 65);
        } elseif ($d->getCvePla()->getCvePla() == '02') { // TOLUCA (PINO SUAREZ)
            $this->Image('images/firmaSixto.png', 75, 200, 65);
        } elseif ($d->getCvePla()->getCvePla() == '03') { // VALLE DE BRAVO
            $this->Image('images/firmaMauricio.png', 75, 200, 65);
        } elseif ($d->getCvePla()->getCvePla() == '04') { // TOLUCA (CENTRO)
            $this->Image('images/firmaArqui.png', 75, 200, 65);
        } elseif ($d->getCvePla()->getCvePla() == '05') { // VILLA VICTORIA
            $this->Image('images/firmaOfelia.png', 75, 200, 65);
        }

        //$this->Image('images/firmaOscar.png', 75, 195, 65);
    }

    public function CartaCompromiso($d, $p)
    {
        $this->Image('images/mg1.png', 0, 0, 216);

        $this->SetAutoPageBreak(true, 10);
        $this->SetFillColor(23, 55, 94);
        $this->SetDrawColor(0, 0, 0);
        $this->SetFont('', '', 12);
        $this->SetTextColor(0, 0, 0);
        //$this->Image('images/lineaOficio.jpg', 0, 2, 216);
        $this->SetLeftMargin(10);
        $this->SetRightMargin(10);

        $mes = date('F');
        $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
        $mesesMexico = array('ENERO', 'FEBRERO', 'MARZO', 'ABRIL', 'MAYO', 'JUNIO', 'JULIO', 'AGOSTO', 'SEPTIEMBRE', 'OCTUBRE', 'NOVIEMBRE', 'DICIEMBRE');
        $mes = str_replace($mesesIngles, $mesesMexico, $mes);
        $this->Ln(25);
        $this->Cell(0, 5, utf8_decode('MÉXICO A ' . date('d') . " DE " . $mes . " DE " . date('Y')), 0, 0, 'R', false);
        $this->SetFont('', 'B', 14);
        $this->Ln(20);
        $this->Cell(0, 5, utf8_decode("CARTA COMPROMISO"), 0, 0, 'C', false);
        $this->SetFont('', '', 10);
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 6, utf8_decode("De acuerdo a lo establecido en la convocatoria publicada por la UNIVERSIDAD BILINGÜE CULTURAL  en " . $d->getCveNumApli()->getMesPublicacion() . " del " . $d->getCveNumApli()->getAnioPublicacion() . ", a través"), 0, 0, 'L', false);
        $this->Ln();
        $this->Cell(140, 6, utf8_decode("del Sistema Auto Planeado; en donde se establecen los lineamientos para presentar el"), 0, 0, 'L', false);
        $this->SetFont('', 'B', 10);
        $this->Cell(0, 6, utf8_decode("Examen Único de Bachillerato,"), 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(10, 6, utf8_decode("Yo:"), 0, 0, 'L', false);
        $this->SetFont('', 'B', 10);
        $this->Cell(100, 6, utf8_decode($d->getNomAlu() . " " . $d->getApePat() . " " . $d->getApeMat()), "B", 0, 'C', false);
        $this->SetFont('', '', 10);
        $this->Cell(0, 6, utf8_decode("me comprometo a cumplir estrictamente lo siguiente:"), 0, 0, 'L', false);
        $this->Ln();
        $this->Ln();
        $plantel = $d->getCvePla()->getNomPla();

        $this->Cell(10, 6, utf8_decode("1."), 0, 0, 'R', false);
        $this->MultiCell(0, 6, utf8_decode("Entregar la siguiente documentación en Original y Copia:\n"
            . "a.- Acta de Nacimiento Certificada ( NO MAYOR A 6 MESES )\n"
            . "b.- Certificado de Secundaria Original\n"
            . "c.- CURP\n"
            . "d.- IFE y/o INE"), 0);

        $this->Ln(0);
        $this->Cell(10, 6, utf8_decode("2."), 0, 0, 'R', false);
        $this->MultiCell(0, 6, utf8_decode("Realizar el pago de inscripción de $" . $p[0]->getMonto() . " pesos al momento de esta."), 0);
        $this->Ln(0);
        $convertidor = new NumberToLetterConverter();
        //$cantidadLetra = $convertidor->to_word($p[1]->getMonto());
        $cantidadLetra = $convertidor->to_word(4000);

        $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
        $mesesMexico = array('ENERO', 'FEBRERO', 'MARZO', 'ABRIL', 'MAYO', 'JUNIO', 'JULIO', 'AGOSTO', 'SEPTIEMBRE', 'OCTUBRE', 'NOVIEMBRE', 'DICIEMBRE');
        $mes = str_replace($mesesIngles, $mesesMexico, $d->getCveNumApli()->getFechaLimitePagoExamen()->format('F'));

        $this->Cell(10, 6, utf8_decode("3."), 0, 0, 'R', false);
        $this->MultiCell(0, 6, utf8_decode("Tener cubierto un monto de $"
            //. number_format($p[1]->getMonto(), 2, ".", ",")
            . number_format(4000, 2, ".", ",")
            . " (" . $cantidadLetra . "PESOS 00/100 MN ) antes del día "
            . $d->getCveNumApli()->getFechaLimitePagoExamen()->format('d') . " de "
            . $mes . " del " . $d->getCveNumApli()->getFechaLimitePagoExamen()->format('Y') . "."), 0);
        $this->Ln(0);
        $this->Cell(10, 6, utf8_decode("4."), 0, 0, 'R', false);
        $this->MultiCell(0, 6, utf8_decode("Realizar sus pagos de manera quincenal de acuerdo a talonario, en caso de retrasó en sus pagos es causa en rezago de tu certificado."), 0);
        $this->Ln(0);
        $mes = str_replace($mesesIngles, $mesesMexico, $d->getCveNumApli()->getFechaInicial()->format('F'));
        $this->Cell(10, 6, utf8_decode("5."), 0, 0, 'R', false);
        $this->MultiCell(0, 6, utf8_decode("Firmar las listas de la acreditación en las oficinas de la UNIVERSIDAD BILINGÜE CULTURAL en el plantel correspondiente del "
            . $d->getCveNumApli()->getFechaInicial()->format('d') . " al "
            . $d->getCveNumApli()->getFechaFinal()->format('d') . " de "
            . $mes . " del presente."), 0);
        $this->Cell(10, 6, utf8_decode("6."), 0, 0, 'R', false);
        $mes = str_replace($mesesIngles, $mesesMexico, $d->getCveNumApli()->getFechaEntregaCertificado()->format('F'));
        $this->MultiCell(0, 6, utf8_decode("Asistir a la entrega oficial de certificado que se llevara a cabo en la UNIVERSIDAD BILINGÜE CULTURAL plantel {$plantel} el día "
            . $d->getCveNumApli()->getFechaEntregaCertificado()->format('d') . " de " . $mes . "."), 0);
        $this->Ln(0);
        $this->Cell(10, 6, utf8_decode("7."), 0, 0, 'R', false);
        $this->MultiCell(0, 6, utf8_decode("El tiempo que tarda el trámite es de 90 días hábiles posteriores a la acreditación."), 0);
        $this->Ln();
        $this->Ln();
        $this->Cell(41, 10, utf8_decode("Estoy de acuerdo que al"), 0, 0, 'L', false);
        $this->SetFont('', 'B', 10);
        $this->Cell(21, 10, utf8_decode("no cumplir"), 0, 0, 'L', false);
        $this->SetFont('', '', 10);
        $this->Cell(71, 10, utf8_decode("en tiempo y forma con lo antes mencionado;"), 0, 0, 'L', false);
        $this->SetFont('', 'B', 10);
        $this->Cell(0, 10, utf8_decode("se proceda a cancelar el derecho a"), 0, 0, 'L', false);
        $this->Ln();
        $this->Cell(65, 10, utf8_decode("examen  en  la fecha  antes  señalada,"), 0, 0, 'L', false);
        $this->SetFont('', 'BI', 10);
        $this->Cell(0, 10, utf8_decode("SIN   DEVOLUCIÓN  DE  LA  INSCRIPCIÓN,  ASÍ  COMO  LO  APORTADO  AL"), 0, 0, 'R', false);
        $this->Ln();
        $this->Cell(0, 10, utf8_decode("PAGO DEL EXAMEN."), 0, 0, 'L', false);
        $this->Ln();
        $this->Ln();
        $this->SetFont('', 'B', 10);
        $this->Cell(0, 5, utf8_decode($d->getNomAlu() . " " . $d->getApePat() . " " . $d->getApeMat()), 0, 0, 'C', false);
        $this->Ln(0);
        $this->Cell(0, 5, utf8_decode("________________________________________"), 0, 0, 'C', false);
        $this->SetFont('', 'BI', 10);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("NOMBRE Y FIRMA DEL INTERESADO"), 0, 0, 'C', false);
    }

    public function ResguardoDocumentos($d, $p)
    {
        $this->Image('images/mg1.png', 0, 0, 216);

        $this->SetAutoPageBreak(true, 10);
        $this->SetFillColor(23, 55, 94);
        $this->SetDrawColor(0, 0, 0);
        $this->SetFont('', '', 10);
        $this->SetTextColor(0, 0, 0);
        //$this->Image('images/lineaOficio.jpg', 0, 2, 216);
        $this->SetLeftMargin(15);
        $this->SetRightMargin(15);

        $mes = date('F');
        $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
        $mesesMexico = array('ENERO', 'FEBRERO', 'MARZO', 'ABRIL', 'MAYO', 'JUNIO', 'JULIO', 'AGOSTO', 'SEPTIEMBRE', 'OCTUBRE', 'NOVIEMBRE', 'DICIEMBRE');
        $mes = str_replace($mesesIngles, $mesesMexico, $mes);
        $this->Ln(25);
        $this->Cell(0, 5, utf8_decode($p->getMunDel() . ', MÉXICO A ' . date('d') . " DE " . $mes . " DE " . date('Y')), 0, 0, 'R', false);
        $this->SetFont('', 'B', 11);
        $this->Ln(20);
        $this->Cell(0, 6, utf8_decode("LIC. GUADALUPE RODRÍGUEZ CHÁVEZ"), 0, 0, 'L', false);
        $this->Ln();
        $this->Cell(0, 6, utf8_decode("COORDINADORA GENERAL DE EXAMEN ÚNICO"), 0, 0, 'L', false);
        $this->Ln();
        $this->Cell(0, 6, utf8_decode("DE LA UNIVERSIDAD BILINGÜE CULTURAL"), 0, 0, 'L', false);
        $this->Ln();
        $this->Cell(0, 6, utf8_decode("PRESENTE"), 0, 0, 'L', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('', '', 11);
        $texto = "";

        if ($p->getSexoDir() == 1) { // MUJER (LA)
            //$this->Cell(35, 5, utf8_decode("La que suscribe "), 1, 0, 'R', false);
            $texto = "          La que suscribe " . $p->getNomDir() . ", Directora del plantel ";
        } else { // HOMBRE (EL)
            //$this->Cell(35, 5, utf8_decode("El que suscribe "), 1, 0, 'R', false);
            $texto = "          El que suscribe " . $p->getNomDir() . ", Director del plantel ";
        }
        $numeroAplicacion = $d->getCveNumApli()->getNumeroAplicacion();
        $numeroAplicacion = substr($numeroAplicacion, 7);

        $texto = $texto . $p->getNomPla()
            . " de la UNIVERSIDAD BILINGÜE CULTURAL, me dirijo a Usted para la entrega de la siguiente documentación del alumno (a) "
            . $d->getNomAlu() . " " . $d->getApePat() . " " . $d->getApeMat() . ", quien se encuentra en listas del de la aplicación No. "
            . $numeroAplicacion . " con fecha del " . $mes = str_replace($mesesIngles, $mesesMexico, $d->getCveNumApli()->getFechaAplicacion()->format('d - F - Y'))
                . " para la acreditación de Examen Único.";
        $this->MultiCell(0, 6, utf8_decode($texto), 0, 'J', false);
        $this->Ln();
        $this->MultiCell(0, 6, utf8_decode("1.- ORIGINAL DE CERTIFICADO DE SECUNDARIA\n"
            . "2.- ORIGINAL DE ACTA DE NACIMIENTO CERTIFICADA\n"
            . "3.- FICHA DE INSCRIPCIÓN\n"
            . "4.- CURP VALIDADA (internet)\n"
            . "5.- COPIA IFE o INE"), 0, 'J', false);
        $this->Ln();
        $this->MultiCell(0, 6, utf8_decode("          Mismos que a su petición me solicitó y pongo bajo su resguardo, con la finalidad de que se le dé el "
            . "adecuado manejo a los diferentes tramites a que haya lugar."), 0, 'J', false);
        $this->Ln();
        $this->MultiCell(0, 6, utf8_decode("Sin más por el momento y gratamente quedo de Usted."), 0, 'J', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('', '', 12);
        $this->Cell(93, 6, "A T E N T A M E N T E", 0, 0, 'C', false);
        $this->Cell(93, 6, "A T E N T A M E N T E", 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();

        $this->SetFont('', 'B', 10);


        $this->Cell(93, 5, utf8_decode($p->getNomDir()), 0, 0, 'C', false);
        $this->Cell(93, 5, "C. " . utf8_decode($d->getNomAlu() . " " . $d->getApePat() . " " . $d->getApeMat()), 0, 0, 'C', false);
        $this->Ln(0);
        $this->Cell(93, 5, utf8_decode("_________________________________________"), 0, 0, 'C', false);
        $this->Cell(93, 5, utf8_decode("_________________________________________"), 0, 0, 'C', false);
        $this->Ln();
        $this->SetFont('Times', '', 9);

        if ($d->getCvePla()->getSexoDir() == 0) { // HOMBRE
            $this->Cell(93, 4, utf8_decode('                    DIRECTOR DEL PLANTEL'), 0, 0, 'L', false);
        } else { // MUJER
            $this->Cell(93, 4, utf8_decode('                    DIRECTORA DEL PLANTEL'), 0, 0, 'L', false);
        }


        $this->Cell(93, 4, utf8_decode('NOMBRE DEL ALUMNO DE EXAMEN ÚNICO'), 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(93, 4, utf8_decode('                    UNIVERSIDAD BILINGÜE CULTURAL'), 0, 0, 'L', false);
    }

    function ReciboComprobanteEgreso($a, $p, $pp, $cb, $usuario)
    {
        $this->SetAutoPageBreak(true, 0);
        $this->Ln();
        $this->SetFont('Arial', 'B', 19);
        $this->Cell(75, 6, "", 0, 0, 'C', false);
        $this->Cell(70, 6, "RECIBO DE EGRESO", 0, 0, 'C', false);
        $this->SetFont('Courier', 'B', 12);
        $this->SetFillColor(93, 189, 19);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(0, 6, "Folio " . $p->getNumRecibo(), 1, 0, 'L', true);
        $this->Ln();
        $this->Ln();
        $this->SetTextColor(0, 0, 0);
        $this->SetDrawColor(93, 189, 19);
        $this->Cell(0, 110, "", 1);
        $this->SetDrawColor(23, 55, 94);
        $this->SetXY(10, 24);
        $this->SetLeftMargin(13);
        $this->SetRightMargin(13);
        $this->SetFont('Arial', '', 12);
        $this->Cell(23, 6, "Recibe", 0, 0, 'R', false);
        $this->Cell(0, 6, utf8_decode($p->getRecibe()), 1, 0, 'L', false);
        $this->Ln(8);
        $this->Cell(23, 6, "Plantel", 0, 0, 'R', false);
        $this->Cell(0, 6, utf8_decode($p->getCvePla()->getNomPla()), 1, 0, 'L', false);
        $this->Image('images/pieRecibo.png', 10, 105, 196);
        $this->Ln(8);
        $this->Cell(40, 6, "", 0, 0, 'L', false);
        $this->Cell(90, 6, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(20, 6, "Fecha", 0, 0, 'R', false);
        $this->Cell(10, 6, $p->getFecMov()->format('d'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('m'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('Y'), 1, 0, 'C', false);
        $this->Ln(8);
        $this->Cell(25, 6, "Concepto:", 0, 0, 'L', false);
        if ($pp != null) {
            $this->Cell(0, 6, utf8_decode($p->getDescripcion() . " " . $pp->getNomMes()), 1, 0, 'L', false);
        } else {
            $this->Cell(0, 6, utf8_decode($p->getDescripcion()), 1, 0, 'L', false);
        }

        $this->Ln(8);
        $this->Cell(15, 6, "Monto", 0);
        $this->Cell(25, 6, "$" . number_format($p->getMonto(), 2, ".", ","), 'LTB');

        $convertidor = new NumberToLetterConverter();
        $cantidadLetra = $convertidor->to_word($p->getMonto());
        $this->SetFont('Arial', '', 9);
        $this->Cell(0, 6, "( " . $cantidadLetra . "PESOS 00/100 MXN )", 'RTB');
        $this->SetFont('Arial', '', 12);
        $this->Ln();
        $this->Cell(40, 5, "", 0);
        $this->SetFont('Arial', '', 10);
        $this->Cell(00, 5, "Cantidad con letra", 0, 0, 'C');
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'BU', 12);

        $this->SetFont('Arial', '', 12);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(95, 6, "ENTREGA", 0, 0, 'C', false);
        $this->Cell(95, 6, "RECIBE", 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'I', 10);
        $this->Cell(95, 6, utf8_decode($usuario->get('nombre')), 0, 0, 'C', false);
        $this->Cell(95, 6, utf8_decode($p->getRecibe()), 0, 0, 'C', false);
        $this->SetFont('Arial', '', 12);
        $this->Ln(2);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
    }

    function ReciboComprobanteEgresoCorporativo($a, $p, $pp, $cb, $usuario)
    {
        $this->SetAutoPageBreak(true, 0);
        $this->Ln();
        $this->SetFont('Arial', 'B', 19);
        $this->Cell(75, 6, "", 0, 0, 'C', false);
        $this->Cell(70, 6, "RECIBO DE EGRESO", 0, 0, 'C', false);
        $this->SetFont('Courier', 'B', 12);
        $this->SetFillColor(93, 189, 19);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(0, 6, "Folio " . $p->getNumRecibo(), 1, 0, 'L', true);
        $this->Ln();
        $this->Ln();
        $this->SetTextColor(0, 0, 0);
        $this->SetDrawColor(93, 189, 19);
        $this->Cell(0, 110, "", 1);
        $this->SetDrawColor(23, 55, 94);
        $this->SetXY(10, 24);
        $this->SetLeftMargin(13);
        $this->SetRightMargin(13);
        $this->SetFont('Arial', '', 12);
        $this->Cell(23, 6, "Recibe", 0, 0, 'R', false);
        $this->Cell(0, 6, utf8_decode($p->getRecibe()), 1, 0, 'L', false);
        $this->Ln(8);
        $this->Cell(23, 6, "Plantel", 0, 0, 'R', false);
        //$this->Cell(0, 6, utf8_decode($p->getCvePla()->getNomPla()), 1, 0, 'L', false);
        $this->Image('images/pieRecibo.png', 10, 105, 196);
        $this->Ln(8);
        $this->Cell(40, 6, "", 0, 0, 'L', false);
        $this->Cell(90, 6, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(20, 6, "Fecha", 0, 0, 'R', false);
        $this->Cell(10, 6, $p->getFecMov()->format('d'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('m'), 1, 0, 'C', false);
        $this->Cell(5, 6, "/", 0, 0, 'L', false);
        $this->Cell(10, 6, $p->getFecMov()->format('Y'), 1, 0, 'C', false);
        $this->Ln(8);
        $this->Cell(25, 6, "Concepto:", 0, 0, 'L', false);
        if ($pp != null) {
            $this->Cell(0, 6, utf8_decode($p->getDescripcion() . " " . $pp->getNomMes()), 1, 0, 'L', false);
        } else {
            $this->Cell(0, 6, utf8_decode($p->getDescripcion()), 1, 0, 'L', false);
        }

        $this->Ln(8);
        $this->Cell(15, 6, "Monto", 0);
        $this->Cell(25, 6, "$" . number_format($p->getMonto(), 2, ".", ","), 'LTB');

        $convertidor = new NumberToLetterConverter();
        $cantidadLetra = $convertidor->to_word($p->getMonto());
        $this->SetFont('Arial', '', 9);
        $this->Cell(0, 6, "( " . $cantidadLetra . "PESOS 00/100 MXN )", 'RTB');
        $this->SetFont('Arial', '', 12);
        $this->Ln();
        $this->Cell(40, 5, "", 0);
        $this->SetFont('Arial', '', 10);
        $this->Cell(00, 5, "Cantidad con letra", 0, 0, 'C');
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'BU', 12);

        $this->SetFont('Arial', '', 12);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(95, 6, "ENTREGA", 0, 0, 'C', false);
        $this->Cell(95, 6, "RECIBE", 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'I', 10);
        $this->Cell(95, 6, utf8_decode($usuario->get('nombre')), 0, 0, 'C', false);
        $this->Cell(95, 6, utf8_decode($p->getRecibe()), 0, 0, 'C', false);
        $this->SetFont('Arial', '', 12);
        $this->Ln(2);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Cell(95, 6, "____________________________", 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
        $this->Cell(95, 6, "NOMBRE Y FIRMA", 0, 0, 'C', false);
    }

    public function OficioNoAdeudo($a, $usr)
    {
        $this->Image('images/encabezadoOficioEU.png', 0, 0, 215);
        $this->Image('images/pieOficioEU.png', 0, 250, 215);

        $this->Image('images/marcaDeAguaEU.jpg', 104, 155, 110);

        $this->SetAutoPageBreak(true, 10);
        $this->SetFillColor(23, 55, 94);
        $this->SetDrawColor(0, 176, 240);
        $this->SetFont('', '', 10);
        $this->SetTextColor(0, 0, 0);
        //$this->Image('images/lineaOficio.jpg', 0, 2, 216);
        $this->SetLeftMargin(30);
        $this->SetRightMargin(30);

        $mes = date('F');
        $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
        $mesesMexico = array('ENERO', 'FEBRERO', 'MARZO', 'ABRIL', 'MAYO', 'JUNIO', 'JULIO', 'AGOSTO', 'SEPTIEMBRE', 'OCTUBRE', 'NOVIEMBRE', 'DICIEMBRE');
        $mes = str_replace($mesesIngles, $mesesMexico, $mes);
        $this->Cell(0, 7, utf8_decode(''), 0, 0, 'R', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('', '', 12);
        $this->Cell(0, 7, utf8_decode('TOLUCA, EDO. DE MÉXICO, A ' . date('d') . " DE " . $mes . " DE " . date('Y')), 0, 0, 'R', false);
        $this->SetFont('', 'B', 12);
        $this->Ln();
        $this->Cell(0, 7, utf8_decode('ASUNTO: CONSTANCIA DE NO ADEUDO'), 0, 0, 'R', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('', '', 12);
        $this->Cell(0, 7, utf8_decode('A QUIEN CORRESPONDA'), 0, 0, 'L', false);
        $this->Ln();
        $this->Cell(0, 7, utf8_decode('PRESENTE:'), 0, 0, 'L', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->MultiCell(0, 7, utf8_decode("La que suscribe LIC. " . $usr->get('nombre') . ", en mi carácter de coordinador administrativo en la Universidad TEC Mexiquense."), 0, 'J', false);

        $this->Ln();
        $this->Ln();

        $nivel = "";

        if ($a->getTipoAlumno() == 1) { // BACHILLERATO ESCOLARIZADO
        } elseif ($a->getTipoAlumno() == 2) { // EXAMEN ÚNICO
        } elseif ($a->getTipoAlumno() == 3) { // LICENCIATURAS
            $nivel = 'de la LIC. EN ';
        } elseif ($a->getTipoAlumno() == 4) { // MAESTRÍAS
            $nivel = 'de la MTRÍA. EN ';
        } elseif ($a->getTipoAlumno() == 5) { // DOCTORADOS
            $nivel = 'del DOC. EN ';
        } elseif ($a->getTipoAlumno() == 6) { // TITULACIÓN DIRECTA
            $nivel = 'DE TITULACIÓN ';
        }

        if ($a->getSexo() == 0) { // Hombre
            if ($a->getModalidad() == "SEMESTRAL") {
                $this->MultiCell(0, 7, utf8_decode("Hago contar que "
                    . "el C. " . $a->getApePat() . " " . $a->getApeMat() . " " . $a->getNomAlu() . ", alumno del " . $a->getNumero() . "° semestre "
                    . $nivel . $a->getCveLic()->getNomLic() . ","
                    . " NO TIENE ADEUDO"
                    . " alguno en colegiaturas y reinscripciones correspondientes, hasta el mes de " . $mesesMexico[(date('m') * 1) - 1] . " del año 2020."), 0, 'J', false);
            } else {
                $this->MultiCell(0, 7, utf8_decode("Hago contar que "
                    . "el C. " . $a->getApePat() . " " . $a->getApeMat() . " " . $a->getNomAlu() . ", alumno del " . $a->getNumero() . "° cuatrimestre "
                    . $nivel . $a->getCveLic()->getNomLic() . ","
                    . " NO TIENE ADEUDO"
                    . " alguno en colegiaturas y reinscripciones correspondientes, hasta el mes de " . $mesesMexico[(date('m') * 1) - 1] . " del año 2020."), 0, 'J', false);
            }
        } else { // Mujer
            if ($a->getModalidad() == "SEMESTRAL") {
                $this->MultiCell(0, 7, utf8_decode("Hago constar que "
                    . "la C. " . $a->getApePat() . " " . $a->getApeMat() . " " . $a->getNomAlu() . ", alumna del " . $a->getNumero() . "° semestre "
                    . $nivel . $a->getCveLic()->getNomLic() . ","
                    . " NO TIENE ADEUDO"
                    . " alguno en colegiaturas y reinscripciones correspondientes, hasta el mes de " . $mesesMexico[(date('m') * 1) - 1] . " del año 2020."), 0, 'J', false);
            } else {
                $this->MultiCell(0, 7, utf8_decode("Hago constar que "
                    . "la C. " . $a->getApePat() . " " . $a->getApeMat() . " " . $a->getNomAlu() . ", alumna del " . $a->getNumero() . "° cuatrimestre "
                    . $nivel . $a->getCveLic()->getNomLic() . ","
                    . " NO TIENE ADEUDO"
                    . " alguno en colegiaturas y reinscripciones correspondientes, hasta el mes de " . $mesesMexico[(date('m') * 1) - 1] . " del año 2020."), 0, 'J', false);
            }
        }


        $this->Ln();
        $this->Ln();
        $this->Cell(0, 7, utf8_decode("Sin más por el momento, quedo a sus órdenes."), 0, 0, "L", false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('', 'B', 12);
        $this->Cell(0, 5, "A T E N T A M E N T E", 0, 0, "C", false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 5, "________________________________________", 0, 0, "C", false);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("LIC. " . $usr->get('nombre')), 0, 0, "C", false);
        $this->Ln();
        $this->Cell(0, 5, "COORDINADOR ADMINISTRATIVO", 0, 0, "C", false);
        $this->Ln();
        $this->Cell(0, 5, "TEC MEXIQUENSE", 0, 0, "C", false);
    }

    public function OficioSiAdeudo($a, $pagos, $pr, $ul, $usr)
    {
        $this->Image('images/encabezadoOficioEU.png', 0, 0, 215);
        $this->Image('images/pieOficioEU.png', 0, 250, 215);

        $this->Image('images/marcaDeAguaEU.jpg', 104, 155, 110);
        $this->SetAutoPageBreak(true, 10);
        $this->SetFillColor(34, 119, 170);
        $this->SetDrawColor(0, 0, 0);
        $this->SetFont('', '', 10);
        $this->SetTextColor(0, 0, 0);
        //$this->Image('images/lineaOficio.jpg', 0, 2, 216);
        $this->SetLeftMargin(15);
        $this->SetRightMargin(15);

        $mes = date('F');
        $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
        $mesesMexico = array('ENERO', 'FEBRERO', 'MARZO', 'ABRIL', 'MAYO', 'JUNIO', 'JULIO', 'AGOSTO', 'SEPTIEMBRE', 'OCTUBRE', 'NOVIEMBRE', 'DICIEMBRE');
        $mes = str_replace($mesesIngles, $mesesMexico, $mes);
        $this->Cell(0, 7, utf8_decode(''), 0, 0, 'R', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('Times', '', 11);
        $this->Cell(0, 5, utf8_decode('TOLUCA, EDO. DE MÉXICO, A ' . date('d') . " DE " . $mes . " DE " . date('Y')), 0, 0, 'R', false);
        $this->SetFont('', 'B', 12);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode('UNIVERSIDAD TEC Mexiquense'), 0, 0, 'R', false);
        $this->Ln();
        if ($usr->get('plantel') == '01') { // ZINACANTEPEC
            $this->Cell(0, 5, utf8_decode("PLANTEL ZINACANTEPEC"), 0, 0, "R", false);
        } elseif ($usr->get('plantel') == '02') { // TOLUCA
            $this->Cell(0, 5, utf8_decode('PLANTEL TOLUCA'), 0, 0, 'R', false);
        } elseif ($usr->get('plantel') == '03') { // VALLE DE BRAVO
            $this->Cell(0, 5, utf8_decode("PLANTEL VALLE DE BRAVO"), 0, 0, "R", false);
        } elseif ($usr->get('plantel') == '04') { // TOLUCA CENTRO
            $this->Cell(0, 5, utf8_decode("PLANTEL TOLUCA CENTRO"), 0, 0, "R", false);
        }

        $this->Ln();
        $this->Ln();
        $this->SetFont('', '', 12);
        $this->Cell(0, 5, utf8_decode('C. ' . $a->getApePat() . " " . $a->getApeMat() . " " . $a->getNomAlu()), 0, 0, 'L', false);
        $this->Ln();
        if ($a->getTipoAlumno() == 1) { // BACHILLERATO ESCOLARIZADO
        } elseif ($a->getTipoAlumno() == 2) { // EXAMEN ÚNICO
        } elseif ($a->getTipoAlumno() == 3) { // LICENCIATURAS
            $this->Cell(0, 5, utf8_decode('DE LA LIC. ' . $a->getCveLic()->getNomLic()), 0, 0, 'L', false);
        } elseif ($a->getTipoAlumno() == 4) { // MAESTRÍAS
            $this->Cell(0, 5, utf8_decode('DE LA MATRÍA. ' . $a->getCveLic()->getNomLic()), 0, 0, 'L', false);
        } elseif ($a->getTipoAlumno() == 5) { // DOCTORADOS
            $this->Cell(0, 5, utf8_decode('DEL DOC. ' . $a->getCveLic()->getNomLic()), 0, 0, 'L', false);
        } elseif ($a->getTipoAlumno() == 6) { // TITULACIÓN DIRECTA
            $this->Cell(0, 5, utf8_decode('DE TITULACIÓN.' . $a->getCveLic()->getNomLic()), 0, 0, 'L', false);
        }
        $this->Ln();
        if ($a->getModalidad() == "SEMESTRAL") {
            $this->Cell(0, 5, utf8_decode('DEL ' . $a->getNumero() . "° SEMESTRE"), 0, 0, 'L', false);
        } else {
            $this->Cell(0, 5, utf8_decode('DEL ' . $a->getNumero() . "° CUATRIMESTRE"), 0, 0, 'L', false);
        }
        $this->Ln();
        $this->Cell(0, 5, utf8_decode('P R E S E N T E:'), 0, 0, 'L', false);
        $this->Ln();
        $this->Ln();
        $this->SetFont('', '', 11);
        $this->MultiCell(0, 5, utf8_decode("     Por este conducto me dirijo a ti para agradecer la preferencia al elegir la "
            . "Universidad Tec Mexiquense como tu casa de estudios, así mismo te solicito de la manera más atenta "
            . "firmes de acuse el adeudo que tienes con la Universidad a la fecha "
            . "cubriendo hasta el mes de " . $mesesMexico[(date('m') * 1) - 1] . " de " . date('Y') . ", el cual consta de:"), 0, 'J', false);
        $this->Ln();
        $this->SetTextColor(255, 255, 255);
        $this->SetFont('', 'B', '');
        $this->Cell(10, 10, utf8_decode("N.C."), 1, 0, "C", true);
        $this->Cell(80, 10, utf8_decode("DESCRIPCIÓN"), 1, 0, "C", true);
        $this->Cell(30, 10, utf8_decode("MONTO"), 1, 0, "C", true);
        $this->Cell(30, 10, utf8_decode("RECARGOS"), 1, 0, "C", true);
        $this->Ln();
        $this->SetTextColor(0, 0, 0);
        $this->SetFont('', '', 11);
        $recargos = 0;
        $total = 0;
        foreach ($pagos as $key => $v) {
            $this->Cell(10, 5, utf8_decode($key + 1), 1, 0, "C", false);
            if ($v->getNumero() == 0) {
                if ($v->getSemestre() > 1) {
                    if ($a->getModalidad() == "SEMESTRAL") {
                        $this->Cell(80, 5, utf8_decode("Reinscripción: SEMESTRE #" . $v->getSemestre()), 1, 0, "R", false);
                    } else {
                        $this->Cell(80, 5, utf8_decode("Reinscripción: CUATRIMESTRE #" . $v->getSemestre()), 1, 0, "R", false);
                    }
                    $this->Cell(30, 5, utf8_decode("$ " . number_format($a->getCostoReinscripciones(), 2, ".", ",")), 1, 0, "R", false);
                    $total = $total + $a->getCostoReinscripciones();
                } else {
                    if ($a->getModalidad() == "SEMESTRAL") {
                        $this->Cell(80, 5, utf8_decode("Inscripción: SEMESTRE #" . $v->getSemestre()), 1, 0, "R", false);
                    } else {
                        $this->Cell(80, 5, utf8_decode("Inscripción: CUATRIMESTRE #" . $v->getSemestre()), 1, 0, "R", false);
                    }
                    $this->Cell(30, 5, utf8_decode("$ " . number_format($a->getCostoInscripcion(), 2, ".", ",")), 1, 0, "R", false);
                    $total = $total + $a->getCostoInscripcion();
                }
                $this->Cell(30, 5, utf8_decode("$ " . number_format(100, "2", ".", ",")), 1, 0, "R", false);
                $recargos = $recargos + 100;

                $this->Ln();
            } else {
                $this->Cell(80, 5, utf8_decode("Colegiatura " . $v->getNomMes() . " " . $v->getFecIni()->format('Y')), 1, 0, "R", false);
                $this->Cell(30, 5, utf8_decode("$ " . number_format($a->getCostoMensualidad(), 2, ".", ",")), 1, 0, "R", false);
                $this->Cell(30, 5, utf8_decode("$ " . number_format(200, "2", ".", ",")), 1, 0, "R", false);
                $total = $total + $a->getCostoMensualidad();
                $recargos = $recargos + 200;

                $this->Ln();
            }
        }
        $this->SetFillColor(112, 173, 71);
        $this->SetFont('', 'B', 11);
        $this->Cell(90, 5, utf8_decode("TOTAL A PAGAR"), 1, 0, "R", true);
        $this->Cell(60, 5, utf8_decode("$ " . number_format(($total + $recargos), 2, ".", ",")), 1, 0, "R", true);
        $this->Ln();
        $this->Ln();
        $this->SetFont('', '', 11);
        $this->MultiCell(0, 5, utf8_decode("     El horario de atención de Caja (recepción de pago) "
            . "quedara de la siguiente manera Lunes a Viernes de 8:30am a 6:00pm, Sábado de 07:30am a 14:00pm."), 0, "J", false);
        $this->Ln(0);
        if ($a->getModalidad() == "SEMESTRAL") {
            $this->MultiCell(0, 5, utf8_decode("     Cabe mencionar que una vez firmado el adeudo, "
                . "el mismo queda asentado para el inicio "
                . "del semestre " . $pr->getNomMes() . " - " . $ul->getNomMes() . " " . date('Y') . ", no se aceptan futuros reclamos."
                . "\n     Sin más que agregar, agradeciendo la colaboración, quedo al pendiente "
                . "para cualquier duda o aclaración."), 0, "J", false);
        } else {
            $this->MultiCell(0, 5, utf8_decode("     Cabe mencionar que una vez firmado el adeudo, "
                . "el mismo queda asentado para el inicio "
                . "del cuatrimestre " . $pr->getNomMes() . " - " . $ul->getNomMes() . " " . date('Y') . ", no se aceptan futuros reclamos."
                . "\n     Sin más que agregar, agradeciendo la colaboración, quedo al pendiente "
                . "para cualquier duda o aclaración."), 0, "J", false);
        }

        $this->Ln();
        $this->Ln();
        $this->SetFont('', 'B', 12);
        $this->Cell(0, 5, "A T E N T A M E N T E", 0, 0, "C", false);
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 5, "________________________________________", 0, 0, "C", false);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("LIC. " . $usr->get('nombre')), 0, 0, "C", false);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("COORDINACIÓN ADMINISTRATIVA"), 0, 0, "C", false);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("DE LA UNIVERSIDAD TEC MEXIQUENSE"), 0, 0, "C", false);
        $this->Ln();
        if ($usr->get('plantel') == '01') { // ZINACANTEPEC
            $this->Cell(0, 5, utf8_decode("PLANTEL ZINACANTEPEC"), 0, 0, "C", false);
        } elseif ($usr->get('plantel') == '02') { // TOLUCA
            $this->Cell(0, 5, utf8_decode("PLANTEL TOLUCA"), 0, 0, "C", false);
        } elseif ($usr->get('plantel') == '03') { // VALLE DE BRAVO
            $this->Cell(0, 5, utf8_decode("PLANTEL VALLE DE BRAVO"), 0, 0, "C", false);
        } elseif ($usr->get('plantel') == '04') { // TOLUCA CENTRO
            $this->Cell(0, 5, utf8_decode("PLANTEL TOLUCA CENTRO"), 0, 0, "C", false);
        }
        $this->Ln();
        $this->SetFont('', 'B', 8);
        $this->Cell(0, 4, utf8_decode("C.C.P. L.A.E. NALLEY PATRICIA CORNEJO ENDEJE DIRECTORA ADMINISTRATIVA DE LA UNIVERSIDAD TEC"), 0, 0, "R", false);
        $this->Ln();
        $this->Cell(0, 4, utf8_decode("MEXIQUENSE"), 0, 0, "R", false);
        $this->Ln();
        $this->Cell(0, 4, utf8_decode("C.C.P. PARA ARCHIVO"), 0, 0, "R", false);
    }

}
