<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use FPDF;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PHP
 *
 * @author grupo2m
 */
class PDFConvenio extends FPDF
{

    // Tabla alumnos
    function TablaConvenio($c, $data)
    {
        $this->Ln();
        $this->SetFillColor(228, 18, 33); // ROJO UBC
        $this->SetDrawColor(170, 25, 23); // ROJO OBSCURO
        $this->SetTextColor(255, 255, 255);
        $this->Cell(8, 5, utf8_decode("NP"), 1, 0, 'R', TRUE);
        $this->Cell(50, 5, utf8_decode("FECHA DE PAGO"), 1, 0, 'R', TRUE);
        $this->Cell(50, 5, utf8_decode("MONTO A PAGAR"), 1, 0, 'R', TRUE);
        $this->Cell(0, 5, utf8_decode("FRECUENCIA DE PAGO"), 1, 0, 'R', TRUE);
        $this->Ln();

        $this->SetTextColor(0, 0, 0);
        $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
        $mesesMexico = array('Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre');

        $modoPago = "";
        if ($c->getModoPago() == 4) {// SEMANAL
            $modoPago = "SEMANAL";
        } elseif ($c->getModoPago() == 2) {// QUINCENAL
            $modoPago = "QUINCENAL";
        } elseif ($c->getModoPago() == 1) {// MENSUAL
            $modoPago = "MENSUAL";
        }
        $this->SetFillColor(244, 225, 227); // ROJO CLARO
        $bandera = FALSE;
        $total = 0;
        foreach ($data as $key => $value) {
            $this->Cell(8, 5, utf8_decode($key + 1), 1, 0, 'R', $bandera);
            $this->Cell(50, 5, utf8_decode(str_replace($mesesIngles, $mesesMexico, $value->getFecIni()->format('d-F-Y'))), 1, 0, 'R', $bandera);
            $this->Cell(50, 5, utf8_decode("$ " . number_format($value->getMonto(), 2, ".", ",")), 1, 0, 'R', $bandera);
            $this->Cell(0, 5, utf8_decode($modoPago), 1, 0, 'R', $bandera);
            $total = $total + $value->getMonto();
            $this->Ln();
            $bandera = !$bandera;
        }
        //$this->SetFillColor(112, 173, 71);
        $this->SetFillColor(228, 18, 33); // ROJO UBC
        $this->SetTextColor(255, 255, 255);
        $this->Cell(58, 5, utf8_decode("TOTAL A PAGAR"), 1, 0, 'R', TRUE);
        $this->Cell(50, 5, utf8_decode("$ " . number_format($total, 2, ".", ",")), 1, 0, 'R', TRUE);
        $this->Ln();
        $this->SetTextColor(0, 0, 0);
    }

    var $B = 0;
    var $I = 0;
    var $U = 0;
    var $HREF = '';
    var $ALIGN = '';

    function WriteHTML($html)
    {
        //HTML parser
        $html = str_replace("\n", ' ', $html);
        $a = preg_split('/<(.*)>/U', $html, -1, PREG_SPLIT_DELIM_CAPTURE);
        foreach ($a as $i => $e) {
            if ($i % 2 == 0) {
                //Text
                if ($this->HREF)
                    $this->PutLink($this->HREF, $e);
                elseif ($this->ALIGN == 'center')
                    $this->Cell(0, 5, $e, 0, 1, 'C');
                else
                    $this->Write(5, $e);
            } else {
                //Tag
                if ($e[0] == '/')
                    $this->CloseTag(strtoupper(substr($e, 1)));
                else {
                    //Extract properties
                    $a2 = explode(' ', $e);
                    $tag = strtoupper(array_shift($a2));
                    $prop = array();
                    foreach ($a2 as $v) {
                        if (preg_match('/([^=]*)=["\']?([^"\']*)/', $v, $a3))
                            $prop[strtoupper($a3[1])] = $a3[2];
                    }
                    $this->OpenTag($tag, $prop);
                }
            }
        }
    }

    function OpenTag($tag, $prop)
    {
        //Opening tag
        if ($tag == 'B' || $tag == 'I' || $tag == 'U')
            $this->SetStyle($tag, true);
        if ($tag == 'A')
            $this->HREF = $prop['HREF'];
        if ($tag == 'BR')
            $this->Ln(5);
        if ($tag == 'P')
            $this->ALIGN = $prop['ALIGN'];
        if ($tag == 'HR') {
            if (!empty($prop['WIDTH']))
                $Width = $prop['WIDTH'];
            else
                $Width = $this->w - $this->lMargin - $this->rMargin;
            $this->Ln(2);
            $x = $this->GetX();
            $y = $this->GetY();
            $this->SetLineWidth(0.4);
            $this->Line($x, $y, $x + $Width, $y);
            $this->SetLineWidth(0.2);
            $this->Ln(2);
        }
    }

    function CloseTag($tag)
    {
        //Closing tag
        if ($tag == 'B' || $tag == 'I' || $tag == 'U')
            $this->SetStyle($tag, false);
        if ($tag == 'A')
            $this->HREF = '';
        if ($tag == 'P')
            $this->ALIGN = '';
    }

    function SetStyle($tag, $enable)
    {
        //Modify style and select corresponding font
        $this->$tag += ($enable ? 1 : -1);
        $style = '';
        foreach (array('B', 'I', 'U') as $s)
            if ($this->$s > 0)
                $style .= $s;
        $this->SetFont('', $style);
    }

    function PutLink($URL, $txt)
    {
        //Put a hyperlink
        $this->SetTextColor(0, 0, 255);
        $this->SetStyle('U', true);
        $this->Write(5, $txt, $URL);
        $this->SetStyle('U', false);
        $this->SetTextColor(0);
    }

}
