<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use FPDF;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PDFExamenUnico
 *
 * @author Lenovo
 */
class PDFExamenUnico extends FPDF {

    public $numeroAplicacion;
    public $titulo = "";

    function setTitulo($titulo) {
        $this->titulo = $titulo;
    }

    function setNumeroAplicacion($na) {
        $this->numeroAplicacion = $na;
    }

    // Cabecera de página
    function Header() {
        $this->Image('images/EncabezadoOk.png', 0, 0, 216);
        $this->Image('images/marcaDeAguaEU.jpg', 104, 155, 110);
        $this->SetFont('Arial', 'B', 14);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(0, 10, utf8_decode($this->numeroAplicacion), 0, 0, "R", FALSE);
        $this->Ln(15);
    }

    function Footer() {
        $this->Image('images/pieOK.png', 0, 250, 216);
    }

    function oficioCertificacion($numApp, $datos) {
        $this->SetAutoPageBreak(true, 50);
        $this->SetFont("", "B", "8");
        $this->Cell(8, 8, utf8_decode("N.C."), 1, 0, 'C', FALSE);
        $this->Cell(60, 8, utf8_decode("NOMBRE DEL ALUMNO"), 1, 0, 'C', FALSE);
        $this->Cell(20, 4, utf8_decode("FECHA DE"), "LTR", 0, 'C', FALSE);
        $this->SetFont("", "B", "6.5");
        $this->Cell(13, 4, utf8_decode("DOC."), "LTR", 0, 'C', FALSE);
        $this->Cell(21, 8, utf8_decode("RETROACTIVO"), 1, 0, 'C', FALSE);
        $this->Cell(15, 8, utf8_decode("PROMEDIO"), 1, 0, 'C', FALSE);
        $this->Cell(15, 4, utf8_decode("CARRERA"), "LTR", 0, 'C', FALSE);
        $this->Cell(18, 4, utf8_decode("HISTORIAL"), "LTR", 0, 'C', FALSE);
        $this->Cell(0, 4, utf8_decode("CONSTANCIA DE"), "LTR", 0, 'C', FALSE);

        $this->Ln();
        $this->SetFont("", "B", "8");
        $this->Cell(8, 0, utf8_decode(""), 0, 0, 'R', FALSE);
        $this->Cell(60, 0, utf8_decode(""), 0, 0, 'L', FALSE);
        $this->Cell(20, 4, utf8_decode("TERMINO"), "LRB", 0, 'C', FALSE);
        $this->SetFont("", "B", "6.5");
        $this->Cell(13, 4, utf8_decode("DIGITAL"), "LRB", 0, 'C', FALSE);
        $this->Cell(21, 0, utf8_decode(""), 0, 0, 'C', FALSE);
        $this->Cell(15, 0, utf8_decode(""), 0, 0, 'C', FALSE);
        $this->Cell(15, 4, utf8_decode("TÉCNICA"), "LRB", 0, 'C', FALSE);
        $this->Cell(18, 4, utf8_decode("ACADÉMICO"), "LRB", 0, 'C', FALSE);
        $this->Cell(0, 4, utf8_decode("VALIDACIÓN"), "LRB", 0, 'C', FALSE);

        $this->Ln();

        $this->SetFont("", "", "8");

        $miIndex = 0;
        foreach ($datos as $a) {
            if ($a[3]->getAsistenciaAsesorias() == 1 & $a[3]->getTramite() == "En Trámite") {
                $miIndex = $miIndex + 1;
                $this->Cell(8, 8, utf8_decode($miIndex), 1, 0, 'R', FALSE);
                $nombre = $a[0]->getApePat() . " " . $a[0]->getApeMat() . " " . $a[0]->getNomAlu();
                if (strlen($nombre) > 32) {
                    $this->SetFont("", "", "7");
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                    $this->SetFont("", "", "8");
                } elseif (strlen($nombre) > 39) {
                    $this->SetFont("", "", "6");
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                    $this->SetFont("", "", "8");
                } else {
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                }

                $this->Cell(20, 8, utf8_decode($a[0]->getFecTer()->format('d/m/Y')), 1, 0, 'C', FALSE);
                if ($a[3]->getDocumentacionDigital() === 1) {
                    $this->Cell(13, 8, utf8_decode("X"), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(13, 8, utf8_decode("NO"), 1, 0, 'C', FALSE);
                }

                $this->SetFont("", "B", "8");
                $this->Cell(21, 8, utf8_decode($a[3]->getPorqueCertificacion()), 1, 0, 'C', FALSE);
                $this->Cell(15, 8, utf8_decode($a[3]->getInscrito()), 1, 0, 'C', FALSE);
                $this->SetFont("", "", "8");

                $this->Cell(15, 8, utf8_decode($a[3]->getLicenciaturaInteres()), 1, 0, 'C', FALSE);
                if ($a[3]->getIngresado() == "") {
                    $this->Cell(18, 8, utf8_decode("NO"), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(18, 8, utf8_decode($a[3]->getIngresado()), 1, 0, 'C', FALSE);
                }
                //$this->Cell(18, 8, utf8_decode($a[3]->getCorreccion()), 1, 0, 'C', FALSE);
                $this->Cell(0, 8, utf8_decode("SI"), 1, 0, 'C', FALSE);

                $this->Ln();
            }
        }
    }

    function oficioCertificacionExterno($numApp, $datos, $plantel) {
        $this->SetFont('Arial', 'B', 12);
        $this->Cell(0, 10, utf8_decode("TOLUCA, EDO. DE MÉXICO A " . date('d') . " DE " . date('m') . " DEL " . date('Y')), 0, 0, "R", FALSE);
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("COORDINACIÓN DE BACHILLERATO"), 0, 0, "L", FALSE);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("DEL CEEPAM"), 0, 0, "L", FALSE);
        $this->Ln();
        $this->Cell(0, 10, utf8_decode("P R E S E N T E"), 0, 0, "L", FALSE);
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', '', 12);
        $this->MultiCell(0, 5, utf8_decode("Es un gusto dirigirme a usted para notificar el ingreso a Certificación de Bachillerato de los siguientes alumnos:"));
        $this->Ln();
        $this->Cell(0, 10, utf8_decode($numApp), 1, 0, "C", FALSE);
        $this->Ln();
        $this->SetFillColor(247, 167, 64);
        $this->SetFont("", "B", "8");
        $this->Cell(8, 8, utf8_decode("N.C."), 1, 0, 'C', FALSE);
        $this->Cell(60, 8, utf8_decode("NOMBRE DEL ALUMNO"), 1, 0, 'C', FALSE);
        $this->Cell(20, 4, utf8_decode("FECHA DE"), "LTR", 0, 'C', FALSE);
        $this->SetFont("", "B", "6.5");
        $this->Cell(13, 4, utf8_decode("DOC."), "LTR", 0, 'C', FALSE);
        $this->Cell(21, 8, utf8_decode("RETROACTIVO"), 1, 0, 'C', FALSE);
        $this->Cell(15, 8, utf8_decode("PROMEDIO"), 1, 0, 'C', FALSE);
        $this->Cell(15, 4, utf8_decode("CARRERA"), "LTR", 0, 'C', FALSE);
        $this->Cell(18, 4, utf8_decode("HISTORIAL"), "LTR", 0, 'C', FALSE);
        $this->Cell(0, 4, utf8_decode("CONSTANCIA DE"), "LTR", 0, 'C', FALSE);

        $this->Ln();
        $this->SetFont("", "B", "8");
        $this->Cell(8, 0, utf8_decode(""), 0, 0, 'R', FALSE);
        $this->Cell(60, 0, utf8_decode(""), 0, 0, 'L', FALSE);
        $this->Cell(20, 4, utf8_decode("TERMINO"), "LRB", 0, 'C', FALSE);
        $this->SetFont("", "B", "6.5");
        $this->Cell(13, 4, utf8_decode("DIGITAL"), "LRB", 0, 'C', FALSE);
        $this->Cell(21, 0, utf8_decode(""), 0, 0, 'C', FALSE);
        $this->Cell(15, 0, utf8_decode(""), 0, 0, 'C', FALSE);
        $this->Cell(15, 4, utf8_decode("TÉCNICA"), "LRB", 0, 'C', FALSE);
        $this->Cell(18, 4, utf8_decode("ACADÉMICO"), "LRB", 0, 'C', FALSE);
        $this->Cell(0, 4, utf8_decode("VALIDACIÓN"), "LRB", 0, 'C', FALSE);

        $this->Ln();

        $this->SetFont("", "", "8");

        $miIndex = 0;
        //32
        foreach ($datos as $a) {
            if ($a[3]->getTramite() == "" | $a[3]->getTramite() == null | $a[3]->getTramite() == "NULL") {
                $miIndex = $miIndex + 1;
                $this->Cell(8, 8, utf8_decode($miIndex), 1, 0, 'R', FALSE);
                $nombre = $a[0]->getApePat() . " " . $a[0]->getApeMat() . " " . $a[0]->getNomAlu();
                if (strlen($nombre) > 32) {
                    $this->SetFont("", "", "7");
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                    $this->SetFont("", "", "8");
                } elseif (strlen($nombre) > 39) {
                    $this->SetFont("", "", "6");
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                    $this->SetFont("", "", "8");
                } else {
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                }

                $this->Cell(20, 8, utf8_decode($a[0]->getFecTer()->format('d/m/Y')), 1, 0, 'C', FALSE);
                if ($a[3]->getDocumentacionDigital() === 1) {
                    $this->Cell(13, 8, utf8_decode("X"), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(13, 8, utf8_decode("NO"), 1, 0, 'C', FALSE);
                }
                $this->SetFont("", "B", "8");
                if ($a[3]->getPorqueCertificacion() == "" | $a[3]->getPorqueCertificacion() == null) {
                    $this->Cell(21, 8, utf8_decode($a[3]->getPorqueCertificacion()), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(21, 8, utf8_decode($a[3]->getPorqueCertificacion()), 1, 0, 'C', TRUE);
                }
                $this->Cell(15, 8, utf8_decode($a[3]->getInscrito()), 1, 0, 'C', FALSE);
                $this->SetFont("", "", "8");
                $this->Cell(15, 8, utf8_decode($a[3]->getLicenciaturaInteres()), 1, 0, 'C', FALSE);
                if ($a[3]->getIngresado() == "") {
                    $this->Cell(18, 8, utf8_decode("NO"), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(18, 8, utf8_decode($a[3]->getIngresado()), 1, 0, 'C', FALSE);
                }

                //$this->Cell(18, 8, utf8_decode($a[3]->getCorreccion()), 1, 0, 'C', FALSE);
                $this->Cell(0, 8, utf8_decode("SI"), 1, 0, 'C', FALSE);

                $this->Ln();
            }
        }
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', '', 12);
        $this->MultiCell(0, 5, utf8_decode("Sin más por el momento, estamos a la orde."));
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'B', 12);
        $this->Cell(0, 10, utf8_decode("A T E N T A M E N T E"), 0, 0, "C", FALSE);
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("___________________________________________"), 0, 0, "C", FALSE);
        $this->Ln();
        $this->Cell(0, 10, utf8_decode("COORDINADOR: " . $plantel->getNomPla()), 0, 0, "C", FALSE);
        $this->Ln();
    }

    function oficioCertificacionAdministrador($numApp, $datos) {
        $this->SetFont('Arial', 'B', 12);
        $this->Cell(0, 10, utf8_decode("TOLUCA, EDO. DE MÉXICO A " . date('d') . " DE " . date('m') . " DEL " . date('Y')), 0, 0, "R", FALSE);
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("A QUIEN CORRESPONDA"), 0, 0, "L", FALSE);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode(""), 0, 0, "L", FALSE);
        $this->Ln();
        $this->Cell(0, 10, utf8_decode("P R E S E N T E"), 0, 0, "L", FALSE);
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', '', 12);
        $this->MultiCell(0, 5, utf8_decode("Es un gusto dirigirme a usted para notificar el ingreso a Certificación de Bachillerato de los siguientes alumnos:"));
        $this->Ln();
        $this->Cell(0, 10, utf8_decode($numApp), 1, 0, "C", FALSE);
        $this->Ln();
        $this->SetFillColor(247, 167, 64);
        $this->SetFont("", "B", "8");
        $this->Cell(8, 8, utf8_decode("N.C."), 1, 0, 'C', FALSE);
        $this->Cell(60, 8, utf8_decode("NOMBRE DEL ALUMNO"), 1, 0, 'C', FALSE);
        $this->Cell(20, 4, utf8_decode("FECHA DE"), "LTR", 0, 'C', FALSE);
        $this->SetFont("", "B", "6.5");
        $this->Cell(13, 4, utf8_decode("DOC."), "LTR", 0, 'C', FALSE);
        $this->Cell(21, 8, utf8_decode("RETROACTIVO"), 1, 0, 'C', FALSE);
        $this->Cell(15, 8, utf8_decode("PROMEDIO"), 1, 0, 'C', FALSE);
        $this->Cell(15, 4, utf8_decode("CARRERA"), "LTR", 0, 'C', FALSE);
        $this->Cell(18, 4, utf8_decode("HISTORIAL"), "LTR", 0, 'C', FALSE);
        $this->Cell(0, 4, utf8_decode("CONSTANCIA DE"), "LTR", 0, 'C', FALSE);

        $this->Ln();
        $this->SetFont("", "B", "8");
        $this->Cell(8, 0, utf8_decode(""), 0, 0, 'R', FALSE);
        $this->Cell(60, 0, utf8_decode(""), 0, 0, 'L', FALSE);
        $this->Cell(20, 4, utf8_decode("TERMINO"), "LRB", 0, 'C', FALSE);
        $this->SetFont("", "B", "6.5");
        $this->Cell(13, 4, utf8_decode("DIGITAL"), "LRB", 0, 'C', FALSE);
        $this->Cell(21, 0, utf8_decode(""), 0, 0, 'C', FALSE);
        $this->Cell(15, 0, utf8_decode(""), 0, 0, 'C', FALSE);
        $this->Cell(15, 4, utf8_decode("TÉCNICA"), "LRB", 0, 'C', FALSE);
        $this->Cell(18, 4, utf8_decode("ACADÉMICO"), "LRB", 0, 'C', FALSE);
        $this->Cell(0, 4, utf8_decode("VALIDACIÓN"), "LRB", 0, 'C', FALSE);

        $this->Ln();

        $this->SetFont("", "", "8");

        $miIndex = 0;
        //32
        foreach ($datos as $a) {
            if ($a[3]->getTramite() == "" | $a[3]->getTramite() == null | $a[3]->getTramite() == "NULL") {
                $miIndex = $miIndex + 1;
                $this->Cell(8, 8, utf8_decode($miIndex), 1, 0, 'R', FALSE);
                $nombre = $a[0]->getApePat() . " " . $a[0]->getApeMat() . " " . $a[0]->getNomAlu();
                if (strlen($nombre) > 32) {
                    $this->SetFont("", "", "7");
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                    $this->SetFont("", "", "8");
                } elseif (strlen($nombre) > 39) {
                    $this->SetFont("", "", "6");
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                    $this->SetFont("", "", "8");
                } else {
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                }
                $this->SetFont("", "", "8");
                $this->Cell(20, 8, utf8_decode($a[0]->getFecTer()->format('d/m/Y')), 1, 0, 'C', FALSE);
                if ($a[3]->getDocumentacionDigital() === 1) {
                    $this->Cell(13, 8, utf8_decode("X"), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(13, 8, utf8_decode("NO"), 1, 0, 'C', FALSE);
                }
                $this->SetFont("", "B", "8");
                if ($a[3]->getPorqueCertificacion() == "" | $a[3]->getPorqueCertificacion() == null) {
                    $this->Cell(21, 8, utf8_decode($a[3]->getPorqueCertificacion()), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(21, 8, utf8_decode($a[3]->getPorqueCertificacion()), 1, 0, 'C', TRUE);
                }
                $this->Cell(15, 8, utf8_decode($a[3]->getInscrito()), 1, 0, 'C', FALSE);
                $this->SetFont("", "", "8");
                $this->Cell(15, 8, utf8_decode($a[3]->getLicenciaturaInteres()), 1, 0, 'C', FALSE);
                if ($a[3]->getIngresado() == "") {
                    $this->Cell(18, 8, utf8_decode("NO"), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(18, 8, utf8_decode($a[3]->getIngresado()), 1, 0, 'C', FALSE);
                }

                //$this->Cell(18, 8, utf8_decode($a[3]->getCorreccion()), 1, 0, 'C', FALSE);
                $this->Cell(0, 8, utf8_decode("SI"), 1, 0, 'C', FALSE);

                $this->Ln();
            }
        }
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', '', 12);
        $this->MultiCell(0, 5, utf8_decode("Sin más por el momento, estamos a la orde."));
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'B', 12);
        $this->Cell(0, 10, utf8_decode("A T E N T A M E N T E"), 0, 0, "C", FALSE);
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("___________________________________________"), 0, 0, "C", FALSE);
        $this->Ln();
        $this->Cell(0, 10, utf8_decode("COORDINADOR: E.U."), 0, 0, "C", FALSE);
        $this->Ln();
    }

    function oficioCertificacionAdministradorPorPlantel($numApp, $datos) {


        $miIndex = 0;
        $nomPlantel = "";
        //32
        foreach ($datos as $a) {
            if ($a[3]->getTramite() == "" | $a[3]->getTramite() == null | $a[3]->getTramite() == "NULL") {
                if ($nomPlantel == $a[0]->getCvePla()->getNomPla()) {
                    
                } else {
                    $this->Cell(0, 8, utf8_decode("TOTAL " . $miIndex), 1, 0, 'C', TRUE);
                    $this->Ln();
                    $this->AddPage();
                    $this->SetFont('Arial', 'B', 12);
                    $nomPlantel = $a[0]->getCvePla()->getNomPla();
                    $this->Cell(0, 10, utf8_decode($nomPlantel), 1, 0, "C", TRUE);
                    $this->Ln();
                    $this->Cell(0, 10, utf8_decode($numApp), 1, 0, "C", FALSE);
                    $this->Ln();
                    $this->SetFillColor(247, 167, 64);



                    $this->SetFont("", "B", "8");
                    $this->Cell(8, 8, utf8_decode("N.C."), 1, 0, 'C', FALSE);
                    $this->Cell(60, 8, utf8_decode("NOMBRE DEL ALUMNO"), 1, 0, 'C', FALSE);
                    $this->Cell(20, 8, utf8_decode("COORD"), 1, 0, 'C', FALSE);
                    $this->Cell(20, 4, utf8_decode("FECHA DE"), "LTR", 0, 'C', FALSE);
                    $this->SetFont("", "B", "6.5");
                    $this->Cell(13, 4, utf8_decode("DOC."), "LTR", 0, 'C', FALSE);
                    $this->Cell(21, 8, utf8_decode("RETROACTIVO"), 1, 0, 'C', FALSE);
                    $this->Cell(15, 8, utf8_decode("PROMEDIO"), 1, 0, 'C', FALSE);
                    $this->Cell(15, 4, utf8_decode("CARRERA"), "LTR", 0, 'C', FALSE);
                    $this->Cell(18, 4, utf8_decode("HISTORIAL"), "LTR", 0, 'C', FALSE);
                    $this->Cell(0, 4, utf8_decode("CONSTANCIA DE"), "LTR", 0, 'C', FALSE);

                    $this->Ln();
                    $this->SetFont("", "B", "8");
                    $this->Cell(8, 0, utf8_decode(""), 0, 0, 'R', FALSE);
                    $this->Cell(60, 0, utf8_decode(""), 0, 0, 'L', FALSE);
                    $this->Cell(20, 0, utf8_decode(""), 0, 0, 'L', FALSE);
                    $this->Cell(20, 4, utf8_decode("TERMINO"), "LRB", 0, 'C', FALSE);
                    $this->SetFont("", "B", "6.5");
                    $this->Cell(13, 4, utf8_decode("DIGITAL"), "LRB", 0, 'C', FALSE);
                    $this->Cell(21, 0, utf8_decode(""), 0, 0, 'C', FALSE);
                    $this->Cell(15, 0, utf8_decode(""), 0, 0, 'C', FALSE);
                    $this->Cell(15, 4, utf8_decode("TÉCNICA"), "LRB", 0, 'C', FALSE);
                    $this->Cell(18, 4, utf8_decode("ACADÉMICO"), "LRB", 0, 'C', FALSE);
                    $this->Cell(0, 4, utf8_decode("VALIDACIÓN"), "LRB", 0, 'C', FALSE);

                    $this->Ln();

                    $this->SetFont("", "", "8");
                    $miIndex = 0;
                }


                $miIndex = $miIndex + 1;
                $this->Cell(8, 8, utf8_decode($miIndex), 1, 0, 'R', FALSE);
                $nombre = $a[0]->getApePat() . " " . $a[0]->getApeMat() . " " . $a[0]->getNomAlu();
                if (strlen($nombre) > 32) {
                    $this->SetFont("", "", "7");
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                    $this->SetFont("", "", "8");
                } elseif (strlen($nombre) > 39) {
                    $this->SetFont("", "", "6");
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                    $this->SetFont("", "", "8");
                } else {
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                }
                $this->SetFont("", "", "6");
                $this->Cell(20, 8, utf8_decode($a[0]->getCvePla()->getNomPla()), 1, 0, 'C', FALSE);
                $this->SetFont("", "", "8");
                $this->Cell(20, 8, utf8_decode($a[0]->getFecTer()->format('d/m/Y')), 1, 0, 'C', FALSE);
                if ($a[3]->getDocumentacionDigital() === 1) {
                    $this->Cell(13, 8, utf8_decode("X"), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(13, 8, utf8_decode("NO"), 1, 0, 'C', FALSE);
                }
                $this->SetFont("", "B", "8");
                if ($a[3]->getPorqueCertificacion() == "" | $a[3]->getPorqueCertificacion() == null) {
                    $this->Cell(21, 8, utf8_decode($a[3]->getPorqueCertificacion()), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(21, 8, utf8_decode($a[3]->getPorqueCertificacion()), 1, 0, 'C', TRUE);
                }
                $this->Cell(15, 8, utf8_decode($a[3]->getInscrito()), 1, 0, 'C', FALSE);
                $this->SetFont("", "", "8");
                $this->Cell(15, 8, utf8_decode($a[3]->getLicenciaturaInteres()), 1, 0, 'C', FALSE);
                if ($a[3]->getIngresado() == "") {
                    $this->Cell(18, 8, utf8_decode("NO"), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(18, 8, utf8_decode($a[3]->getIngresado()), 1, 0, 'C', FALSE);
                }

                //$this->Cell(18, 8, utf8_decode($a[3]->getCorreccion()), 1, 0, 'C', FALSE);
                $this->Cell(0, 8, utf8_decode("SI"), 1, 0, 'C', FALSE);

                $this->Ln();
            }
        }
        $this->Cell(0, 8, utf8_decode("TOTAL " . $miIndex), 1, 0, 'C', TRUE);

        $this->Ln();
    }

    function oficioCertificacionITEC($numApp, $datos) {
        $this->SetAutoPageBreak(true, 50);
        $this->SetFont("", "B", "8");
        $this->Cell(8, 8, utf8_decode("N.C."), 1, 0, 'C', FALSE);
        $this->Cell(60, 8, utf8_decode("NOMBRE DEL ALUMNO"), 1, 0, 'C', FALSE);
        $this->Cell(20, 4, utf8_decode("FECHA DE"), "LTR", 0, 'C', FALSE);
        $this->SetFont("", "B", "6.5");
        $this->Cell(13, 4, utf8_decode("DOC."), "LTR", 0, 'C', FALSE);
        $this->Cell(21, 8, utf8_decode("RETROACTIVO"), 1, 0, 'C', FALSE);
        $this->Cell(15, 8, utf8_decode("PROMEDIO"), 1, 0, 'C', FALSE);
        $this->Cell(15, 4, utf8_decode("CARRERA"), "LTR", 0, 'C', FALSE);
        $this->Cell(18, 4, utf8_decode("HISTORIAL"), "LTR", 0, 'C', FALSE);
        $this->Cell(0, 4, utf8_decode("CONSTANCIA DE"), "LTR", 0, 'C', FALSE);

        $this->Ln();
        $this->SetFont("", "B", "8");
        $this->Cell(8, 0, utf8_decode(""), 0, 0, 'R', FALSE);
        $this->Cell(60, 0, utf8_decode(""), 0, 0, 'L', FALSE);
        $this->Cell(20, 4, utf8_decode("TERMINO"), "LRB", 0, 'C', FALSE);
        $this->SetFont("", "B", "6.5");
        $this->Cell(13, 4, utf8_decode("DIGITAL"), "LRB", 0, 'C', FALSE);
        $this->Cell(21, 0, utf8_decode(""), 0, 0, 'C', FALSE);
        $this->Cell(15, 0, utf8_decode(""), 0, 0, 'C', FALSE);
        $this->Cell(15, 4, utf8_decode("TÉCNICA"), "LRB", 0, 'C', FALSE);
        $this->Cell(18, 4, utf8_decode("ACADÉMICO"), "LRB", 0, 'C', FALSE);
        $this->Cell(0, 4, utf8_decode("VALIDACIÓN"), "LRB", 0, 'C', FALSE);

        $this->Ln();

        $this->SetFont("", "", "8");

        $miIndex = 0;
        foreach ($datos as $a) {
            if ($a[3]->getAsistenciaAsesorias() == 2 & $a[3]->getTramite() == "En Trámite") {
                $miIndex = $miIndex + 1;
                $this->Cell(8, 8, utf8_decode($miIndex), 1, 0, 'R', FALSE);
                $nombre = $a[0]->getApePat() . " " . $a[0]->getApeMat() . " " . $a[0]->getNomAlu();
                if (strlen($nombre) > 32) {
                    $this->SetFont("", "", "7");
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                    $this->SetFont("", "", "8");
                } elseif (strlen($nombre) > 39) {
                    $this->SetFont("", "", "6");
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                    $this->SetFont("", "", "8");
                } else {
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                }

                $this->Cell(20, 8, utf8_decode($a[0]->getFecTer()->format('d/m/Y')), 1, 0, 'C', FALSE);
                if ($a[3]->getDocumentacionDigital() === 1) {
                    $this->Cell(13, 8, utf8_decode("X"), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(13, 8, utf8_decode("NO"), 1, 0, 'C', FALSE);
                }

                $this->SetFont("", "B", "8");
                $this->Cell(21, 8, utf8_decode($a[3]->getPorqueCertificacion()), 1, 0, 'C', FALSE);
                $this->Cell(15, 8, utf8_decode($a[3]->getInscrito()), 1, 0, 'C', FALSE);
                $this->SetFont("", "", "8");

                $this->Cell(15, 8, utf8_decode($a[3]->getLicenciaturaInteres()), 1, 0, 'C', FALSE);
                if ($a[3]->getIngresado() == "") {
                    $this->Cell(18, 8, utf8_decode("NO"), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(18, 8, utf8_decode($a[3]->getIngresado()), 1, 0, 'C', FALSE);
                }
                //$this->Cell(18, 8, utf8_decode($a[3]->getCorreccion()), 1, 0, 'C', FALSE);
                $this->Cell(0, 8, utf8_decode("SI"), 1, 0, 'C', FALSE);

                $this->Ln();
            }
        }
    }

    function oficioCertificacionUNINET($numApp, $datos) {
        $this->SetAutoPageBreak(true, 50);
        $this->SetFont("", "B", "8");
        $this->Cell(8, 8, utf8_decode("N.C."), 1, 0, 'C', FALSE);
        $this->Cell(60, 8, utf8_decode("NOMBRE DEL ALUMNO"), 1, 0, 'C', FALSE);
        $this->Cell(20, 4, utf8_decode("FECHA DE"), "LTR", 0, 'C', FALSE);
        $this->SetFont("", "B", "6.5");
        $this->Cell(13, 4, utf8_decode("DOC."), "LTR", 0, 'C', FALSE);
        $this->Cell(21, 8, utf8_decode("RETROACTIVO"), 1, 0, 'C', FALSE);
        $this->Cell(15, 8, utf8_decode("PROMEDIO"), 1, 0, 'C', FALSE);
        $this->Cell(15, 4, utf8_decode("CARRERA"), "LTR", 0, 'C', FALSE);
        $this->Cell(18, 4, utf8_decode("HISTORIAL"), "LTR", 0, 'C', FALSE);
        $this->Cell(0, 4, utf8_decode("CONSTANCIA DE"), "LTR", 0, 'C', FALSE);

        $this->Ln();
        $this->SetFont("", "B", "8");
        $this->Cell(8, 0, utf8_decode(""), 0, 0, 'R', FALSE);
        $this->Cell(60, 0, utf8_decode(""), 0, 0, 'L', FALSE);
        $this->Cell(20, 4, utf8_decode("TERMINO"), "LRB", 0, 'C', FALSE);
        $this->SetFont("", "B", "6.5");
        $this->Cell(13, 4, utf8_decode("DIGITAL"), "LRB", 0, 'C', FALSE);
        $this->Cell(21, 0, utf8_decode(""), 0, 0, 'C', FALSE);
        $this->Cell(15, 0, utf8_decode(""), 0, 0, 'C', FALSE);
        $this->Cell(15, 4, utf8_decode("TÉCNICA"), "LRB", 0, 'C', FALSE);
        $this->Cell(18, 4, utf8_decode("ACADÉMICO"), "LRB", 0, 'C', FALSE);
        $this->Cell(0, 4, utf8_decode("VALIDACIÓN"), "LRB", 0, 'C', FALSE);

        $this->Ln();

        $this->SetFont("", "", "8");

        $miIndex = 0;
        foreach ($datos as $a) {
            if ($a[3]->getAsistenciaAsesorias() == 3 & $a[3]->getTramite() == "En Trámite") {
                $miIndex = $miIndex + 1;
                $this->Cell(8, 8, utf8_decode($miIndex), 1, 0, 'R', FALSE);
                $nombre = $a[0]->getApePat() . " " . $a[0]->getApeMat() . " " . $a[0]->getNomAlu();
                if (strlen($nombre) > 32) {
                    $this->SetFont("", "", "7");
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                    $this->SetFont("", "", "8");
                } elseif (strlen($nombre) > 39) {
                    $this->SetFont("", "", "6");
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                    $this->SetFont("", "", "8");
                } else {
                    $this->Cell(60, 8, utf8_decode($nombre), 1, 0, 'L', FALSE);
                }

                $this->Cell(20, 8, utf8_decode($a[0]->getFecTer()->format('d/m/Y')), 1, 0, 'C', FALSE);
                if ($a[3]->getDocumentacionDigital() === 1) {
                    $this->Cell(13, 8, utf8_decode("X"), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(13, 8, utf8_decode("NO"), 1, 0, 'C', FALSE);
                }

                $this->SetFont("", "B", "8");
                $this->Cell(21, 8, utf8_decode($a[3]->getPorqueCertificacion()), 1, 0, 'C', FALSE);
                $this->Cell(15, 8, utf8_decode($a[3]->getInscrito()), 1, 0, 'C', FALSE);
                $this->SetFont("", "", "8");

                $this->Cell(15, 8, utf8_decode($a[3]->getLicenciaturaInteres()), 1, 0, 'C', FALSE);
                if ($a[3]->getIngresado() == "") {
                    $this->Cell(18, 8, utf8_decode("NO"), 1, 0, 'C', FALSE);
                } else {
                    $this->Cell(18, 8, utf8_decode($a[3]->getIngresado()), 1, 0, 'C', FALSE);
                }
                //$this->Cell(18, 8, utf8_decode($a[3]->getCorreccion()), 1, 0, 'C', FALSE);
                $this->Cell(0, 8, utf8_decode("SI"), 1, 0, 'C', FALSE);

                $this->Ln();
            }
        }
    }

}
