<?php

namespace CmBundle\Controller;

use FPDF;

date_default_timezone_set('America/Mexico_City');

class PDFFormatosConstancias extends FPDF
{
    public $CVE_PLANTEL;

    function getCVE_PLANTEL()
    {
        return $this->CVE_PLANTEL;
    }

    function setCVE_PLANTEL($CVE_PLANTEL)
    {
        $this->CVE_PLANTEL = $CVE_PLANTEL;
    }

    function Header()
    {
        $rutaMembrete = "images/membretes/mg" . $this->CVE_PLANTEL . ".png";

        $this->Image($rutaMembrete, 0, 0, 216);
        $this->SetFont("Arial", "B", 10);

        $this->SetLeftMargin(20);
        $this->SetRightMargin(20);
        $this->Cell(0, 10, utf8_decode(""), 0, 0, 'C', false);
        $this->Ln(25);
    }

    function Footer()
    {
        // Go to 1.5 cm from bottom
        $this->SetY(-20);
        $this->SetTextColor(14, 77, 33); //TEXTO: VERDE OSCURO
        // Select Arial italic 8
        $this->SetFont('Arial', 'B', 10);
        // Print current and total page numbers
        $this->Cell(0, 10, utf8_decode('Página ' . $this->PageNo() . '/{nb}'), "L", 0, 'L', false);
        $this->SetTextColor(0, 0, 0); //TEXTO: NEGRO
    }

    public function generarConstanciaPromedio($a, $plan, $periodo, $materias)
    {
        //TAMAÑO CARTA: 216 x 280 mm
        $this->SetAutoPageBreak(true, 2);
        $this->SetFont("Arial", "", 11);

        $meses = ["ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE"];
        $posicion = ["PRIMER", "SEGUNDO", "TERCER", "CUARTO", "QUINTO", "SEXTO", "SEPTIMO", "OCTAVO", "NOVENO", "DECIMO"];
        $numeros = ["UNO", "DOS", "TRES", "CUATRO", "CINCO", "SEIS", "SIETE", "OCHO", "NUEVE", "DIEZ"];

        $nomCE = "";
        $genCE = ""; // HOMBRE => H, MUJER => M

        switch ($a->getCvePla()->getIdePla()) {
            case 1: //UBC ZINACANTEPEC
                $nomCE = "LIC. LILIA JAZMIN SOLIS ARIAS";
                $genCE = "M";
                break;

            case 2: //TOLUCA
                $this->Image('images/coordinaciones/ce-2.png', 105, 205, 40);
//                $this->Image('images/coordinaciones/ca-2.png', 132, 190, 50);
                $this->Image('images/sellos/ce-2.png', 135, 190, 40);

                $nomCE = "LIC. VERONICA ENRIQUEZ AYALA";
                $genCE = "M";
                break;
            case 3: // VALLE DE BRAVO
                //$this->Image('images/sellos/ce-3.png', 82, 175, 50);

                $nomCE = "Lic. Julio César López Alcántara";
                $genCE = "H";
                break;
            case 4: // TOLUCA CENTRO
//                $this->Image('images/coordinaciones/ce-4.png', 35, 190, 50);
//                $this->Image('images/coordinaciones/ca-4.png', 132, 190, 50);
//                $this->Image('images/sellos/ce-4.png', 82, 175, 50);

                $nomCE = "LIC. Ana María Villavicencio Valencia";
                $genCE = "M";
                break;
            case 21: //RECTORÍA
                $this->Image('images/coordinaciones/ce-5.png', 105, 205, 40);
//                $this->Image('images/coordinaciones/ca-5.png', 132, 190, 50);
                $this->Image('images/sellos/ce-5.png', 135, 190, 40);

                $nomCE = "LIC. KENIA QUINTANA ORO";
                $genCE = "M";
                break;
            case 13: //APATZINGÁN
//                $this->Image('images/coordinaciones/ce-5.png', 35, 190, 50);
//                $this->Image('images/coordinaciones/ca-5.png', 132, 190, 50);
//                $this->Image('images/sellos/ce-5.png', 82, 175, 50);

                $nomCE = "IGEM. Byanka Susana Chávez Ortiz";
                $genCE = "M";
                break;
            case 22: //IDEAL
//                $this->Image('images/coordinaciones/ce-5.png', 35, 190, 50);
//                $this->Image('images/coordinaciones/ca-5.png', 132, 190, 50);
//                $this->Image('images/sellos/ce-5.png', 82, 175, 50);

                $nomCE = "L.D. Mayra Soto Elizondo";
                $genCE = "M";
                break;
            default:
                $nomCE = "";
                $genCE = "M";
                break;
        }

        $fecha = date('d') . date('m') . date('y');
        $this->Cell(0, 5, utf8_decode("Estado de México a " . date('d') . " de " . strtolower($meses[date('m') * 1 - 1]) . " de " . date('Y')), 0, 1, 'R', false);
        $this->Ln(0);
        $this->Cell(0, 5, utf8_decode("UBC/CE/$fecha/" . date('His')), 0, 1, 'R', false);
        $this->Ln();
        $this->SetFont("Arial", "B", 11);
        $this->Cell(0, 5, utf8_decode("A QUIEN CORRESPONDA"), 0, 1, "L", false);
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("P R E S E N T E"), 0, 1, "L", false);
        $this->SetFont("Arial", "", 11);
        $this->Ln();
        if ($genCE == "H") { // HOMBRE
            $this->MultiCell(0, 5, utf8_decode("El que suscribe, " . $nomCE . ", Coordinador de Control Escolar de la UNIVERSIDAD BILINGÜE CULTURAL."), 0, "J", false);
        } elseif ($genCE == "M") { // MUJER
            $this->MultiCell(0, 5, utf8_decode("La que suscribe, " . $nomCE . ", Coordinadora de Control Escolar de la UNIVERSIDAD BILINGÜE CULTURAL."), 0, "J", false);
        }

        $this->SetFont("Arial", "B", 12);
        $this->Ln();
        $this->Cell(0, 10, utf8_decode("H A C E    C O N S T A R"), 0, 1, "C", false);
        $this->SetFont("Arial", "", 11);

        $nombreCarrera = "";
        $genero = "";
        $inscrito = "";
        $modalidad = "";

        if ($a->getTipoAlumno() == 3) {
            //LICENCIATURA
            $nombreCarrera = "la LICENCIATURA EN " . $plan->getCveLic()->getNomLic(); //OPCIONAL
            //$rvoe = " con NUMERO DE ACUERDO ". $plan;
        } elseif ($a->getTipoAlumno() == 4) {
            //MAESTRÍA
            $nombreCarrera = "la MAESTRÍA EN " . $plan->getCveLic()->getNomLic(); //OPCIONAL
        } elseif ($a->getTipoAlumno() == 5) {
            //DOCTORADO
            $nombreCarrera = "el DOCTORADO EN " . $plan->getCveLic()->getNomLic(); //OPCIONAL
        }

        if ($a->getSexo() == 0) {
            //ES HOMBRE
            $genero = "Que el "; //REQUERIDO
            $inscrito = " inscrito";
        } elseif ($a->getSexo() == 1) {
            //ES MUJER
            $genero = "Que la "; //REQUERIDO
            $inscrito = " inscrita";
        }

        if ($a->getModalidad() == "SEMESTRAL") {
            $modalidad = " SEMESTRE";
        } else {
            $modalidad = " CUATRIMESTRE";
        }

        $diaClases = "";

        $promedioActual = "";
        $promedioGeneral = "";

        $numAsig = count($materias); // NÚMERO DE ASIGNATURAS
        $asigCal = 0; // ASIGNATURAS CALIFICADAS
        $sumCal = 0; // SUMA DE CALIFICACIONES, SOLO DE LAS ASIGNATURAS CON CALIFICACIÓN
        foreach ($materias as $c) {
            if ($c->getCalFinal() != null | $c->getCalFinal() != "") {
                $asigCal = $asigCal + 1;
                $sumCal = $sumCal + ($c->getCalFinal());
            }
        }
        if ($asigCal == 0) {
            $promedioGeneral = 0;
        } else {
            $promedioGeneral = bcdiv(strval($sumCal), strval($asigCal), 1);
        }


        $nomAlu = $a->getApePat() . " " . $a->getApeMat() . " " . $a->getNomAlu();

        $textoUno = $genero . "C. " . $nomAlu . " se encuentra" . $inscrito . " en esta Institución educativa, con número de matricula " . $a->getCveCtl()
            . ", cursando actualmente el " . strtolower($posicion[$a->getNumero() - 1] . $modalidad) . ", de " . $nombreCarrera
            . " mismo que comprende el período del "
            . $periodo->getMesInicio()->format('d') . " de " . $meses[(int)$periodo->getMesInicio()->format('m') - 1] . " del " . $periodo->getMesInicio()->format('Y')
            . " al "
            . $periodo->getMesFinal()->format('d') . " de " . $meses[(int)$periodo->getMesFinal()->format('m') - 1] . " del " . $periodo->getMesFinal()->format('Y') . ".";

        $this->Ln();
        $this->MultiCell(0, 5, utf8_decode($textoUno), 0, "J", false);

        if ($a->getNumero() > 1) {
            if ($a->getSexo() == 0) {
                $textoDos = "Al tiempo se hace de su conocimiento que el alumno tiene un promedio general de:";
            } else {
                $textoDos = "Al tiempo se hace de su conocimiento que la alumna tiene un promedio general de:";
            }

            $this->Ln();
            $this->MultiCell(0, 5, utf8_decode($textoDos), 0, "J", false);

            $numeros = explode(".", $promedioGeneral);

            $convertidor = new NumberToLetterConverter();
            $entero = $convertidor->to_word($numeros[0]);
            $decimal = $convertidor->to_word($numeros[1]);

            $this->Ln(0);
            $this->SetFont("Arial", "B", "");
            $this->MultiCell(0, 5, utf8_decode($promedioGeneral . " ( " . $entero . "PUNTO " . $decimal . ")"), 0, "J", false);
            $this->SetFont("Arial", "", 11);
        }


        $textoFinal = "";
        if ($a->getSexo() == 0) {
            //ES HOMBRE
            $textoFinal = "A petición del interesado y para fines administrativos que a el convengan, le envío un cordial saludo.";
        } elseif ($a->getSexo() == 1) {
            //ES MUJER
            $textoFinal = "A petición de la interesada y para fines administrativos que a ella convengan, le envío un cordial saludo.";
        }

        $this->Ln();
        $this->MultiCell(0, 5, utf8_decode($textoFinal), 0, "J", false);
        $this->SetY(200);
        $this->Cell(0, 5, utf8_decode("ATENTAMENTE"), 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("____________________________________________"), 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode($nomCE), 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("COORDINACIÓN DE CONTROL ESCOLAR"), 0, 0, 'C', false);
    }

    public function generarHistorialAcademico($a, $plan, $asignaturas)
    {
        //TAMAÑO CARTA: 216 x 280 mm
        $this->SetAutoPageBreak(true, 25);
        $this->SetFont("Arial", "B", 10);
        $fecha = date('d') . date('m') . date('y');
        $this->Cell(0, 5, utf8_decode("CONTROL ESCOLAR"), 0, 1, "R", false);
        $this->Ln(0);
        $this->Cell(0, 5, utf8_decode("No. de OFICIO: UTM/$fecha/" . date('His')), 0, 1, 'R', false);
        $this->Ln(0);
        $this->Cell(0, 5, utf8_decode("Asunto: HISTORIAL ACADÉMICO"), 0, 0, "R", false);
        $this->Ln(15);

        $nombreCarrera = "";
        $modalidad = "";
        $nomAlu = $a->getApePat() . " " . $a->getApeMat() . " " . $a->getNomAlu();
        $genero = "";

        if ($a->getTipoAlumno() == 3) {
            //LICENCIATURA
            $nombreCarrera = "LICENCIATURA EN " . $plan->getCveLic()->getNomLic(); //OPCIONAL
        } elseif ($a->getTipoAlumno() == 4) {
            //MAESTRÍA
            $nombreCarrera = "MAESTRÍA EN " . $plan->getCveLic()->getNomLic(); //OPCIONAL
        } elseif ($a->getTipoAlumno() == 5) {
            //DOCTORADO
            $nombreCarrera = "DOCTORADO EN " . $plan->getCveLic()->getNomLic(); //OPCIONAL
        }
        if ($a->getModalidad() == "SEMESTRAL") {
            $modalidad = " SEMESTRE";
        } else {
            $modalidad = " CUATRIMESTRE";
        }

        if ($a->getSexo() == 0) {
            //ES HOMBRE
            $genero = "Nombre del Alumno: "; //REQUERIDO
        } elseif ($a->getSexo() == 1) {
            //ES MUJER
            $genero = "Nombre de la Alumna: "; //REQUERIDO
        }

        $INTERLINEADO = 20;

        if ($a->getTipoAlumno() > 3) {
            $INTERLINEADO = 20;
        } else {
            $INTERLINEADO = 15;
        }

        $this->SetDrawColor(14, 77, 33); // LINEA: VERDE OBSCURO
        $this->SetFillColor(14, 77, 33); // RELLENO: VERDE OBSCURO
        $this->SetTextColor(255, 255, 255);
        $this->Cell(0, 5, utf8_decode($genero . $nomAlu), 1, 0, "L", true);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("Especialidad: " . $nombreCarrera), 1, 0, "L", true);
        $this->Ln($INTERLINEADO);

        $this->SetTextColor(0, 0, 0);
        $auxCuatri = "";

        $sumCrePar = 0;
        $sumPar = 0;
        $proPar = 0;
        $asiPar = 0;

        $sumCreTot = 0;
        $sumTot = 0;
        $asiTot = 0;
        foreach ($asignaturas as $k => $v) {
            if ($auxCuatri == $v->getCveCur()->getNumCua()) {

            } else {
                $auxCuatri = $v->getCveCur()->getNumCua();

                if ($k > 0) {
                    if ($asiPar > 0) {
                        $proPar = bcdiv(strval($sumPar), strval($asiPar), 2);

                        if ($proPar == 10) {
                            $proPar = 10;
                        }

                        $this->SetFont("Arial", "B", 9);
                        $this->SetTextColor(0, 0, 0);
                        //$this->SetFillColor(124, 191, 51); // RELLENO: VERDE CLARO
                        $this->SetFillColor(145, 178, 155); // RELLENO: VERDE GRIS
                        $this->Cell(115, 6, utf8_decode("TOTAL"), 1, 0, 'C', true);
                        $this->Cell(18, 6, utf8_decode($sumCrePar), 1, 0, 'C', true);
                        $this->Cell(0, 6, utf8_decode($proPar), 1, 0, 'C', true);
                        $this->SetFont("Arial", "", 8);
                        $this->SetTextColor(0, 0, 0);
                        $this->SetFillColor(14, 77, 33); // RELLENO: VERDE OBSCURO

                        $this->Ln($INTERLINEADO);

                        $sumPar = 0;
                        $proPar = 0;
                        $asiPar = 0;
                        $sumCrePar = 0;
                    } else {

                    }
                }

                if ($v->getCalFinal() != null) {
                    $this->SetFont("Arial", "B", 9);
                    $this->SetTextColor(255, 255, 255);
                    $this->Cell(0, 6, utf8_decode($auxCuatri . "° " . $modalidad), 1, 0, 'C', true);
                    $this->SetTextColor(0, 0, 0);
                    $this->Ln();
                    $this->SetFont("Arial", "B", 8);
                    //145,178,155
                    $this->SetFillColor(145, 178, 155); // RELLENO: VERDE GRIS
                    $this->Cell(15, 6, utf8_decode("CLAVE"), 1, 0, 'C', true);
                    $this->Cell(100, 6, utf8_decode("ASIGNATURA"), 1, 0, 'C', true);
                    $this->Cell(18, 6, utf8_decode("CRÉDITOS"), 1, 0, 'C', true);
                    $this->Cell(0, 6, utf8_decode("CALIFICACIÓN"), 1, 0, 'C', true);
                    $this->Ln();
                    $this->SetFillColor(14, 77, 33); // RELLENO: VERDE OBSCURO
                }
            }
            if ($v->getCalFinal() != null) {
                $this->SetFont("Arial", "", 8);
                $this->Cell(15, 6, utf8_decode($v->getCveCur()->getClave()), 1, 0, 'C', false);
                $this->Cell(100, 6, utf8_decode($v->getCveCur()->getNomAsignatura()), 1, 0, 'L', false);
                $this->Cell(18, 6, utf8_decode($v->getCveCur()->getCreditos()), 1, 0, 'C', false);
                if ($v->getCalFinal() == 10) {
                    $this->Cell(0, 6, utf8_decode(number_format($v->getCalFinal(), "0", ".", ",")), 1, 0, 'C', false);
                } else {
                    $this->Cell(0, 6, utf8_decode(number_format($v->getCalFinal(), "2", ".", ",")), 1, 0, 'C', false);
                }

                $sumPar = $sumPar + $v->getCalFinal(); // SUMAR CALIFICACION PARA PROMEDIO PARCIAL
                $asiPar = $asiPar + 1; // SUMAR ASIGNATURAS PARA PROMEDIO PARCIAL
                $sumCrePar = $sumCrePar + $v->getCveCur()->getCreditos(); // SUMAR CREDITOS PARCIALES

                $sumCreTot = $sumCreTot + $v->getCveCur()->getCreditos(); // SUMAR CREDITOS TOTALES
                $sumTot = $sumTot + $v->getCalFinal(); // SUMAR CALIFICACION PARA PROMEDIO GENERAL
                $asiTot = $asiTot + 1; // SUMAR ASIGNATURAS PARA PROMEDIO GENERAL

                $this->Ln();
            }
        }

        // COLOCAR EL ULTIMO PROMEDIO PARCIAL

        if ($asiPar > 0) {
            $proPar = bcdiv(strval($sumPar), strval($asiPar), 2);
            if ($proPar == 10) {
                $proPar = 10;
            }

            $this->SetFont("Arial", "B", 9);
            $this->SetTextColor(0, 0, 0);
            //$this->SetFillColor(124, 191, 51); // RELLENO: VERDE CLARO
            $this->SetFillColor(145, 178, 155); // RELLENO: VERDE GRIS
            $this->Cell(115, 6, utf8_decode("TOTAL"), 1, 0, 'C', true);
            $this->Cell(18, 6, utf8_decode($sumCrePar), 1, 0, 'C', true);
            $this->Cell(0, 6, utf8_decode($proPar), 1, 0, 'C', true);
            $this->SetFont("Arial", "", 8);
            $this->SetTextColor(0, 0, 0);
            $this->SetFillColor(14, 77, 33); // RELLENO: VERDE OBSCURO

            $this->Ln($INTERLINEADO);

            $sumPar = 0;
            $proPar = 0;
            $asiPar = 0;
            $sumCrePar = 0;
        } else {

        }

        /// TERMINA LA CREACIÓN DE LA TABLA


        $this->SetFont("Arial", "B", 12);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(80, 10, utf8_decode("TOTAL DE CRÉDITOS"), 1, 0, "C", true);
        $this->Cell(80, 10, utf8_decode("PROMEDIO GENERAL"), 1, 0, "C", true);
        $this->SetTextColor(0, 0, 0);
        $this->Ln();
        //$this->SetFillColor(124, 191, 51); // RELLENO: VERDE CLARO
        $this->SetFillColor(145, 178, 155); // RELLENO: VERDE GRIS

        $proGeneral = 0;
        if ($asiTot > 0) {
            $proGeneral = bcdiv(strval($sumTot), strval($asiTot), 2);
        }
        if ($proGeneral == 10) {
            $proGeneral = 10;
        }

        $this->Cell(80, 12, utf8_decode($sumCreTot), 1, 0, "C", true);
        $this->Cell(80, 12, utf8_decode($proGeneral), 1, 0, "C", true);
        $this->SetFillColor(14, 77, 33); // RELLENO: VERDE OBSCURO

        $this->SetY(208);
        $this->Cell(0, 5, utf8_decode("ATENTAMENTE"), 0, 0, "C", FALSE);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        if ($a->getCvePla()->getIdePla() == 22) {
            $this->Cell(0, 5, utf8_decode("L.D. MAYRA SOTO ELIZONDO"), 0, 0, "C", FALSE);
            $this->Ln(1);
            $this->Cell(0, 5, utf8_decode("____________________________________"), 0, 0, "C", FALSE);
            $this->Ln(4);
            $this->SetFont('Arial', 'I', 8);
            $this->Cell(0, 5, utf8_decode("CONTROL ESCOLAR"), 0, 0, "C", FALSE);
            $this->Ln(4);
            $this->Cell(0, 5, utf8_decode("DE LA UNIVERSIDAD TEC MEXIQUENSE"), 0, 0, "C", FALSE);
        } else {
            $this->Cell(0, 5, utf8_decode("LIC. MAXIMINO HUERTA BLANQUEL"), 0, 0, "C", FALSE);
            $this->Ln(1);
            $this->Cell(0, 5, utf8_decode("____________________________________"), 0, 0, "C", FALSE);
            $this->Ln(4);
            $this->SetFont('Arial', 'I', 8);
            $this->Cell(0, 5, utf8_decode("DIRECCIÓN DE SERVICIOS ESCOLARES"), 0, 0, "C", FALSE);
            $this->Ln(4);
            $this->Cell(0, 5, utf8_decode("DE LA UNIVERSIDAD TEC MEXIQUENSE"), 0, 0, "C", FALSE);
            $this->Image("images/se/f.png", 105, 210, 35);
            $this->Image("images/se/selloSE.png", 140, 200, 35);
        }
    }
}