<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use FPDF;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PDFBachillerato
 *
 * @author Omar
 */
class PDFLicenciatura extends FPDF {

//put your code here
    public $banRecibo;

// Cabecera de página
    function Header() {
        if ($this->banRecibo == 0) {
            $this->Image('images/logoTec.png', 0, 0, 75);
        } elseif ($this->banRecibo == 1) {
            $this->Image('images/logoTecCortado.png', 8, 5, 75, 15);
        }
    }

// Pie de página
    function Footer() {
        
    }

    public function fichaLicenciaturaPaginaUno($d) {
        $this->SetAutoPageBreak(true, 10);

        $this->SetFillColor(226,13,31); //ROJO UBC
        $this->SetDrawColor(226,13,31); //ROJO UBC

        $this->SetFont('', 'B', 15);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(70, 10, "", 0, 0, 'C', false);
        $this->MultiCell(80, 8, utf8_decode('FICHA DE INSCRIPCIÓN PARA NIVEL LICENCIATURA'), 1, 'C', true);
        $this->Ln(2);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(0, 8, "FOLIO: " . $d->getCveCtl(), "L", 0, "L", FALSE);
        //$this->Ln();

        $rutaFoto = "fotos/" . $d->getCveCtl() . ".jpg";
        $nombre_fichero = $rutaFoto;
        $img = "";

        if (file_exists($nombre_fichero)) {
            $img = "fotos/" . $d->getCveCtl() . ".jpg";
        } else {
            $img = "images/usuario.png";
        }
        $this->Image($img, 180, 5, 26, 30);

        $this->SetXY(180, 5);
        $this->MultiCell(0, 30, "", 1);
        $this->Ln(5);
        $this->SetFont('', 'B', 12);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(30, 6, "Se acredita a:", 0, 0, 'L', false);
        $this->Cell(0, 6, utf8_decode($d->getNomAlu() . " " . $d->getApePat() . " " . $d->getApeMat()), 1, 0, "C", false);
        $this->SetFont('', '', 12);
        $this->Ln(8);
        $this->Cell(90, 6, utf8_decode("como alumno(a) de esta Institución Educativa"), 0, 0, 'L', false);
        $this->SetFont('', 'B', 12);
        $this->Cell(70, 6, utf8_decode("\"Universidad Bilingüe Cultural\""), 0, 0, 'C', false);
        $this->SetFont('', '', 12);
        $this->Cell(0, 6, utf8_decode("de la Licenciatura"), 0, 0, 'R', false);
        $this->Ln(8);
        $this->Cell(7, 6, utf8_decode("en"), 0, 0, 'L', false);
        if (strlen($d->getCveLic()->getNomLic()) > 20) {
            $this->SetFont('', '', 10);
            $this->Cell(65, 6, utf8_decode($d->getCveLic()->getNomLic()), 1, 0, 'C', false);
            $this->SetFont('', '', 12);
        } else {
            $this->Cell(65, 6, utf8_decode($d->getCveLic()->getNomLic()), 1, 0, 'C', false);
        }

        $this->Cell(0, 6, utf8_decode("con el compromiso de ser constante y dedicado en sus estudios."), 0, 0, 'L', false);
        $this->Ln(8);
        $this->Cell(55, 6, utf8_decode("Se extiende el presente en"), 0, 0, 'L', false);
        if (strlen($d->getCvePla()->getNomPla()) > 19) {
            $this->SetFont('', '', 10);
            $this->Cell(55, 6, utf8_decode($d->getCvePla()->getNomPla()), 1, 0, 'C', false);
            $this->SetFont('', '', 12);
        } else {
            $this->Cell(55, 6, utf8_decode($d->getCvePla()->getNomPla()), 1, 0, 'C', false);
        }

        $this->Cell(20, 6, utf8_decode("México a"), 0, 0, 'L', false);
        $this->Cell(10, 6, utf8_decode($d->getFecMov()->format('d')), 1, 0, 'C', false);
        $this->Cell(10, 6, utf8_decode("de"), 0, 0, 'C', false);

        $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
        $mesesMexico = array('Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre');
        $mes = str_replace($mesesIngles, $mesesMexico, $d->getFecMov()->format('F'));

        $this->Cell(30, 6, utf8_decode($mes), 1, 0, 'C', false);
        $this->Cell(10, 6, utf8_decode("20"), 0, 0, 'R', false);
        $this->Cell(0, 6, utf8_decode($d->getFecMov()->format('y')), 1, 0, '', false);
        $this->Ln(10);
        $this->Cell(64, 6, utf8_decode("COSTO DE LA INSCRIPCIÓN $"), 0, 0, 'L', false);
        $this->Cell(20, 6, number_format($d->getCostoInscripcion(), 2, ".", ","), 1, 0, 'R', false);
        $this->Cell(92, 6, utf8_decode("COSTO DE LA COLEGIATURA MENSUAL $"), 0, 0, 'R', false);
        $this->Cell(20, 6, number_format($d->getCostoMensualidad(), 2, ".", ","), 1, 0, 'R', false);
        $this->Ln(8);
        $this->Cell(78, 6, utf8_decode("COSTO DE LAS REINSCRIPCIONES $"), 0, 0, 'L', false);
        $this->Cell(30, 6, number_format($d->getCostoReinscripciones(), 2, ".", ","), 1, 0, 'L', false);
        $this->Cell(0, 6, utf8_decode("EN CADA INICIO DE CUATRIMESTRE."), 0, 0, 'L', false);
        $this->Ln(10);
        $this->SetFont('', 'U', 10);
        $this->Cell(0, 8, utf8_decode("NOTA: Las colegiaturas se pagan antes del 6 de cada mes, de lo contrario se cobra un recargo de $100.00 pesos."), 0, 0, 'L', false);
        $this->Ln(10);
        $this->SetFont('', 'B', 16);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(0, 8, "DATOS DEL ALUMNO", 1, 0, "C", true);
        $this->SetTextColor(0, 0, 0);
        $this->Ln();
        $this->MultiCell(0, 152, "", 1, 'J', false);
        $this->SetLeftMargin(15);
        $this->SetRightMargin(15);
        $this->SetXY(15, 115);
        $this->SetFont('', '', 12);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(40, 6, "Nombre del alumno:", 0, 0, "L", false);
        $this->Cell(48, 6, utf8_decode($d->getApePat()), "LTB", 0, "C", false);
        $this->Cell(49, 6, utf8_decode($d->getApeMat()), "TB", 0, "C", false);
        $this->Cell(0, 6, utf8_decode($d->getNomAlu()), "RTB", 0, "C", false);
        $this->Ln();
        $this->Cell(40, 5, "", 0, 0, "C", false);
        $this->SetFont('', '', 9);
        $this->Cell(48, 5, "Apellido Paterno", 0, 0, "C", false);
        $this->Cell(49, 5, "Apellido Materno", 0, 0, "C", false);
        $this->Cell(0, 5, "Nombre (s)", 0, 0, "C", false);
        $this->Ln();
        $this->SetFont('', '', 12);
        $this->Cell(15, 6, "CURP: ", 0, 0, "L", false);
        $this->Cell(80, 6, utf8_decode($d->getCurp()), 1, 0, "C", false);
        $this->Cell(50, 6, "Fecha de Nacimiento", 0, 0, "C", false);
        if ($d->getFecNac() == null) {
            $this->Cell(10, 6, "", 1, 0, "C", false);
            $this->Cell(5, 6, " / ", 0, 0, "C", false);
            $this->Cell(10, 6, "", 1, 0, "C", false);
            $this->Cell(5, 6, " / ", 0, 0, "C", false);
            $this->Cell(0, 6, "", 1, 0, "C", false);
        } else {
            $this->Cell(10, 6, $d->getFecNac()->format('d'), 1, 0, "C", false);
            $this->Cell(5, 6, " / ", 0, 0, "C", false);
            $this->Cell(10, 6, $d->getFecNac()->format('m'), 1, 0, "C", false);
            $this->Cell(5, 6, " / ", 0, 0, "C", false);
            $this->Cell(0, 6, $d->getFecNac()->format('Y'), 1, 0, "C", false);
        }
        $this->Ln();
        $this->SetFont('', '', 9);
        $this->Cell(15, 5, "", 0, 0, "C", false);
        $this->Cell(80, 5, "", 0, 0, "C", false);
        $this->Cell(50, 5, "", 0, 0, "C", false);
        $this->Cell(10, 5, utf8_decode("Día"), 0, 0, "C", false);
        $this->Cell(5, 5, "", 0, 0, "C", false);
        $this->Cell(10, 5, utf8_decode("Mes"), 0, 0, "C", false);
        $this->Cell(5, 5, "", 0, 0, "C", false);
        $this->Cell(0, 5, utf8_decode("Año"), 0, 0, "C", false);
        $this->Ln();
        $this->SetFont('', '', 12);



        $this->Cell(12, 6, "Sexo:", 0, 0, "L", false);

        if ($d->getSexo() == 0) { // MASCULINO
            $this->Cell(22, 6, "Femenino", 0, 0, "C", false);
            $this->Cell(5, 6, utf8_decode(""), 1, 0, "C", false);
            $this->Cell(1, 6, "", 0, 0, "C", false);
            $this->Cell(22, 6, "Masculino", 0, 0, "C", false);
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(5, 6, chr(51), 1, 0, "C", false);
            $this->SetFont('Arial', '', 12);
            $this->Cell(3, 6, "", 0, 0, "C", false);
        } elseif ($d->getSexo() == 1) { // FEMENINO
            $this->Cell(22, 6, "Femenino", 0, 0, "C", false);
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(5, 6, chr(51), 1, 0, "C", false);
            $this->SetFont('Arial', '', 12);
            $this->Cell(1, 6, "", 0, 0, "C", false);
            $this->Cell(22, 6, "Masculino", 0, 0, "C", false);
            $this->Cell(5, 6, utf8_decode(""), 1, 0, "C", false);
            $this->Cell(3, 6, "", 0, 0, "C", false);
        }



        $this->Cell(20, 6, "Edad:", 0, 0, "R", false);
        $this->Cell(10, 6, utf8_decode($d->getEdad()), 1, 0, "C", false);
        $this->Cell(12, 6, utf8_decode("años"), 0, 0, "C", false);
        $this->Cell(3, 6, "", 0, 0, "C", false);
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(35, 6, "Domicilio... Calle:", 0, 0, "L", false);
        $this->Cell(120, 6, utf8_decode($d->getCalle()), 1, 0, "C", false);
        $this->Cell(10, 6, utf8_decode("No."), 0, 0, "C", false);
        $this->Cell(0, 6, $d->getNumInt(), 1, 0, "C", false);
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(19, 6, "Colonia:", 0, 0, "L", false);
        if (strlen($d->getColLoc() > 23)) {
            $this->SetFont('', '', 10);
            $this->Cell(65, 6, utf8_decode($d->getColLoc()), 1, 0, "C", false);
            $this->SetFont('', '', 12);
        } else {
            $this->Cell(65, 6, utf8_decode($d->getColLoc()), 1, 0, "C", false);
        }
        $this->Cell(45, 6, utf8_decode("Municipio/Delegación:"), 0, 0, "C", false);
        if (strlen($d->getMunDel()) > 15) {
            $this->SetFont('', '', 9);
            $this->Cell(0, 6, utf8_decode($d->getMunDel()), 1, 0, "C", false);
            $this->SetFont('', '', 12);
        } else {
            $this->Cell(0, 6, utf8_decode($d->getMunDel()), 1, 0, "C", false);
        }

        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(16, 6, "Estado:", 0, 0, "L", false);
        $this->Cell(30, 6, utf8_decode($d->getEdo()), 1, 0, "C", false);
        $this->Cell(60, 6, "Preparatoria de Procedencia:", 0, 0, "R", false);
        if ($d->getCvePro() == null) {
            $this->Cell(0, 6, utf8_decode(""), 1, 0, "C", false);
        } else {
            $this->Cell(0, 6, utf8_decode($d->getCvePro()->getNomPlantel()), 1, 0, "C", false);
        }
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(38, 6, utf8_decode("Cómo se enteró:"), 0, 0, "L", false);
        $this->Cell(0, 6, utf8_decode($d->getComoEntero()), 1, 0, "C", false);
        $this->Ln(10);
        $this->Cell(38, 6, utf8_decode("LICENCIATURA:"), 0, 0, "L", false);
        $this->SetFont('', 'B', 12);
        $this->Cell(80, 6, utf8_decode($d->getCveLic()->getNomLic()), 1, 0, "L", false);
        $this->Ln(8);
        $this->SetFont('', 'B', 12);
        $this->Cell(30, 6, utf8_decode("TURNO"), 0, 0, "L", false);
        $this->SetFont('', '', 14);
        $this->Cell(8, 6, "L", 0, 0, "R", false);
        $dias = json_decode($d->getDiasTurno());
        if ($dias == null) {
            $this->Cell(5, 6, "", 1, 0, "L", false);
            $this->Cell(8, 6, "Ma", 0, 0, "R", false);
            $this->Cell(5, 6, "", 1, 0, "L", false);
            $this->Cell(8, 6, "Mi", 0, 0, "R", false);
            $this->Cell(5, 6, "", 1, 0, "L", false);
            $this->Cell(8, 6, "J", 0, 0, "R", false);
            $this->Cell(5, 6, "", 1, 0, "L", false);
            $this->Cell(8, 6, "V", 0, 0, "R", false);
            $this->Cell(5, 6, "", 1, 0, "L", false);
            $this->Cell(8, 6, "S", 0, 0, "R", false);
            $this->Cell(5, 6, "", 1, 0, "L", false);
            $this->Cell(8, 6, "D", 0, 0, "R", false);
            $this->Cell(5, 6, "", 1, 0, "L", false);
        } else {
            if (in_array("Lu", $dias)) {
                $this->SetFont('ZapfDingbats', '', 12);
                $this->Cell(5, 6, chr(51), 1, 0, "L", false);
                $this->SetFont('Arial', '', 12);
            } else {
                $this->Cell(5, 6, "", 1, 0, "L", false);
            }
            $this->Cell(8, 6, "Ma", 0, 0, "R", false);
            if (in_array("Ma", $dias)) {
                $this->SetFont('ZapfDingbats', '', 12);
                $this->Cell(5, 6, chr(51), 1, 0, "L", false);
                $this->SetFont('Arial', '', 12);
            } else {
                $this->Cell(5, 6, "", 1, 0, "L", false);
            }
            $this->Cell(8, 6, "Mi", 0, 0, "R", false);
            if (in_array("Mi", $dias)) {
                $this->SetFont('ZapfDingbats', '', 12);
                $this->Cell(5, 6, chr(51), 1, 0, "L", false);
                $this->SetFont('Arial', '', 12);
            } else {
                $this->Cell(5, 6, "", 1, 0, "L", false);
            }
            $this->Cell(8, 6, "J", 0, 0, "R", false);
            if (in_array("Ju", $dias)) {
                $this->SetFont('ZapfDingbats', '', 12);
                $this->Cell(5, 6, chr(51), 1, 0, "R", false);
                $this->SetFont('Arial', '', 12);
            } else {
                $this->Cell(5, 6, "", 1, 0, "L", false);
            }
            $this->Cell(8, 6, "V", 0, 0, "R", false);
            if (in_array("Vi", $dias)) {
                $this->SetFont('ZapfDingbats', '', 12);
                $this->Cell(5, 6, chr(51), 1, 0, "R", false);
                $this->SetFont('Arial', '', 12);
            } else {
                $this->Cell(5, 6, "", 1, 0, "L", false);
            }
            $this->Cell(8, 6, "S", 0, 0, "R", false);
            if (in_array("Sa", $dias)) {
                $this->SetFont('ZapfDingbats', '', 12);
                $this->Cell(5, 6, chr(51), 1, 0, "R", false);
                $this->SetFont('Arial', '', 12);
            } else {
                $this->Cell(5, 6, "", 1, 0, "L", false);
            }
            $this->Cell(8, 6, "D", 0, 0, "R", false);
            if (in_array("Do", $dias)) {
                $this->SetFont('ZapfDingbats', '', 12);
                $this->Cell(5, 6, chr(51), 1, 0, "R", false);
                $this->SetFont('Arial', '', 12);
            } else {
                $this->Cell(5, 6, "", 1, 0, "L", false);
            }
        }
        $this->Cell(30, 6, "Horario:", 0, 0, "R", false);
        if ($d->getHorarioTurno() == null) {
            $this->Cell(0, 6, "-", 1, 0, "L", false);
        } else {
            $this->Cell(0, 6, $d->getHorarioTurno()->format('H:i') . "-" . $d->getHorarioSalidaTurno()->format('H:i'), 1, 0, "L", false);
        }
        $this->Ln(10);
        $this->SetFont('', '', 12);
        $this->Cell(45, 6, utf8_decode("Fecha de Inscripción"), 0, 0, "L", false);
        $this->Cell(10, 6, $d->getFecMov()->format('d'), 1, 0, "C", false);
        $this->Cell(5, 6, " / ", 0, 0, "C", false);
        $this->Cell(10, 6, $d->getFecMov()->format('m'), 1, 0, "C", false);
        $this->Cell(5, 6, " / ", 0, 0, "C", false);
        $this->Cell(10, 6, $d->getFecMov()->format('Y'), 1, 0, "C", false);
        $this->SetFont('', 'B', 12);
        $this->Cell(45, 6, utf8_decode("Fecha de Inicio:"), 0, 0, "R", false);
        $this->SetFont('', '', 12);
        $this->Cell(0, 6, $d->getFecIns()->format('d-m-Y'), 1, 0, "C", false);
        $this->Ln();
        $this->SetFont('', '', 9);
        $this->Cell(45, 5, utf8_decode(""), 0, 0, "L", false);
        $this->Cell(10, 5, utf8_decode("Día"), 0, 0, "C", false);
        $this->Cell(5, 5, "", 0, 0, "C", false);
        $this->Cell(10, 5, utf8_decode("Mes"), 0, 0, "C", false);
        $this->Cell(5, 5, "", 0, 0, "C", false);
        $this->Cell(10, 5, utf8_decode("Año"), 0, 0, "C", false);
        $this->Ln();
        $this->SetFont('', '', 12);
        $this->Cell(30, 6, utf8_decode("Teléfono Casa:"), 0, 0, "L", false);
        $this->Cell(55, 6, utf8_decode($d->getTelefono()), 1, 0, "C", false);
        $this->Cell(45, 6, utf8_decode("Teléfono Celular"), 0, 0, "R", false);
        $this->Cell(0, 6, utf8_decode($d->getTelefonoCelular()), 1, 0, "C", false);
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(18, 6, utf8_decode("Correo:"), 0, 0, "L", false);
        $this->Cell(75, 6, utf8_decode($d->getCorreo()), 1, 0, "C", false);
        $this->Cell(25, 6, utf8_decode("Facebook:"), 0, 0, "R", false);
        $this->Cell(0, 6, utf8_decode($d->getFacebook()), 1, 0, "C", false);
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(50, 6, utf8_decode("Dependencia o Empresa:"), 0, 0, "L", false);
        $this->Cell(55, 6, utf8_decode($d->getDependenciaEmpresa()), 1, 0, "C", false);
        $this->Cell(15, 6, utf8_decode("Depto."), 0, 0, "R", false);
        $this->Cell(0, 6, utf8_decode($d->getDepto()), 1, 0, "C", false);
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(32, 6, utf8_decode("Observaciones:"), 0, 0, "L", false);
        $this->Cell(0, 6, utf8_decode($d->getObservaciones()), 1, 0, "C", false);
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(30, 6, utf8_decode("Coordinador:"), 0, 0, "L", false);
        $this->Cell(80, 6, utf8_decode($d->getCoordinador()), 1, 0, "C", false);
        $this->Cell(18, 6, utf8_decode("Sede:"), 0, 0, "L", false);
        $this->Cell(0, 6, utf8_decode($d->getCvePla()->getNomPla()), 1, 0, "C", false);
    }

    public function fichaLicenciaturaPaginaDos($d) {
        $this->SetAutoPageBreak(true, 10);
        
        $this->SetFillColor(226,13,31); //ROJO UBC
        $this->SetDrawColor(226,13,31); //ROJO UBC
        
        $this->SetFont('', 'B', 18);
        $this->SetLeftMargin(10);
        $this->SetRightMargin(10);
        $this->SetTextColor(255, 255, 255);
        $this->Ln(15);
        $this->SetFont('', 'B', 12);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(65.3, 10, "", 'TL', 0);
        $this->Cell(65.3, 10, "LINEAMIENTOS GENERALES:", 1, 0, 'C', true);
        $this->Cell(0, 10, "", 'TR');
        $this->Ln();
        $this->SetTextColor(0, 0, 0);
        $this->SetFont('', '', 11);
        $this->Cell(0, 8, utf8_decode("1. En caso de cancelación la inscripción por el interesado, el monto pagado no será rembolsado."), 'RL', 0, 'L');
        $this->Ln();
        $this->Cell(0, 8, utf8_decode("2. DE NO CUBRIR CON LA DOCUMENTACIÓN Y PAGOS REQUERIDA, CAUSARA BAJA AUTOMÁTICA."), 'RL', 0, 'L');
        $this->Ln();
        $this->SetFont('', '', 11);
        $this->Cell(0, 8, utf8_decode("3. En caso de no cumplir con la documentación completa y características estrictamente requeridas en tiempo y"), 'RL', 0, 'J');
        $this->Ln();
        $this->Cell(0, 8, utf8_decode("     forma la institución no se hace responsable del trámite al igual no habrá devolución del pago previamente"), 'RL', 0, 'J');
        $this->Ln();
        $this->Cell(0, 8, utf8_decode("     realizado."), 'RBL', 0, 'L');
        $this->Ln(20);
        $this->SetFont('', 'B', 12);
        $this->Cell(56, 8, utf8_decode("COSTO DE INSCRIPCIÓN $"), 0, 0, 'L');
        $this->Cell(20, 8, utf8_decode(number_format($d->getCostoInscripcion(), 2, ".", ",")), 1, 0, 'L');
        $this->Cell(100, 8, utf8_decode("COSTO DE LA COLEGIATURA MENSUAL $"), 0, 0, 'R');
        $this->Cell(20, 8, utf8_decode(number_format($d->getCostoMensualidad(), 2, ".", ",")), 1, 0, 'L');
        $this->Ln(10);
        $this->Cell(45, 8, utf8_decode("REINSCRIPCIONES $"), 0, 0, 'L');
        $this->Cell(40, 8, utf8_decode(number_format($d->getCostoReinscripciones(), 2, ".", ",")), 1, 0, 'L');
        $this->Cell(0, 8, utf8_decode("CADA INICIO DE CUATRIMESTRE"), 0, 0, 'L');
        $this->Ln(15);
        $this->SetFont('', 'B', 11);
        $this->Cell(14, 6, utf8_decode("NOTA:"), 0, 0, 'L');
        $this->SetFont('', '', 11);
        $this->Cell(0, 6, utf8_decode("Las colegiaturas se cubren antes del 5 de cada mes, del 6 al 17 se cobra $100°° de recargo, del 18 en"), 0, 0, 'L');
        $this->Ln();
        $this->Cell(0, 6, utf8_decode("adelante son $200°° de recargo a la colegiatura base."), 0, 0, 'L');
        $this->Ln(15);
        $this->Cell(97.95, 75, "", "TBL");
        $this->Cell(97.95, 75, "", "TBR");
        $this->Ln(0);
        $this->SetFont('', 'B', 9);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(55, 10, "", 0, 0, 'C', false);
        $this->Cell(87.95, 10, utf8_decode("DOCUMENTACIÓN QUE RECIBE LA INSTITUCIÓN"), 1, 0, 'C', true);
        $this->Ln(13);
        $this->SetFont('', '', 9);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(82.95, 6, utf8_decode(""), 0, 0, 'L', false);
        if ($d->getCerSec() == 1 & $d->getCerSecCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, "", 0, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif (($d->getCerSec() == 1 & $d->getCerSecCopia() == 0) | ($d->getCerSec() == 0 & $d->getCerSecCopia() == 1)) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, "", 0, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCerSec() == 0 & $d->getCerSecCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, "", 0, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 6, "", 0, 0, 'C', false);
        $this->Cell(82.95, 6, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(10, 6, "", 0, 0, 'C', false);
        $this->Ln(10);
        $this->Cell(82.95, 6, utf8_decode("1.- Certificado de Bachillerato (original y 2 copias)"), 0, 0, 'L', false);
        if ($d->getCerPre() == 1 & $d->getCerPreCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(51), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif (($d->getCerPre() == 1 & $d->getCerPreCopia() == 0) | ($d->getCerPre() == 0 & $d->getCerPreCopia() == 1)) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(119), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCerPre() == 0 & $d->getCerPreCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(54), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 6, "", 0, 0, 'C', false);
        $this->Cell(92.95, 6, utf8_decode(""), 0, 0, 'C', false);
        //$this->Cell(10, 6, "", 1, 0, 'C', false);
        $this->Ln(10);
        $this->Cell(82.95, 6, utf8_decode("2.- Acta de Nacimiento Certificada (original y 2 copias)"), 0, 0, 'L', false);
        if ($d->getActNac() == 1 & $d->getActNacCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(51), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif (($d->getActNac() == 1 & $d->getActNacCopia() == 0) | ($d->getActNac() == 0 & $d->getActNacCopia() == 1)) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(119), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getActNac() == 0 & $d->getActNacCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(54), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 6, "", 0, 0, 'C', false);
        $this->Cell(10, 6, "", 0, 0, 'C', false);
        $this->SetDrawColor(0, 0, 0);
        $this->Cell(72.95, 6, utf8_decode("NOMBRE Y FIRMA DEL ASESOR EDUCATIVO"), "T", 0, 'C', false);
        
        $this->SetDrawColor(170, 0, 40); //ROJO CARMESI
        $this->Cell(10, 6, "", 0, 0, 'C', false);
        $this->Ln(10);
        $this->Cell(82.95, 6, utf8_decode("3.- Curp (3 copias)"), 0, 0, 'L', false);
        if ($d->getCopCurpCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(51), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCopCurpCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(54), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 6, "", 0, 0, 'C', false);
        $this->Cell(82.95, 6, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(10, 6, "", 0, 0, 'C', false);
        $this->Ln(10);
        $this->Cell(82.95, 6, utf8_decode("4.- IFE o INE (3 copias)"), 0, 0, 'L', false);
        if ($d->getCerMedCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(51), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCerMedCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(54), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 6, "", 0, 0, 'C', false);
        $this->Cell(82.95, 6, utf8_decode(""), 0, 0, 'L', false);
        $this->Cell(10, 6, "", 0, 0, 'C', false);
        $this->Ln(10);
        $this->Cell(82.95, 6, utf8_decode(""), 0, 0, 'L', false);
        if ($d->getFotInf() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, "", 0, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getFotInf() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, "", 0, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 6, "", 0, 0, 'C', false);
        $this->Cell(10, 6, "", 0, 0, 'C', false);
        $this->SetDrawColor(0, 0, 0);
        $this->Cell(72.95, 6, utf8_decode("NOMBRE Y FIRMA DEL ALUMNO"), "T", 0, 'C', false);
        $this->SetDrawColor(0, 176, 8);
        $this->Cell(10, 6, "", 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('', 'B', 12);
        $this->Cell(48.975, 5, utf8_decode("RECIBE"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("ENTREGA"), 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(48.975, 5, utf8_decode("_______________________"), 0, 0, 'C', false);
        //$this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        //$this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(97.95, 5, utf8_decode("_______________________"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("_______________________"), 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(48.975, 5, utf8_decode("ASESOR EDUCATIVO"), 0, 0, 'C', false);
        //$this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        //$this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(97.95, 5, utf8_decode("NOMBRE Y FIRMA DEL"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("CONTROL ESCOLAR"), 0, 0, 'C', false);
        $this->Ln(4);
        $this->SetFont('', 'B', 9);
        $this->Cell(48.975, 5, utf8_decode("NOMBRE Y FIRMA"), 0, 0, 'C', false);
        //$this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        //$this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(97.95, 5, utf8_decode("ALUMNO"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("SELLO Y FIRMA"), 0, 0, 'C', false);
    }

}
