<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use FPDF;
use CmBundle\Controller\NumberToLetterConverter;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PDFBachillerato
 *
 * @author Omar
 */
class PDFTitulacionDirecta extends FPDF {

//put your code here
    public $banRecibo = 0;

// Cabecera de página
    function Header() {
        if ($this->banRecibo == 0) {
            $this->Image('images/logoTec.png', -2, -3, 80, 30);
        } elseif ($this->banRecibo == 1) {
            $this->Image('images/logoTecCortado.png', 8, 5, 75, 15);
        }
    }

// Pie de página
    function Footer() {
        
    }

    public function fichaDoctoradoPaginaUno($d, $t, $e) {
        $this->SetAutoPageBreak(true, 10);
        $this->SetFillColor(204, 192, 218);
        $this->SetDrawColor(230, 224, 236);
        $this->SetFont('', 'B', 15);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(60, 10, "", 0, 0, 'C', false);
        $this->MultiCell(100, 8, "", 0, 'C', false);

        $rutaFoto = "fotos/" . $d->getCveCtl() . ".jpg";
        $nombre_fichero = $rutaFoto;
        $img = "";

        if (file_exists($nombre_fichero)) {
            $img = "fotos/" . $d->getCveCtl() . ".jpg";
        } else {
            $img = "images/usuario.png";
        }
        $this->Image($img, 166, 3, 40, 50);
        $this->SetXY(180, 5);
        $this->Ellipse(186, 28, 20, 25);
        $this->Image("images/elipse.png", 166, 3, 40, 50);

        $this->MultiCell(0, 30, "", 0);
        $this->Cell(150, 12, utf8_decode("FICHA DE INSCRIPCIÓN PARA TRAMITE DE TITULACIÓN"), 1, 0, 'C', true);
        $this->Ln(20);
        $this->SetFont('', 'B', 12);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(30, 6, "Se acredita a:", 0, 0, 'L', false);
        $this->Cell(140, 6, utf8_decode($d->getNomAlu() . " " . $d->getApePat() . " " . $d->getApeMat()), 1, 0, "C", false);
        $this->SetFont('', '', 12);
        $this->Cell(30, 6, "alumno(a) de", 0, 0, 'L', false);
        $this->Ln(8);
        $this->Cell(130, 6, utf8_decode("esta Institución Educativa, para llevar su trámite de Titulación Nivel"), 0, 0, 'L', false);
        $this->SetFont('', 'B', 12);
        if ($t->getTipoAlumno() == 3) {
            $this->Cell(55, 6, utf8_decode("LICENCIATURA"), 1, 0, 'C', false);
        } else {
            $this->Cell(55, 6, utf8_decode("MAESTRÍA"), 1, 0, 'C', false);
        }
        $this->SetFont('', '', 12);
        $this->Cell(0, 6, utf8_decode(" en la "), 0, 0, 'C', false);
        $this->Ln(8);
        $this->Cell(25, 6, utf8_decode("especialidad"), 0, 0, 'C', false);
        $nombreLicenciatura = $e->getNomLic();
        $this->SetFont('', 'B', 10);
        if (strlen($nombreLicenciatura) > 20) {
            $this->Cell(125, 6, utf8_decode($nombreLicenciatura), 1, 0, 'C', false);
        } else {
            $this->Cell(125, 6, utf8_decode($nombreLicenciatura), 1, 0, 'C', false);
        }
        $this->Cell(10, 6, utf8_decode("."), 1, 0, 'C', false);

        $this->SetFont('', '', 12);
        $this->Ln(8);
        $this->Cell(85, 6, utf8_decode("Se extiende el presente en Toluca, México a"), 0, 0, 'L', false);
        $this->Cell(10, 6, utf8_decode($d->getFecMov()->format('d')), 1, 0, 'C', false);
        $this->Cell(10, 6, utf8_decode("de"), 0, 0, 'C', false);
        $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
        $mesesMexico = array('Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre');
        $mes = str_replace($mesesIngles, $mesesMexico, $d->getFecMov()->format('F'));

        $this->Cell(30, 6, utf8_decode($mes), 1, 0, 'C', false);
        $this->Cell(15, 6, utf8_decode(" del 20"), 0, 0, 'R', false);
        $this->Cell(10, 6, utf8_decode($d->getFecMov()->format('y')), 1, 0, '', false);
        $this->Cell(0, 6, utf8_decode("."), 0, 0, 'L', false);
        $this->Ln(10);
        $this->Cell(65, 6, utf8_decode("COSTO TOTAL DEL TRÁMITE $"), 0, 0, 'L', false);

        $convertidor = new NumberToLetterConverter();
        $cantidadLetra = $convertidor->to_word($t->getCostoTramite());

        $this->Cell(0, 6, number_format($t->getCostoTramite(), 2, ".", ",") . " (" . $cantidadLetra . "PESOS 00/100 MXN)", 1, 0, 'L', false);
        $this->Ln(10);
        $this->SetFont('', 'B', 16);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(0, 8, "DATOS DEL ALUMNO", 1, 0, "C", true);
        $this->Ln();
        $this->MultiCell(0, 152, "", 1, 'J', false);
        $this->SetLeftMargin(15);
        $this->SetRightMargin(15);
        $this->SetXY(15, 115);
        $this->SetFont('', '', 12);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(40, 6, "Nombre del alumno:", 0, 0, "L", false);
        $this->Cell(48, 6, utf8_decode($d->getApePat()), "LTB", 0, "C", false);
        $this->Cell(49, 6, utf8_decode($d->getApeMat()), "TB", 0, "C", false);
        $this->Cell(0, 6, utf8_decode($d->getNomAlu()), "RTB", 0, "C", false);
        $this->Ln();
        $this->Cell(40, 5, "", 0, 0, "C", false);
        $this->SetFont('', '', 9);
        $this->Cell(48, 5, "Apellido Paterno", 0, 0, "C", false);
        $this->Cell(49, 5, "Apellido Materno", 0, 0, "C", false);
        $this->Cell(0, 5, "Nombre (s)", 0, 0, "C", false);
        $this->Ln(8);
        $this->SetFont('', '', 12);
        $this->Cell(15, 6, "CURP: ", 0, 0, "L", false);
        $this->Cell(80, 6, utf8_decode($d->getCurp()), 1, 0, "C", false);
        $this->Cell(50, 6, "Fecha de Nacimiento", 0, 0, "C", false);
        $this->Cell(10, 6, $d->getFecNac()->format('d'), 1, 0, "C", false);
        $this->Cell(5, 6, " / ", 0, 0, "C", false);
        $this->Cell(10, 6, $d->getFecNac()->format('m'), 1, 0, "C", false);
        $this->Cell(5, 6, " / ", 0, 0, "C", false);
        $this->Cell(0, 6, $d->getFecNac()->format('Y'), 1, 0, "C", false);
        $this->Ln();
        $this->SetFont('', '', 9);
        $this->Cell(15, 5, "", 0, 0, "C", false);
        $this->Cell(80, 5, "", 0, 0, "C", false);
        $this->Cell(50, 5, "", 0, 0, "C", false);
        $this->Cell(10, 5, utf8_decode("Día"), 0, 0, "C", false);
        $this->Cell(5, 5, "", 0, 0, "C", false);
        $this->Cell(10, 5, utf8_decode("Mes"), 0, 0, "C", false);
        $this->Cell(5, 5, "", 0, 0, "C", false);
        $this->Cell(0, 5, utf8_decode("Año"), 0, 0, "C", false);
        $this->Ln();
        $this->SetFont('', '', 12);

        $this->Cell(12, 6, "Sexo:", 0, 0, "L", false);

        if ($d->getSexo() == 0) { // MASCULINO
            $this->Cell(22, 6, "Femenino", 0, 0, "C", false);
            $this->Cell(5, 6, utf8_decode(""), 1, 0, "C", false);
            $this->Cell(1, 6, "", 0, 0, "C", false);
            $this->Cell(22, 6, "Masculino", 0, 0, "C", false);
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(5, 6, chr(51), 1, 0, "C", false);
            $this->SetFont('Arial', '', 12);
            $this->Cell(3, 6, "", 0, 0, "C", false);
        } elseif ($d->getSexo() == 1) { // FEMENINO
            $this->Cell(22, 6, "Femenino", 0, 0, "C", false);
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(5, 6, chr(51), 1, 0, "C", false);
            $this->SetFont('Arial', '', 12);
            $this->Cell(1, 6, "", 0, 0, "C", false);
            $this->Cell(22, 6, "Masculino", 0, 0, "C", false);
            $this->Cell(5, 6, utf8_decode(""), 1, 0, "C", false);
            $this->Cell(3, 6, "", 0, 0, "C", false);
        }

        $this->Cell(20, 6, "Edad:", 0, 0, "R", false);
        $this->Cell(10, 6, utf8_decode($d->getEdad()), 1, 0, "C", false);
        $this->Cell(12, 6, utf8_decode("años"), 0, 0, "C", false);
        $this->Cell(3, 6, "", 0, 0, "C", false);
        $this->Cell(26, 6, utf8_decode("Nacionalidad"), 0, 0, "C", false);
        $this->Cell(0, 6, utf8_decode($d->getNacionalidad()), 1, 0, "C", false);
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(20, 6, "Domicilio: ", 0, 0, "L", false);
        $this->Cell(130, 6, utf8_decode($d->getCalle()), 1, 0, "C", false);
        $this->Cell(10, 6, utf8_decode("No."), 0, 0, "C", false);
        $this->Cell(0, 6, $d->getNumInt(), 1, 0, "C", false);
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(19, 6, "Colonia:", 0, 0, "L", false);
        if (strlen($d->getColLoc() > 23)) {
            $this->SetFont('', '', 10);
            $this->Cell(65, 6, utf8_decode($d->getColLoc()), 1, 0, "C", false);
            $this->SetFont('', '', 12);
        } else {
            $this->Cell(65, 6, utf8_decode($d->getColLoc()), 1, 0, "C", false);
        }
        $this->Cell(45, 6, utf8_decode("Municipio/Delegación:"), 0, 0, "C", false);
        if (strlen($d->getMunDel()) > 15) {
            $this->SetFont('', '', 9);
            $this->Cell(0, 6, utf8_decode($d->getMunDel()), 1, 0, "C", false);
            $this->SetFont('', '', 12);
        } else {
            $this->Cell(0, 6, utf8_decode($d->getMunDel()), 1, 0, "C", false);
        }
        /* $this->Ln(10);
          $this->SetFont('', '', 12);
          $this->Cell(45, 6, "Licenciatura Cursada:", 0, 0, "L", false);
          if (strlen($d->getLicenciatura()) > 15) {
          $this->SetFont('', '', 9);
          $this->Cell(70, 6, utf8_decode($d->getLicenciatura()), 1, 0, "C", false);
          $this->SetFont('', '', 12);
          } else {
          $this->Cell(70, 6, utf8_decode($d->getLicenciatura()), 1, 0, "C", false);
          }

          $this->Cell(40, 6, "Cedula Profesional:", 0, 0, "L", false);
          if (strlen($d->getCedula()) > 10) {
          $this->SetFont('', '', 9);
          $this->Cell(30, 6, utf8_decode($d->getCedula()), 1, 0, "C", false);
          $this->SetFont('', '', 12);
          } else {
          $this->Cell(30, 6, utf8_decode($d->getCedula()), 1, 0, "C", false);
          }
         * 
         */
        $this->Ln(9);
        $this->Cell(55, 6, utf8_decode("Preparatoria de procedencia:"), 0, 0, "R", false);
        if ($d->getCvePro() != null) {
            $this->Cell(0, 6, utf8_decode($d->getCvePro()->getNomPlantel()), 1, 0, "C", false);
        } else {
            $this->Cell(0, 6, utf8_decode(""), 1, 0, "C", false);
        }
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(38, 6, utf8_decode("¿Cómo se enteró ?"), 0, 0, "L", false);
        $this->Cell(0, 6, utf8_decode($d->getComoEntero()), 1, 0, "C", false);
        $this->Ln(10);

        $this->SetFont('', '', 12);
        $this->Cell(45, 6, utf8_decode("Fecha de Inscripción"), 0, 0, "L", false);
        $this->Cell(10, 6, $d->getFecMov()->format('d'), 1, 0, "C", false);
        $this->Cell(5, 6, " / ", 0, 0, "C", false);
        $this->Cell(10, 6, $d->getFecMov()->format('m'), 1, 0, "C", false);
        $this->Cell(5, 6, " / ", 0, 0, "C", false);
        $this->Cell(10, 6, $d->getFecMov()->format('Y'), 1, 0, "C", false);
        $this->SetFont('', 'B', 12);
        $this->Cell(45, 6, utf8_decode("Fecha de Ingreso:"), 0, 0, "R", false);
        $this->SetFont('', '', 12);
        $this->Cell(0, 6, "", 1, 0, "C", false);
        $this->Ln();
        $this->SetFont('', '', 9);
        $this->Cell(45, 5, utf8_decode(""), 0, 0, "L", false);
        $this->Cell(10, 5, utf8_decode("Día"), 0, 0, "C", false);
        $this->Cell(5, 5, "", 0, 0, "C", false);
        $this->Cell(10, 5, utf8_decode("Mes"), 0, 0, "C", false);
        $this->Cell(5, 5, "", 0, 0, "C", false);
        $this->Cell(10, 5, utf8_decode("Año"), 0, 0, "C", false);
        $this->Ln();
        $this->SetFont('', '', 12);
        $this->Cell(30, 6, utf8_decode("Teléfono Fijo:"), 0, 0, "L", false);
        $this->Cell(55, 6, utf8_decode($d->getTelefono()), 1, 0, "C", false);
        $this->Cell(45, 6, utf8_decode("Teléfono Celular"), 0, 0, "R", false);
        $this->Cell(0, 6, utf8_decode($d->getTelefonoCelular()), 1, 0, "C", false);
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(18, 6, utf8_decode("Correo:"), 0, 0, "L", false);
        $this->Cell(75, 6, utf8_decode($d->getCorreo()), 1, 0, "C", false);
        $this->Cell(25, 6, utf8_decode("Facebook:"), 0, 0, "R", false);
        $this->Cell(0, 6, utf8_decode($d->getFacebook()), 1, 0, "C", false);
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(50, 6, utf8_decode("Dependencia o Empresa:"), 0, 0, "L", false);
        if(count_chars($d->getDependenciaEmpresa())>10){
            $this->SetFont('', '', 8);
        }else{
            $this->SetFont('', '', 12);
        }
        $this->Cell(55, 6, utf8_decode($d->getDependenciaEmpresa()), 1, 0, "C", false);
        $this->SetFont('', '', 12);
        $this->Cell(15, 6, utf8_decode("Depto."), 0, 0, "R", false);
        if(count_chars($d->getDepto())>10){
            $this->SetFont('', '', 8);
        }else{
            $this->SetFont('', '', 12);
        }
        $this->Cell(0, 6, utf8_decode($d->getDepto()), 1, 0, "C", false);
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(32, 6, utf8_decode("Observaciones:"), 0, 0, "L", false);
        $this->Cell(0, 6, utf8_decode($d->getObservaciones()), 1, 0, "C", false);
        $this->Ln(9);
        $this->SetFont('', '', 12);
        $this->Cell(18, 6, utf8_decode("Plantel:"), 0, 0, "L", false);
        if ($d->getCvePla() != null) {
            $this->Cell(80, 6, utf8_decode($d->getCvePla()->getNomPla()), 1, 0, "C", false);
        } else {
            $this->Cell(80, 6, utf8_decode(""), 1, 0, "C", false);
        }

        $this->Cell(30, 6, utf8_decode("Coordinador:"), 0, 0, "L", false);
        $this->Cell(0, 6, utf8_decode($d->getCoordinador()), 1, 0, "C", false);
    }

    public function fichaDoctoradoPaginaDos($d, $t, $e) {
        $this->SetAutoPageBreak(true, 10);
        $this->SetFillColor(204, 192, 218);
        $this->SetDrawColor(230, 224, 236);
        $this->SetFont('', 'B', 18);
        $this->SetLeftMargin(10);
        $this->SetRightMargin(10);
        $this->SetTextColor(255, 255, 255);
        $this->Ln(15);
        $this->SetFont('', 'B', 12);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(97.95, 115, "", 1);
        $this->Cell(97.95, 115, "", 1);
        $this->Ln(0);
        $this->SetFont('', 'B', 9);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(5, 10, "", 0, 0, 'C', false);
        $this->Cell(87.95, 10, utf8_decode("DOCUMENTACIÓN QUE RECIBE LA INSTITUCIÓN"), 1, 0, 'C', true);
        $this->Cell(5, 10, "", 0, 0, 'C', false);
        $this->Cell(5, 10, "", 0, 0, 'C', false);
        $this->Cell(87.95, 10, utf8_decode("DOCUMENTACIÓN QUE ENTREGA LA INSTITUCIÓN"), 1, 0, 'C', true);
        $this->Cell(5, 10, "", 0, 0, 'C', false);
        $this->Ln(13);
        $this->SetFont('', '', 9);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(82.95, 6, utf8_decode("1.- Certificado de Licenciatura y/o kardex"), 0, 0, 'L', false);
        if ($d->getCerSec() == 1 & $d->getCerSecCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(51), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif (($d->getCerSec() == 1 & $d->getCerSecCopia() == 0) | ($d->getCerSec() == 0 & $d->getCerSecCopia() == 1)) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(119), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCerSec() == 0 & $d->getCerSecCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(54), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 6, "", 0, 0, 'C', false);
        $this->Cell(82.95, 6, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(10, 6, "", 0, 0, 'C', false);
        $this->Ln(10);
        $this->Cell(82.95, 6, utf8_decode("2.- Certificado de Preparatoria (original y 2 copias)"), 0, 0, 'L', false);
        if ($d->getCerPre() == 1 & $d->getCerPreCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(51), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif (($d->getCerPre() == 1 & $d->getCerPreCopia() == 0) | ($d->getCerPre() == 0 & $d->getCerPreCopia() == 1)) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(119), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCerPre() == 0 & $d->getCerPreCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(54), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 6, "", 0, 0, 'C', false);
        $this->SetDrawColor(0, 0, 0);
        $this->Cell(82.95, 6, utf8_decode("1.- TÍTULO (original)"), 0, 0, 'L', false);
        $this->SetDrawColor(230, 224, 236);
        $this->SetFont('ZapfDingbats', '', 12);
        $this->Cell(10, 6, "", 1, 0, 'C', false);
        $this->SetFont('Arial', '', 9);
        $this->Ln(10);

        $this->Cell(82.95, 6, utf8_decode("3.- Acta de Nacimiento Certificada (original y 2 copias)"), 0, 0, 'L', false);
        if ($d->getActNac() == 1 & $d->getActNacCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(51), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif (($d->getActNac() == 1 & $d->getActNacCopia() == 0) | ($d->getActNac() == 0 & $d->getActNacCopia() == 1)) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(119), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getActNac() == 0 & $d->getActNacCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(54), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 6, "", 0, 0, 'C', false);
        $this->SetDrawColor(0, 0, 0);
        $this->Cell(82.95, 6, utf8_decode("2.- CERTIFICADO TOTAL DE ESTUDIOS (original)"), 0, 0, 'L', false);
        $this->SetDrawColor(230, 224, 236);
        $this->SetFont('ZapfDingbats', '', 12);
        $this->Cell(10, 6, "", 1, 0, 'C', false);
        $this->SetFont('Arial', '', 9);
        $this->Ln(10);
        $this->Cell(82.95, 6, utf8_decode("4.- Curp validada de internet (3 copias)"), 0, 0, 'L', false);
        if ($d->getCopCurpCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(51), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCopCurpCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(54), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 6, "", 0, 0, 'C', false);
        $this->SetDrawColor(0, 0, 0);
        $this->Cell(82.95, 6, utf8_decode("3.- ACTA DE EXAMEN PROFESIONAL (original)"), 0, 0, 'L', false);
        $this->SetDrawColor(230, 224, 236);
        $this->SetFont('ZapfDingbats', '', 12);
        $this->Cell(10, 6, "", 1, 0, 'C', false);
        $this->SetFont('Arial', '', 9);
        $this->Ln(10);
        $this->Cell(82.95, 6, utf8_decode("5.- IFE o INE (3 copias)"), 0, 0, 'L', false);
        if ($d->getCerMedCopia() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(51), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCerMedCopia() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(54), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 6, "", 0, 0, 'C', false);
        $this->SetDrawColor(0, 0, 0);
        $this->Cell(82.95, 6, utf8_decode("4.- LIBERACIÓN DE SERVICIO SOCIAL (original)"), 0, 0, 'L', false);
        $this->SetDrawColor(230, 224, 236);
        $this->SetFont('ZapfDingbats', '', 12);
        $this->Cell(10, 6, "", 1, 0, 'C', false);
        $this->SetFont('Arial', '', 9);
        $this->Ln(10);
        $this->Cell(82.95, 6, utf8_decode("6.- Constancia laboral o de carrera trunca"), 0, 0, 'L', false);
        if ($d->getCopCurp() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(51), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getCopCurp() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(54), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }

        $this->Ln(10);
        $this->Cell(82.95, 6, utf8_decode("7.- Paquete de fotos de titulación (completas)"), 0, 0, 'L', false);
        if ($d->getFotInf() == 1) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(51), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        } elseif ($d->getFotInf() == 0) {
            $this->SetFont('ZapfDingbats', '', 12);
            $this->Cell(10, 6, chr(54), 1, 0, 'C', false);
            $this->SetFont('Arial', '', 9);
        }
        $this->Cell(5, 6, "", 0, 0, 'C', false);
        $this->Cell(10, 6, "", 0, 0, 'C', false);
        $this->SetDrawColor(0, 0, 0);
        $this->Cell(72.95, 6, utf8_decode(""), 0, 0, 'C', false);
        $this->SetDrawColor(0, 176, 8);
        $this->Cell(10, 6, "", 0, 0, 'C', false);
        $this->Ln(10);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetDrawColor(0, 0, 0);
        $this->Cell(4, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(40.975, 5, utf8_decode("NOMBRE Y FIRMA DEL"), "T", 0, 'C', false);
        $this->Cell(4, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(4, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(40.975, 5, utf8_decode("NOMBRE Y FIRMA"), "T", 0, 'C', false);
        $this->Cell(4, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(10, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(77.95, 5, utf8_decode("NOMBRE Y FIRMA"), "T", 0, 'C', false);
        $this->Cell(10, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Ln(4);
        $this->Cell(48.975, 5, utf8_decode("ASESOR EDUCATIVO"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("DEL ALUMNO"), 0, 0, 'C', false);
        $this->Cell(97.95, 5, utf8_decode("DE CONFORMIDAD"), 0, 0, 'C', false);
        $this->Ln(20);

        $convertidor = new NumberToLetterConverter();
        $cantidadLetra = $convertidor->to_word($t->getCostoTramite());

        $this->SetFont('', 'B', 14);
        $this->SetDrawColor(230, 224, 236);
        $this->Cell(42, 8, utf8_decode("COSTO TOTAL $"), 0, 0, 'C', false);
        $this->Cell(30, 8, utf8_decode(number_format($t->getCostoTramite(), 2, ".", ",")), 1, 0, 'C', false);

        $this->Cell(0, 8, utf8_decode("(" . $cantidadLetra . "PESOS 00/100 MXN)"), 1, 0, 'C', false);
        $this->Ln(15);
        $this->SetFont('', '', 12);
        $this->MultiCell(0, 6, utf8_decode("En caso de no cumplir con la documentación completa y características estrictamente requeridas en "
                        . "tiempo y forma la institución educativa no se hace responsable del trámite al igual que no habrá devolución alguna del pago "
                        . "previamente realizado."), 1, 'J', false);
        $this->SetDrawColor(0, 0, 0);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(18, 5, "FIRMA:", 0, 0, "L", false);
        $this->Cell(45, 5, "__________________", 0, 0, "L", false);
        $this->Cell(50, 5, "NOMBRE DEL ALUMNO:", 0, 0, "L", false);
        $this->Cell(0, 5, "______________________________", 0, 0, "L", false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('', 'B', 12);
        $this->Cell(48.975, 5, utf8_decode("RECIBE"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("ENTREGA"), 0, 0, 'C', false);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(48.975, 5, utf8_decode("_______________________"), 0, 0, 'C', false);
        //$this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        //$this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(97.95, 5, utf8_decode("_______________________"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("_______________________"), 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(48.975, 5, utf8_decode("ASESOR EDUCATIVO"), 0, 0, 'C', false);
        //$this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        //$this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(97.95, 5, utf8_decode("NOMBRE Y FIRMA DEL"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("CONTROL ESCOLAR"), 0, 0, 'C', false);
        $this->Ln(4);
        $this->SetFont('', 'B', 9);
        $this->Cell(48.975, 5, utf8_decode("NOMBRE Y FIRMA"), 0, 0, 'C', false);
        //$this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        //$this->Cell(48.975, 5, utf8_decode(""), 0, 0, 'C', false);
        $this->Cell(97.95, 5, utf8_decode("ALUMNO"), 0, 0, 'C', false);
        $this->Cell(48.975, 5, utf8_decode("SELLO Y FIRMA"), 0, 0, 'C', false);
    }

    function Circle($x, $y, $r, $style = 'D') {
        $this->Ellipse($x, $y, $r, $r, $style);
    }

    function Ellipse($x, $y, $rx, $ry, $style = 'D') {
        if ($style == 'F')
            $op = 'f';
        elseif ($style == 'FD' || $style == 'DF')
            $op = 'B';
        else
            $op = 'S';
        $lx = 4 / 3 * (M_SQRT2 - 1) * $rx;
        $ly = 4 / 3 * (M_SQRT2 - 1) * $ry;
        $k = $this->k;
        $h = $this->h;
        $this->_out(sprintf('%.2F %.2F m %.2F %.2F %.2F %.2F %.2F %.2F c', ($x + $rx) * $k, ($h - $y) * $k, ($x + $rx) * $k, ($h - ($y - $ly)) * $k, ($x + $lx) * $k, ($h - ($y - $ry)) * $k, $x * $k, ($h - ($y - $ry)) * $k));
        $this->_out(sprintf('%.2F %.2F %.2F %.2F %.2F %.2F c', ($x - $lx) * $k, ($h - ($y - $ry)) * $k, ($x - $rx) * $k, ($h - ($y - $ly)) * $k, ($x - $rx) * $k, ($h - $y) * $k));
        $this->_out(sprintf('%.2F %.2F %.2F %.2F %.2F %.2F c', ($x - $rx) * $k, ($h - ($y + $ly)) * $k, ($x - $lx) * $k, ($h - ($y + $ry)) * $k, $x * $k, ($h - ($y + $ry)) * $k));
        $this->_out(sprintf('%.2F %.2F %.2F %.2F %.2F %.2F c %s', ($x + $lx) * $k, ($h - ($y + $ry)) * $k, ($x + $rx) * $k, ($h - ($y + $ly)) * $k, ($x + $rx) * $k, ($h - $y) * $k, $op));
    }

}
