<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use FPDF;
use PHPQRCode\QRcode;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PDFUtm
 *
 * @author Lenovo
 */
class PDFUtm extends FPDF {

    //put your code here
    public function generarConstanciaLicenciatura($a, $materias) {
        $this->Image('images/encabezadoConstanciaOK.png', 0, 0, 216);
        $this->Image('images/verdeOK.png', 0, 30, 40, 250);
        $this->SetRightMargin(15);
        $this->SetAutoPageBreak(true, 5);
        $this->SetFont('Arial', 'BI', 9);
        $this->SetTextColor(0, 0, 0);
        $this->Ln(5);
        $this->Cell(90, 4, utf8_decode(""), 0, 0, 'R', false);
        $this->Cell(0, 4, utf8_decode("CLAVE DE CENTRO DE TRABAJO 15PSU0185K"), 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(90, 4, utf8_decode(""), 0, 0, 'R', false);
        $this->Cell(0, 4, utf8_decode("INCORPORADO AL SISTEMA EDUCATIVO FEDERAL"), 0, 0, 'C', false);
        $this->Ln(25);
        $this->SetLeftMargin(45);
        $this->SetFont('Arial', 'B', 10);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(0, 5, utf8_decode("DIRECCIÓN GENERAL"), 0, 0, 'R', false);
        $this->Ln();
        $año = date('Y');
        $dia = date('d');
        $clave = $a->getCveCtl();
        $this->Cell(0, 5, utf8_decode("No. DE OFICIO: UTM/DG/DSE/" . $año . "/" . $clave . "/" . $dia), 0, 0, 'R', false);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("ASUNTO: CONSTANCIA DE TERMINO DE ESTUDIOS"), 0, 0, 'R', false);
        $this->Ln(15);
        $this->Cell(0, 5, utf8_decode("A QUIEN CORRESPONDA"), 0, 0, 'L', false);
        $this->Ln(15);
        $this->SetFont('Arial', '', 10);
        $html = 'EL QUE SUSCRIBE DIRECTOR DE SERVICIOS ESCOLARES DE LA UNIVERSIDAD TEC Mexiquense, CON CLAVE DEL CENTRO DE TRABAJO 15PSU0185K - PARTICULAR - INCORPORADA A LA SECRETARIA DE EDUCACIÓN DEL ESTADO DE MÉXICO, HACE CONSTAR QUE';
        $texto = "";
        if ($a->getSexo() == 0) {
            $html = $html . " EL";
        } else {
            $html = $html . " LA";
        }
        $this->MultiCell(0, 8, utf8_decode($html), 0, "J", FALSE);
        $this->Ln();
        $this->SetFont('Arial', 'B', 10);
        $this->Cell(0, 5, utf8_decode("C." . $a->getNomAlu() . " " . $a->getApePat() . " " . $a->getApeMat()), 1, 0, "C", FALSE);
        $this->Ln();
        $this->SetFont('Arial', '', 10);
    }

    public function generarConstanciaTerminoEstudios($a, $rvoe, $cb) {
        $this->Image('images/membretes/mg.png', 0, 0, 216);
        $this->SetRightMargin(15);
        $this->SetAutoPageBreak(true, 5);
        $this->SetFont('Arial', 'BI', 9);
        $this->SetTextColor(0, 0, 0);
        $this->Ln();
        $this->Cell(90, 4, utf8_decode(""), 0, 0, 'R', false);
        $this->Cell(0, 4, utf8_decode(""), 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(90, 4, utf8_decode(""), 0, 0, 'R', false);
        $this->Cell(0, 4, utf8_decode(""), 0, 0, 'C', false);
        $this->Ln(25);
        $this->SetLeftMargin(45);
        $this->SetFont('Arial', 'B', 10);
        $this->SetTextColor(0, 0, 0);
        $this->Cell(0, 5, utf8_decode("CONTROL ESCOLAR"), 0, 0, 'R', false);
        $this->Ln();
        $año = date('Y');
        $mes = date('m');
        $dia = date('d');
        $clave = $a->getCveCtl();
        $this->Cell(0, 5, utf8_decode("No. DE OFICIO: UTM/0064/" . $dia . $mes . $año), 0, 0, 'R', false);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("ASUNTO: CONSTANCIA DE TÉRMINO DE ESTUDIOS"), 0, 0, 'R', false);
        $this->Ln(15);
        $this->Cell(0, 5, utf8_decode("A QUIEN CORRESPONDA"), 0, 0, 'L', false);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("PRESENTE:"), 0, 0, 'L', false);
        $this->Ln(15);
        $this->SetFont('Arial', '', 10);
        $html = '       EL QUE SUSCRIBE DIRECCIÓN GENERAL DE SERVICIOS ESCOLARES DE LA UNIVERSIDAD TEC MEXIQUENSE, CON CLAVE DE CENTRO DE TRABAJO 15PSU0185K PARTICULAR INCORPORADO A LA SECRETARÍA DE EDUCACIÓN PÚBLICA, HACE CONSTAR QUE';

        if ($a->getSexo() == 0) {
            $html = $html . " EL:";
        } else {
            $html = $html . " LA:";
        }
        $this->MultiCell(0, 7, utf8_decode($html), 0, "J", FALSE);
        $this->Ln();
        $this->SetFont('Arial', 'B', 12);
        $this->Cell(0, 5, utf8_decode("C. " . $a->getNomAlu() . " " . $a->getApePat() . " " . $a->getApeMat()), 0, 0, "C", FALSE);
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', '', 10);

        $nivel = "";

        if ($a->getCveLic()->getCveNivAca()->getIdeNivAca() == 3) {
            //LICENCIATURA
            $nivel = $nivel . " DE LA LICENCIATURA EN " . $a->getCveLic()->getNomLic();
        } elseif ($a->getCveLic()->getCveNivAca()->getIdeNivAca() == 4) {
            //MAESTRÍA
            $nivel = $nivel . " DE LA MAESTRÍA EN " . $a->getCveLic()->getNomLic();
        } elseif ($a->getCveLic()->getCveNivAca()->getIdeNivAca() == 5) {
            //DOCTORADO
            $nivel = $nivel . " DEL DOCTORADO EN " . $a->getCveLic()->getNomLic();
        }

        $texto = "      ES EGRESADO(A) DE ESTA INSTITUCIÓN EDUCATIVA, CURSÓ Y ACREDITÓ LAS ASIGNATURAS QUE INTEGRAN EL PLAN DE ESTUDIOS VIGENTE"
                . $nivel . " CON NO. DE RVOE " . $rvoe . ", LO ANTERIOR HACE CONSTAR QUE SU CERTIFICADO TOTAL DE ESTUDIOS Y TÍTULO PROFESIONAL SE ENCUENTRA EN TRÁMITE ANTE LA SECRETARÍA DE EDUCACIÓN PÚBLICA.";
        $this->MultiCell(0, 6, utf8_decode($texto), 0, "J", FALSE);
        $this->Ln();
        $meses = ["ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE"];

        $texto2 = "      A PETICIÓN DEL INTERESADO Y PARA EFECTOS ACADÉMICOS QUE SE CONSIDEREN PERTINENTES, SE EXTIENDE LA PRESENTE EN TOLUCA, ESTADO DE MÉXICO, A LOS " . ($dia * 1) . " DÍAS DEL MES DE " . $meses[($mes * 1) - 1] . " DE " . $año . ".";
        $this->MultiCell(0, 6, utf8_decode($texto2), 0, "J", FALSE);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->SetFont('Arial', 'I', 10);
        $this->SetY(208);
        $this->Cell(0, 5, utf8_decode("ATENTAMENTE"), 0, 0, "C", FALSE);
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $this->Cell(0, 5, utf8_decode("LIC. MAXIMINO HUERTA BLANQUEL"), 0, 0, "C", FALSE);
        $this->Ln(1);
        $this->Cell(0, 5, utf8_decode("____________________________________"), 0, 0, "C", FALSE);
        $this->Ln(4);
        $this->SetFont('Arial', 'I', 8);
        $this->Cell(0, 5, utf8_decode("DIRECCIÓN DE SERVICIOS ESCOLARES"), 0, 0, "C", FALSE);
        $this->Ln(4);
        $this->Cell(0, 5, utf8_decode("DE LA UNIVERSIDAD TEC MEXIQUENSE"), 0, 0, "C", FALSE);
        $this->Image("images/se/f.png", 105, 210, 35);
        $this->Image("images/se/selloSE.png", 140, 200, 35);

        $imagen = "fc_" . $a->getCveCtl();
        $rutaImagen = new QRcode();
        $rutaImagen->png("https://alumno.tecmexiquense.com/web/egresadosSE?cve=" . $a->getCveCtl(), "qr/fc_{$a->getCveCtl()}.png", 'L', 4, 2);
        $this->Image("qr/{$imagen}.png", 50, 210, 25);
        $this->Image($cb, 50, 250, 50, 7);
        $this->SetFont('Arial', 'B', 10);
        $this->Text(50, 261, utf8_decode($a->getCveCtl()));
    }

}
