<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use CmBundle\Entity\Requisiciones;
use CmBundle\Entity\ElementosRequisiciones;
use CmBundle\Entity\Productos;
use CmBundle\Controller\PDFRequisicion;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of RequisicionController
 *
 * @author OMAR
 */
class RequisicionController extends Controller {

    //put your code here
    public function vistaReqAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            if ($request->getMethod() == "POST") {
                
            } else { // ES GET
                $em = $this->getDoctrine()->getEntityManager();

                $cvePla = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $session->get('plantel')));

                $productos = $em->getRepository('CmBundle:Productos')->findBy(array(), array('nomPro' => 'ASC'));

                $lisReq = $em->getRepository('CmBundle:Requisiciones')->findBy(array('cvePla' => $cvePla), array('fecMov' => 'DESC'));

                $bandera = 0;

                // VALIDAR SI YA EXISTE UN REGISTRO DE REQUISICIÓN PARA EL MES ACTUAL
                $fecIni = date('Y-m-01');
                $fecTer = date('Y-m-t');
                $plantel = $cvePla->getIdePla();

                $dql = "SELECT r "
                        . "FROM CmBundle:Requisiciones r "
                        . "WHERE r.fecMov BETWEEN '$fecIni' AND '$fecTer' "
                        . "AND r.cvePla = $plantel ";
                $query = $em->createQuery($dql);
                $resultado = $query->getResult();

                if ($resultado == null) {
                    $bandera = 0;
                } else {
                    $bandera = 1;
                }

                // FIN VALIDACIÓN DEL MES ACTUAL

                return $this->render('CmBundle:Requisicion:vistaRequisicion.html.twig',
                                array(
                                    'productos' => $productos,
                                    'lista' => $lisReq,
                                    'bandera' => $bandera
                                )
                );
            }
        } else {
            return $this->redirect($this->generateUrl('logout'));
        }
    }

    public function vistaReqDGAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            if ($request->getMethod() == "POST") {
                
            } else { // ES GET
                $em = $this->getDoctrine()->getManager();

                $productos = $em->getRepository('CmBundle:Productos')->findBy(array(), array('nomPro' => 'ASC'));

                $cvePla = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $session->get('plantel')));

                $requisiciones = $em->getRepository('CmBundle:Requisiciones')->findBy(array(), array('fecMov' => 'DESC'));
                $bandera = 0;

                // VALIDAR SI YA EXISTE UN REGISTRO DE REQUISICIÓN PARA EL MES ACTUAL
                $fecIni = date('Y-m-01');
                $fecTer = date('Y-m-t');
                $plantel = $cvePla->getIdePla();

                $dql = "SELECT r "
                        . "FROM CmBundle:Requisiciones r "
                        . "WHERE r.fecMov BETWEEN '$fecIni' AND '$fecTer' "
                        . "AND r.cvePla = $plantel ";
                $query = $em->createQuery($dql);
                $resultado = $query->getResult();

                if ($resultado == null) {
                    $bandera = 0;
                } else {
                    $bandera = 1;
                }

                // FIN VALIDACIÓN DEL MES ACTUAL


                return $this->render('CmBundle:Requisicion:vistaRequisicionDG.html.twig',
                                array('productos' => $productos, 'requisiciones' => $requisiciones, 'bandera' => $bandera));
            }
        } else {
            return $this->redirect($this->generateUrl('logout'));
        }
    }

    public function traerProductosAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getEntityManager();

                $lista = $request->get('lista');
                $indice = $request->get('indice');

                $sql = null;
                $productos = null;

                if ($lista == "") {
                    $dql = "SELECT p "
                            . "FROM CmBundle:Productos p "
                            . "ORDER BY p.nomPro ASC";
                    $query = $em->createQuery($dql);
                    $productos = $query->getResult();
                } else {
                    $qb = $em->createQueryBuilder();

                    $productos = $qb->select('p')
                            ->from('CmBundle:Productos', 'p')
                            ->where($qb->expr()->notIn('p.idePro', $lista))
                            ->orderBy('p.nomPro', 'ASC')
                            ->getQuery()
                            ->getResult();
                }

                return $this->render('CmBundle:Requisicion:listaProductos.html.twig', array('productos' => $productos, 'x' => $indice));
            } else { // ES GET
            }
        } else {
            return $this->redirect($this->generateUrl('logout'));
        }
    }

    public function altaCatalogoAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $nomPro = $request->get("nomPro");
                $cosPro = $request->get("cosPro");

//                print_r($nomPro);
//                print_r("<br>");
//                print_r($cosPro);
//                print_r("<br>");

                $producto = new Productos();
                $producto->setNomPro($nomPro);
                $producto->setClave("111");
                $producto->setCosPro($cosPro);

                $em->persist($producto);
                $em->flush();

                $lisPro = $em->getRepository('CmBundle:Productos')->findBy(array(), array('nomPro' => 'ASC'));

                return $this->render('CmBundle:Requisicion:tablaProductosDG.html.twig', array('productos' => $lisPro));
            } else { // ES GET
                $em = $this->getDoctrine()->getManager();

                $productos = $em->getRepository('CmBundle:Productos')->findBy(array(), array('nomPro' => 'ASC'));

                $requisiciones = $em->getRepository('CmBundle:Requisiciones')->findOneBy(array(), array('fecMov' => 'DESC'));


                return $this->render('CmBundle:Requisicion:vistaRequisicionDG.html.twig', array('productos' => $productos, 'requisiciones' => $requisiciones));
            }
        } else {
            return $this->redirect($this->generateUrl('logout'));
        }
    }

    public function guardarReqPlantelAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $arrReq = $request->get('lista');

                $cvePla = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $session->get('plantel')));

                $req = new Requisiciones();
                $req->setClave($cvePla->getCvePla() . "_" . date('Y-m-d'));
                $req->setCvePla($cvePla);
                $req->setCveUsu($session->get('identificador'));
                $req->setEstatus(1);
                $req->setFecMov(new \DateTime(date('Y-m-d')));
                $req->setHorMov(new \DateTime(date('H:i:s')));
                $req->setFecEnt(null);
                $req->setHorEnt(null);

                $em->persist($req);
                $em->flush();

                foreach ($arrReq as $key => $value) {

                    $cvePro = $em->getRepository('CmBundle:Productos')
                            ->findOneBy(array('idePro' => $value[2]));

                    $eleReq = new ElementosRequisiciones();
                    $eleReq->setCveReq($req);
                    $eleReq->setCantidad($value[0] * 1);
                    $eleReq->setUnidad($value[1] * 1);
                    $eleReq->setCvePro($cvePro);
                    $eleReq->setPersonalizado(null); //aun no existe
                    $eleReq->setObservaciones($value[3]);
                    $eleReq->setCanEnt(null);
                    $eleReq->setObsEnt(null);

                    $em->persist($eleReq);
                    $em->flush();
                }

                $lisReq = $em->getRepository('CmBundle:Requisiciones')->findBy(array('cvePla' => $cvePla), array('fecMov' => 'DESC'));

                return $this->render('CmBundle:Requisicion:tablaRequisicionPorPlantel.html.twig', array('lista' => $lisReq));
            } else { // ES GET
                return $this->redirect($this->generateUrl('logout'));
            }
        } else {
            return $this->redirect($this->generateUrl('logout'));
        }
    }

    public function impReqPlantelAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            if ($request->getMethod() == "GET") {

                $em = $this->getDoctrine()->getManager();
                $ideReq = $request->get('ideReq');
                $arrReq = $request->get('lista');

                $cvePla = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $session->get('plantel')));


                $cveReq = $em->getRepository('CmBundle:Requisiciones')->findOneBy(array('ideReq' => $ideReq));
                $lisReq = $em->getRepository('CmBundle:ElementosRequisiciones')->findBy(array('cveReq' => $cveReq));

                $pdf = new PDFRequisicion('P', 'mm', 'Letter');
                $pdf->SetFont('Arial', '', 12);
                $pdf->AddPage();
                $pdf->generarFormato($cveReq->getCvePla(), $cveReq, $lisReq);

                return new Response($pdf->Output('requisicion.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
            } else { // ES GET
                return $this->redirect($this->generateUrl('logout'));
            }
        } else {
            return $this->redirect($this->generateUrl('logout'));
        }
    }

}
