<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Alumnos
 *
 * @ORM\Table(name="alumnos", indexes={@ORM\Index(name="estatus", columns={"estatus"}), @ORM\Index(name="cve_lic", columns={"cve_lic"}), @ORM\Index(name="cve_pla", columns={"cve_pla"}), @ORM\Index(name="cve_pro", columns={"cve_pro"}), @ORM\Index(name="cve_num_apli", columns={"cve_num_apli"}), @ORM\Index(name="tabla_pagos", columns={"tabla_pagos"}), @ORM\Index(name="cve_edo_pro", columns={"cve_edo_pro"}), @ORM\Index(name="estado", columns={"estado"})})
 * @ORM\Entity
 */
class Alumnos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_alu", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideAlu;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_ctl", type="string", length=20, nullable=false)
     */
    private $cveCtl;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_alu", type="string", length=50, nullable=false)
     */
    private $nomAlu;

    /**
     * @var string
     *
     * @ORM\Column(name="ape_pat", type="string", length=50, nullable=false)
     */
    private $apePat;

    /**
     * @var string
     *
     * @ORM\Column(name="ape_mat", type="string", length=50, nullable=false)
     */
    private $apeMat;

    /**
     * @var string
     *
     * @ORM\Column(name="curp", type="string", length=50, nullable=false)
     */
    private $curp;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_nac", type="date", nullable=true)
     */
    private $fecNac = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="edad", type="integer", nullable=true)
     */
    private $edad = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="sexo", type="boolean", nullable=false)
     */
    private $sexo;

    /**
     * @var string
     *
     * @ORM\Column(name="nacionalidad", type="string", length=50, nullable=true)
     */
    private $nacionalidad = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_ins", type="date", nullable=false)
     */
    private $fecIns;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_ter", type="date", nullable=true)
     */
    private $fecTer = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="anio_ing", type="integer", nullable=false)
     */
    private $anioIng;

    /**
     * @var integer
     *
     * @ORM\Column(name="semestre", type="integer", nullable=true)
     */
    private $semestre = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="correo", type="string", length=50, nullable=true)
     */
    private $correo = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="telefono", type="string", length=20, nullable=true)
     */
    private $telefono = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="telefono_celular", type="string", length=20, nullable=true)
     */
    private $telefonoCelular = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="facebook", type="string", length=100, nullable=true)
     */
    private $facebook = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="dependencia_empresa", type="string", length=500, nullable=true)
     */
    private $dependenciaEmpresa = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="depto", type="string", length=500, nullable=true)
     */
    private $depto = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="observaciones", type="string", length=500, nullable=true)
     */
    private $observaciones = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="coordinador", type="string", length=200, nullable=true)
     */
    private $coordinador = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="sede", type="string", length=100, nullable=true)
     */
    private $sede = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="como_entero", type="string", length=500, nullable=true)
     */
    private $comoEntero = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="calle", type="string", length=255, nullable=false)
     */
    private $calle;

    /**
     * @var string
     *
     * @ORM\Column(name="num_int", type="string", length=5, nullable=false)
     */
    private $numInt;

    /**
     * @var string
     *
     * @ORM\Column(name="num_ext", type="string", length=5, nullable=false)
     */
    private $numExt;

    /**
     * @var string
     *
     * @ORM\Column(name="col_loc", type="string", length=500, nullable=false)
     */
    private $colLoc;

    /**
     * @var string
     *
     * @ORM\Column(name="mun_del", type="string", length=500, nullable=false)
     */
    private $munDel;

    /**
     * @var string
     *
     * @ORM\Column(name="edo", type="string", length=500, nullable=false)
     */
    private $edo;

    /**
     * @var string
     *
     * @ORM\Column(name="cp", type="string", length=15, nullable=false)
     */
    private $cp;

    /**
     * @var boolean
     *
     * @ORM\Column(name="cer_sec", type="boolean", nullable=true)
     */
    private $cerSec = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="cer_pre", type="boolean", nullable=true)
     */
    private $cerPre = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="act_nac", type="boolean", nullable=true)
     */
    private $actNac = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="fot_inf", type="boolean", nullable=true)
     */
    private $fotInf = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="cop_curp", type="boolean", nullable=true)
     */
    private $copCurp = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="cer_med", type="boolean", nullable=true)
     */
    private $cerMed = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="cer_sec_copia", type="boolean", nullable=true)
     */
    private $cerSecCopia = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="cer_pre_copia", type="boolean", nullable=true)
     */
    private $cerPreCopia = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="act_nac_copia", type="boolean", nullable=true)
     */
    private $actNacCopia = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="fot_inf_copia", type="boolean", nullable=true)
     */
    private $fotInfCopia = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="cop_curp_copia", type="boolean", nullable=true)
     */
    private $copCurpCopia = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="cer_med_copia", type="boolean", nullable=true)
     */
    private $cerMedCopia = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_egr_actual", type="date", nullable=true)
     */
    private $fecEgrActual = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_ini_antecedente", type="date", nullable=true)
     */
    private $fecIniAntecedente = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_exa_profesional", type="date", nullable=true)
     */
    private $fecExaProfesional = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_excen_examen", type="date", nullable=true)
     */
    private $fecExcenExamen = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_exped_titulo", type="date", nullable=true)
     */
    private $fecExpedTitulo = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="turno", type="string", length=50, nullable=true)
     */
    private $turno = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="tipo_alumno", type="integer", nullable=true)
     */
    private $tipoAlumno = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="modo_pago", type="integer", nullable=true)
     */
    private $modoPago = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="modalidad", type="string", length=30, nullable=true)
     */
    private $modalidad = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="numero", type="integer", nullable=true)
     */
    private $numero = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="reinscripcion", type="integer", nullable=true)
     */
    private $reinscripcion = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="cve_anterior", type="string", length=30, nullable=true)
     */
    private $cveAnterior = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="dias_turno", type="string", length=100, nullable=true)
     */
    private $diasTurno = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="horario_turno", type="time", nullable=true)
     */
    private $horarioTurno = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="horario_salida_turno", type="time", nullable=true)
     */
    private $horarioSalidaTurno = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="costo_inscripcion", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $costoInscripcion = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="costo_reinscripciones", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $costoReinscripciones = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="costo_mensualidad", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $costoMensualidad = '0.00';

    /**
     * @var integer
     *
     * @ORM\Column(name="corte_a", type="integer", nullable=true)
     */
    private $corteA = '6';

    /**
     * @var integer
     *
     * @ORM\Column(name="corte_b", type="integer", nullable=true)
     */
    private $corteB = '18';

    /**
     * @var string
     *
     * @ORM\Column(name="cedula", type="string", length=100, nullable=true)
     */
    private $cedula = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="contador", type="integer", nullable=true)
     */
    private $contador = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="licenciatura", type="string", length=300, nullable=true)
     */
    private $licenciatura = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="ced_lic", type="string", length=100, nullable=true)
     */
    private $cedLic = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="maestria", type="string", length=300, nullable=true)
     */
    private $maestria = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="ced_mae", type="string", length=100, nullable=true)
     */
    private $cedMae = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="credencial", type="boolean", nullable=true)
     */
    private $credencial = '0';

    /**
     * @var boolean
     *
     * @ORM\Column(name="vig_credencial", type="boolean", nullable=true)
     */
    private $vigCredencial = '0';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fecha_credencial", type="date", nullable=true)
     */
    private $fechaCredencial = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="folio_credencial", type="string", length=20, nullable=true)
     */
    private $folioCredencial = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="contador_credencial", type="integer", nullable=true)
     */
    private $contadorCredencial = '1';

    /**
     * @var integer
     *
     * @ORM\Column(name="convenio", type="integer", nullable=true)
     */
    private $convenio = '0';

    /**
     * @var integer
     *
     * @ORM\Column(name="contador_convenio", type="integer", nullable=false)
     */
    private $contadorConvenio = '1';

    /**
     * @var integer
     *
     * @ORM\Column(name="paga", type="integer", nullable=false)
     */
    private $paga = '1';

    /**
     * @var integer
     *
     * @ORM\Column(name="recargos", type="integer", nullable=false)
     */
    private $recargos = '1';

    /**
     * @var integer
     *
     * @ORM\Column(name="especialidad_titulacion", type="integer", nullable=true)
     */
    private $especialidadTitulacion = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="user_name", type="string", length=500, nullable=true)
     */
    private $userName = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="password", type="string", length=500, nullable=true)
     */
    private $password = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var \Estatus
     *
     * @ORM\ManyToOne(targetEntity="Estatus")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="estatus", referencedColumnName="ide_est")
     * })
     */
    private $estatus;

    /**
     * @var \EntidadesFederativas
     *
     * @ORM\ManyToOne(targetEntity="EntidadesFederativas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="estado", referencedColumnName="ide_ent_fed")
     * })
     */
    private $estado;

    /**
     * @var \Licenciaturas
     *
     * @ORM\ManyToOne(targetEntity="Licenciaturas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_lic", referencedColumnName="ide_lic")
     * })
     */
    private $cveLic;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;

    /**
     * @var \Procedencias
     *
     * @ORM\ManyToOne(targetEntity="Procedencias")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pro", referencedColumnName="ide_pro")
     * })
     */
    private $cvePro;

    /**
     * @var \AplicacionExamenUnico
     *
     * @ORM\ManyToOne(targetEntity="AplicacionExamenUnico")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_num_apli", referencedColumnName="ide_ap_exa_uni")
     * })
     */
    private $cveNumApli;

    /**
     * @var \BecasBachillerato
     *
     * @ORM\ManyToOne(targetEntity="BecasBachillerato")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="tabla_pagos", referencedColumnName="ide_bec_bac")
     * })
     */
    private $tablaPagos;

    /**
     * @var \EntidadesFederativas
     *
     * @ORM\ManyToOne(targetEntity="EntidadesFederativas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_edo_pro", referencedColumnName="ide_ent_fed")
     * })
     */
    private $cveEdoPro;



    /**
     * Get ideAlu
     *
     * @return integer
     */
    public function getIdeAlu()
    {
        return $this->ideAlu;
    }

    /**
     * Set cveCtl
     *
     * @param string $cveCtl
     *
     * @return Alumnos
     */
    public function setCveCtl($cveCtl)
    {
        $this->cveCtl = $cveCtl;
    
        return $this;
    }

    /**
     * Get cveCtl
     *
     * @return string
     */
    public function getCveCtl()
    {
        return $this->cveCtl;
    }

    /**
     * Set nomAlu
     *
     * @param string $nomAlu
     *
     * @return Alumnos
     */
    public function setNomAlu($nomAlu)
    {
        $this->nomAlu = $nomAlu;
    
        return $this;
    }

    /**
     * Get nomAlu
     *
     * @return string
     */
    public function getNomAlu()
    {
        return $this->nomAlu;
    }

    /**
     * Set apePat
     *
     * @param string $apePat
     *
     * @return Alumnos
     */
    public function setApePat($apePat)
    {
        $this->apePat = $apePat;
    
        return $this;
    }

    /**
     * Get apePat
     *
     * @return string
     */
    public function getApePat()
    {
        return $this->apePat;
    }

    /**
     * Set apeMat
     *
     * @param string $apeMat
     *
     * @return Alumnos
     */
    public function setApeMat($apeMat)
    {
        $this->apeMat = $apeMat;
    
        return $this;
    }

    /**
     * Get apeMat
     *
     * @return string
     */
    public function getApeMat()
    {
        return $this->apeMat;
    }

    /**
     * Set curp
     *
     * @param string $curp
     *
     * @return Alumnos
     */
    public function setCurp($curp)
    {
        $this->curp = $curp;
    
        return $this;
    }

    /**
     * Get curp
     *
     * @return string
     */
    public function getCurp()
    {
        return $this->curp;
    }

    /**
     * Set fecNac
     *
     * @param \DateTime $fecNac
     *
     * @return Alumnos
     */
    public function setFecNac($fecNac)
    {
        $this->fecNac = $fecNac;
    
        return $this;
    }

    /**
     * Get fecNac
     *
     * @return \DateTime
     */
    public function getFecNac()
    {
        return $this->fecNac;
    }

    /**
     * Set edad
     *
     * @param integer $edad
     *
     * @return Alumnos
     */
    public function setEdad($edad)
    {
        $this->edad = $edad;
    
        return $this;
    }

    /**
     * Get edad
     *
     * @return integer
     */
    public function getEdad()
    {
        return $this->edad;
    }

    /**
     * Set sexo
     *
     * @param boolean $sexo
     *
     * @return Alumnos
     */
    public function setSexo($sexo)
    {
        $this->sexo = $sexo;
    
        return $this;
    }

    /**
     * Get sexo
     *
     * @return boolean
     */
    public function getSexo()
    {
        return $this->sexo;
    }

    /**
     * Set nacionalidad
     *
     * @param string $nacionalidad
     *
     * @return Alumnos
     */
    public function setNacionalidad($nacionalidad)
    {
        $this->nacionalidad = $nacionalidad;
    
        return $this;
    }

    /**
     * Get nacionalidad
     *
     * @return string
     */
    public function getNacionalidad()
    {
        return $this->nacionalidad;
    }

    /**
     * Set fecIns
     *
     * @param \DateTime $fecIns
     *
     * @return Alumnos
     */
    public function setFecIns($fecIns)
    {
        $this->fecIns = $fecIns;
    
        return $this;
    }

    /**
     * Get fecIns
     *
     * @return \DateTime
     */
    public function getFecIns()
    {
        return $this->fecIns;
    }

    /**
     * Set fecTer
     *
     * @param \DateTime $fecTer
     *
     * @return Alumnos
     */
    public function setFecTer($fecTer)
    {
        $this->fecTer = $fecTer;
    
        return $this;
    }

    /**
     * Get fecTer
     *
     * @return \DateTime
     */
    public function getFecTer()
    {
        return $this->fecTer;
    }

    /**
     * Set anioIng
     *
     * @param integer $anioIng
     *
     * @return Alumnos
     */
    public function setAnioIng($anioIng)
    {
        $this->anioIng = $anioIng;
    
        return $this;
    }

    /**
     * Get anioIng
     *
     * @return integer
     */
    public function getAnioIng()
    {
        return $this->anioIng;
    }

    /**
     * Set semestre
     *
     * @param integer $semestre
     *
     * @return Alumnos
     */
    public function setSemestre($semestre)
    {
        $this->semestre = $semestre;
    
        return $this;
    }

    /**
     * Get semestre
     *
     * @return integer
     */
    public function getSemestre()
    {
        return $this->semestre;
    }

    /**
     * Set correo
     *
     * @param string $correo
     *
     * @return Alumnos
     */
    public function setCorreo($correo)
    {
        $this->correo = $correo;
    
        return $this;
    }

    /**
     * Get correo
     *
     * @return string
     */
    public function getCorreo()
    {
        return $this->correo;
    }

    /**
     * Set telefono
     *
     * @param string $telefono
     *
     * @return Alumnos
     */
    public function setTelefono($telefono)
    {
        $this->telefono = $telefono;
    
        return $this;
    }

    /**
     * Get telefono
     *
     * @return string
     */
    public function getTelefono()
    {
        return $this->telefono;
    }

    /**
     * Set telefonoCelular
     *
     * @param string $telefonoCelular
     *
     * @return Alumnos
     */
    public function setTelefonoCelular($telefonoCelular)
    {
        $this->telefonoCelular = $telefonoCelular;
    
        return $this;
    }

    /**
     * Get telefonoCelular
     *
     * @return string
     */
    public function getTelefonoCelular()
    {
        return $this->telefonoCelular;
    }

    /**
     * Set facebook
     *
     * @param string $facebook
     *
     * @return Alumnos
     */
    public function setFacebook($facebook)
    {
        $this->facebook = $facebook;
    
        return $this;
    }

    /**
     * Get facebook
     *
     * @return string
     */
    public function getFacebook()
    {
        return $this->facebook;
    }

    /**
     * Set dependenciaEmpresa
     *
     * @param string $dependenciaEmpresa
     *
     * @return Alumnos
     */
    public function setDependenciaEmpresa($dependenciaEmpresa)
    {
        $this->dependenciaEmpresa = $dependenciaEmpresa;
    
        return $this;
    }

    /**
     * Get dependenciaEmpresa
     *
     * @return string
     */
    public function getDependenciaEmpresa()
    {
        return $this->dependenciaEmpresa;
    }

    /**
     * Set depto
     *
     * @param string $depto
     *
     * @return Alumnos
     */
    public function setDepto($depto)
    {
        $this->depto = $depto;
    
        return $this;
    }

    /**
     * Get depto
     *
     * @return string
     */
    public function getDepto()
    {
        return $this->depto;
    }

    /**
     * Set observaciones
     *
     * @param string $observaciones
     *
     * @return Alumnos
     */
    public function setObservaciones($observaciones)
    {
        $this->observaciones = $observaciones;
    
        return $this;
    }

    /**
     * Get observaciones
     *
     * @return string
     */
    public function getObservaciones()
    {
        return $this->observaciones;
    }

    /**
     * Set coordinador
     *
     * @param string $coordinador
     *
     * @return Alumnos
     */
    public function setCoordinador($coordinador)
    {
        $this->coordinador = $coordinador;
    
        return $this;
    }

    /**
     * Get coordinador
     *
     * @return string
     */
    public function getCoordinador()
    {
        return $this->coordinador;
    }

    /**
     * Set sede
     *
     * @param string $sede
     *
     * @return Alumnos
     */
    public function setSede($sede)
    {
        $this->sede = $sede;
    
        return $this;
    }

    /**
     * Get sede
     *
     * @return string
     */
    public function getSede()
    {
        return $this->sede;
    }

    /**
     * Set comoEntero
     *
     * @param string $comoEntero
     *
     * @return Alumnos
     */
    public function setComoEntero($comoEntero)
    {
        $this->comoEntero = $comoEntero;
    
        return $this;
    }

    /**
     * Get comoEntero
     *
     * @return string
     */
    public function getComoEntero()
    {
        return $this->comoEntero;
    }

    /**
     * Set calle
     *
     * @param string $calle
     *
     * @return Alumnos
     */
    public function setCalle($calle)
    {
        $this->calle = $calle;
    
        return $this;
    }

    /**
     * Get calle
     *
     * @return string
     */
    public function getCalle()
    {
        return $this->calle;
    }

    /**
     * Set numInt
     *
     * @param string $numInt
     *
     * @return Alumnos
     */
    public function setNumInt($numInt)
    {
        $this->numInt = $numInt;
    
        return $this;
    }

    /**
     * Get numInt
     *
     * @return string
     */
    public function getNumInt()
    {
        return $this->numInt;
    }

    /**
     * Set numExt
     *
     * @param string $numExt
     *
     * @return Alumnos
     */
    public function setNumExt($numExt)
    {
        $this->numExt = $numExt;
    
        return $this;
    }

    /**
     * Get numExt
     *
     * @return string
     */
    public function getNumExt()
    {
        return $this->numExt;
    }

    /**
     * Set colLoc
     *
     * @param string $colLoc
     *
     * @return Alumnos
     */
    public function setColLoc($colLoc)
    {
        $this->colLoc = $colLoc;
    
        return $this;
    }

    /**
     * Get colLoc
     *
     * @return string
     */
    public function getColLoc()
    {
        return $this->colLoc;
    }

    /**
     * Set munDel
     *
     * @param string $munDel
     *
     * @return Alumnos
     */
    public function setMunDel($munDel)
    {
        $this->munDel = $munDel;
    
        return $this;
    }

    /**
     * Get munDel
     *
     * @return string
     */
    public function getMunDel()
    {
        return $this->munDel;
    }

    /**
     * Set edo
     *
     * @param string $edo
     *
     * @return Alumnos
     */
    public function setEdo($edo)
    {
        $this->edo = $edo;
    
        return $this;
    }

    /**
     * Get edo
     *
     * @return string
     */
    public function getEdo()
    {
        return $this->edo;
    }

    /**
     * Set cp
     *
     * @param string $cp
     *
     * @return Alumnos
     */
    public function setCp($cp)
    {
        $this->cp = $cp;
    
        return $this;
    }

    /**
     * Get cp
     *
     * @return string
     */
    public function getCp()
    {
        return $this->cp;
    }

    /**
     * Set cerSec
     *
     * @param boolean $cerSec
     *
     * @return Alumnos
     */
    public function setCerSec($cerSec)
    {
        $this->cerSec = $cerSec;
    
        return $this;
    }

    /**
     * Get cerSec
     *
     * @return boolean
     */
    public function getCerSec()
    {
        return $this->cerSec;
    }

    /**
     * Set cerPre
     *
     * @param boolean $cerPre
     *
     * @return Alumnos
     */
    public function setCerPre($cerPre)
    {
        $this->cerPre = $cerPre;
    
        return $this;
    }

    /**
     * Get cerPre
     *
     * @return boolean
     */
    public function getCerPre()
    {
        return $this->cerPre;
    }

    /**
     * Set actNac
     *
     * @param boolean $actNac
     *
     * @return Alumnos
     */
    public function setActNac($actNac)
    {
        $this->actNac = $actNac;
    
        return $this;
    }

    /**
     * Get actNac
     *
     * @return boolean
     */
    public function getActNac()
    {
        return $this->actNac;
    }

    /**
     * Set fotInf
     *
     * @param boolean $fotInf
     *
     * @return Alumnos
     */
    public function setFotInf($fotInf)
    {
        $this->fotInf = $fotInf;
    
        return $this;
    }

    /**
     * Get fotInf
     *
     * @return boolean
     */
    public function getFotInf()
    {
        return $this->fotInf;
    }

    /**
     * Set copCurp
     *
     * @param boolean $copCurp
     *
     * @return Alumnos
     */
    public function setCopCurp($copCurp)
    {
        $this->copCurp = $copCurp;
    
        return $this;
    }

    /**
     * Get copCurp
     *
     * @return boolean
     */
    public function getCopCurp()
    {
        return $this->copCurp;
    }

    /**
     * Set cerMed
     *
     * @param boolean $cerMed
     *
     * @return Alumnos
     */
    public function setCerMed($cerMed)
    {
        $this->cerMed = $cerMed;
    
        return $this;
    }

    /**
     * Get cerMed
     *
     * @return boolean
     */
    public function getCerMed()
    {
        return $this->cerMed;
    }

    /**
     * Set cerSecCopia
     *
     * @param boolean $cerSecCopia
     *
     * @return Alumnos
     */
    public function setCerSecCopia($cerSecCopia)
    {
        $this->cerSecCopia = $cerSecCopia;
    
        return $this;
    }

    /**
     * Get cerSecCopia
     *
     * @return boolean
     */
    public function getCerSecCopia()
    {
        return $this->cerSecCopia;
    }

    /**
     * Set cerPreCopia
     *
     * @param boolean $cerPreCopia
     *
     * @return Alumnos
     */
    public function setCerPreCopia($cerPreCopia)
    {
        $this->cerPreCopia = $cerPreCopia;
    
        return $this;
    }

    /**
     * Get cerPreCopia
     *
     * @return boolean
     */
    public function getCerPreCopia()
    {
        return $this->cerPreCopia;
    }

    /**
     * Set actNacCopia
     *
     * @param boolean $actNacCopia
     *
     * @return Alumnos
     */
    public function setActNacCopia($actNacCopia)
    {
        $this->actNacCopia = $actNacCopia;
    
        return $this;
    }

    /**
     * Get actNacCopia
     *
     * @return boolean
     */
    public function getActNacCopia()
    {
        return $this->actNacCopia;
    }

    /**
     * Set fotInfCopia
     *
     * @param boolean $fotInfCopia
     *
     * @return Alumnos
     */
    public function setFotInfCopia($fotInfCopia)
    {
        $this->fotInfCopia = $fotInfCopia;
    
        return $this;
    }

    /**
     * Get fotInfCopia
     *
     * @return boolean
     */
    public function getFotInfCopia()
    {
        return $this->fotInfCopia;
    }

    /**
     * Set copCurpCopia
     *
     * @param boolean $copCurpCopia
     *
     * @return Alumnos
     */
    public function setCopCurpCopia($copCurpCopia)
    {
        $this->copCurpCopia = $copCurpCopia;
    
        return $this;
    }

    /**
     * Get copCurpCopia
     *
     * @return boolean
     */
    public function getCopCurpCopia()
    {
        return $this->copCurpCopia;
    }

    /**
     * Set cerMedCopia
     *
     * @param boolean $cerMedCopia
     *
     * @return Alumnos
     */
    public function setCerMedCopia($cerMedCopia)
    {
        $this->cerMedCopia = $cerMedCopia;
    
        return $this;
    }

    /**
     * Get cerMedCopia
     *
     * @return boolean
     */
    public function getCerMedCopia()
    {
        return $this->cerMedCopia;
    }

    /**
     * Set fecEgrActual
     *
     * @param \DateTime $fecEgrActual
     *
     * @return Alumnos
     */
    public function setFecEgrActual($fecEgrActual)
    {
        $this->fecEgrActual = $fecEgrActual;
    
        return $this;
    }

    /**
     * Get fecEgrActual
     *
     * @return \DateTime
     */
    public function getFecEgrActual()
    {
        return $this->fecEgrActual;
    }

    /**
     * Set fecIniAntecedente
     *
     * @param \DateTime $fecIniAntecedente
     *
     * @return Alumnos
     */
    public function setFecIniAntecedente($fecIniAntecedente)
    {
        $this->fecIniAntecedente = $fecIniAntecedente;
    
        return $this;
    }

    /**
     * Get fecIniAntecedente
     *
     * @return \DateTime
     */
    public function getFecIniAntecedente()
    {
        return $this->fecIniAntecedente;
    }

    /**
     * Set fecExaProfesional
     *
     * @param \DateTime $fecExaProfesional
     *
     * @return Alumnos
     */
    public function setFecExaProfesional($fecExaProfesional)
    {
        $this->fecExaProfesional = $fecExaProfesional;
    
        return $this;
    }

    /**
     * Get fecExaProfesional
     *
     * @return \DateTime
     */
    public function getFecExaProfesional()
    {
        return $this->fecExaProfesional;
    }

    /**
     * Set fecExcenExamen
     *
     * @param \DateTime $fecExcenExamen
     *
     * @return Alumnos
     */
    public function setFecExcenExamen($fecExcenExamen)
    {
        $this->fecExcenExamen = $fecExcenExamen;
    
        return $this;
    }

    /**
     * Get fecExcenExamen
     *
     * @return \DateTime
     */
    public function getFecExcenExamen()
    {
        return $this->fecExcenExamen;
    }

    /**
     * Set fecExpedTitulo
     *
     * @param \DateTime $fecExpedTitulo
     *
     * @return Alumnos
     */
    public function setFecExpedTitulo($fecExpedTitulo)
    {
        $this->fecExpedTitulo = $fecExpedTitulo;
    
        return $this;
    }

    /**
     * Get fecExpedTitulo
     *
     * @return \DateTime
     */
    public function getFecExpedTitulo()
    {
        return $this->fecExpedTitulo;
    }

    /**
     * Set turno
     *
     * @param string $turno
     *
     * @return Alumnos
     */
    public function setTurno($turno)
    {
        $this->turno = $turno;
    
        return $this;
    }

    /**
     * Get turno
     *
     * @return string
     */
    public function getTurno()
    {
        return $this->turno;
    }

    /**
     * Set tipoAlumno
     *
     * @param integer $tipoAlumno
     *
     * @return Alumnos
     */
    public function setTipoAlumno($tipoAlumno)
    {
        $this->tipoAlumno = $tipoAlumno;
    
        return $this;
    }

    /**
     * Get tipoAlumno
     *
     * @return integer
     */
    public function getTipoAlumno()
    {
        return $this->tipoAlumno;
    }

    /**
     * Set modoPago
     *
     * @param integer $modoPago
     *
     * @return Alumnos
     */
    public function setModoPago($modoPago)
    {
        $this->modoPago = $modoPago;
    
        return $this;
    }

    /**
     * Get modoPago
     *
     * @return integer
     */
    public function getModoPago()
    {
        return $this->modoPago;
    }

    /**
     * Set modalidad
     *
     * @param string $modalidad
     *
     * @return Alumnos
     */
    public function setModalidad($modalidad)
    {
        $this->modalidad = $modalidad;
    
        return $this;
    }

    /**
     * Get modalidad
     *
     * @return string
     */
    public function getModalidad()
    {
        return $this->modalidad;
    }

    /**
     * Set numero
     *
     * @param integer $numero
     *
     * @return Alumnos
     */
    public function setNumero($numero)
    {
        $this->numero = $numero;
    
        return $this;
    }

    /**
     * Get numero
     *
     * @return integer
     */
    public function getNumero()
    {
        return $this->numero;
    }

    /**
     * Set reinscripcion
     *
     * @param integer $reinscripcion
     *
     * @return Alumnos
     */
    public function setReinscripcion($reinscripcion)
    {
        $this->reinscripcion = $reinscripcion;
    
        return $this;
    }

    /**
     * Get reinscripcion
     *
     * @return integer
     */
    public function getReinscripcion()
    {
        return $this->reinscripcion;
    }

    /**
     * Set cveAnterior
     *
     * @param string $cveAnterior
     *
     * @return Alumnos
     */
    public function setCveAnterior($cveAnterior)
    {
        $this->cveAnterior = $cveAnterior;
    
        return $this;
    }

    /**
     * Get cveAnterior
     *
     * @return string
     */
    public function getCveAnterior()
    {
        return $this->cveAnterior;
    }

    /**
     * Set diasTurno
     *
     * @param string $diasTurno
     *
     * @return Alumnos
     */
    public function setDiasTurno($diasTurno)
    {
        $this->diasTurno = $diasTurno;
    
        return $this;
    }

    /**
     * Get diasTurno
     *
     * @return string
     */
    public function getDiasTurno()
    {
        return $this->diasTurno;
    }

    /**
     * Set horarioTurno
     *
     * @param \DateTime $horarioTurno
     *
     * @return Alumnos
     */
    public function setHorarioTurno($horarioTurno)
    {
        $this->horarioTurno = $horarioTurno;
    
        return $this;
    }

    /**
     * Get horarioTurno
     *
     * @return \DateTime
     */
    public function getHorarioTurno()
    {
        return $this->horarioTurno;
    }

    /**
     * Set horarioSalidaTurno
     *
     * @param \DateTime $horarioSalidaTurno
     *
     * @return Alumnos
     */
    public function setHorarioSalidaTurno($horarioSalidaTurno)
    {
        $this->horarioSalidaTurno = $horarioSalidaTurno;
    
        return $this;
    }

    /**
     * Get horarioSalidaTurno
     *
     * @return \DateTime
     */
    public function getHorarioSalidaTurno()
    {
        return $this->horarioSalidaTurno;
    }

    /**
     * Set costoInscripcion
     *
     * @param string $costoInscripcion
     *
     * @return Alumnos
     */
    public function setCostoInscripcion($costoInscripcion)
    {
        $this->costoInscripcion = $costoInscripcion;
    
        return $this;
    }

    /**
     * Get costoInscripcion
     *
     * @return string
     */
    public function getCostoInscripcion()
    {
        return $this->costoInscripcion;
    }

    /**
     * Set costoReinscripciones
     *
     * @param string $costoReinscripciones
     *
     * @return Alumnos
     */
    public function setCostoReinscripciones($costoReinscripciones)
    {
        $this->costoReinscripciones = $costoReinscripciones;
    
        return $this;
    }

    /**
     * Get costoReinscripciones
     *
     * @return string
     */
    public function getCostoReinscripciones()
    {
        return $this->costoReinscripciones;
    }

    /**
     * Set costoMensualidad
     *
     * @param string $costoMensualidad
     *
     * @return Alumnos
     */
    public function setCostoMensualidad($costoMensualidad)
    {
        $this->costoMensualidad = $costoMensualidad;
    
        return $this;
    }

    /**
     * Get costoMensualidad
     *
     * @return string
     */
    public function getCostoMensualidad()
    {
        return $this->costoMensualidad;
    }

    /**
     * Set corteA
     *
     * @param integer $corteA
     *
     * @return Alumnos
     */
    public function setCorteA($corteA)
    {
        $this->corteA = $corteA;
    
        return $this;
    }

    /**
     * Get corteA
     *
     * @return integer
     */
    public function getCorteA()
    {
        return $this->corteA;
    }

    /**
     * Set corteB
     *
     * @param integer $corteB
     *
     * @return Alumnos
     */
    public function setCorteB($corteB)
    {
        $this->corteB = $corteB;
    
        return $this;
    }

    /**
     * Get corteB
     *
     * @return integer
     */
    public function getCorteB()
    {
        return $this->corteB;
    }

    /**
     * Set cedula
     *
     * @param string $cedula
     *
     * @return Alumnos
     */
    public function setCedula($cedula)
    {
        $this->cedula = $cedula;
    
        return $this;
    }

    /**
     * Get cedula
     *
     * @return string
     */
    public function getCedula()
    {
        return $this->cedula;
    }

    /**
     * Set contador
     *
     * @param integer $contador
     *
     * @return Alumnos
     */
    public function setContador($contador)
    {
        $this->contador = $contador;
    
        return $this;
    }

    /**
     * Get contador
     *
     * @return integer
     */
    public function getContador()
    {
        return $this->contador;
    }

    /**
     * Set licenciatura
     *
     * @param string $licenciatura
     *
     * @return Alumnos
     */
    public function setLicenciatura($licenciatura)
    {
        $this->licenciatura = $licenciatura;
    
        return $this;
    }

    /**
     * Get licenciatura
     *
     * @return string
     */
    public function getLicenciatura()
    {
        return $this->licenciatura;
    }

    /**
     * Set cedLic
     *
     * @param string $cedLic
     *
     * @return Alumnos
     */
    public function setCedLic($cedLic)
    {
        $this->cedLic = $cedLic;
    
        return $this;
    }

    /**
     * Get cedLic
     *
     * @return string
     */
    public function getCedLic()
    {
        return $this->cedLic;
    }

    /**
     * Set maestria
     *
     * @param string $maestria
     *
     * @return Alumnos
     */
    public function setMaestria($maestria)
    {
        $this->maestria = $maestria;
    
        return $this;
    }

    /**
     * Get maestria
     *
     * @return string
     */
    public function getMaestria()
    {
        return $this->maestria;
    }

    /**
     * Set cedMae
     *
     * @param string $cedMae
     *
     * @return Alumnos
     */
    public function setCedMae($cedMae)
    {
        $this->cedMae = $cedMae;
    
        return $this;
    }

    /**
     * Get cedMae
     *
     * @return string
     */
    public function getCedMae()
    {
        return $this->cedMae;
    }

    /**
     * Set credencial
     *
     * @param boolean $credencial
     *
     * @return Alumnos
     */
    public function setCredencial($credencial)
    {
        $this->credencial = $credencial;
    
        return $this;
    }

    /**
     * Get credencial
     *
     * @return boolean
     */
    public function getCredencial()
    {
        return $this->credencial;
    }

    /**
     * Set vigCredencial
     *
     * @param boolean $vigCredencial
     *
     * @return Alumnos
     */
    public function setVigCredencial($vigCredencial)
    {
        $this->vigCredencial = $vigCredencial;
    
        return $this;
    }

    /**
     * Get vigCredencial
     *
     * @return boolean
     */
    public function getVigCredencial()
    {
        return $this->vigCredencial;
    }

    /**
     * Set fechaCredencial
     *
     * @param \DateTime $fechaCredencial
     *
     * @return Alumnos
     */
    public function setFechaCredencial($fechaCredencial)
    {
        $this->fechaCredencial = $fechaCredencial;
    
        return $this;
    }

    /**
     * Get fechaCredencial
     *
     * @return \DateTime
     */
    public function getFechaCredencial()
    {
        return $this->fechaCredencial;
    }

    /**
     * Set folioCredencial
     *
     * @param string $folioCredencial
     *
     * @return Alumnos
     */
    public function setFolioCredencial($folioCredencial)
    {
        $this->folioCredencial = $folioCredencial;
    
        return $this;
    }

    /**
     * Get folioCredencial
     *
     * @return string
     */
    public function getFolioCredencial()
    {
        return $this->folioCredencial;
    }

    /**
     * Set contadorCredencial
     *
     * @param integer $contadorCredencial
     *
     * @return Alumnos
     */
    public function setContadorCredencial($contadorCredencial)
    {
        $this->contadorCredencial = $contadorCredencial;
    
        return $this;
    }

    /**
     * Get contadorCredencial
     *
     * @return integer
     */
    public function getContadorCredencial()
    {
        return $this->contadorCredencial;
    }

    /**
     * Set convenio
     *
     * @param integer $convenio
     *
     * @return Alumnos
     */
    public function setConvenio($convenio)
    {
        $this->convenio = $convenio;
    
        return $this;
    }

    /**
     * Get convenio
     *
     * @return integer
     */
    public function getConvenio()
    {
        return $this->convenio;
    }

    /**
     * Set contadorConvenio
     *
     * @param integer $contadorConvenio
     *
     * @return Alumnos
     */
    public function setContadorConvenio($contadorConvenio)
    {
        $this->contadorConvenio = $contadorConvenio;
    
        return $this;
    }

    /**
     * Get contadorConvenio
     *
     * @return integer
     */
    public function getContadorConvenio()
    {
        return $this->contadorConvenio;
    }

    /**
     * Set paga
     *
     * @param integer $paga
     *
     * @return Alumnos
     */
    public function setPaga($paga)
    {
        $this->paga = $paga;
    
        return $this;
    }

    /**
     * Get paga
     *
     * @return integer
     */
    public function getPaga()
    {
        return $this->paga;
    }

    /**
     * Set recargos
     *
     * @param integer $recargos
     *
     * @return Alumnos
     */
    public function setRecargos($recargos)
    {
        $this->recargos = $recargos;
    
        return $this;
    }

    /**
     * Get recargos
     *
     * @return integer
     */
    public function getRecargos()
    {
        return $this->recargos;
    }

    /**
     * Set especialidadTitulacion
     *
     * @param integer $especialidadTitulacion
     *
     * @return Alumnos
     */
    public function setEspecialidadTitulacion($especialidadTitulacion)
    {
        $this->especialidadTitulacion = $especialidadTitulacion;
    
        return $this;
    }

    /**
     * Get especialidadTitulacion
     *
     * @return integer
     */
    public function getEspecialidadTitulacion()
    {
        return $this->especialidadTitulacion;
    }

    /**
     * Set userName
     *
     * @param string $userName
     *
     * @return Alumnos
     */
    public function setUserName($userName)
    {
        $this->userName = $userName;
    
        return $this;
    }

    /**
     * Get userName
     *
     * @return string
     */
    public function getUserName()
    {
        return $this->userName;
    }

    /**
     * Set password
     *
     * @param string $password
     *
     * @return Alumnos
     */
    public function setPassword($password)
    {
        $this->password = $password;
    
        return $this;
    }

    /**
     * Get password
     *
     * @return string
     */
    public function getPassword()
    {
        return $this->password;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Alumnos
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Alumnos
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set estatus
     *
     * @param \CmBundle\Entity\Estatus $estatus
     *
     * @return Alumnos
     */
    public function setEstatus(\CmBundle\Entity\Estatus $estatus = null)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return \CmBundle\Entity\Estatus
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set estado
     *
     * @param \CmBundle\Entity\EntidadesFederativas $estado
     *
     * @return Alumnos
     */
    public function setEstado(\CmBundle\Entity\EntidadesFederativas $estado = null)
    {
        $this->estado = $estado;
    
        return $this;
    }

    /**
     * Get estado
     *
     * @return \CmBundle\Entity\EntidadesFederativas
     */
    public function getEstado()
    {
        return $this->estado;
    }

    /**
     * Set cveLic
     *
     * @param \CmBundle\Entity\Licenciaturas $cveLic
     *
     * @return Alumnos
     */
    public function setCveLic(\CmBundle\Entity\Licenciaturas $cveLic = null)
    {
        $this->cveLic = $cveLic;
    
        return $this;
    }

    /**
     * Get cveLic
     *
     * @return \CmBundle\Entity\Licenciaturas
     */
    public function getCveLic()
    {
        return $this->cveLic;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return Alumnos
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }

    /**
     * Set cvePro
     *
     * @param \CmBundle\Entity\Procedencias $cvePro
     *
     * @return Alumnos
     */
    public function setCvePro(\CmBundle\Entity\Procedencias $cvePro = null)
    {
        $this->cvePro = $cvePro;
    
        return $this;
    }

    /**
     * Get cvePro
     *
     * @return \CmBundle\Entity\Procedencias
     */
    public function getCvePro()
    {
        return $this->cvePro;
    }

    /**
     * Set cveNumApli
     *
     * @param \CmBundle\Entity\AplicacionExamenUnico $cveNumApli
     *
     * @return Alumnos
     */
    public function setCveNumApli(\CmBundle\Entity\AplicacionExamenUnico $cveNumApli = null)
    {
        $this->cveNumApli = $cveNumApli;
    
        return $this;
    }

    /**
     * Get cveNumApli
     *
     * @return \CmBundle\Entity\AplicacionExamenUnico
     */
    public function getCveNumApli()
    {
        return $this->cveNumApli;
    }

    /**
     * Set tablaPagos
     *
     * @param \CmBundle\Entity\BecasBachillerato $tablaPagos
     *
     * @return Alumnos
     */
    public function setTablaPagos(\CmBundle\Entity\BecasBachillerato $tablaPagos = null)
    {
        $this->tablaPagos = $tablaPagos;
    
        return $this;
    }

    /**
     * Get tablaPagos
     *
     * @return \CmBundle\Entity\BecasBachillerato
     */
    public function getTablaPagos()
    {
        return $this->tablaPagos;
    }

    /**
     * Set cveEdoPro
     *
     * @param \CmBundle\Entity\EntidadesFederativas $cveEdoPro
     *
     * @return Alumnos
     */
    public function setCveEdoPro(\CmBundle\Entity\EntidadesFederativas $cveEdoPro = null)
    {
        $this->cveEdoPro = $cveEdoPro;
    
        return $this;
    }

    /**
     * Get cveEdoPro
     *
     * @return \CmBundle\Entity\EntidadesFederativas
     */
    public function getCveEdoPro()
    {
        return $this->cveEdoPro;
    }
}
