<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AlumnosCredenciales
 *
 * @ORM\Table(name="alumnos_credenciales", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"})})
 * @ORM\Entity
 */
class AlumnosCredenciales
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_alu_cre", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideAluCre;

    /**
     * @var string
     *
     * @ORM\Column(name="folio", type="string", length=20, nullable=false)
     */
    private $folio;

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="vig_ini", type="date", nullable=false)
     */
    private $vigIni;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="vig_fin", type="date", nullable=false)
     */
    private $vigFin;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;



    /**
     * Get ideAluCre
     *
     * @return integer
     */
    public function getIdeAluCre()
    {
        return $this->ideAluCre;
    }

    /**
     * Set folio
     *
     * @param string $folio
     *
     * @return AlumnosCredenciales
     */
    public function setFolio($folio)
    {
        $this->folio = $folio;
    
        return $this;
    }

    /**
     * Get folio
     *
     * @return string
     */
    public function getFolio()
    {
        return $this->folio;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return AlumnosCredenciales
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set vigIni
     *
     * @param \DateTime $vigIni
     *
     * @return AlumnosCredenciales
     */
    public function setVigIni($vigIni)
    {
        $this->vigIni = $vigIni;
    
        return $this;
    }

    /**
     * Get vigIni
     *
     * @return \DateTime
     */
    public function getVigIni()
    {
        return $this->vigIni;
    }

    /**
     * Set vigFin
     *
     * @param \DateTime $vigFin
     *
     * @return AlumnosCredenciales
     */
    public function setVigFin($vigFin)
    {
        $this->vigFin = $vigFin;
    
        return $this;
    }

    /**
     * Get vigFin
     *
     * @return \DateTime
     */
    public function getVigFin()
    {
        return $this->vigFin;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return AlumnosCredenciales
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return AlumnosCredenciales
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return AlumnosCredenciales
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }
}
