<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AlumnosCurriculas
 *
 * @ORM\Table(name="alumnos_curriculas", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"}), @ORM\Index(name="cve_cur", columns={"cve_cur"})})
 * @ORM\Entity
 */
class AlumnosCurriculas
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_alu_cur", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideAluCur;

    /**
     * @var string
     *
     * @ORM\Column(name="cal_uno", type="string", length=5, nullable=false)
     */
    private $calUno;

    /**
     * @var string
     *
     * @ORM\Column(name="cal_dos", type="string", length=5, nullable=false)
     */
    private $calDos;

    /**
     * @var string
     *
     * @ORM\Column(name="cal_tres", type="string", length=5, nullable=false)
     */
    private $calTres;

    /**
     * @var string
     *
     * @ORM\Column(name="cal_final", type="string", length=5, nullable=false)
     */
    private $calFinal;

    /**
     * @var string
     *
     * @ORM\Column(name="indicador", type="string", length=5, nullable=true)
     */
    private $indicador = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="periodo", type="string", length=50, nullable=true)
     */
    private $periodo = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=true)
     */
    private $fecMov = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=true)
     */
    private $horMov = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=true)
     */
    private $cveUsu = 'NULL';

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;

    /**
     * @var \Curriculas
     *
     * @ORM\ManyToOne(targetEntity="Curriculas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_cur", referencedColumnName="ide_cur")
     * })
     */
    private $cveCur;



    /**
     * Get ideAluCur
     *
     * @return integer
     */
    public function getIdeAluCur()
    {
        return $this->ideAluCur;
    }

    /**
     * Set calUno
     *
     * @param string $calUno
     *
     * @return AlumnosCurriculas
     */
    public function setCalUno($calUno)
    {
        $this->calUno = $calUno;
    
        return $this;
    }

    /**
     * Get calUno
     *
     * @return string
     */
    public function getCalUno()
    {
        return $this->calUno;
    }

    /**
     * Set calDos
     *
     * @param string $calDos
     *
     * @return AlumnosCurriculas
     */
    public function setCalDos($calDos)
    {
        $this->calDos = $calDos;
    
        return $this;
    }

    /**
     * Get calDos
     *
     * @return string
     */
    public function getCalDos()
    {
        return $this->calDos;
    }

    /**
     * Set calTres
     *
     * @param string $calTres
     *
     * @return AlumnosCurriculas
     */
    public function setCalTres($calTres)
    {
        $this->calTres = $calTres;
    
        return $this;
    }

    /**
     * Get calTres
     *
     * @return string
     */
    public function getCalTres()
    {
        return $this->calTres;
    }

    /**
     * Set calFinal
     *
     * @param string $calFinal
     *
     * @return AlumnosCurriculas
     */
    public function setCalFinal($calFinal)
    {
        $this->calFinal = $calFinal;
    
        return $this;
    }

    /**
     * Get calFinal
     *
     * @return string
     */
    public function getCalFinal()
    {
        return $this->calFinal;
    }

    /**
     * Set indicador
     *
     * @param string $indicador
     *
     * @return AlumnosCurriculas
     */
    public function setIndicador($indicador)
    {
        $this->indicador = $indicador;
    
        return $this;
    }

    /**
     * Get indicador
     *
     * @return string
     */
    public function getIndicador()
    {
        return $this->indicador;
    }

    /**
     * Set periodo
     *
     * @param string $periodo
     *
     * @return AlumnosCurriculas
     */
    public function setPeriodo($periodo)
    {
        $this->periodo = $periodo;
    
        return $this;
    }

    /**
     * Get periodo
     *
     * @return string
     */
    public function getPeriodo()
    {
        return $this->periodo;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return AlumnosCurriculas
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return AlumnosCurriculas
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return AlumnosCurriculas
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return AlumnosCurriculas
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }

    /**
     * Set cveCur
     *
     * @param \CmBundle\Entity\Curriculas $cveCur
     *
     * @return AlumnosCurriculas
     */
    public function setCveCur(\CmBundle\Entity\Curriculas $cveCur = null)
    {
        $this->cveCur = $cveCur;
    
        return $this;
    }

    /**
     * Get cveCur
     *
     * @return \CmBundle\Entity\Curriculas
     */
    public function getCveCur()
    {
        return $this->cveCur;
    }
}
