<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AlumnosDiplomados
 *
 * @ORM\Table(name="alumnos_diplomados", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"}), @ORM\Index(name="cve_doc", columns={"cve_doc"}), @ORM\Index(name="cve_dip_cur", columns={"cve_dip_cur"})})
 * @ORM\Entity
 */
class AlumnosDiplomados
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_alu_dip", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideAluDip;

    /**
     * @var string
     *
     * @ORM\Column(name="folio_alu_dip", type="string", length=30, nullable=false)
     */
    private $folioAluDip;

    /**
     * @var string
     *
     * @ORM\Column(name="externo", type="string", length=250, nullable=true)
     */
    private $externo = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;

    /**
     * @var \Profesores
     *
     * @ORM\ManyToOne(targetEntity="Profesores")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_doc", referencedColumnName="ide_pro")
     * })
     */
    private $cveDoc;

    /**
     * @var \DiplomadosCursos
     *
     * @ORM\ManyToOne(targetEntity="DiplomadosCursos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_dip_cur", referencedColumnName="ide_dip_cur")
     * })
     */
    private $cveDipCur;



    /**
     * Get ideAluDip
     *
     * @return integer
     */
    public function getIdeAluDip()
    {
        return $this->ideAluDip;
    }

    /**
     * Set folioAluDip
     *
     * @param string $folioAluDip
     *
     * @return AlumnosDiplomados
     */
    public function setFolioAluDip($folioAluDip)
    {
        $this->folioAluDip = $folioAluDip;
    
        return $this;
    }

    /**
     * Get folioAluDip
     *
     * @return string
     */
    public function getFolioAluDip()
    {
        return $this->folioAluDip;
    }

    /**
     * Set externo
     *
     * @param string $externo
     *
     * @return AlumnosDiplomados
     */
    public function setExterno($externo)
    {
        $this->externo = $externo;
    
        return $this;
    }

    /**
     * Get externo
     *
     * @return string
     */
    public function getExterno()
    {
        return $this->externo;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return AlumnosDiplomados
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return AlumnosDiplomados
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return AlumnosDiplomados
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }

    /**
     * Set cveDoc
     *
     * @param \CmBundle\Entity\Profesores $cveDoc
     *
     * @return AlumnosDiplomados
     */
    public function setCveDoc(\CmBundle\Entity\Profesores $cveDoc = null)
    {
        $this->cveDoc = $cveDoc;
    
        return $this;
    }

    /**
     * Get cveDoc
     *
     * @return \CmBundle\Entity\Profesores
     */
    public function getCveDoc()
    {
        return $this->cveDoc;
    }

    /**
     * Set cveDipCur
     *
     * @param \CmBundle\Entity\DiplomadosCursos $cveDipCur
     *
     * @return AlumnosDiplomados
     */
    public function setCveDipCur(\CmBundle\Entity\DiplomadosCursos $cveDipCur = null)
    {
        $this->cveDipCur = $cveDipCur;
    
        return $this;
    }

    /**
     * Get cveDipCur
     *
     * @return \CmBundle\Entity\DiplomadosCursos
     */
    public function getCveDipCur()
    {
        return $this->cveDipCur;
    }
}
