<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AlumnosGeneraciones
 *
 * @ORM\Table(name="alumnos_generaciones", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"}), @ORM\Index(name="cve_gen", columns={"cve_gen"})})
 * @ORM\Entity
 */
class AlumnosGeneraciones
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_alu_gen", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideAluGen;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;

    /**
     * @var \Generaciones
     *
     * @ORM\ManyToOne(targetEntity="Generaciones")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_gen", referencedColumnName="ide_gen")
     * })
     */
    private $cveGen;



    /**
     * Get ideAluGen
     *
     * @return integer
     */
    public function getIdeAluGen()
    {
        return $this->ideAluGen;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return AlumnosGeneraciones
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }

    /**
     * Set cveGen
     *
     * @param \CmBundle\Entity\Generaciones $cveGen
     *
     * @return AlumnosGeneraciones
     */
    public function setCveGen(\CmBundle\Entity\Generaciones $cveGen = null)
    {
        $this->cveGen = $cveGen;
    
        return $this;
    }

    /**
     * Get cveGen
     *
     * @return \CmBundle\Entity\Generaciones
     */
    public function getCveGen()
    {
        return $this->cveGen;
    }
}
