<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AlumonTramites
 *
 * @ORM\Table(name="alumon_tramites", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"}), @ORM\Index(name="cve_tra", columns={"cve_tra"})})
 * @ORM\Entity
 */
class AlumonTramites
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_alu_tra", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideAluTra;

    /**
     * @var string
     *
     * @ORM\Column(name="monto", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $monto = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="numero_recibo", type="string", length=50, nullable=true)
     */
    private $numeroRecibo = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_raz_soz", type="integer", nullable=true)
     */
    private $cveRazSoz = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=true)
     */
    private $fecMov = 'NULL';

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;

    /**
     * @var \CostoTramites
     *
     * @ORM\ManyToOne(targetEntity="CostoTramites")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_tra", referencedColumnName="ide_cos_tra")
     * })
     */
    private $cveTra;



    /**
     * Get ideAluTra
     *
     * @return integer
     */
    public function getIdeAluTra()
    {
        return $this->ideAluTra;
    }

    /**
     * Set monto
     *
     * @param string $monto
     *
     * @return AlumonTramites
     */
    public function setMonto($monto)
    {
        $this->monto = $monto;
    
        return $this;
    }

    /**
     * Get monto
     *
     * @return string
     */
    public function getMonto()
    {
        return $this->monto;
    }

    /**
     * Set numeroRecibo
     *
     * @param string $numeroRecibo
     *
     * @return AlumonTramites
     */
    public function setNumeroRecibo($numeroRecibo)
    {
        $this->numeroRecibo = $numeroRecibo;
    
        return $this;
    }

    /**
     * Get numeroRecibo
     *
     * @return string
     */
    public function getNumeroRecibo()
    {
        return $this->numeroRecibo;
    }

    /**
     * Set cveRazSoz
     *
     * @param integer $cveRazSoz
     *
     * @return AlumonTramites
     */
    public function setCveRazSoz($cveRazSoz)
    {
        $this->cveRazSoz = $cveRazSoz;
    
        return $this;
    }

    /**
     * Get cveRazSoz
     *
     * @return integer
     */
    public function getCveRazSoz()
    {
        return $this->cveRazSoz;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return AlumonTramites
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return AlumonTramites
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }

    /**
     * Set cveTra
     *
     * @param \CmBundle\Entity\CostoTramites $cveTra
     *
     * @return AlumonTramites
     */
    public function setCveTra(\CmBundle\Entity\CostoTramites $cveTra = null)
    {
        $this->cveTra = $cveTra;
    
        return $this;
    }

    /**
     * Get cveTra
     *
     * @return \CmBundle\Entity\CostoTramites
     */
    public function getCveTra()
    {
        return $this->cveTra;
    }
}
