<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * ConceptoPagosBachillerato
 *
 * @ORM\Table(name="concepto_pagos_bachillerato")
 * @ORM\Entity
 */
class ConceptoPagosBachillerato
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_con_pag_bac", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideConPagBac;

    /**
     * @var string
     *
     * @ORM\Column(name="concepto", type="string", length=250, nullable=false)
     */
    private $concepto;

    /**
     * @var string
     *
     * @ORM\Column(name="monto", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $monto;

    /**
     * @var boolean
     *
     * @ORM\Column(name="vigente", type="boolean", nullable=false)
     */
    private $vigente;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_beca", type="integer", nullable=true)
     */
    private $cveBeca = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;



    /**
     * Get ideConPagBac
     *
     * @return integer
     */
    public function getIdeConPagBac()
    {
        return $this->ideConPagBac;
    }

    /**
     * Set concepto
     *
     * @param string $concepto
     *
     * @return ConceptoPagosBachillerato
     */
    public function setConcepto($concepto)
    {
        $this->concepto = $concepto;
    
        return $this;
    }

    /**
     * Get concepto
     *
     * @return string
     */
    public function getConcepto()
    {
        return $this->concepto;
    }

    /**
     * Set monto
     *
     * @param string $monto
     *
     * @return ConceptoPagosBachillerato
     */
    public function setMonto($monto)
    {
        $this->monto = $monto;
    
        return $this;
    }

    /**
     * Get monto
     *
     * @return string
     */
    public function getMonto()
    {
        return $this->monto;
    }

    /**
     * Set vigente
     *
     * @param boolean $vigente
     *
     * @return ConceptoPagosBachillerato
     */
    public function setVigente($vigente)
    {
        $this->vigente = $vigente;
    
        return $this;
    }

    /**
     * Get vigente
     *
     * @return boolean
     */
    public function getVigente()
    {
        return $this->vigente;
    }

    /**
     * Set cveBeca
     *
     * @param integer $cveBeca
     *
     * @return ConceptoPagosBachillerato
     */
    public function setCveBeca($cveBeca)
    {
        $this->cveBeca = $cveBeca;
    
        return $this;
    }

    /**
     * Get cveBeca
     *
     * @return integer
     */
    public function getCveBeca()
    {
        return $this->cveBeca;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return ConceptoPagosBachillerato
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return ConceptoPagosBachillerato
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }
}
