<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * ContadorPeriodos
 *
 * @ORM\Table(name="contador_periodos", indexes={@ORM\Index(name="cve_per", columns={"cve_per"}), @ORM\Index(name="cve_plan", columns={"cve_plan"})})
 * @ORM\Entity
 */
class ContadorPeriodos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_con_per", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideConPer;

    /**
     * @var integer
     *
     * @ORM\Column(name="contador", type="integer", nullable=true)
     */
    private $contador = '1';

    /**
     * @var \Periodos
     *
     * @ORM\ManyToOne(targetEntity="Periodos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_per", referencedColumnName="ide_per")
     * })
     */
    private $cvePer;

    /**
     * @var \Planeaciones
     *
     * @ORM\ManyToOne(targetEntity="Planeaciones")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_plan", referencedColumnName="ide_plan")
     * })
     */
    private $cvePlan;



    /**
     * Get ideConPer
     *
     * @return integer
     */
    public function getIdeConPer()
    {
        return $this->ideConPer;
    }

    /**
     * Set contador
     *
     * @param integer $contador
     *
     * @return ContadorPeriodos
     */
    public function setContador($contador)
    {
        $this->contador = $contador;
    
        return $this;
    }

    /**
     * Get contador
     *
     * @return integer
     */
    public function getContador()
    {
        return $this->contador;
    }

    /**
     * Set cvePer
     *
     * @param \CmBundle\Entity\Periodos $cvePer
     *
     * @return ContadorPeriodos
     */
    public function setCvePer(\CmBundle\Entity\Periodos $cvePer = null)
    {
        $this->cvePer = $cvePer;
    
        return $this;
    }

    /**
     * Get cvePer
     *
     * @return \CmBundle\Entity\Periodos
     */
    public function getCvePer()
    {
        return $this->cvePer;
    }

    /**
     * Set cvePlan
     *
     * @param \CmBundle\Entity\Planeaciones $cvePlan
     *
     * @return ContadorPeriodos
     */
    public function setCvePlan(\CmBundle\Entity\Planeaciones $cvePlan = null)
    {
        $this->cvePlan = $cvePlan;
    
        return $this;
    }

    /**
     * Get cvePlan
     *
     * @return \CmBundle\Entity\Planeaciones
     */
    public function getCvePlan()
    {
        return $this->cvePlan;
    }
}
