<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * DiplomadosCursos
 *
 * @ORM\Table(name="diplomados_cursos")
 * @ORM\Entity
 */
class DiplomadosCursos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_dip_cur", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideDipCur;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_dip_cur", type="string", length=20, nullable=false)
     */
    private $cveDipCur;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_dip_cur", type="string", length=250, nullable=false)
     */
    private $nomDipCur;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_ini", type="date", nullable=true)
     */
    private $fecIni = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_fin", type="date", nullable=true)
     */
    private $fecFin = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="horas", type="integer", nullable=true)
     */
    private $horas = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="nom_ponente", type="string", length=250, nullable=true)
     */
    private $nomPonente = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="tipo", type="integer", nullable=false)
     */
    private $tipo = '1';

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus = '0';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;



    /**
     * Get ideDipCur
     *
     * @return integer
     */
    public function getIdeDipCur()
    {
        return $this->ideDipCur;
    }

    /**
     * Set cveDipCur
     *
     * @param string $cveDipCur
     *
     * @return DiplomadosCursos
     */
    public function setCveDipCur($cveDipCur)
    {
        $this->cveDipCur = $cveDipCur;
    
        return $this;
    }

    /**
     * Get cveDipCur
     *
     * @return string
     */
    public function getCveDipCur()
    {
        return $this->cveDipCur;
    }

    /**
     * Set nomDipCur
     *
     * @param string $nomDipCur
     *
     * @return DiplomadosCursos
     */
    public function setNomDipCur($nomDipCur)
    {
        $this->nomDipCur = $nomDipCur;
    
        return $this;
    }

    /**
     * Get nomDipCur
     *
     * @return string
     */
    public function getNomDipCur()
    {
        return $this->nomDipCur;
    }

    /**
     * Set fecIni
     *
     * @param \DateTime $fecIni
     *
     * @return DiplomadosCursos
     */
    public function setFecIni($fecIni)
    {
        $this->fecIni = $fecIni;
    
        return $this;
    }

    /**
     * Get fecIni
     *
     * @return \DateTime
     */
    public function getFecIni()
    {
        return $this->fecIni;
    }

    /**
     * Set fecFin
     *
     * @param \DateTime $fecFin
     *
     * @return DiplomadosCursos
     */
    public function setFecFin($fecFin)
    {
        $this->fecFin = $fecFin;
    
        return $this;
    }

    /**
     * Get fecFin
     *
     * @return \DateTime
     */
    public function getFecFin()
    {
        return $this->fecFin;
    }

    /**
     * Set horas
     *
     * @param integer $horas
     *
     * @return DiplomadosCursos
     */
    public function setHoras($horas)
    {
        $this->horas = $horas;
    
        return $this;
    }

    /**
     * Get horas
     *
     * @return integer
     */
    public function getHoras()
    {
        return $this->horas;
    }

    /**
     * Set nomPonente
     *
     * @param string $nomPonente
     *
     * @return DiplomadosCursos
     */
    public function setNomPonente($nomPonente)
    {
        $this->nomPonente = $nomPonente;
    
        return $this;
    }

    /**
     * Get nomPonente
     *
     * @return string
     */
    public function getNomPonente()
    {
        return $this->nomPonente;
    }

    /**
     * Set tipo
     *
     * @param integer $tipo
     *
     * @return DiplomadosCursos
     */
    public function setTipo($tipo)
    {
        $this->tipo = $tipo;
    
        return $this;
    }

    /**
     * Get tipo
     *
     * @return integer
     */
    public function getTipo()
    {
        return $this->tipo;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return DiplomadosCursos
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return DiplomadosCursos
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return DiplomadosCursos
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }
}
