<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Documentos
 *
 * @ORM\Table(name="documentos", indexes={@ORM\Index(name="cve_niv", columns={"cve_niv"})})
 * @ORM\Entity
 */
class Documentos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_doc", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideDoc;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_doc", type="string", length=250, nullable=false)
     */
    private $nomDoc;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \NivelesAcademicos
     *
     * @ORM\ManyToOne(targetEntity="NivelesAcademicos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_niv", referencedColumnName="ide_niv_aca")
     * })
     */
    private $cveNiv;



    /**
     * Get ideDoc
     *
     * @return integer
     */
    public function getIdeDoc()
    {
        return $this->ideDoc;
    }

    /**
     * Set nomDoc
     *
     * @param string $nomDoc
     *
     * @return Documentos
     */
    public function setNomDoc($nomDoc)
    {
        $this->nomDoc = $nomDoc;
    
        return $this;
    }

    /**
     * Get nomDoc
     *
     * @return string
     */
    public function getNomDoc()
    {
        return $this->nomDoc;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Documentos
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveNiv
     *
     * @param \CmBundle\Entity\NivelesAcademicos $cveNiv
     *
     * @return Documentos
     */
    public function setCveNiv(\CmBundle\Entity\NivelesAcademicos $cveNiv = null)
    {
        $this->cveNiv = $cveNiv;
    
        return $this;
    }

    /**
     * Get cveNiv
     *
     * @return \CmBundle\Entity\NivelesAcademicos
     */
    public function getCveNiv()
    {
        return $this->cveNiv;
    }
}
