<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * ElementosRequisiciones
 *
 * @ORM\Table(name="elementos_requisiciones", indexes={@ORM\Index(name="cve_req", columns={"cve_req"}), @ORM\Index(name="cve_pro", columns={"cve_pro"})})
 * @ORM\Entity
 */
class ElementosRequisiciones
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_ele_req", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideEleReq;

    /**
     * @var string
     *
     * @ORM\Column(name="cantidad", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $cantidad;

    /**
     * @var integer
     *
     * @ORM\Column(name="unidad", type="integer", nullable=false)
     */
    private $unidad;

    /**
     * @var string
     *
     * @ORM\Column(name="personalizado", type="string", length=200, nullable=true)
     */
    private $personalizado = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="observaciones", type="string", length=200, nullable=true)
     */
    private $observaciones = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="can_ent", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $canEnt = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="obs_ent", type="string", length=200, nullable=true)
     */
    private $obsEnt = 'NULL';

    /**
     * @var \Requisiciones
     *
     * @ORM\ManyToOne(targetEntity="Requisiciones")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_req", referencedColumnName="ide_req")
     * })
     */
    private $cveReq;

    /**
     * @var \Productos
     *
     * @ORM\ManyToOne(targetEntity="Productos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pro", referencedColumnName="ide_pro")
     * })
     */
    private $cvePro;



    /**
     * Get ideEleReq
     *
     * @return integer
     */
    public function getIdeEleReq()
    {
        return $this->ideEleReq;
    }

    /**
     * Set cantidad
     *
     * @param string $cantidad
     *
     * @return ElementosRequisiciones
     */
    public function setCantidad($cantidad)
    {
        $this->cantidad = $cantidad;
    
        return $this;
    }

    /**
     * Get cantidad
     *
     * @return string
     */
    public function getCantidad()
    {
        return $this->cantidad;
    }

    /**
     * Set unidad
     *
     * @param integer $unidad
     *
     * @return ElementosRequisiciones
     */
    public function setUnidad($unidad)
    {
        $this->unidad = $unidad;
    
        return $this;
    }

    /**
     * Get unidad
     *
     * @return integer
     */
    public function getUnidad()
    {
        return $this->unidad;
    }

    /**
     * Set personalizado
     *
     * @param string $personalizado
     *
     * @return ElementosRequisiciones
     */
    public function setPersonalizado($personalizado)
    {
        $this->personalizado = $personalizado;
    
        return $this;
    }

    /**
     * Get personalizado
     *
     * @return string
     */
    public function getPersonalizado()
    {
        return $this->personalizado;
    }

    /**
     * Set observaciones
     *
     * @param string $observaciones
     *
     * @return ElementosRequisiciones
     */
    public function setObservaciones($observaciones)
    {
        $this->observaciones = $observaciones;
    
        return $this;
    }

    /**
     * Get observaciones
     *
     * @return string
     */
    public function getObservaciones()
    {
        return $this->observaciones;
    }

    /**
     * Set canEnt
     *
     * @param string $canEnt
     *
     * @return ElementosRequisiciones
     */
    public function setCanEnt($canEnt)
    {
        $this->canEnt = $canEnt;
    
        return $this;
    }

    /**
     * Get canEnt
     *
     * @return string
     */
    public function getCanEnt()
    {
        return $this->canEnt;
    }

    /**
     * Set obsEnt
     *
     * @param string $obsEnt
     *
     * @return ElementosRequisiciones
     */
    public function setObsEnt($obsEnt)
    {
        $this->obsEnt = $obsEnt;
    
        return $this;
    }

    /**
     * Get obsEnt
     *
     * @return string
     */
    public function getObsEnt()
    {
        return $this->obsEnt;
    }

    /**
     * Set cveReq
     *
     * @param \CmBundle\Entity\Requisiciones $cveReq
     *
     * @return ElementosRequisiciones
     */
    public function setCveReq(\CmBundle\Entity\Requisiciones $cveReq = null)
    {
        $this->cveReq = $cveReq;
    
        return $this;
    }

    /**
     * Get cveReq
     *
     * @return \CmBundle\Entity\Requisiciones
     */
    public function getCveReq()
    {
        return $this->cveReq;
    }

    /**
     * Set cvePro
     *
     * @param \CmBundle\Entity\Productos $cvePro
     *
     * @return ElementosRequisiciones
     */
    public function setCvePro(\CmBundle\Entity\Productos $cvePro = null)
    {
        $this->cvePro = $cvePro;
    
        return $this;
    }

    /**
     * Get cvePro
     *
     * @return \CmBundle\Entity\Productos
     */
    public function getCvePro()
    {
        return $this->cvePro;
    }
}
