<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * FondoPlanteles
 *
 * @ORM\Table(name="fondo_planteles", indexes={@ORM\Index(name="cve_pla", columns={"cve_pla"})})
 * @ORM\Entity
 */
class FondoPlanteles
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_fpl", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideFpl;

    /**
     * @var string
     *
     * @ORM\Column(name="mon_fon", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $monFon = '0.00';

    /**
     * @var string
     *
     * @ORM\Column(name="mon_dis", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $monDis = '0.00';

    /**
     * @var string
     *
     * @ORM\Column(name="mon_usa", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $monUsa = '0.00';

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;



    /**
     * Get ideFpl
     *
     * @return integer
     */
    public function getIdeFpl()
    {
        return $this->ideFpl;
    }

    /**
     * Set monFon
     *
     * @param string $monFon
     *
     * @return FondoPlanteles
     */
    public function setMonFon($monFon)
    {
        $this->monFon = $monFon;
    
        return $this;
    }

    /**
     * Get monFon
     *
     * @return string
     */
    public function getMonFon()
    {
        return $this->monFon;
    }

    /**
     * Set monDis
     *
     * @param string $monDis
     *
     * @return FondoPlanteles
     */
    public function setMonDis($monDis)
    {
        $this->monDis = $monDis;
    
        return $this;
    }

    /**
     * Get monDis
     *
     * @return string
     */
    public function getMonDis()
    {
        return $this->monDis;
    }

    /**
     * Set monUsa
     *
     * @param string $monUsa
     *
     * @return FondoPlanteles
     */
    public function setMonUsa($monUsa)
    {
        $this->monUsa = $monUsa;
    
        return $this;
    }

    /**
     * Get monUsa
     *
     * @return string
     */
    public function getMonUsa()
    {
        return $this->monUsa;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return FondoPlanteles
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return FondoPlanteles
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return FondoPlanteles
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return FondoPlanteles
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return FondoPlanteles
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }
}
