<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Horarios
 *
 * @ORM\Table(name="horarios", indexes={@ORM\Index(name="cve_gru", columns={"cve_gru"}), @ORM\Index(name="cve_cur", columns={"cve_cur"}), @ORM\Index(name="cve_pro", columns={"cve_pro"})})
 * @ORM\Entity
 */
class Horarios
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_hor", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideHor;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hora_inicio", type="time", nullable=false)
     */
    private $horaInicio;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hora_fin", type="time", nullable=false)
     */
    private $horaFin;

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=true)
     */
    private $estatus = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=true)
     */
    private $fecMov = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=true)
     */
    private $horMov = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=true)
     */
    private $cveUsu = 'NULL';

    /**
     * @var \Grupos
     *
     * @ORM\ManyToOne(targetEntity="Grupos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_gru", referencedColumnName="ide_gru")
     * })
     */
    private $cveGru;

    /**
     * @var \Curriculas
     *
     * @ORM\ManyToOne(targetEntity="Curriculas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_cur", referencedColumnName="ide_cur")
     * })
     */
    private $cveCur;

    /**
     * @var \Profesores
     *
     * @ORM\ManyToOne(targetEntity="Profesores")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pro", referencedColumnName="ide_pro")
     * })
     */
    private $cvePro;



    /**
     * Get ideHor
     *
     * @return integer
     */
    public function getIdeHor()
    {
        return $this->ideHor;
    }

    /**
     * Set horaInicio
     *
     * @param \DateTime $horaInicio
     *
     * @return Horarios
     */
    public function setHoraInicio($horaInicio)
    {
        $this->horaInicio = $horaInicio;
    
        return $this;
    }

    /**
     * Get horaInicio
     *
     * @return \DateTime
     */
    public function getHoraInicio()
    {
        return $this->horaInicio;
    }

    /**
     * Set horaFin
     *
     * @param \DateTime $horaFin
     *
     * @return Horarios
     */
    public function setHoraFin($horaFin)
    {
        $this->horaFin = $horaFin;
    
        return $this;
    }

    /**
     * Get horaFin
     *
     * @return \DateTime
     */
    public function getHoraFin()
    {
        return $this->horaFin;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return Horarios
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Horarios
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return Horarios
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Horarios
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cveGru
     *
     * @param \CmBundle\Entity\Grupos $cveGru
     *
     * @return Horarios
     */
    public function setCveGru(\CmBundle\Entity\Grupos $cveGru = null)
    {
        $this->cveGru = $cveGru;
    
        return $this;
    }

    /**
     * Get cveGru
     *
     * @return \CmBundle\Entity\Grupos
     */
    public function getCveGru()
    {
        return $this->cveGru;
    }

    /**
     * Set cveCur
     *
     * @param \CmBundle\Entity\Curriculas $cveCur
     *
     * @return Horarios
     */
    public function setCveCur(\CmBundle\Entity\Curriculas $cveCur = null)
    {
        $this->cveCur = $cveCur;
    
        return $this;
    }

    /**
     * Get cveCur
     *
     * @return \CmBundle\Entity\Curriculas
     */
    public function getCveCur()
    {
        return $this->cveCur;
    }

    /**
     * Set cvePro
     *
     * @param \CmBundle\Entity\Profesores $cvePro
     *
     * @return Horarios
     */
    public function setCvePro(\CmBundle\Entity\Profesores $cvePro = null)
    {
        $this->cvePro = $cvePro;
    
        return $this;
    }

    /**
     * Get cvePro
     *
     * @return \CmBundle\Entity\Profesores
     */
    public function getCvePro()
    {
        return $this->cvePro;
    }
}
