<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Ingresos
 *
 * @ORM\Table(name="ingresos", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"}), @ORM\Index(name="cve_pla", columns={"cve_pla"}), @ORM\Index(name="cve_ban", columns={"cve_ban"})})
 * @ORM\Entity
 */
class Ingresos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_ing", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideIng;

    /**
     * @var string
     *
     * @ORM\Column(name="referencia", type="string", length=100, nullable=false)
     */
    private $referencia;

    /**
     * @var string
     *
     * @ORM\Column(name="monto", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $monto;

    /**
     * @var string
     *
     * @ORM\Column(name="beca", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $beca;

    /**
     * @var string
     *
     * @ORM\Column(name="recargos", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $recargos;

    /**
     * @var string
     *
     * @ORM\Column(name="total", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $total;

    /**
     * @var string
     *
     * @ORM\Column(name="descripcion", type="string", length=255, nullable=false)
     */
    private $descripcion;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_pag", type="integer", nullable=true)
     */
    private $cvePag = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_con", type="integer", nullable=true)
     */
    private $cveCon = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="tip_pag", type="integer", nullable=true)
     */
    private $tipPag = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="num_recibo", type="string", length=50, nullable=true)
     */
    private $numRecibo = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="vencida", type="integer", nullable=true)
     */
    private $vencida = '0';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=true)
     */
    private $horMov = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;

    /**
     * @var \Bancos
     *
     * @ORM\ManyToOne(targetEntity="Bancos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_ban", referencedColumnName="ide_ban")
     * })
     */
    private $cveBan;



    /**
     * Get ideIng
     *
     * @return integer
     */
    public function getIdeIng()
    {
        return $this->ideIng;
    }

    /**
     * Set referencia
     *
     * @param string $referencia
     *
     * @return Ingresos
     */
    public function setReferencia($referencia)
    {
        $this->referencia = $referencia;
    
        return $this;
    }

    /**
     * Get referencia
     *
     * @return string
     */
    public function getReferencia()
    {
        return $this->referencia;
    }

    /**
     * Set monto
     *
     * @param string $monto
     *
     * @return Ingresos
     */
    public function setMonto($monto)
    {
        $this->monto = $monto;
    
        return $this;
    }

    /**
     * Get monto
     *
     * @return string
     */
    public function getMonto()
    {
        return $this->monto;
    }

    /**
     * Set beca
     *
     * @param string $beca
     *
     * @return Ingresos
     */
    public function setBeca($beca)
    {
        $this->beca = $beca;
    
        return $this;
    }

    /**
     * Get beca
     *
     * @return string
     */
    public function getBeca()
    {
        return $this->beca;
    }

    /**
     * Set recargos
     *
     * @param string $recargos
     *
     * @return Ingresos
     */
    public function setRecargos($recargos)
    {
        $this->recargos = $recargos;
    
        return $this;
    }

    /**
     * Get recargos
     *
     * @return string
     */
    public function getRecargos()
    {
        return $this->recargos;
    }

    /**
     * Set total
     *
     * @param string $total
     *
     * @return Ingresos
     */
    public function setTotal($total)
    {
        $this->total = $total;
    
        return $this;
    }

    /**
     * Get total
     *
     * @return string
     */
    public function getTotal()
    {
        return $this->total;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     *
     * @return Ingresos
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;
    
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set cvePag
     *
     * @param integer $cvePag
     *
     * @return Ingresos
     */
    public function setCvePag($cvePag)
    {
        $this->cvePag = $cvePag;
    
        return $this;
    }

    /**
     * Get cvePag
     *
     * @return integer
     */
    public function getCvePag()
    {
        return $this->cvePag;
    }

    /**
     * Set cveCon
     *
     * @param integer $cveCon
     *
     * @return Ingresos
     */
    public function setCveCon($cveCon)
    {
        $this->cveCon = $cveCon;
    
        return $this;
    }

    /**
     * Get cveCon
     *
     * @return integer
     */
    public function getCveCon()
    {
        return $this->cveCon;
    }

    /**
     * Set tipPag
     *
     * @param integer $tipPag
     *
     * @return Ingresos
     */
    public function setTipPag($tipPag)
    {
        $this->tipPag = $tipPag;
    
        return $this;
    }

    /**
     * Get tipPag
     *
     * @return integer
     */
    public function getTipPag()
    {
        return $this->tipPag;
    }

    /**
     * Set numRecibo
     *
     * @param string $numRecibo
     *
     * @return Ingresos
     */
    public function setNumRecibo($numRecibo)
    {
        $this->numRecibo = $numRecibo;
    
        return $this;
    }

    /**
     * Get numRecibo
     *
     * @return string
     */
    public function getNumRecibo()
    {
        return $this->numRecibo;
    }

    /**
     * Set vencida
     *
     * @param integer $vencida
     *
     * @return Ingresos
     */
    public function setVencida($vencida)
    {
        $this->vencida = $vencida;
    
        return $this;
    }

    /**
     * Get vencida
     *
     * @return integer
     */
    public function getVencida()
    {
        return $this->vencida;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Ingresos
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return Ingresos
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Ingresos
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return Ingresos
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return Ingresos
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }

    /**
     * Set cveBan
     *
     * @param \CmBundle\Entity\Bancos $cveBan
     *
     * @return Ingresos
     */
    public function setCveBan(\CmBundle\Entity\Bancos $cveBan = null)
    {
        $this->cveBan = $cveBan;
    
        return $this;
    }

    /**
     * Get cveBan
     *
     * @return \CmBundle\Entity\Bancos
     */
    public function getCveBan()
    {
        return $this->cveBan;
    }
}
