<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * InventarioEntradas
 *
 * @ORM\Table(name="inventario_entradas", indexes={@ORM\Index(name="cve_inv_pla", columns={"cve_inv_pla"})})
 * @ORM\Entity
 */
class InventarioEntradas
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_inv_ent", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideInvEnt;

    /**
     * @var integer
     *
     * @ORM\Column(name="cantidad", type="integer", nullable=true)
     */
    private $cantidad = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=true)
     */
    private $fecMov = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=true)
     */
    private $horMov = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=255, nullable=true)
     */
    private $cveUsu = 'NULL';

    /**
     * @var \InventarioPlanteles
     *
     * @ORM\ManyToOne(targetEntity="InventarioPlanteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_inv_pla", referencedColumnName="ide_inv")
     * })
     */
    private $cveInvPla;



    /**
     * Get ideInvEnt
     *
     * @return integer
     */
    public function getIdeInvEnt()
    {
        return $this->ideInvEnt;
    }

    /**
     * Set cantidad
     *
     * @param integer $cantidad
     *
     * @return InventarioEntradas
     */
    public function setCantidad($cantidad)
    {
        $this->cantidad = $cantidad;
    
        return $this;
    }

    /**
     * Get cantidad
     *
     * @return integer
     */
    public function getCantidad()
    {
        return $this->cantidad;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return InventarioEntradas
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return InventarioEntradas
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return InventarioEntradas
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cveInvPla
     *
     * @param \CmBundle\Entity\InventarioPlanteles $cveInvPla
     *
     * @return InventarioEntradas
     */
    public function setCveInvPla(\CmBundle\Entity\InventarioPlanteles $cveInvPla = null)
    {
        $this->cveInvPla = $cveInvPla;
    
        return $this;
    }

    /**
     * Get cveInvPla
     *
     * @return \CmBundle\Entity\InventarioPlanteles
     */
    public function getCveInvPla()
    {
        return $this->cveInvPla;
    }
}
