<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * InventarioPlanteles
 *
 * @ORM\Table(name="inventario_planteles", indexes={@ORM\Index(name="cve_pla", columns={"cve_pla"}), @ORM\Index(name="cve_pro_inv", columns={"cve_pro_inv"})})
 * @ORM\Entity
 */
class InventarioPlanteles
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_inv", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideInv;

    /**
     * @var integer
     *
     * @ORM\Column(name="stock_inicial", type="integer", nullable=true)
     */
    private $stockInicial = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="entradas", type="bigint", nullable=true)
     */
    private $entradas = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="salidas", type="bigint", nullable=true)
     */
    private $salidas = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="total", type="bigint", nullable=true)
     */
    private $total = 'NULL';

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;

    /**
     * @var \InventarioProductos
     *
     * @ORM\ManyToOne(targetEntity="InventarioProductos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pro_inv", referencedColumnName="ide_pro_inv")
     * })
     */
    private $cveProInv;



    /**
     * Get ideInv
     *
     * @return integer
     */
    public function getIdeInv()
    {
        return $this->ideInv;
    }

    /**
     * Set stockInicial
     *
     * @param integer $stockInicial
     *
     * @return InventarioPlanteles
     */
    public function setStockInicial($stockInicial)
    {
        $this->stockInicial = $stockInicial;
    
        return $this;
    }

    /**
     * Get stockInicial
     *
     * @return integer
     */
    public function getStockInicial()
    {
        return $this->stockInicial;
    }

    /**
     * Set entradas
     *
     * @param integer $entradas
     *
     * @return InventarioPlanteles
     */
    public function setEntradas($entradas)
    {
        $this->entradas = $entradas;
    
        return $this;
    }

    /**
     * Get entradas
     *
     * @return integer
     */
    public function getEntradas()
    {
        return $this->entradas;
    }

    /**
     * Set salidas
     *
     * @param integer $salidas
     *
     * @return InventarioPlanteles
     */
    public function setSalidas($salidas)
    {
        $this->salidas = $salidas;
    
        return $this;
    }

    /**
     * Get salidas
     *
     * @return integer
     */
    public function getSalidas()
    {
        return $this->salidas;
    }

    /**
     * Set total
     *
     * @param integer $total
     *
     * @return InventarioPlanteles
     */
    public function setTotal($total)
    {
        $this->total = $total;
    
        return $this;
    }

    /**
     * Get total
     *
     * @return integer
     */
    public function getTotal()
    {
        return $this->total;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return InventarioPlanteles
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }

    /**
     * Set cveProInv
     *
     * @param \CmBundle\Entity\InventarioProductos $cveProInv
     *
     * @return InventarioPlanteles
     */
    public function setCveProInv(\CmBundle\Entity\InventarioProductos $cveProInv = null)
    {
        $this->cveProInv = $cveProInv;
    
        return $this;
    }

    /**
     * Get cveProInv
     *
     * @return \CmBundle\Entity\InventarioProductos
     */
    public function getCveProInv()
    {
        return $this->cveProInv;
    }
}
