<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * LicNivAca
 *
 * @ORM\Table(name="lic_niv_aca", indexes={@ORM\Index(name="cve_lic", columns={"cve_lic"}), @ORM\Index(name="cve_niv_aca", columns={"cve_niv_aca"})})
 * @ORM\Entity
 */
class LicNivAca
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_lic_niv_aca", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideLicNivAca;

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus;

    /**
     * @var \Licenciaturas
     *
     * @ORM\ManyToOne(targetEntity="Licenciaturas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_lic", referencedColumnName="ide_lic")
     * })
     */
    private $cveLic;

    /**
     * @var \NivelesAcademicos
     *
     * @ORM\ManyToOne(targetEntity="NivelesAcademicos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_niv_aca", referencedColumnName="ide_niv_aca")
     * })
     */
    private $cveNivAca;



    /**
     * Get ideLicNivAca
     *
     * @return integer
     */
    public function getIdeLicNivAca()
    {
        return $this->ideLicNivAca;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return LicNivAca
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set cveLic
     *
     * @param \CmBundle\Entity\Licenciaturas $cveLic
     *
     * @return LicNivAca
     */
    public function setCveLic(\CmBundle\Entity\Licenciaturas $cveLic = null)
    {
        $this->cveLic = $cveLic;
    
        return $this;
    }

    /**
     * Get cveLic
     *
     * @return \CmBundle\Entity\Licenciaturas
     */
    public function getCveLic()
    {
        return $this->cveLic;
    }

    /**
     * Set cveNivAca
     *
     * @param \CmBundle\Entity\NivelesAcademicos $cveNivAca
     *
     * @return LicNivAca
     */
    public function setCveNivAca(\CmBundle\Entity\NivelesAcademicos $cveNivAca = null)
    {
        $this->cveNivAca = $cveNivAca;
    
        return $this;
    }

    /**
     * Get cveNivAca
     *
     * @return \CmBundle\Entity\NivelesAcademicos
     */
    public function getCveNivAca()
    {
        return $this->cveNivAca;
    }
}
