<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * LicenciaturasTitulacion
 *
 * @ORM\Table(name="licenciaturas_titulacion", indexes={@ORM\Index(name="cve_niv_aca", columns={"cve_niv_aca"})})
 * @ORM\Entity
 */
class LicenciaturasTitulacion
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_lic_tit", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideLicTit;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_lic", type="string", length=255, nullable=false)
     */
    private $nomLic;

    /**
     * @var \NivelesAcademicos
     *
     * @ORM\ManyToOne(targetEntity="NivelesAcademicos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_niv_aca", referencedColumnName="ide_niv_aca")
     * })
     */
    private $cveNivAca;



    /**
     * Get ideLicTit
     *
     * @return integer
     */
    public function getIdeLicTit()
    {
        return $this->ideLicTit;
    }

    /**
     * Set nomLic
     *
     * @param string $nomLic
     *
     * @return LicenciaturasTitulacion
     */
    public function setNomLic($nomLic)
    {
        $this->nomLic = $nomLic;
    
        return $this;
    }

    /**
     * Get nomLic
     *
     * @return string
     */
    public function getNomLic()
    {
        return $this->nomLic;
    }

    /**
     * Set cveNivAca
     *
     * @param \CmBundle\Entity\NivelesAcademicos $cveNivAca
     *
     * @return LicenciaturasTitulacion
     */
    public function setCveNivAca(\CmBundle\Entity\NivelesAcademicos $cveNivAca = null)
    {
        $this->cveNivAca = $cveNivAca;
    
        return $this;
    }

    /**
     * Get cveNivAca
     *
     * @return \CmBundle\Entity\NivelesAcademicos
     */
    public function getCveNivAca()
    {
        return $this->cveNivAca;
    }
}
