<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * LiderGrupal
 *
 * @ORM\Table(name="lider_grupal", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"}), @ORM\Index(name="lider", columns={"lider"}), @ORM\Index(name="cve_pla", columns={"cve_pla"}), @ORM\Index(name="cve_lic", columns={"cve_lic"})})
 * @ORM\Entity
 */
class LiderGrupal
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_lid_gru", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideLidGru;

    /**
     * @var string
     *
     * @ORM\Column(name="grupo", type="string", length=80, nullable=false)
     */
    private $grupo;

    /**
     * @var integer
     *
     * @ORM\Column(name="numero", type="integer", nullable=false)
     */
    private $numero;

    /**
     * @var integer
     *
     * @ORM\Column(name="elegido", type="integer", nullable=true)
     */
    private $elegido = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="c1", type="integer", nullable=false)
     */
    private $c1;

    /**
     * @var integer
     *
     * @ORM\Column(name="c2", type="integer", nullable=false)
     */
    private $c2;

    /**
     * @var integer
     *
     * @ORM\Column(name="c3", type="integer", nullable=false)
     */
    private $c3;

    /**
     * @var integer
     *
     * @ORM\Column(name="c4", type="integer", nullable=false)
     */
    private $c4;

    /**
     * @var integer
     *
     * @ORM\Column(name="c5", type="integer", nullable=false)
     */
    private $c5;

    /**
     * @var integer
     *
     * @ORM\Column(name="c6", type="integer", nullable=false)
     */
    private $c6;

    /**
     * @var integer
     *
     * @ORM\Column(name="c7", type="integer", nullable=false)
     */
    private $c7;

    /**
     * @var integer
     *
     * @ORM\Column(name="c8", type="integer", nullable=false)
     */
    private $c8;

    /**
     * @var integer
     *
     * @ORM\Column(name="c9", type="integer", nullable=false)
     */
    private $c9;

    /**
     * @var integer
     *
     * @ORM\Column(name="c10", type="integer", nullable=false)
     */
    private $c10;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="lider", referencedColumnName="ide_alu")
     * })
     */
    private $lider;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;

    /**
     * @var \Licenciaturas
     *
     * @ORM\ManyToOne(targetEntity="Licenciaturas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_lic", referencedColumnName="ide_lic")
     * })
     */
    private $cveLic;



    /**
     * Get ideLidGru
     *
     * @return integer
     */
    public function getIdeLidGru()
    {
        return $this->ideLidGru;
    }

    /**
     * Set grupo
     *
     * @param string $grupo
     *
     * @return LiderGrupal
     */
    public function setGrupo($grupo)
    {
        $this->grupo = $grupo;
    
        return $this;
    }

    /**
     * Get grupo
     *
     * @return string
     */
    public function getGrupo()
    {
        return $this->grupo;
    }

    /**
     * Set numero
     *
     * @param integer $numero
     *
     * @return LiderGrupal
     */
    public function setNumero($numero)
    {
        $this->numero = $numero;
    
        return $this;
    }

    /**
     * Get numero
     *
     * @return integer
     */
    public function getNumero()
    {
        return $this->numero;
    }

    /**
     * Set elegido
     *
     * @param integer $elegido
     *
     * @return LiderGrupal
     */
    public function setElegido($elegido)
    {
        $this->elegido = $elegido;
    
        return $this;
    }

    /**
     * Get elegido
     *
     * @return integer
     */
    public function getElegido()
    {
        return $this->elegido;
    }

    /**
     * Set c1
     *
     * @param integer $c1
     *
     * @return LiderGrupal
     */
    public function setC1($c1)
    {
        $this->c1 = $c1;
    
        return $this;
    }

    /**
     * Get c1
     *
     * @return integer
     */
    public function getC1()
    {
        return $this->c1;
    }

    /**
     * Set c2
     *
     * @param integer $c2
     *
     * @return LiderGrupal
     */
    public function setC2($c2)
    {
        $this->c2 = $c2;
    
        return $this;
    }

    /**
     * Get c2
     *
     * @return integer
     */
    public function getC2()
    {
        return $this->c2;
    }

    /**
     * Set c3
     *
     * @param integer $c3
     *
     * @return LiderGrupal
     */
    public function setC3($c3)
    {
        $this->c3 = $c3;
    
        return $this;
    }

    /**
     * Get c3
     *
     * @return integer
     */
    public function getC3()
    {
        return $this->c3;
    }

    /**
     * Set c4
     *
     * @param integer $c4
     *
     * @return LiderGrupal
     */
    public function setC4($c4)
    {
        $this->c4 = $c4;
    
        return $this;
    }

    /**
     * Get c4
     *
     * @return integer
     */
    public function getC4()
    {
        return $this->c4;
    }

    /**
     * Set c5
     *
     * @param integer $c5
     *
     * @return LiderGrupal
     */
    public function setC5($c5)
    {
        $this->c5 = $c5;
    
        return $this;
    }

    /**
     * Get c5
     *
     * @return integer
     */
    public function getC5()
    {
        return $this->c5;
    }

    /**
     * Set c6
     *
     * @param integer $c6
     *
     * @return LiderGrupal
     */
    public function setC6($c6)
    {
        $this->c6 = $c6;
    
        return $this;
    }

    /**
     * Get c6
     *
     * @return integer
     */
    public function getC6()
    {
        return $this->c6;
    }

    /**
     * Set c7
     *
     * @param integer $c7
     *
     * @return LiderGrupal
     */
    public function setC7($c7)
    {
        $this->c7 = $c7;
    
        return $this;
    }

    /**
     * Get c7
     *
     * @return integer
     */
    public function getC7()
    {
        return $this->c7;
    }

    /**
     * Set c8
     *
     * @param integer $c8
     *
     * @return LiderGrupal
     */
    public function setC8($c8)
    {
        $this->c8 = $c8;
    
        return $this;
    }

    /**
     * Get c8
     *
     * @return integer
     */
    public function getC8()
    {
        return $this->c8;
    }

    /**
     * Set c9
     *
     * @param integer $c9
     *
     * @return LiderGrupal
     */
    public function setC9($c9)
    {
        $this->c9 = $c9;
    
        return $this;
    }

    /**
     * Get c9
     *
     * @return integer
     */
    public function getC9()
    {
        return $this->c9;
    }

    /**
     * Set c10
     *
     * @param integer $c10
     *
     * @return LiderGrupal
     */
    public function setC10($c10)
    {
        $this->c10 = $c10;
    
        return $this;
    }

    /**
     * Get c10
     *
     * @return integer
     */
    public function getC10()
    {
        return $this->c10;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return LiderGrupal
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return LiderGrupal
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return LiderGrupal
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }

    /**
     * Set lider
     *
     * @param \CmBundle\Entity\Alumnos $lider
     *
     * @return LiderGrupal
     */
    public function setLider(\CmBundle\Entity\Alumnos $lider = null)
    {
        $this->lider = $lider;
    
        return $this;
    }

    /**
     * Get lider
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getLider()
    {
        return $this->lider;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return LiderGrupal
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }

    /**
     * Set cveLic
     *
     * @param \CmBundle\Entity\Licenciaturas $cveLic
     *
     * @return LiderGrupal
     */
    public function setCveLic(\CmBundle\Entity\Licenciaturas $cveLic = null)
    {
        $this->cveLic = $cveLic;
    
        return $this;
    }

    /**
     * Get cveLic
     *
     * @return \CmBundle\Entity\Licenciaturas
     */
    public function getCveLic()
    {
        return $this->cveLic;
    }
}
