<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Planteles
 *
 * @ORM\Table(name="planteles", indexes={@ORM\Index(name="estatus", columns={"estatus"})})
 * @ORM\Entity
 */
class Planteles
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_pla", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idePla;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_pla", type="string", length=50, nullable=false)
     */
    private $cvePla;

    /**
     * @var string
     *
     * @ORM\Column(name="cct", type="string", length=50, nullable=false)
     */
    private $cct;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_pla", type="string", length=300, nullable=false)
     */
    private $nomPla;

    /**
     * @var string
     *
     * @ORM\Column(name="calle", type="string", length=500, nullable=false)
     */
    private $calle;

    /**
     * @var string
     *
     * @ORM\Column(name="numInt", type="string", length=20, nullable=false)
     */
    private $numint;

    /**
     * @var string
     *
     * @ORM\Column(name="numExt", type="string", length=20, nullable=false)
     */
    private $numext;

    /**
     * @var string
     *
     * @ORM\Column(name="col_loc", type="string", length=500, nullable=false)
     */
    private $colLoc;

    /**
     * @var string
     *
     * @ORM\Column(name="mun_del", type="string", length=500, nullable=false)
     */
    private $munDel;

    /**
     * @var string
     *
     * @ORM\Column(name="edo", type="string", length=500, nullable=false)
     */
    private $edo;

    /**
     * @var string
     *
     * @ORM\Column(name="cp", type="string", length=15, nullable=false)
     */
    private $cp;

    /**
     * @var string
     *
     * @ORM\Column(name="tel", type="string", length=20, nullable=false)
     */
    private $tel;

    /**
     * @var string
     *
     * @ORM\Column(name="correo", type="string", length=50, nullable=false)
     */
    private $correo;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_dir", type="string", length=100, nullable=false)
     */
    private $nomDir;

    /**
     * @var boolean
     *
     * @ORM\Column(name="sexo_dir", type="boolean", nullable=true)
     */
    private $sexoDir = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="nom_sub", type="string", length=100, nullable=false)
     */
    private $nomSub;

    /**
     * @var integer
     *
     * @ORM\Column(name="contador_egresos", type="bigint", nullable=true)
     */
    private $contadorEgresos = '1';

    /**
     * @var integer
     *
     * @ORM\Column(name="contador_ingresos", type="bigint", nullable=true)
     */
    private $contadorIngresos = '1';

    /**
     * @var integer
     *
     * @ORM\Column(name="externo", type="integer", nullable=true)
     */
    private $externo = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var \Estatus
     *
     * @ORM\ManyToOne(targetEntity="Estatus")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="estatus", referencedColumnName="ide_est")
     * })
     */
    private $estatus;



    /**
     * Get idePla
     *
     * @return integer
     */
    public function getIdePla()
    {
        return $this->idePla;
    }

    /**
     * Set cvePla
     *
     * @param string $cvePla
     *
     * @return Planteles
     */
    public function setCvePla($cvePla)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return string
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }

    /**
     * Set cct
     *
     * @param string $cct
     *
     * @return Planteles
     */
    public function setCct($cct)
    {
        $this->cct = $cct;
    
        return $this;
    }

    /**
     * Get cct
     *
     * @return string
     */
    public function getCct()
    {
        return $this->cct;
    }

    /**
     * Set nomPla
     *
     * @param string $nomPla
     *
     * @return Planteles
     */
    public function setNomPla($nomPla)
    {
        $this->nomPla = $nomPla;
    
        return $this;
    }

    /**
     * Get nomPla
     *
     * @return string
     */
    public function getNomPla()
    {
        return $this->nomPla;
    }

    /**
     * Set calle
     *
     * @param string $calle
     *
     * @return Planteles
     */
    public function setCalle($calle)
    {
        $this->calle = $calle;
    
        return $this;
    }

    /**
     * Get calle
     *
     * @return string
     */
    public function getCalle()
    {
        return $this->calle;
    }

    /**
     * Set numint
     *
     * @param string $numint
     *
     * @return Planteles
     */
    public function setNumint($numint)
    {
        $this->numint = $numint;
    
        return $this;
    }

    /**
     * Get numint
     *
     * @return string
     */
    public function getNumint()
    {
        return $this->numint;
    }

    /**
     * Set numext
     *
     * @param string $numext
     *
     * @return Planteles
     */
    public function setNumext($numext)
    {
        $this->numext = $numext;
    
        return $this;
    }

    /**
     * Get numext
     *
     * @return string
     */
    public function getNumext()
    {
        return $this->numext;
    }

    /**
     * Set colLoc
     *
     * @param string $colLoc
     *
     * @return Planteles
     */
    public function setColLoc($colLoc)
    {
        $this->colLoc = $colLoc;
    
        return $this;
    }

    /**
     * Get colLoc
     *
     * @return string
     */
    public function getColLoc()
    {
        return $this->colLoc;
    }

    /**
     * Set munDel
     *
     * @param string $munDel
     *
     * @return Planteles
     */
    public function setMunDel($munDel)
    {
        $this->munDel = $munDel;
    
        return $this;
    }

    /**
     * Get munDel
     *
     * @return string
     */
    public function getMunDel()
    {
        return $this->munDel;
    }

    /**
     * Set edo
     *
     * @param string $edo
     *
     * @return Planteles
     */
    public function setEdo($edo)
    {
        $this->edo = $edo;
    
        return $this;
    }

    /**
     * Get edo
     *
     * @return string
     */
    public function getEdo()
    {
        return $this->edo;
    }

    /**
     * Set cp
     *
     * @param string $cp
     *
     * @return Planteles
     */
    public function setCp($cp)
    {
        $this->cp = $cp;
    
        return $this;
    }

    /**
     * Get cp
     *
     * @return string
     */
    public function getCp()
    {
        return $this->cp;
    }

    /**
     * Set tel
     *
     * @param string $tel
     *
     * @return Planteles
     */
    public function setTel($tel)
    {
        $this->tel = $tel;
    
        return $this;
    }

    /**
     * Get tel
     *
     * @return string
     */
    public function getTel()
    {
        return $this->tel;
    }

    /**
     * Set correo
     *
     * @param string $correo
     *
     * @return Planteles
     */
    public function setCorreo($correo)
    {
        $this->correo = $correo;
    
        return $this;
    }

    /**
     * Get correo
     *
     * @return string
     */
    public function getCorreo()
    {
        return $this->correo;
    }

    /**
     * Set nomDir
     *
     * @param string $nomDir
     *
     * @return Planteles
     */
    public function setNomDir($nomDir)
    {
        $this->nomDir = $nomDir;
    
        return $this;
    }

    /**
     * Get nomDir
     *
     * @return string
     */
    public function getNomDir()
    {
        return $this->nomDir;
    }

    /**
     * Set sexoDir
     *
     * @param boolean $sexoDir
     *
     * @return Planteles
     */
    public function setSexoDir($sexoDir)
    {
        $this->sexoDir = $sexoDir;
    
        return $this;
    }

    /**
     * Get sexoDir
     *
     * @return boolean
     */
    public function getSexoDir()
    {
        return $this->sexoDir;
    }

    /**
     * Set nomSub
     *
     * @param string $nomSub
     *
     * @return Planteles
     */
    public function setNomSub($nomSub)
    {
        $this->nomSub = $nomSub;
    
        return $this;
    }

    /**
     * Get nomSub
     *
     * @return string
     */
    public function getNomSub()
    {
        return $this->nomSub;
    }

    /**
     * Set contadorEgresos
     *
     * @param integer $contadorEgresos
     *
     * @return Planteles
     */
    public function setContadorEgresos($contadorEgresos)
    {
        $this->contadorEgresos = $contadorEgresos;
    
        return $this;
    }

    /**
     * Get contadorEgresos
     *
     * @return integer
     */
    public function getContadorEgresos()
    {
        return $this->contadorEgresos;
    }

    /**
     * Set contadorIngresos
     *
     * @param integer $contadorIngresos
     *
     * @return Planteles
     */
    public function setContadorIngresos($contadorIngresos)
    {
        $this->contadorIngresos = $contadorIngresos;
    
        return $this;
    }

    /**
     * Get contadorIngresos
     *
     * @return integer
     */
    public function getContadorIngresos()
    {
        return $this->contadorIngresos;
    }

    /**
     * Set externo
     *
     * @param integer $externo
     *
     * @return Planteles
     */
    public function setExterno($externo)
    {
        $this->externo = $externo;
    
        return $this;
    }

    /**
     * Get externo
     *
     * @return integer
     */
    public function getExterno()
    {
        return $this->externo;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Planteles
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Planteles
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set estatus
     *
     * @param \CmBundle\Entity\Estatus $estatus
     *
     * @return Planteles
     */
    public function setEstatus(\CmBundle\Entity\Estatus $estatus = null)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return \CmBundle\Entity\Estatus
     */
    public function getEstatus()
    {
        return $this->estatus;
    }
}
