<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * ReinscripcionAlumnos
 *
 * @ORM\Table(name="reinscripcion_alumnos", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"})})
 * @ORM\Entity
 */
class ReinscripcionAlumnos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_rei_alu", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideReiAlu;

    /**
     * @var string
     *
     * @ORM\Column(name="periodo", type="string", length=30, nullable=false)
     */
    private $periodo;

    /**
     * @var string
     *
     * @ORM\Column(name="recibo", type="string", length=255, nullable=false)
     */
    private $recibo;

    /**
     * @var string
     *
     * @ORM\Column(name="observaciones", type="string", length=255, nullable=false)
     */
    private $observaciones;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;



    /**
     * Get ideReiAlu
     *
     * @return integer
     */
    public function getIdeReiAlu()
    {
        return $this->ideReiAlu;
    }

    /**
     * Set periodo
     *
     * @param string $periodo
     *
     * @return ReinscripcionAlumnos
     */
    public function setPeriodo($periodo)
    {
        $this->periodo = $periodo;
    
        return $this;
    }

    /**
     * Get periodo
     *
     * @return string
     */
    public function getPeriodo()
    {
        return $this->periodo;
    }

    /**
     * Set recibo
     *
     * @param string $recibo
     *
     * @return ReinscripcionAlumnos
     */
    public function setRecibo($recibo)
    {
        $this->recibo = $recibo;
    
        return $this;
    }

    /**
     * Get recibo
     *
     * @return string
     */
    public function getRecibo()
    {
        return $this->recibo;
    }

    /**
     * Set observaciones
     *
     * @param string $observaciones
     *
     * @return ReinscripcionAlumnos
     */
    public function setObservaciones($observaciones)
    {
        $this->observaciones = $observaciones;
    
        return $this;
    }

    /**
     * Get observaciones
     *
     * @return string
     */
    public function getObservaciones()
    {
        return $this->observaciones;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return ReinscripcionAlumnos
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return ReinscripcionAlumnos
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return ReinscripcionAlumnos
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }
}
