<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Reinscripciones
 *
 * @ORM\Table(name="reinscripciones", indexes={@ORM\Index(name="cve_pla", columns={"cve_pla"}), @ORM\Index(name="cve_alu", columns={"cve_alu"})})
 * @ORM\Entity
 */
class Reinscripciones
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_rei", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideRei;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_rei", type="string", length=50, nullable=false)
     */
    private $cveRei;

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus;

    /**
     * @var string
     *
     * @ORM\Column(name="periodo", type="string", length=20, nullable=true)
     */
    private $periodo = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="numero", type="integer", nullable=true)
     */
    private $numero = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;



    /**
     * Get ideRei
     *
     * @return integer
     */
    public function getIdeRei()
    {
        return $this->ideRei;
    }

    /**
     * Set cveRei
     *
     * @param string $cveRei
     *
     * @return Reinscripciones
     */
    public function setCveRei($cveRei)
    {
        $this->cveRei = $cveRei;
    
        return $this;
    }

    /**
     * Get cveRei
     *
     * @return string
     */
    public function getCveRei()
    {
        return $this->cveRei;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return Reinscripciones
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set periodo
     *
     * @param string $periodo
     *
     * @return Reinscripciones
     */
    public function setPeriodo($periodo)
    {
        $this->periodo = $periodo;
    
        return $this;
    }

    /**
     * Get periodo
     *
     * @return string
     */
    public function getPeriodo()
    {
        return $this->periodo;
    }

    /**
     * Set numero
     *
     * @param integer $numero
     *
     * @return Reinscripciones
     */
    public function setNumero($numero)
    {
        $this->numero = $numero;
    
        return $this;
    }

    /**
     * Get numero
     *
     * @return integer
     */
    public function getNumero()
    {
        return $this->numero;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Reinscripciones
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return Reinscripciones
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return Reinscripciones
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return Reinscripciones
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }
}
