<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Requisiciones
 *
 * @ORM\Table(name="requisiciones", indexes={@ORM\Index(name="cve_pla", columns={"cve_pla"})})
 * @ORM\Entity
 */
class Requisiciones
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_req", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideReq;

    /**
     * @var string
     *
     * @ORM\Column(name="clave", type="string", length=100, nullable=false)
     */
    private $clave;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_ent", type="date", nullable=true)
     */
    private $fecEnt = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_ent", type="time", nullable=true)
     */
    private $horEnt = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=true)
     */
    private $estatus = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=true)
     */
    private $cveUsu = 'NULL';

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;



    /**
     * Get ideReq
     *
     * @return integer
     */
    public function getIdeReq()
    {
        return $this->ideReq;
    }

    /**
     * Set clave
     *
     * @param string $clave
     *
     * @return Requisiciones
     */
    public function setClave($clave)
    {
        $this->clave = $clave;
    
        return $this;
    }

    /**
     * Get clave
     *
     * @return string
     */
    public function getClave()
    {
        return $this->clave;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Requisiciones
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return Requisiciones
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set fecEnt
     *
     * @param \DateTime $fecEnt
     *
     * @return Requisiciones
     */
    public function setFecEnt($fecEnt)
    {
        $this->fecEnt = $fecEnt;
    
        return $this;
    }

    /**
     * Get fecEnt
     *
     * @return \DateTime
     */
    public function getFecEnt()
    {
        return $this->fecEnt;
    }

    /**
     * Set horEnt
     *
     * @param \DateTime $horEnt
     *
     * @return Requisiciones
     */
    public function setHorEnt($horEnt)
    {
        $this->horEnt = $horEnt;
    
        return $this;
    }

    /**
     * Get horEnt
     *
     * @return \DateTime
     */
    public function getHorEnt()
    {
        return $this->horEnt;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return Requisiciones
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Requisiciones
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return Requisiciones
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }
}
