<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * SalidasFondos
 *
 * @ORM\Table(name="salidas_fondos", indexes={@ORM\Index(name="cve_pla", columns={"cve_pla"}), @ORM\Index(name="cve_fpl", columns={"cve_fpl"})})
 * @ORM\Entity
 */
class SalidasFondos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_sfo", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideSfo;

    /**
     * @var string
     *
     * @ORM\Column(name="num_rec", type="string", length=50, nullable=false)
     */
    private $numRec;

    /**
     * @var string
     *
     * @ORM\Column(name="mon_sal", type="decimal", precision=10, scale=2, nullable=true)
     */
    private $monSal = '0.00';

    /**
     * @var string
     *
     * @ORM\Column(name="aut_sal", type="string", length=255, nullable=false)
     */
    private $autSal;

    /**
     * @var string
     *
     * @ORM\Column(name="rec_sal", type="string", length=255, nullable=false)
     */
    private $recSal;

    /**
     * @var string
     *
     * @ORM\Column(name="con_sal", type="string", length=300, nullable=false)
     */
    private $conSal;

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;

    /**
     * @var \FondoPlanteles
     *
     * @ORM\ManyToOne(targetEntity="FondoPlanteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_fpl", referencedColumnName="ide_fpl")
     * })
     */
    private $cveFpl;



    /**
     * Get ideSfo
     *
     * @return integer
     */
    public function getIdeSfo()
    {
        return $this->ideSfo;
    }

    /**
     * Set numRec
     *
     * @param string $numRec
     *
     * @return SalidasFondos
     */
    public function setNumRec($numRec)
    {
        $this->numRec = $numRec;
    
        return $this;
    }

    /**
     * Get numRec
     *
     * @return string
     */
    public function getNumRec()
    {
        return $this->numRec;
    }

    /**
     * Set monSal
     *
     * @param string $monSal
     *
     * @return SalidasFondos
     */
    public function setMonSal($monSal)
    {
        $this->monSal = $monSal;
    
        return $this;
    }

    /**
     * Get monSal
     *
     * @return string
     */
    public function getMonSal()
    {
        return $this->monSal;
    }

    /**
     * Set autSal
     *
     * @param string $autSal
     *
     * @return SalidasFondos
     */
    public function setAutSal($autSal)
    {
        $this->autSal = $autSal;
    
        return $this;
    }

    /**
     * Get autSal
     *
     * @return string
     */
    public function getAutSal()
    {
        return $this->autSal;
    }

    /**
     * Set recSal
     *
     * @param string $recSal
     *
     * @return SalidasFondos
     */
    public function setRecSal($recSal)
    {
        $this->recSal = $recSal;
    
        return $this;
    }

    /**
     * Get recSal
     *
     * @return string
     */
    public function getRecSal()
    {
        return $this->recSal;
    }

    /**
     * Set conSal
     *
     * @param string $conSal
     *
     * @return SalidasFondos
     */
    public function setConSal($conSal)
    {
        $this->conSal = $conSal;
    
        return $this;
    }

    /**
     * Get conSal
     *
     * @return string
     */
    public function getConSal()
    {
        return $this->conSal;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return SalidasFondos
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return SalidasFondos
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return SalidasFondos
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return SalidasFondos
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return SalidasFondos
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }

    /**
     * Set cveFpl
     *
     * @param \CmBundle\Entity\FondoPlanteles $cveFpl
     *
     * @return SalidasFondos
     */
    public function setCveFpl(\CmBundle\Entity\FondoPlanteles $cveFpl = null)
    {
        $this->cveFpl = $cveFpl;
    
        return $this;
    }

    /**
     * Get cveFpl
     *
     * @return \CmBundle\Entity\FondoPlanteles
     */
    public function getCveFpl()
    {
        return $this->cveFpl;
    }
}
