<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Titulaciones
 *
 * @ORM\Table(name="titulaciones", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"}), @ORM\Index(name="titulaciones_ibfk_3", columns={"cord"}), @ORM\Index(name="titulaciones_ibfk_2", columns={"cve_lic"})})
 * @ORM\Entity
 */
class Titulaciones
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_tit", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideTit;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_pag", type="integer", nullable=true)
     */
    private $cvePag = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="costo_tramite", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $costoTramite;

    /**
     * @var string
     *
     * @ORM\Column(name="curp", type="string", length=20, nullable=true)
     */
    private $curp = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="cer_bac", type="string", length=20, nullable=true)
     */
    private $cerBac = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_cer_bac", type="date", nullable=true)
     */
    private $fecCerBac = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="fotos", type="string", length=20, nullable=true)
     */
    private $fotos = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="act_nac", type="string", length=20, nullable=true)
     */
    private $actNac = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="otros", type="string", length=50, nullable=true)
     */
    private $otros = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="estatus", type="string", length=50, nullable=false)
     */
    private $estatus;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_ingresado", type="integer", nullable=true)
     */
    private $cveIngresado = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_ingresado", type="date", nullable=true)
     */
    private $fecIngresado = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_liberado", type="date", nullable=true)
     */
    private $fecLiberado = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_entregado", type="date", nullable=true)
     */
    private $fecEntregado = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_cancelado", type="date", nullable=true)
     */
    private $fecCancelado = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="porque_cancelado", type="string", length=100, nullable=true)
     */
    private $porqueCancelado = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="carta_pasante", type="string", length=100, nullable=true)
     */
    private $cartaPasante = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_carta_pasante", type="date", nullable=true)
     */
    private $fecCartaPasante = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="constancia_terminos", type="string", length=100, nullable=true)
     */
    private $constanciaTerminos = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_cons_terminos", type="date", nullable=true)
     */
    private $fecConsTerminos = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="historial", type="string", length=100, nullable=true)
     */
    private $historial = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_historial", type="date", nullable=true)
     */
    private $fecHistorial = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="certificado_total", type="string", length=100, nullable=true)
     */
    private $certificadoTotal = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_cert_total", type="date", nullable=true)
     */
    private $fecCertTotal = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="titulo", type="string", length=100, nullable=true)
     */
    private $titulo = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_titulo", type="date", nullable=true)
     */
    private $fecTitulo = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="acta_titulacion", type="string", length=100, nullable=true)
     */
    private $actaTitulacion = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_act_titulacion", type="date", nullable=true)
     */
    private $fecActTitulacion = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="lib_servicio_social", type="string", length=100, nullable=true)
     */
    private $libServicioSocial = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_lib_ser_social", type="date", nullable=true)
     */
    private $fecLibSerSocial = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="carta_extension", type="string", length=100, nullable=true)
     */
    private $cartaExtension = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_car_extension", type="date", nullable=true)
     */
    private $fecCarExtension = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="cons_tramite_titulo", type="string", length=100, nullable=true)
     */
    private $consTramiteTitulo = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_cons_tra_titulo", type="date", nullable=true)
     */
    private $fecConsTraTitulo = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="constancia_estudios", type="string", length=100, nullable=true)
     */
    private $constanciaEstudios = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_cons_estudios", type="date", nullable=true)
     */
    private $fecConsEstudios = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="otros_dos", type="string", length=100, nullable=true)
     */
    private $otrosDos = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_otros", type="date", nullable=true)
     */
    private $fecOtros = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_egreso", type="integer", nullable=true)
     */
    private $cveEgreso = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="tipo_alumno", type="integer", nullable=true)
     */
    private $tipoAlumno = 'NULL';

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;

    /**
     * @var \LicenciaturasTitulacion
     *
     * @ORM\ManyToOne(targetEntity="LicenciaturasTitulacion")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_lic", referencedColumnName="ide_lic_tit")
     * })
     */
    private $cveLic;

    /**
     * @var \CordinadoresTitulacion
     *
     * @ORM\ManyToOne(targetEntity="CordinadoresTitulacion")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cord", referencedColumnName="ide_cor_tit")
     * })
     */
    private $cord;



    /**
     * Get ideTit
     *
     * @return integer
     */
    public function getIdeTit()
    {
        return $this->ideTit;
    }

    /**
     * Set cvePag
     *
     * @param integer $cvePag
     *
     * @return Titulaciones
     */
    public function setCvePag($cvePag)
    {
        $this->cvePag = $cvePag;
    
        return $this;
    }

    /**
     * Get cvePag
     *
     * @return integer
     */
    public function getCvePag()
    {
        return $this->cvePag;
    }

    /**
     * Set costoTramite
     *
     * @param string $costoTramite
     *
     * @return Titulaciones
     */
    public function setCostoTramite($costoTramite)
    {
        $this->costoTramite = $costoTramite;
    
        return $this;
    }

    /**
     * Get costoTramite
     *
     * @return string
     */
    public function getCostoTramite()
    {
        return $this->costoTramite;
    }

    /**
     * Set curp
     *
     * @param string $curp
     *
     * @return Titulaciones
     */
    public function setCurp($curp)
    {
        $this->curp = $curp;
    
        return $this;
    }

    /**
     * Get curp
     *
     * @return string
     */
    public function getCurp()
    {
        return $this->curp;
    }

    /**
     * Set cerBac
     *
     * @param string $cerBac
     *
     * @return Titulaciones
     */
    public function setCerBac($cerBac)
    {
        $this->cerBac = $cerBac;
    
        return $this;
    }

    /**
     * Get cerBac
     *
     * @return string
     */
    public function getCerBac()
    {
        return $this->cerBac;
    }

    /**
     * Set fecCerBac
     *
     * @param \DateTime $fecCerBac
     *
     * @return Titulaciones
     */
    public function setFecCerBac($fecCerBac)
    {
        $this->fecCerBac = $fecCerBac;
    
        return $this;
    }

    /**
     * Get fecCerBac
     *
     * @return \DateTime
     */
    public function getFecCerBac()
    {
        return $this->fecCerBac;
    }

    /**
     * Set fotos
     *
     * @param string $fotos
     *
     * @return Titulaciones
     */
    public function setFotos($fotos)
    {
        $this->fotos = $fotos;
    
        return $this;
    }

    /**
     * Get fotos
     *
     * @return string
     */
    public function getFotos()
    {
        return $this->fotos;
    }

    /**
     * Set actNac
     *
     * @param string $actNac
     *
     * @return Titulaciones
     */
    public function setActNac($actNac)
    {
        $this->actNac = $actNac;
    
        return $this;
    }

    /**
     * Get actNac
     *
     * @return string
     */
    public function getActNac()
    {
        return $this->actNac;
    }

    /**
     * Set otros
     *
     * @param string $otros
     *
     * @return Titulaciones
     */
    public function setOtros($otros)
    {
        $this->otros = $otros;
    
        return $this;
    }

    /**
     * Get otros
     *
     * @return string
     */
    public function getOtros()
    {
        return $this->otros;
    }

    /**
     * Set estatus
     *
     * @param string $estatus
     *
     * @return Titulaciones
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return string
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set cveIngresado
     *
     * @param integer $cveIngresado
     *
     * @return Titulaciones
     */
    public function setCveIngresado($cveIngresado)
    {
        $this->cveIngresado = $cveIngresado;
    
        return $this;
    }

    /**
     * Get cveIngresado
     *
     * @return integer
     */
    public function getCveIngresado()
    {
        return $this->cveIngresado;
    }

    /**
     * Set fecIngresado
     *
     * @param \DateTime $fecIngresado
     *
     * @return Titulaciones
     */
    public function setFecIngresado($fecIngresado)
    {
        $this->fecIngresado = $fecIngresado;
    
        return $this;
    }

    /**
     * Get fecIngresado
     *
     * @return \DateTime
     */
    public function getFecIngresado()
    {
        return $this->fecIngresado;
    }

    /**
     * Set fecLiberado
     *
     * @param \DateTime $fecLiberado
     *
     * @return Titulaciones
     */
    public function setFecLiberado($fecLiberado)
    {
        $this->fecLiberado = $fecLiberado;
    
        return $this;
    }

    /**
     * Get fecLiberado
     *
     * @return \DateTime
     */
    public function getFecLiberado()
    {
        return $this->fecLiberado;
    }

    /**
     * Set fecEntregado
     *
     * @param \DateTime $fecEntregado
     *
     * @return Titulaciones
     */
    public function setFecEntregado($fecEntregado)
    {
        $this->fecEntregado = $fecEntregado;
    
        return $this;
    }

    /**
     * Get fecEntregado
     *
     * @return \DateTime
     */
    public function getFecEntregado()
    {
        return $this->fecEntregado;
    }

    /**
     * Set fecCancelado
     *
     * @param \DateTime $fecCancelado
     *
     * @return Titulaciones
     */
    public function setFecCancelado($fecCancelado)
    {
        $this->fecCancelado = $fecCancelado;
    
        return $this;
    }

    /**
     * Get fecCancelado
     *
     * @return \DateTime
     */
    public function getFecCancelado()
    {
        return $this->fecCancelado;
    }

    /**
     * Set porqueCancelado
     *
     * @param string $porqueCancelado
     *
     * @return Titulaciones
     */
    public function setPorqueCancelado($porqueCancelado)
    {
        $this->porqueCancelado = $porqueCancelado;
    
        return $this;
    }

    /**
     * Get porqueCancelado
     *
     * @return string
     */
    public function getPorqueCancelado()
    {
        return $this->porqueCancelado;
    }

    /**
     * Set cartaPasante
     *
     * @param string $cartaPasante
     *
     * @return Titulaciones
     */
    public function setCartaPasante($cartaPasante)
    {
        $this->cartaPasante = $cartaPasante;
    
        return $this;
    }

    /**
     * Get cartaPasante
     *
     * @return string
     */
    public function getCartaPasante()
    {
        return $this->cartaPasante;
    }

    /**
     * Set fecCartaPasante
     *
     * @param \DateTime $fecCartaPasante
     *
     * @return Titulaciones
     */
    public function setFecCartaPasante($fecCartaPasante)
    {
        $this->fecCartaPasante = $fecCartaPasante;
    
        return $this;
    }

    /**
     * Get fecCartaPasante
     *
     * @return \DateTime
     */
    public function getFecCartaPasante()
    {
        return $this->fecCartaPasante;
    }

    /**
     * Set constanciaTerminos
     *
     * @param string $constanciaTerminos
     *
     * @return Titulaciones
     */
    public function setConstanciaTerminos($constanciaTerminos)
    {
        $this->constanciaTerminos = $constanciaTerminos;
    
        return $this;
    }

    /**
     * Get constanciaTerminos
     *
     * @return string
     */
    public function getConstanciaTerminos()
    {
        return $this->constanciaTerminos;
    }

    /**
     * Set fecConsTerminos
     *
     * @param \DateTime $fecConsTerminos
     *
     * @return Titulaciones
     */
    public function setFecConsTerminos($fecConsTerminos)
    {
        $this->fecConsTerminos = $fecConsTerminos;
    
        return $this;
    }

    /**
     * Get fecConsTerminos
     *
     * @return \DateTime
     */
    public function getFecConsTerminos()
    {
        return $this->fecConsTerminos;
    }

    /**
     * Set historial
     *
     * @param string $historial
     *
     * @return Titulaciones
     */
    public function setHistorial($historial)
    {
        $this->historial = $historial;
    
        return $this;
    }

    /**
     * Get historial
     *
     * @return string
     */
    public function getHistorial()
    {
        return $this->historial;
    }

    /**
     * Set fecHistorial
     *
     * @param \DateTime $fecHistorial
     *
     * @return Titulaciones
     */
    public function setFecHistorial($fecHistorial)
    {
        $this->fecHistorial = $fecHistorial;
    
        return $this;
    }

    /**
     * Get fecHistorial
     *
     * @return \DateTime
     */
    public function getFecHistorial()
    {
        return $this->fecHistorial;
    }

    /**
     * Set certificadoTotal
     *
     * @param string $certificadoTotal
     *
     * @return Titulaciones
     */
    public function setCertificadoTotal($certificadoTotal)
    {
        $this->certificadoTotal = $certificadoTotal;
    
        return $this;
    }

    /**
     * Get certificadoTotal
     *
     * @return string
     */
    public function getCertificadoTotal()
    {
        return $this->certificadoTotal;
    }

    /**
     * Set fecCertTotal
     *
     * @param \DateTime $fecCertTotal
     *
     * @return Titulaciones
     */
    public function setFecCertTotal($fecCertTotal)
    {
        $this->fecCertTotal = $fecCertTotal;
    
        return $this;
    }

    /**
     * Get fecCertTotal
     *
     * @return \DateTime
     */
    public function getFecCertTotal()
    {
        return $this->fecCertTotal;
    }

    /**
     * Set titulo
     *
     * @param string $titulo
     *
     * @return Titulaciones
     */
    public function setTitulo($titulo)
    {
        $this->titulo = $titulo;
    
        return $this;
    }

    /**
     * Get titulo
     *
     * @return string
     */
    public function getTitulo()
    {
        return $this->titulo;
    }

    /**
     * Set fecTitulo
     *
     * @param \DateTime $fecTitulo
     *
     * @return Titulaciones
     */
    public function setFecTitulo($fecTitulo)
    {
        $this->fecTitulo = $fecTitulo;
    
        return $this;
    }

    /**
     * Get fecTitulo
     *
     * @return \DateTime
     */
    public function getFecTitulo()
    {
        return $this->fecTitulo;
    }

    /**
     * Set actaTitulacion
     *
     * @param string $actaTitulacion
     *
     * @return Titulaciones
     */
    public function setActaTitulacion($actaTitulacion)
    {
        $this->actaTitulacion = $actaTitulacion;
    
        return $this;
    }

    /**
     * Get actaTitulacion
     *
     * @return string
     */
    public function getActaTitulacion()
    {
        return $this->actaTitulacion;
    }

    /**
     * Set fecActTitulacion
     *
     * @param \DateTime $fecActTitulacion
     *
     * @return Titulaciones
     */
    public function setFecActTitulacion($fecActTitulacion)
    {
        $this->fecActTitulacion = $fecActTitulacion;
    
        return $this;
    }

    /**
     * Get fecActTitulacion
     *
     * @return \DateTime
     */
    public function getFecActTitulacion()
    {
        return $this->fecActTitulacion;
    }

    /**
     * Set libServicioSocial
     *
     * @param string $libServicioSocial
     *
     * @return Titulaciones
     */
    public function setLibServicioSocial($libServicioSocial)
    {
        $this->libServicioSocial = $libServicioSocial;
    
        return $this;
    }

    /**
     * Get libServicioSocial
     *
     * @return string
     */
    public function getLibServicioSocial()
    {
        return $this->libServicioSocial;
    }

    /**
     * Set fecLibSerSocial
     *
     * @param \DateTime $fecLibSerSocial
     *
     * @return Titulaciones
     */
    public function setFecLibSerSocial($fecLibSerSocial)
    {
        $this->fecLibSerSocial = $fecLibSerSocial;
    
        return $this;
    }

    /**
     * Get fecLibSerSocial
     *
     * @return \DateTime
     */
    public function getFecLibSerSocial()
    {
        return $this->fecLibSerSocial;
    }

    /**
     * Set cartaExtension
     *
     * @param string $cartaExtension
     *
     * @return Titulaciones
     */
    public function setCartaExtension($cartaExtension)
    {
        $this->cartaExtension = $cartaExtension;
    
        return $this;
    }

    /**
     * Get cartaExtension
     *
     * @return string
     */
    public function getCartaExtension()
    {
        return $this->cartaExtension;
    }

    /**
     * Set fecCarExtension
     *
     * @param \DateTime $fecCarExtension
     *
     * @return Titulaciones
     */
    public function setFecCarExtension($fecCarExtension)
    {
        $this->fecCarExtension = $fecCarExtension;
    
        return $this;
    }

    /**
     * Get fecCarExtension
     *
     * @return \DateTime
     */
    public function getFecCarExtension()
    {
        return $this->fecCarExtension;
    }

    /**
     * Set consTramiteTitulo
     *
     * @param string $consTramiteTitulo
     *
     * @return Titulaciones
     */
    public function setConsTramiteTitulo($consTramiteTitulo)
    {
        $this->consTramiteTitulo = $consTramiteTitulo;
    
        return $this;
    }

    /**
     * Get consTramiteTitulo
     *
     * @return string
     */
    public function getConsTramiteTitulo()
    {
        return $this->consTramiteTitulo;
    }

    /**
     * Set fecConsTraTitulo
     *
     * @param \DateTime $fecConsTraTitulo
     *
     * @return Titulaciones
     */
    public function setFecConsTraTitulo($fecConsTraTitulo)
    {
        $this->fecConsTraTitulo = $fecConsTraTitulo;
    
        return $this;
    }

    /**
     * Get fecConsTraTitulo
     *
     * @return \DateTime
     */
    public function getFecConsTraTitulo()
    {
        return $this->fecConsTraTitulo;
    }

    /**
     * Set constanciaEstudios
     *
     * @param string $constanciaEstudios
     *
     * @return Titulaciones
     */
    public function setConstanciaEstudios($constanciaEstudios)
    {
        $this->constanciaEstudios = $constanciaEstudios;
    
        return $this;
    }

    /**
     * Get constanciaEstudios
     *
     * @return string
     */
    public function getConstanciaEstudios()
    {
        return $this->constanciaEstudios;
    }

    /**
     * Set fecConsEstudios
     *
     * @param \DateTime $fecConsEstudios
     *
     * @return Titulaciones
     */
    public function setFecConsEstudios($fecConsEstudios)
    {
        $this->fecConsEstudios = $fecConsEstudios;
    
        return $this;
    }

    /**
     * Get fecConsEstudios
     *
     * @return \DateTime
     */
    public function getFecConsEstudios()
    {
        return $this->fecConsEstudios;
    }

    /**
     * Set otrosDos
     *
     * @param string $otrosDos
     *
     * @return Titulaciones
     */
    public function setOtrosDos($otrosDos)
    {
        $this->otrosDos = $otrosDos;
    
        return $this;
    }

    /**
     * Get otrosDos
     *
     * @return string
     */
    public function getOtrosDos()
    {
        return $this->otrosDos;
    }

    /**
     * Set fecOtros
     *
     * @param \DateTime $fecOtros
     *
     * @return Titulaciones
     */
    public function setFecOtros($fecOtros)
    {
        $this->fecOtros = $fecOtros;
    
        return $this;
    }

    /**
     * Get fecOtros
     *
     * @return \DateTime
     */
    public function getFecOtros()
    {
        return $this->fecOtros;
    }

    /**
     * Set cveEgreso
     *
     * @param integer $cveEgreso
     *
     * @return Titulaciones
     */
    public function setCveEgreso($cveEgreso)
    {
        $this->cveEgreso = $cveEgreso;
    
        return $this;
    }

    /**
     * Get cveEgreso
     *
     * @return integer
     */
    public function getCveEgreso()
    {
        return $this->cveEgreso;
    }

    /**
     * Set tipoAlumno
     *
     * @param integer $tipoAlumno
     *
     * @return Titulaciones
     */
    public function setTipoAlumno($tipoAlumno)
    {
        $this->tipoAlumno = $tipoAlumno;
    
        return $this;
    }

    /**
     * Get tipoAlumno
     *
     * @return integer
     */
    public function getTipoAlumno()
    {
        return $this->tipoAlumno;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return Titulaciones
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }

    /**
     * Set cveLic
     *
     * @param \CmBundle\Entity\LicenciaturasTitulacion $cveLic
     *
     * @return Titulaciones
     */
    public function setCveLic(\CmBundle\Entity\LicenciaturasTitulacion $cveLic = null)
    {
        $this->cveLic = $cveLic;
    
        return $this;
    }

    /**
     * Get cveLic
     *
     * @return \CmBundle\Entity\LicenciaturasTitulacion
     */
    public function getCveLic()
    {
        return $this->cveLic;
    }

    /**
     * Set cord
     *
     * @param \CmBundle\Entity\CordinadoresTitulacion $cord
     *
     * @return Titulaciones
     */
    public function setCord(\CmBundle\Entity\CordinadoresTitulacion $cord = null)
    {
        $this->cord = $cord;
    
        return $this;
    }

    /**
     * Get cord
     *
     * @return \CmBundle\Entity\CordinadoresTitulacion
     */
    public function getCord()
    {
        return $this->cord;
    }
}
